<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/12/23 09:08:50 $
$Revision: 1.20 $
*/
include_once('includes/global.php');
include_once('classes/period.php');
loadStrings(BOOT.'asterisk_schedule/strings.txt');

$doc->title .= ' :: '.getResource('asterisk_schedule.title');

required_access('support_asterisk');


include_once("boot/asterisk_schedule/menu.php");

$smenu = new PNamedMenu($nil,$sobj);
$doc->page->contents['smenu'] = $smenu;	


class ScheduleWizardForm extends PForm {
	public function Process() {
		global $db, $oper;
		//$db->debug = 1;
		if($this->submiter == "work"){
			$in = $this->getData();
			$start = $in['period_from'];
			$end = $in['period_to'];
			$query = "SELECT * FROM asterisk_schedule WHERE city='".$in['city']."' AND day >= '$start' AND day <= '$end'";
			if($in['day_type']) {
				if($in['day_type'] > 2){
					$query = $query . " AND DATE_FORMAT(day,'%w') = '".($in['day_type'] - 3)."'";
				}else{
					$query = $query . " AND day_type = '".$in['day_type']."'";
				}
			}
			if($in['label']){
				$query = $query . " AND label = '".$in['label']."'";
			}
			$result = $db->Execute($query);
			while($data = $db->Next($result)){
				$db->Execute("UPDATE asterisk_schedule SET 
					schedule_plan = '" . $in['schedule_plan'] . "'
					WHERE (id='$data->id')");
				$db->Execute("DELETE FROM asterisk_schedule_details WHERE (schedule='$data->id')");
				$db->Execute("INSERT INTO asterisk_schedule_details (schedule, object, time_begin, time_end)
					SELECT $data->id, object, time_begin, time_end
					FROM asterisk_schedule_plans_details WHERE schedule_plan=" . $in['schedule_plan']);
				$id = $GLOBALS['oper']->id;
				$db->Execute("UPDATE stamps SET modified=now(), modified_by='$id' WHERE (id='$data->stamp')  ");
			}
			$st = explode("-", $start);
			$en = explode("-", $end);
			$start_date = mktime(0, 0, 0, $st[1], $st[2], $st[0]);
			$end_date = mktime(0, 0, 0, $en[1], $en[2], $en[0]);
			for($i = $start_date; $i <= $end_date; $i += 86400) {
				$type = date("w", $i) == 0 || date("w", $i) == 6 ? 2 : 1;
				$date = date("Y-m-d", $i);
				if($in['day_type'] > 2){
					$proper_day = ($in['day_type'] - 3) == date("w", $i);
				}else{
					$proper_day = $in['day_type'] == $type;
				}
				if(!$in['day_type'] || $proper_day) {
					$db->Execute(sprintf("INSERT INTO stamps (created, created_by) VALUES (now(), '%d')", $oper->id));
					$stamp = $db->getJustInserted('stamps', 'id');
					$data = $db->Execute("INSERT IGNORE INTO asterisk_schedule (city, day, schedule_plan, day_type, stamp)
						VALUES ('".$in['city']."' ,'" . date("Y-m-d", $i) ."','" . $in['schedule_plan'] . "','$type', $stamp)");
					if($db->affected_rows == 1){
						$id = $db->getJustInserted('asterisk_schedule', 'id');
						$db->Execute("INSERT INTO asterisk_schedule_details (schedule, object, time_begin, time_end)
							SELECT $id, object, time_begin, time_end
							FROM asterisk_schedule_plans_details WHERE schedule_plan=" . $in['schedule_plan']);
					}
				}
			}
		}
	}
}

function getAsteriskSchedulePlans(){
	return loadByQuery("SELECT id, name AS value FROM asterisk_schedule_plans ORDER BY name");
}

function getAsteriskScheduleLabels(){
	return loadByQuery("SELECT id, name AS value FROM asterisk_schedule_labels ORDER BY name");
}

function apply_schedule_plan($table){
	global $db;
	if($table->current_record['schedule_plan'] > 0){
		$id = $table->current_record['id'];
		$schedule_plan = $table->current_record['schedule_plan'];
		$db->Execute("DELETE FROM asterisk_schedule_details WHERE (schedule='$id')");
		$db->Execute("INSERT INTO asterisk_schedule_details (schedule, object, time_begin, time_end)
			SELECT $id, object, time_begin, time_end
			FROM asterisk_schedule_plans_details WHERE schedule_plan=" . $schedule_plan);
	}
}

function change_schedule_times($table){
	global $db;
	$id = $table->current_record['schedule_plan'];
	$result = $db->Execute("SELECT * FROM asterisk_schedule WHERE schedule_plan = $id");
	while($data = $db->Next($result)){
		$db->Execute("DELETE FROM asterisk_schedule_details WHERE (schedule='".$data['id']."')");
		$schedule_plan = $table->current_record['schedule_plan'];
		$db->Execute("INSERT INTO asterisk_schedule_details (schedule, object, time_begin, time_end)
			SELECT $data->id, object, time_begin, time_end
			FROM asterisk_schedule_plans_details WHERE schedule_plan=" . $schedule_plan);
	}
}


switch($smenu->selected){
	case 'gr':
		loadStrings(BOOT.'asterisk_schedule/strings.txt');
		$doc->title .= ' :: '.getResource('asterisk_schedule.sh_title');
		$obj = forceCity("boot/asterisk_schedule/wizard-form.php");
		$doc->page->contents['ScheduleWizardForm'] = new ScheduleWizardForm($nil,$obj);
		ob_start();
		?>
		<script language="JavaScript">
		
		function changeType(){
			if(tForm.elements['schedule_plan'].value == "")
			{
				tForm.elements['manager_begin'].disabled = false;
				tForm.elements['manager_end'].disabled = false;
				tForm.elements['tech_begin'].disabled = false;
				tForm.elements['tech_end'].disabled = false;
			}
			else
			{
				tForm.elements['manager_begin'].disabled = true;
				tForm.elements['manager_end'].disabled = true;
				tForm.elements['tech_begin'].disabled = true;
				tForm.elements['tech_end'].disabled = true;
			}
		
		}
		
		var tForm = document.forms['ScheduleWizardForm'];
		var selType = tForm.elements['schedule_plan'];
		selType.onchange = changeType;
		changeType();
		
		</script>
		<?php
		$doc->page->contents['all'] = ob_get_clean();
	break;
	
	case 'sw':
		loadStrings(BOOT.'asterisk_schedule/plans/strings.txt');
		$doc->title .= ' :: '.getResource('asterisk_schedule.title');
		$plans = new PTable($db,BOOT.'asterisk_schedule/plans/table.php');
		$plans->readonly = !$oper->system_access['support_asterisk'];
		
		$doc->page->contents['plans'] = new PMyAccess($plans,array(
			'title'=>getResource('asterisk_schedule.title'),
			'icon'=>HREF.'images/ads.gif',
			'grid_boot'=>BOOT.'asterisk_schedule/plans/grid.php',
			'form_boot'=>BOOT.'asterisk_schedule/plans/form.php',
		));
		
		if($plans->isOn())
		{
			//$db->debug = 1;
			loadStrings(BOOT.'asterisk_schedule/plans/details/strings.txt');
			$doc->title .= ' :: '.getResource('asterisk_schedule_plans_details.title');
			$plans = new PTable($db,BOOT.'asterisk_schedule/plans/details/table.php');
			$plans->readonly = !$oper->system_access['support_asterisk'];
			
			$doc->page->contents['details'] = new PMyAccess($plans,array(
				'title'=>getResource('asterisk_schedule_plans_details.title'),
				'icon'=>HREF.'images/ads.gif',
				'grid_boot'=>BOOT.'asterisk_schedule/plans/details/grid.php',
				'form_boot'=>BOOT.'asterisk_schedule/plans/details/form.php',
			));
		}
	break;
	
	case 'md':
		loadStrings(BOOT.'asterisk_schedule/labels/strings.txt');
		$doc->title .= ' :: '.getResource('asterisk_schedule_labels.title');
		$plans = new PTable($db,BOOT.'asterisk_schedule/labels/table.php');
		$plans->readonly = !$oper->system_access['support_asterisk'];
		
		$doc->page->contents['plans'] = new PMyAccess($plans,array(
			'title'=>getResource('asterisk_schedule_labels.title'),
			'icon'=>HREF.'images/ads.gif',
			'grid_boot'=>BOOT.'asterisk_schedule/labels/grid.php',
			'form_boot'=>BOOT.'asterisk_schedule/labels/form.php',
		));
	
	break;
	
	case 'r':
		loadStrings(BOOT.'asterisk_schedule/strings.txt');
		$doc->title .= ' :: '.getResource('asterisk_schedule.title');
		ob_start();
		?><style><?
		include BOOT.'calendar/calendar.css';
		include BOOT.'calendar/schedule.css'
		?></style><?
		$doc->page->contents['css'] = ob_get_clean();
		include_once("classes/context/include.php");
		$beanFactory = new CompositBeanFactory(array(
			new ArrayBeanFactory('boot/calendar/web-log.php'),
			new ArrayBeanFactory('boot/calendar/dao.php'),
			new ArrayBeanFactory('boot/calendar/calendar.php'),
		));
		
		$calendar = $beanFactory->getBean('scheduleCalendar');
		
		
		$schedule = new PTable($db,BOOT.'asterisk_schedule/table.php');
		$schedule->readonly = !$oper->system_access['support_asterisk'];
		addCityPolicy($polls, 'a.city');
		
		if(!$oper->force_city){
			include_once 'classes/SwitchTool.php';
			$filter_tool = new SwitchTool('ashci', getCities(), '1', true);
			$schedule->filters['pref_city'] = '(a.city="'.$filter_tool->value.'")';
			$calendar->setTool($filter_tool);
			$calendar->model->setCity($filter_tool->value);
		}else{
			$calendar->model->setCity($oper->force_city);
		}
		
		$calendar->process();
		$doc->page->contents['calendar'] = $calendar->render();
		if($calendar->isActive()){
			$schedule->Locate(array('day'=>$calendar->getDate()));
			$doc->page->contents['plans'] = new PMyAccess($schedule,array(
				'title'=>getResource('asterisk_schedule.title'),
				'icon'=>HREF.'images/ads.gif',
				'form_boot'=>forceCity(BOOT.'asterisk_schedule/form.php'),
				'briefable'=>0,
			));
		}else{
			$doc->page->contents['plans'] = new PMyAccess($schedule,array(
				'title'=>getResource('asterisk_schedule.title'),
				'icon'=>HREF.'images/ads.gif',
				'grid_boot'=>forceCity(BOOT.'asterisk_schedule/grid.php'),
				'form_boot'=>forceCity(BOOT.'asterisk_schedule/form.php'),
				'tool'=>$oper->force_city ? '' : $filter_tool,
			));
		}
		if($schedule->isOn())
		{
			loadStrings(BOOT.'asterisk_schedule/details/strings.txt');
			$doc->title .= ' :: '.getResource('asterisk_schedule_plans_details.title');
			$plans = new PTable($db,BOOT.'asterisk_schedule/details/table.php');
			$plans->readonly = !$oper->system_access['support_asterisk'];
			$doc->page->contents['details'] = new PMyAccess($plans,array(
				'title'=>getResource('asterisk_schedule_plans_details.title'),
				'icon'=>HREF.'images/ads.gif',
				'grid_boot'=>BOOT.'asterisk_schedule/details/grid.php',
				'form_boot'=>BOOT.'asterisk_schedule/details/form.php',
			));
		}
		break;
		
		case 'obj':
		loadStrings(BOOT.'asterisk_schedule/asterisk_schedule_objects/strings.txt');
		$doc->title .= ' :: '.getResource('asterisk_schedule_objects.title');
		$plans = new PTable($db,BOOT.'asterisk_schedule/asterisk_schedule_objects/table.php');
		$plans->readonly = !$oper->system_access['support_asterisk'];
		
		$doc->page->contents['plans'] = new PMyAccess($plans,array(
			'title'=>getResource('asterisk_schedule_objects.title'),
			'icon'=>HREF.'images/ads.gif',
			'grid_boot'=>BOOT.'asterisk_schedule/asterisk_schedule_objects/grid.php',
			'form_boot'=>BOOT.'asterisk_schedule/asterisk_schedule_objects/form.php',
		));
	
	break;
}

echo $doc->Paint();
?>