<?
$obj = array(
	'fields'=>array(
		'name'=>array(
			'title'=>getResource('asterisk.address.book.name'),
			'required'=>1,
		),
		'number'=>array(
			'title'=>getResource('asterisk.address.book.number'),
			'required'=>1,
		),
		'type'=>array(
			'title'=>getResource('asterisk.address.book.type'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('asterisk.address.book.type.1'),
				'2'=>getResource('asterisk.address.book.type.2'),
			),
		),
		'city'=>array(
			'title'=>getResource('asterisk.address.book.city'),
			'control'=>'select',
			'list'=>'getCities',
			'link'=>'cities.php?id=[city]',
		),
		'person'=>array(
			'title'=>getResource('asterisk.address.book.person'),
			'control'=>'lookup',
			'label'=>'[person_name]',
			'source'=>'?lookup=person',
			'link'=>'staff.php?id=[person]',
			'id'=>'lookup_person',
		),
		'host'=>array(
			'title'=>getResource('asterisk.address.book.host'),
			'control'=>'lookup',
			'label'=>'[host_name]',
			'source'=>'?lookup=host',
			'link'=>'hosts.php?id=[host]',
			'id'=>'lookup_host',
		),
		'notes'=>array(
			'title'=>getResource('asterisk.address.book.notes'),
			'control'=>'textarea',
			'height'=>4,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('asterisk.address.book.created'),
		),
		'created_name'=>array(
			'title'=>getResource('asterisk.address.book.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('asterisk.address.book.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('asterisk.address.book.modified.by'),
			'readonly'=>1,
		),
	),
);
?>