<?
$obj = array(
	'name'=>'asterisk.permissions',
	'nick'=>'astb',
	'BeforeInsert'=>'before_ban_insert, before_stamped_insert',
	'AfterInsert'=>'after_logged_insert, before_stamped_post',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_logged_delete, after_stamped_delete',
	'source'=>'asterisk.permissions p
	LEFT JOIN cities ci ON ci.id=p.city
	LEFT JOIN stamps st ON st.id=p.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'priority'=>array(
			'key'=>1,
			'selector'=>'p.priority',
		),
		'city'=>array(
			'selector'=>'p.city',
			'nullable'=>1,
		),
		'city_name'=>array(
			'selector'=>'ci.name',
		),
		'src'=>array(
			'selector'=>'p.src',
		),
		'dst'=>array(
			'selector'=>'p.dst',
		),
		'allow'=>array(
			'selector'=>'p.allow',
			'auto_insert'=>0,
		),
		'timeout'=>array(
			'selector'=>'p.timeout',
			'auto_insert'=>0,
		),
		'description'=>array(
			'selector'=>'p.description',
		),
		'blocked'=>array(
			'selector'=>'p.blocked',
			'auto_insert'=>date("Y-m-d H:i:s"),
		),
		'stamp'=>array(
			'selector'=>'p.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>