<?
$obj = array(
	'fields'=>array(
		'name'=>array(
			'title'=>getResource('asterisk.queues.name'),
			'required'=>1,
		),
		'query'=>array(
			'title'=>getResource('asterisk.queues.query'),
			'control'=>'lookup',
			'label'=>'[query_name]',
			'source'=>'?lookup=query',
			'id'=>'lookup_query',
			'link'=>'queries.php?id=[query]',
		),
		'code'=>array(
			'title'=>getResource('asterisk.queues.code'),
			'control'=>'short',
		),
		'target_cmd'=>array(
			'title'=>getResource('asterisk.queues.target.cmd'),
			'comment'=>getResource('asterisk.queues.target.cmd.comment'),
			'control'=>'textarea',
			'height'=>4,
		),
		'stop_cmd'=>array(
			'title'=>getResource('asterisk.queues.stop.cmd'),
			'comment'=>getResource('asterisk.queues.stop.cmd.comment'),
			'control'=>'textarea',
			'height'=>4,
		),
		'notes'=>array(
			'title'=>getResource('asterisk.queues.notes'),
			'control'=>'textarea',
			'height'=>8,
		),
		'actual'=>array(
			'title'=>getResource('asterisk.queues.actual'),
			'comment'=>getResource('asterisk.queues.actual.comment'),
			'control'=>'checkbox',
			'default'=>1,
		),
		'last_sent'=>array(
			'title'=>getResource('asterisk.queues.last.sent'),
			'readonly'=>1,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('asterisk.queues.created'),
		),
		'created_name'=>array(
			'title'=>getResource('asterisk.queues.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('asterisk.queues.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('asterisk.queues.modified.by'),
			'readonly'=>1,
		),
	),
);
?>