<?
$obj = array(
	'method'=>'post',
	'fields'=>array(
		'query'=>array(
			'title'=>getResource('bonuses.wizard.query'),
			'link'=>'queries.php',
			'required'=>1,
			'control'=>'select',
			'list'=>'getQueries',
		),
		'account_type'=>array(
			'title'=>getResource('bonuses.account.type'),
			'link'=>'account_types.php',
			'required'=>1,
			'control'=>'select',
			'list'=>'getAccountTypes',
		),
		'src'=>array(
			'title'=>getResource('bonuses.wizard.src'),
			'link'=>'system_accounts.php',
			'control'=>'select',
			'list'=>'getSystemSrcAccounts',
			'required'=>1,
		),
		'amount'=>array(
			'title'=>getResource('bonuses.wizard.amount'),
			'control'=>'short',
			'positive'=>'1',
			'format'=>$GLOBALS['fcurrency'],
			'required'=>1,
			'value'=>'0',
		),
		'actual_from'=>array(
			'title'=>getResource('bonuses.actual.from'),
			'control'=>'date',
			'with_time'=>1,
		),
		'actual_to'=>array(
			'title'=>getResource('bonuses.actual.to'),
			'control'=>'date',
			'with_time'=>1,
		),
		'lost_dst'=>array(
			'title'=>getResource('bonuses.lost.dst'),
			'comment'=>getResource('bonuses.lost.dst.comment'),
			'control'=>'select',
			'list'=>'getSystemDstAccounts',
			'link'=>'system_accounts.php?id=[lost_dst]',
		),
	),
	'submits'=>array(
		'ok'=>array(
			'title'=>getResource('bonuses.wizard.submit'),
			'css'=>'wide',
			'validator'=>'CommonFormCheck',
		),
	),
);
?>