<?
$beans = array(
	'classLoader'=>array(
		'class'=>'FileClassLoader',
		'properties'=>array(
			'root'=>'classes',
			'registry'=>array(
				'/.+/'=>'dao/$0.php',
			),
		),
	),
	'connection'=>array(
		'class'=>'MySqliConnection',
		'properties'=>array(
			'host'=>DB_HOST,
			'database'=>DB_BASE,
			'user'=>DB_USER,
			'password'=>DB_PASS,
			'charset'=>DB_CHARSET,
			'dieOnError'=>false,
			'link'=>isset($GLOBALS['inherit_mysql_link']) ? $GLOBALS['inherit_mysql_link'] : '',
			//'isolationLevel'=>"READ COMMITTED",
		),
	),
	'connectionHelper'=>array(
		'class'=>'ConnectionHelper',
		'properties'=>array(
			'tmpDir'=>TMP_DIR,
			'host'=>DB_HOST,
			'remote'=>DB_REMOTE,
		)
	),
	'transactionManager'=>array(
		'class'=>'TransactionManager',
	),
	'transactionmanager'=>array(
		'alias'=>'transactionManager',
	),
	'locker'=>array(
		'class'=>'Locker',
	),
	'accessTrackerDAO'=>array(
		'class'=>'AccessTrackerDAO',
	),
	'accountsDAO'=>array(
		'class'=>'AccountsDAO',
	),
	'accountStatesDAO'=>array(
		'class'=>'AccountStatesDAO',
	),
	'blocksDAO'=>array(
		'class'=>'BlocksDAO',
	),
	'bonusesDAO'=>array(
		'class'=>'BonusesDAO',
	),
	'calendarPeriodsDAO'=>array(
		'class'=>'CalendarPeriodsDAO',
	),
	'chargeTypesDAO'=>array(
		'class'=>'ChargeTypesDAO',
	),
	'clientsDAO'=>array(
		'class'=>'ClientsDAO',
	),
	'clientShaperPatchesDAO'=>array(
		'class'=>'ClientShaperPatchesDAO',
	),
	'connectionTypesDAO'=>array(
		'class'=>'ConnectionTypesDAO',
	),
	'creditsDAO'=>array(
		'class'=>'CreditsDAO',
	),
	'hostsDAO'=>array(
		'class'=>'HostsDAO',
	),
	'ipUseIntervalsDAO'=>array(
		'class'=>'IpUseIntervalsDAO',
	),
	'ipUseLogDAO'=>array(
		'class'=>'IpUseLogDAO',
	),
	'ipUseLogPackerDAO'=>array(
		'class'=>'IpUseLogPackerDAO',
	),
	'ipUsesDAO'=>array(
		'class'=>'IpUsesDAO',
	),
	'jobsDAO'=>array(
		'class'=>'JobsDAO',
	),
	'jobsExtrasDAO'=>array(
		'class'=>'JobsExtrasDAO',
	),
	'modemsDAO'=>array(
		'class'=>'ModemsDAO',
	),
	'modemProfilesDAO'=>array(
		'class'=>'ModemProfilesDAO',
	),
	'movementsDAO'=>array(
		'class'=>'MovementsDAO',
	),
	'notifiedPersonalPeriodsDAO'=>array(
		'class'=>'NotifiedPersonalPeriodsDAO',
	),
	'optionsDAO'=>array(
		'class'=>'OptionsDAO',
	),
	'personalFirewallDAO'=>array(
		'class'=>'PersonalFirewallDAO',
	),
	'personalPeriodsDAO'=>array(
		'class'=>'PersonalPeriodsDAO',
	),
	'personalPeriodPlansDAO'=>array(
		'class'=>'PersonalPeriodPlansDAO',
	),
	'personalPeriodResourceUsesDAO'=>array(
		'class'=>'PersonalPeriodResourceUsesDAO',
	),
	'resourceTypesDAO'=>array(
		'class'=>'ResourceTypesDAO',
	),
	'resourceUsesDAO'=>array(
		'class'=>'ResourceUsesDAO',
	),
	'rulesDAO'=>array(
		'class'=>'RulesDAO',
	),
	'selfLimitationsDAO'=>array(
		'class'=>'SelfLimitationsDAO',
	),
	'subscriptionsDAO'=>array(
		'class'=>'SubscriptionsDAO',
	),
	'shapersDAO'=>array(
		'class'=>'ShapersDAO',
	),
	'tariffsDAO'=>array(
		'class'=>'TariffsDAO',
	),
	'tvTypesDAO'=>array(
		'class'=>'TvTypesDAO',
	),
);
?>