<?
$beans = array(
	'classLoader'=>array(
		'class'=>'FileClassLoader',
		'properties'=>array(
			'root'=>'classes',
			'registry'=>array(
				'/.+/'=>'mail/$0.php',
			),
		),
	),
	'messageParser'=>array(
		'class'=>'MessageParser',
	),
	'mailProcessor'=>array(
		'class'=>'MailProcessor',
		'properties'=>array(
			'messageParser:ref'=>'messageParser',
			'server'=>'{beast.lanet.kiev.ua/pop3:110/novalidate-cert}INBOX',
			'user'=>'mailbot@lanet.kiev.ua',
			'password'=>'',
			'operator'=>96,
			'delegates'=>array(
				'aval:ref'=>'avalPayDelegate',
				'fax:ref'=>'faxDelegate',
				'request:ref'=>'requestDelegate',
				'ecall:ref'=>'ecallDelegate',
			)
		),
	),
	'avalPayDelegate'=>array(
		'class'=>'AvalPayDelegate',
		'properties'=>array(
			'account'=>30746,
			'fromPattern'=>'|mail\-robot@aval\.kiev\.ua|',
			'toPattern'=>'|pay\@lanet\.kiev\.ua|',
		),
	),
	'faxDelegate'=>array(
		'class'=>'FaxDelegate',
		'properties'=>array(
			'titlePattern'=>'|FAX\s+from\s+([\d\+\(\)]+)|i',
		),
	),
	'requestDelegate'=>array(
		'class'=>'RequestDelegate',
		'properties'=>array(
			'titlePattern'=>'|Connection\s+request|i',
			'toPattern'=>'|connrequest@lanet.ua|',
		),
	),
	'ecallDelegate'=>array(
		'class'=>'EcallDelegate',
		'properties'=>array(
			'toPattern'=>'|ecall@lanet\.ua|i',
			'reportProcessor:ref'=>'ecallReportProcessor',
		),
	),
	'ecallReportProcessor'=>array(
		'class'=>'EcallReportProcessor',
	),
);
?>