<?
$beans = array(
	'classLoader'=>array(
		'class'=>'FileClassLoader',
		'properties'=>array(
			'root'=>'classes',
			'registry'=>array(
				'/.+/'=>'service/$0.php',
			),
		),
	),

	'profileBuilder2'=>array(
		'class'=>'ProfileBuilder',
		'properties'=>array(
			'optionsManager:ref'=>'optionsManager',
			'blocksManager:ref'=>'blocksManager2',
			'connectionPolicy:ref'=>'connectionPolicy2',
			'clientsDAO:ref'=>'clientsDAO',
			'modemsDAO:ref'=>'modemsDAO',
			'modemProfilesDAO:ref'=>'modemProfilesDAO',
			'hostsDAO:ref'=>'hostsDAO',
		),
	),

	'connectionPolicy2'=>array(
		'class'=>'ConnectionPolicy',
		'properties'=>array(
			'members'=>array(
				'blocks:ref'=>'blocksManager2',
				'personalPeriods:ref'=>'personalPeriodsPolicy2',
			),
		),
	),
	
	'blocksManager2'=>array(
		'class'=>'BlocksManager2',
		'properties'=>array(
			'blocksDAO:ref'=>'blocksDAO',
		),
	),

	'personalPeriodsPolicy2'=>array(
		'class'=>'PersonalPeriodsPolicy',
		'properties'=>array(
			'personalPeriodsManager:ref'=>'personalPeriodsManager2',
			'personalPeriodPlansManager:ref'=>'personalPeriodPlansManager2',
		),
	),

	'personalPeriodPlansManager2'=>array(
		'class'=>'PersonalPeriodPlansManager2',
		'properties'=>array(
			'personalPeriodPlansDAO:ref'=>'personalPeriodPlansDAO',
		),
	),
	'personalPeriodsManager2'=>array(
		'class'=>'PersonalPeriodsManager2',
		'properties'=>array(
			'personalPeriodsDAO:ref'=>'personalPeriodsDAO',
		),
	),

);
?>