<?
$beans = array(
	'classLoader'=>array(
		'class'=>'FileClassLoader',
		'properties'=>array(
			'root'=>'classes',
			'registry'=>array(
				'/.+/'=>'tv_nodes/$0.php',
			),
		),
	),
	
	'tvNodeDriverRegistry'=>array(
		'class'=>'TvNodeDriverRegistry',
		'properties'=>array(
			'registry'=>array(
				'1:ref'=>'snmp.tv.node.driver',
			),
		),
	),
	'tvNodeDriverDAO'=>array(
		'class'=>'TvNodeDriverDAO',
	),
	'snmp.tv.node.driver'=>array(
		'class'=>'SnmpTvNodeDriver',
		'properties'=>array(
			'defaults'=>array (
				'snmp_reader' => 'public',
				'snmp_timeout' => 1000,
				'snmp_retries' => 3,
				'oid_input_power' => '.1.3.6.1.4.1.17409.1.11.3.0',
				'oid_output_power' => '.1.3.6.1.4.1.17409.1.11.2.0',
			),
		),
	),
	'tvNodeAuditor'=>array(
		'class'=>'TvNodeAuditor',
	),
	
);
?>