<?
$obj = array(
	'name'=>'charge_types',
	'nick'=>'chts',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_charge_type_delete, after_stamped_delete, after_logged_delete',
	'source'=>'charge_types ct
	LEFT JOIN system_accounts sa ON sa.account=ct.account
	LEFT JOIN resource_types rt ON rt.id=ct.resource_type
	LEFT JOIN stamps st ON st.id=ct.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'ct.id',
		),
		'name'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'ct.name',
		),
		'driver'=>array(
			'selector'=>'ct.driver',
			'nullable'=>1,
		),
		'account'=>array(
			'selector'=>'ct.account',
			'log_by'=>'account_name',
		),
		'account_name'=>array(
			'bin'=>1,
			'selector'=>'sa.name',
		),
		'resource_type'=>array(
			'selector'=>'ct.resource_type',
			'log_by'=>'resource_type_name',
		),
		'resource_type_name'=>array(
			'bin'=>1,
			'selector'=>'rt.name',
		),
		'unit_size'=>array(
			'selector'=>'ct.unit_size',
		),
		'price'=>array(
			'selector'=>'ct.price',
			'log_by'=>'price_cur',
		),
		'price_cur'=>array(
			'selector'=>'ct.price/100',
		),
		'stamp'=>array(
			'selector'=>'ct.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>