<?
$obj = array(
	'menu'=>array(
		'PrintById'=>getResource('grid.print'),
	),
/*
	'modes'=>array(
		'default'=>getResource('client.expenses.view.materials'),
		'special'=>getResource('client.expenses.view.special'),
	),
*/
	'columns'=>array(
		'job'=>array(
			'title'=>getResource('client.expenses.job'),
			'link'=>'calendar.php?id=[job]cactive=',
			'align'=>'right',
			'width'=>'5em',
		),
		'job_client_name'=>array(
			'title'=>getResource('client.expenses.client'),
			'link'=>'clients.php?id=[job_client]',
			'count'=>1,
			'footer_prefix'=>getResource('client.expenses.count'),
		),
		'street_name'=>array(
			'title'=>getResource('clients.street'),
			'link'=>'streets.php?id=[street]',
		),
		'house'=>array(
			'title'=>getResource('clients.house'),
			'width'=>'4em',
			'width'=>'2.5em',
		),
/*
		'entrance'=>array(
			'title'=>getResource('clients.entrance'),
			'align'=>'right',
			'width'=>'4em',
			'modes'=>'special',
		),
		'floor'=>array(
			'title'=>getResource('clients.floor'),
			'align'=>'right',
			'width'=>'4em',
			'modes'=>'special',
		),
*/
		'apartment'=>array(
			'title'=>getResource('clients.grid.apartment'),
			'align'=>'right',
			'width'=>'2.5em',
		),
		'work_type_name'=>array(
			'title'=>getResource('client.expenses.connection.short2'),
			'align'=>'center',
			'width'=>'4em',
		),
		'cable'=>array(
			'title'=>getResource('client.expenses.cable.sum'),
			'width'=>'6em',
			'align'=>'right',
//			'modes'=>'default',
		),
		'cable_out'=>array(
			'title'=>getResource('client.expenses.cable.out.short'),
			'width'=>'6em',
			'align'=>'right',
//			'modes'=>'default',
		),
		'cable_in'=>array(
			'title'=>getResource('client.expenses.cable.in.short'),
			'width'=>'6em',
			'align'=>'right',
//			'modes'=>'default',
		),
		'cable_type'=>array(
			'title'=>getResource('client.expenses.cable.type'),
			'width'=>'6em',
			'align'=>'right',
//			'modes'=>'default',
		),
	),
	'aux_count'=>2,
	'aux_filters'=>array(
		'client_name'=>getResource('client.expenses.client'),
		'district_name'=>getResource('houses.district'),
		'admin_district_name'=>getResource('houses.admin'),
		'street_name'=>getResource('clients.street'),
		'house'=>getResource('clients.house'),
		'floors'=>getResource('houses.floors'),
		'entrance'=>getResource('clients.entrance'),
		'floor'=>getResource('clients.floor'),
		'apartment'=>getResource('clients.apartment'),
		'client_created'=>getResource('client.expenses.client.created'),
		'client_created_name'=>getResource('client.expenses.client.created.by'),
		'1'=>'--',
		'cable'=>getResource('client.expenses.cable'),
		'cable_in'=>getResource('client.expenses.cable.in'),
		'cable_out'=>getResource('client.expenses.cable.out'),
		'cable_type'=>getResource('client.expenses.cable.type'),
		'connection_name'=>getResource('client.expenses.connection.short'),
		'3'=>'--',
		'modem_name'=>getResource('client.expenses.modem.name'),
		'modem_entrance'=>getResource('client.expenses.modem.entrance'),
		'modem_floor'=>getResource('client.expenses.modem.floor'),
		'2'=>'--',
		'created'=>getResource('client.expenses.created'),
		'created_name'=>getResource('client.expenses.created.by'),
		'modified'=>getResource('client.expenses.modified'),
		'modified_name'=>getResource('client.expenses.modified.by'),
		'4'=>'--',
	),
);
if(isset($GLOBALS['oper']->system_access['worker_features'])){
	unset($obj['columns']['created']);
}

foreach($GLOBALS['mat_types'] as $type){
	//if($type['id'] > 3){
		$obj['columns']['m'.$type['id']] = array(
			'title'=>$type['name'],
			'align'=>'right',
//			'modes'=>'default',
		);
	//}
	$obj['aux_filters']['m'.$type['id']] = $type['name'];
}

if($GLOBALS['mode_tool']->getValue()==2){
	unset($obj['columns']['cable_type']);
}

$obj['columns'] = array_merge($obj['columns'],
	array(
		'created'=>array(
			'title'=>getResource('client.expenses.created'),
			'align'=>'center',
			'width'=>'12em',
			//'modes'=>'default',
		),
		'created_name'=>array(
			'title'=>getResource('client.expenses.created.by.2'),
			'link'=>'staff.php?id=[created_by]',
			//'modes'=>'default',
		),
	)
);

?>