<?
$obj = array(
	'name'=>'client_expenses_details',
	'nick'=>'c',
	'masters'=>array(
		'houses'=>array(
		'table'=>$GLOBALS['client_expenses'],
		'on'=>'id',
		'by'=>'expense',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_config_post, before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_config_post, after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'client_expenses_details c
	LEFT JOIN expense_material_types emt ON emt.id = c.material
	LEFT JOIN stamps st ON st.id=c.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'c.id',
		),
		
		'expense'=>array(
			'selector'=>'c.expense',
		),
		
		'material'=>array(
			'selector'=>'c.material',
		),
		
		'material_name'=>array(
			'selector'=>'emt.name',
		),
		
		'amount' => array(
			'selector' => 'amount',
		),
		
		'stamp'=>array(
			'selector'=>'c.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);

?>