<?
$obj = array(
	'name'=>'homedirs',
	'nick'=>'chms',
	'BeforePost'=>'before_homedir_post',
	'AfterPost'=>'after_homedir_post,after_logged_post',
	'masters'=>array(
		'clients'=>array(
			'table'=>$GLOBALS['clients'],
			'on'=>'id',
			'by'=>'client',
		),
	),
	'source'=>'homedirs h LEFT JOIN homedir_types ht ON ht.id=h.type',
	'fields'=>array(
		'id'=>array(
			'selector'=>'h.id',
			'key'=>1,
		),
		'client'=>array(
			'selector'=>'h.client',
			'desc'=>1,
		),
		'type'=>array(
			'selector'=>'h.type',
		),
		'type_name'=>array(
			'selector'=>'ht.name',
		),
		'quota'=>array(
			'selector'=>'CONCAT(FLOOR(ht.quota/1000), "M")',
		),
		'uid'=>array(
			'selector'=>'h.uid',
		),
		'login'=>array(
			'selector'=>'h.login',
			'desc'=>1,
		),
		'password'=>array(
			'selector'=>'h.password',
		),
		'description'=>array(
			'selector'=>'h.description',
		),
		'active'=>array(
			'selector'=>'h.active',
		),
	),
);
?>