<?
$obj = array(
	'name'=>'hosts',
	'nick'=>'sthts',
	'readonly'=>0,
	'BeforePost'=>'change_mac_only, before_computer_apply, before_stamped_post',
	'AfterPost'=>'after_computer_post, after_logged_post',
	'masters'=>array(
		'clients'=>array(
			'table'=>$GLOBALS['clients'],
			'on'=>'id',
			'by'=>'client',
		),
	),
	'source'=>'hosts h
	LEFT JOIN clients c ON c.id=h.client',
	'fields'=>array(
		'id'=>array(
			'selector'=>'h.id',
			'key'=>1,
		),
		'client'=>array(
			'selector'=>'h.client',
			'log_by'=>'client_name',
			'desc'=>1,
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'modem'=>array(
			'selector'=>'h.modem',
		),
		'ip'=>array(
			'desc'=>1,
			'selector'=>'h.ip',
			'order_by'=>'INET_ATON(h.ip)',
		),
		'mac'=>array(
			'selector'=>'h.mac',
		),
		'name'=>array(
			'selector'=>'h.name',
		),
		'port'=>array(
			'selector'=>'h.port',
		),
		'countable'=>array(
			'selector'=>'h.countable',
		),
		'countable_sign'=>array(
			'selector'=>'IF(h.countable, "+", "-")',
		),
	),
);
?>