<?
$obj = array(
	'name'=>'pp_uses',
	'nick'=>'ppu',
	'masters'=>array(
		'periods'=>array(
			'table'=>$GLOBALS['personal_periods'],
			'on'=>'id',
			'by'=>'personal_period',
		),
	),
	'source'=>'pp_uses ppu
	LEFT JOIN resource_types rt ON rt.id=ppu.resource_type
	LEFT JOIN src_names s ON s.id=ppu.src
	LEFT JOIN calendar_periods cp ON cp.id=ppu.calendar_period',
	'fields'=>array(
		'personal_period'=>array(
			'selector'=>'ppu.personal_period',
		),
		'resource_type'=>array(
			'selector'=>'ppu.resource_type',
		),
		'resource_type_name'=>array(
			'bin'=>1,
			'selector'=>'rt.name',
		),
		'calendar_period'=>array(
			'selector'=>'ppu.calendar_period',
		),
		'calendar_period_name'=>array(
			'selector'=>'date_format(from_unixtime((unix_timestamp(cp.period_begin) + unix_timestamp(cp.period_end))/2), "%Y-%m")',
		),
		'amount'=>array(
			'selector'=>'ppu.amount',
			'aggregate'=>'sum',
		),
		'unit_size'=>array(
			'selector'=>'ppu.unit_size',
		),
		'price_cur'=>array(
			'selector'=>'ppu.price/100',
		),
		'cost_cur'=>array(
			'selector'=>'ppu.cost/100',
			'aggregate'=>'sum',
		),
		'src'=>array(
			'selector'=>'ppu.src',
		),
		'src_name'=>array(
			'bin'=>1,
			'selector'=>'s.name',
		),
	),
);
?>