<?
$obj = array(
	'name'=>'clients',
	'source'=>'clients c
	LEFT JOIN houses h ON h.id=c.house_id
	LEFT JOIN streets s ON s.id=h.street
	LEFT JOIN connection_types ct ON ct.id=c.connection_type
	LEFT JOIN tv_types tt ON tt.id=c.tv_type
	LEFT JOIN calendar_account_states cas ON cas.account=c.account AND cas.calendar_period="'.getCurrentCalendarPeriod().'"',
	'fields'=>array(
		'id'=>array(
			'selector'=>'c.id',
			'key'=>1,
		),
		'account'=>array(
			'selector'=>'c.account',
		),
		'city'=>array(
			'selector'=>'c.city',
		),
		'login'=>array(
			'selector'=>'c.login',
		),
		'street_name'=>array(
			'selector'=>'s.name',
		),
		'house_id'=>array(
			'selector'=>'c.house_id',
		),
		'house'=>array(
			'selector'=>'h.house',
		),
		'entrance'=>array(
			'selector'=>'c.entrance',
		),
		'floor'=>array(
			'selector'=>'c.floor',
		),
		'apartment'=>array(
			'selector'=>'c.apartment',
		),
		'phone'=>array(
			'selector'=>'c.phone',
		),
		'first_name'=>array(
			'selector'=>'c.first_name',
		),
		'last_name'=>array(
			'selector'=>'c.last_name',
		),
		'patronymic'=>array(
			'selector'=>'c.patronymic',
		),
		'name'=>array(
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login ,")")',
		),
		'deposit'=>array(
			'selector'=>'ifnull(cas.state_end,0)',
		),
		'deposit_cur'=>array(
			'selector'=>'ifnull(cas.state_end,0)/100',
		),
		'connection_type'=>array(
			'selector'=>'c.connection_type',
		),
		'tv_type'=>array(
			'selector'=>'c.tv_type',
		),
		'notice'=>array(
			'selector'=>'c.notice',
		),
		'acl_pref'=>array(
			'selector'=>'c.acl_pref',
		),
		'connection_type_name'=>array(
			'selector'=>'ct.name',
		),
		'tv_type_name'=>array(
			'selector'=>'tt.name',
		),
		'tv_type_info'=>array(
			'selector'=>'tt.client_notes',
		),
		'contract'=>array(
			'selector'=>'c.contract',
		),
		'alarm'=>array(
			'selector'=>'c.alarm',
		),
		'alarm_cur'=>array(
			'selector'=>'c.alarm/100',
		),
		'block'=>array(
			'selector'=>'c.block',
		),
		'block_cur'=>array(
			'selector'=>'c.block/100',
		),
		'blockable'=>array(
			'selector'=>'c.blockable',
		),
	),
);
?>