<?
$obj = array(
	'name'=>'trouble_answers',
	'nick'=>'tans',
	'masters'=>array(
		'troubles'=>array(
			'table'=>$GLOBALS['troubles'],
			'on'=>'id',
			'by'=>'trouble',
		),
	),
	'source'=>'trouble_answers t
	LEFT JOIN stamps st ON st.id=t.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'t.id',
		),
		'trouble'=>array(
			'selector'=>'t.trouble',
		),
		'body'=>array(
			'selector'=>'t.body',
		),
		'role'=>array(
			'selector'=>'t.role',
		),
		'role_name'=>array(
			'selector'=>'case
				when t.role=1 then "'.getResource('trouble.answers.role.1').'"
				when t.role=2 then "'.getResource('trouble.answers.role.2').'"
				when t.role=3 then "'.getResource('trouble.answers.role.3').'"
				else "" end',
		),
		'stamp'=>array(
			'selector'=>'t.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>