<?
$obj = array(
	'fields'=>array(
		'account_type'=>array(
			'title'=>getResource('bonuses.account.type'),
			'link'=>'account_types.php?id=[account_type]',
			'required'=>1,
			'control'=>'select',
			'list'=>'getAccountTypes',
		),
		'priority'=>array(
			'title'=>getResource('bonuses.priority'),
			'readonly'=>1,
		),
		'actual_from'=>array(
			'title'=>getResource('bonuses.actual.from'),
			'control'=>'date',
			'with_time'=>1,
		),
		'actual_to'=>array(
			'title'=>getResource('bonuses.actual.to'),
			'control'=>'date',
			'with_time'=>1,
		),
		'lost_dst'=>array(
			'title'=>getResource('bonuses.lost.dst'),
			'comment'=>getResource('bonuses.lost.dst.comment'),
			'control'=>'select',
			'list'=>'getSystemDstAccounts',
			'link'=>'system_accounts.php?id=[lost_dst]',
		),
		'account_state'=>array(
			'readonly'=>1,
			'title'=>getResource('bonuses.state'),
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('bonuses.created'),
		),
		'created_name'=>array(
			'title'=>getResource('bonuses.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('bonuses.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('bonuses.modified.by'),
			'readonly'=>1,
		),
	),
);
?>