<?
$obj = array(
	'fields'=>array(
		'ip'=>array(
			'title'=>getResource('hosts.ip'),
			'required'=>1,
//			'comment'=>createIpCandidates('ip', $GLOBALS['hosts'], 3),
		),
		'mac'=>array(
			'title'=>getResource('hosts.mac'),
			'comment'=>getResource('hosts.form.mac.comment'),
			'format'=>$GLOBALS['fLowerCase'],
		),
		'name'=>array(
			'title'=>getResource('hosts.name'),
			'comment'=>getResource('hosts.form.name.comment'),
		),
		'domain'=>array(
			'title'=>getResource('hosts.domain'),
			//'control'=>'select',
			//'list'=>'getDomains',
			'link'=>'domains.php?id=[domain]',
			'control'=>'lookup',
			'label'=>'[domain_name]',
			'source'=>'?lookup=domain',
		),
		'modem'=>array(
			'title'=>getResource('hosts.modem'),
			'required'=>1,
			'link'=>'modems.php?id=[modem]',
			'control'=>'lookup',
			'label'=>'[modem_name] ([modem_ip])',
			'source'=>'?lookup=modem&city='.$GLOBALS['client']['city'],
			'id'=>'lookup_modem',
		),
		'port'=>array(
			'title'=>getResource('hosts.port'),
			'control'=>'short',
		),
		'vlan'=>array(
			'title'=>getResource('hosts.vlan'),
			'control'=>'short',
		),
		'countable'=>array(
			'title'=>getResource('hosts.countable'),
			'control'=>'checkbox',
			'default'=>'1',
		),
/*
		'login'=>array(
			'title'=>getResource('hosts.login'),
		),
		'password'=>array(
			'title'=>getResource('hosts.password'),
		),
*/
		'notes'=>array(
			'title'=>getResource('hosts.notes'),
			'control'=>'textarea',
			'height'=>6,
		),
		'modem_state_sign'=>array(
			'title'=>getResource('hosts.modem.state'),
			'readonly'=>1,
		),
		'pair_a_status_name'=>array(
			'title'=>getResource('hosts.pair.a.status'),
			'readonly'=>1,
		),
		'pair_b_status_name'=>array(
			'title'=>getResource('hosts.pair.b.status'),
			'readonly'=>1,
		),
		'pair_a_distance'=>array(
			'title'=>getResource('hosts.pair.a.distance'),
			'readonly'=>1,
		),
		'pair_b_distance'=>array(
			'title'=>getResource('hosts.pair.b.distance'),
			'readonly'=>1,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('hosts.created'),
		),
		'created_name'=>array(
			'title'=>getResource('hosts.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('hosts.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('hosts.modified.by'),
			'readonly'=>1,
		),
	),
);
?>