<?
$obj = array(
	'name'=>'clients_documents',
	'nick'=>'cldcs',
	'BeforeInsert'=>'before_stamped_insert, before_doc_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert, after_doc_post',
	'AfterPost'=>'after_logged_post, after_doc_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete, after_doc_delete',
	'source'=>'clients_documents a
	LEFT JOIN cities ci ON ci.id=a.city
	LEFT JOIN queries q ON q.id=a.query
	LEFT JOIN billing_storage.files f ON f.id=a.file
	LEFT JOIN stamps st ON st.id=a.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'a.id',
		),
		'city'=>array(
			'selector'=>'a.city',
			'nullable'=>1,
		),
		'city_name'=>array(
			'selector'=>'ci.name',
		),
		'query'=>array(
			'selector'=>'a.query',
			'nullable'=>1,
			'log_by'=>'query_name',
		),
		'query_name'=>array(
			'selector'=>'q.name',
		),
		'number'=>array(
			'selector'=>'a.number',
		),
		'notes'=>array(
			'selector'=>'a.notes',
			'desc'=>1,
		),
		'file'=>array(
			'selector'=>'a.file',
			'log_by'=>'file_name',
		),
		'file_name'=>array(
			'selector'=>'f.name',
		),
		'file_size'=>array(
			'selector'=>'f.size',
		),
		'file_type'=>array(
			'selector'=>'f.type',
		),
		'stamp'=>array(
			'selector'=>'a.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>