<?
$obj = array(
	'fields'=>array(
		'account_type'=>array(
			'title'=>getResource('connection.type.bonuses.account.type'),
			'required'=>1,
			'control'=>'select',
			'list'=>'getAccountTypes',
			'link'=>'account_types.php?id=[account_type]',
		),
		'start_src'=>array(
			'title'=>getResource('connection.type.bonuses.start.src'),
			'comment'=>getResource('connection.type.bonuses.start.src.comment'),
			'control'=>'select',
			'list'=>getSystemSrcAccounts(),
			'link'=>'system_accounts.php?id=[start_src]',
		),
		'start_amount'=>array(
			'title'=>getResource('connection.type.bonuses.start.amount'),
			'comment'=>getResource('connection.type.bonuses.start.amount.comment'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'positive'=>1,
			'default'=>0,
		),
		'end_dst'=>array(
			'title'=>getResource('connection.type.bonuses.end.dst'),
			'comment'=>getResource('connection.type.bonuses.end.dst.comment'),
			'control'=>'select',
			'list'=>getSystemDstAccounts(),
			'link'=>'system_accounts.php?id=[end_dst]',
		),
		'end_amount'=>array(
			'title'=>getResource('connection.type.bonuses.end.amount'),
			'comment'=>getResource('connection.type.bonuses.end.amount.comment'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'positive'=>1,
			'default'=>0,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('connection.type.bonuses.created'),
		),
		'created_name'=>array(
			'title'=>getResource('connection.type.bonuses.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('connection.type.bonuses.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('connection.type.bonuses.modified.by'),
			'readonly'=>1,
		),
	),
);
?>