<?
$obj = array(
	'fields'=>array(
		'tv_type'=>array(
			'title'=>getResource('connection.type.tv.type'),
			'required'=>1,
			'control'=>'select',
			'list'=>'getConTypeTvTypes',
			'link'=>'connection_types.php?ctmenu_selected=tv&id=[tv_type]',
		),
		'cost'=>array(
			'title'=>getResource('connection.type.tv.cost'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'positive'=>1,
			'default'=>0,
		),
		'message'=>array(
			'title'=>getResource('connection.type.tv.message'),
			'control'=>'textarea',
			'height'=>'6',
		),
		'replace_by'=>array(
			'title'=>getResource('connection.type.tv.replace.by'),
			'comment'=>getResource('connection.type.tv.replace.by.comment'),
			'control'=>'select',
			'list'=>'getLocalTvTypes',
			'link'=>'connection_types.php?ctmenu_selected=tv&id=[replace_by]',
		),
		'replace_after'=>array(
			'title'=>getResource('connection.type.tv.replace.after'),
			'comment'=>getResource('connection.type.tv.replace.after.comment'),
			'control'=>'short',
		),
		'replace_date'=>array(
			'title'=>getResource('connection.type.tv.replace.date'),
			'comment'=>getResource('connection.type.tv.replace.date.comment'),
			'control'=>'date',
			'with_time'=>1,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('tv.types.created'),
		),
		'created_name'=>array(
			'title'=>getResource('tv.types.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('tv.types.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('tv.types.modified.by'),
			'readonly'=>1,
		),
	),
);
?>