<?
$obj = array(
	'name'=>'connection_type_tv',
	'nick'=>'hptv',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post,before_con_tv_post',
	'BeforeDelete'=>'before_con_tv_delete',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'masters'=>array(
		'connection_types'=>array(
			'table'=>$GLOBALS['connection_types'],
			'on'=>'id',
			'by'=>'connection_type',
		),
	),
	'source'=>'connection_type_tv ctr
	LEFT JOIN connection_types ct ON ct.id=ctr.connection_type
	LEFT JOIN tv_types r ON r.id=ctr.tv_type
	LEFT JOIN tv_types rp ON rp.id=ctr.replace_by
	LEFT JOIN stamps st ON st.id=ctr.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'connection_type'=>array(
			'desc'=>1,
			'log_by'=>'connection_type_name',
			'selector'=>'ctr.connection_type',
		),
		'connection_type_name'=>array(
			'bin'=>1,
			'selector'=>'ct.name',
		),
		'tv_type'=>array(
			'key'=>1,
			'log_by'=>'tv_type_name',
			'selector'=>'ctr.tv_type',
		),
		'tv_type_name'=>array(
			'bin'=>1,
			'selector'=>'r.name',
		),
		'replace_by'=>array(
			'selector'=>'ctr.replace_by',
			'nullable'=>1,
			'log_by'=>'replace_by_name',
		),
		'replace_by_name'=>array(
			'selector'=>'rp.name',
		),
		'replace_after'=>array(
			'selector'=>'ctr.replace_after',
			'nullable'=>1,
		),
		'replace_date'=>array(
			'selector'=>'ctr.replace_date',
			'nullable'=>1,
		),
		'cost'=>array(
			'selector'=>'ctr.cost',
		),
		'cost_cur'=>array(
			'selector'=>'ctr.cost / 100',
		),
		'message'=>array(
			'selector'=>'ctr.message',
		),
		'stamp'=>array(
			'selector'=>'ctr.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>