<?

/**
 * @author tregub
 * @copyright 2010
 */

$obj = array(
	'name'=>'dispatching',
	'nick'=>'kpr',

	'BeforeInsert'=>'before_stamped_insert, check_disp_city',
	'BeforePost'=>'before_stamped_post, check_disp_city',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'dispatching d
	LEFT JOIN cities c ON c.id=d.city
	LEFT JOIN streets s ON s.id=d.street
	LEFT JOIN kpreos kp ON kp.id=d.kp_reo
	LEFT JOIN stamps st ON st.id=d.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'d.id',
		),
		'city'=>array(
			'selector'=>'d.city',
			'log_by'=>'city_name',
			'desc'=>1,
		),
		'city_name'=>array(
			'selector'=>'c.name',
		),
		'kp_reo'=>array(
			'selector'=>'d.kp_reo',
			'log_by'=>'kp_reo_name',
			'nullable'=>1,
		),
		'kp_reo_name'=>array(
			'selector'=>'kp.number',
		),
		'street'=>array(
			'selector'=>'d.street',
			'log_by'=>'street_name',
			'nullable'=>1,
		),
		'street_name'=>array(
			'selector'=>'s.name',
		),
		'house'=>array(
			'selector'=>'d.house',
		),
		'phone'=>array(
			'selector'=>'d.phone',
		),
		'notes'=>array(
			'selector'=>'d.notes',
		),
		'stamp'=>array(
			'selector'=>'d.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>