<?
$obj = array(
	'name'=>'documents',
	'nick'=>'dcs',
	'BeforeInsert'=>'before_stamped_insert, before_doc_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert, after_doc_post',
	'AfterPost'=>'after_logged_post, after_doc_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete, after_doc_delete',
	'source'=>'documents d
	LEFT JOIN my_doc_access mda ON mda.document=d.id
	LEFT JOIN billing_storage.files f ON f.id=d.file
	LEFT JOIN stamps st ON st.id=d.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'d.id',
		),
		'notes'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'d.notes',
		),
		'file'=>array(
			'selector'=>'d.file',
			'log_by'=>'file_name',
		),
		'file_name'=>array(
			'selector'=>'f.name',
		),
		'file_size'=>array(
			'selector'=>'f.size',
		),
		'file_type'=>array(
			'selector'=>'f.type',
		),
		'access_level'=>array(
			'selector'=>'mda.access_level',
		),
		'stamp'=>array(
			'selector'=>'d.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>