<?
$obj = array(
	'name'=>'domains',
	'nick'=>'dns',
	'BeforeInsert'=>'before_domain_post, before_stamped_insert',
	'BeforePost'=>'before_domain_post, before_stamped_post',
	'BeforeDelete'=>'before_domain_delete',
	'AfterInsert'=>'after_domain_post, after_logged_insert',
	'AfterPost'=>'after_domain_post, after_logged_post',
	'AfterDelete'=>'after_domain_delete, after_stamped_delete, after_logged_delete',
	'source'=>'domains d
	LEFT JOIN stamps st ON st.id=d.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'d.id',
		),
		'name'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'d.name',
		),
		'template'=>array(),
		'host_template'=>array(),
		'version'=>array(),
		'hidden'=>array(
			'selector'=>'d.hidden',
		),
		'hidden_sign'=>array(
			'selector'=>'IF(d.hidden, "+", "-")',
		),
		'stamp'=>array(
			'selector'=>'d.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>