<?
$obj = array(
	'name'=>'drweb_uses',
	'nick'=>'drw',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>' after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'drweb_uses dw
	LEFT JOIN clients c ON c.id = dw.client
	LEFT JOIN resource_uses ru ON ru.id=dw.resource_use
	LEFT JOIN stamps st ON st.id=dw.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'dw.id',
		),
		'client'=>array(
			'selector'=>'dw.client',
			'desc'=>1,
			'log_by'=>'client_name',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'resource_use'=>array(
			'selector'=>'dw.resource_use',
		),
		'period_begin'=>array(
			'desc'=>1,
			'selector'=>'dw.period_begin',
		),
		'period_end'=>array(
			'desc'=>1,
			'selector'=>'dw.period_end',
		),
		'stamp'=>array(
			'selector'=>'dw.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}
?>