<?
$obj = array(
	'fields'=>array(
		'state'=>array(
			'title'=>getResource('ecalls.state'),
			'required'=>1,
			'control'=>'select',
			'skip_finder'=>1,
			'list'=>array(
				'1'=>getResource('ecalls.state.1'),
				'2'=>getResource('ecalls.state.2'),
				'3'=>getResource('ecalls.state.3'),
				'4'=>getResource('ecalls.state.4'),
			),
		),
		'recall_date'=>array(
			'title'=>getResource('ecalls.recall.date'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
		),
		'refuse_reason'=>array(
			'title'=>getResource('ecalls.back.refuse.reason'),
			'control'=>'select',
			'list'=>array(
				1=>getResource('ecalls.back.refuse.reason.1'),
				2=>getResource('ecalls.back.refuse.reason.2'),
				3=>getResource('ecalls.back.refuse.reason.3'),
				4=>getResource('ecalls.back.refuse.reason.4'),
				5=>getResource('ecalls.back.refuse.reason.5'),
			),
		),
		'note'=>array(
			'title'=>getResource('ecalls.back.note'),
			'control'=>'textarea',
			'height'=>6,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('ecalls.back.created'),
		),
		'created_name'=>array(
			'title'=>getResource('ecalls.back.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('ecalls.back.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('ecalls.back.modified.by'),
			'readonly'=>1,
		),
	),
);
?>