<?
$obj = array(
	'fields'=>array(
		'src'=>array(
			'title'=>getResource('ecalls.src'),
			'required'=>1,
			'skip_finder'=>1,
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('ecalls.src.1'),
				'2'=>getResource('ecalls.src.2'),
				'3'=>getResource('ecalls.src.3'),
			)
		),
		'ecall_id'=>array(
			'title'=>getResource('ecalls.ecall.id'),
			'control'=>'short',
		),
		'street'=>array(
			'title'=>getResource('ecalls.street'),
		),
		'house'=>array(
			'title'=>getResource('ecalls.house'),
			'control'=>'short',
		),
		'assumed_house'=>array(
			'title'=>getResource('ecalls.assumed.house'),
			'required_by'=>'state',
			'required_if'=>'match:^[1-5]$',
			'comment'=>'[district_name]',
			'link'=>'houses.php?id=[assumed_house]',
			'control'=>'lookup',
			'label'=>'[street_name] [house]',
			'source'=>'?lookup=house',
			'id'=>'lookup_house',
		),
		'assumed_house_sign'=>array(
			'title'=>getResource('ecalls.house.zone'),
			'readonly'=>1,
		),
		'apartment'=>array(
			'title'=>getResource('ecalls.apartment'),
			'control'=>'short',
		),
		'contact'=>array(
			'title'=>getResource('ecalls.contact'),
		),
		'phone'=>array(
			'title'=>getResource('ecalls.phone'),
		),
		'mobile'=>array(
			'title'=>getResource('ecalls.mobile'),
		),
		'tariff'=>array(
			'title'=>getResource('ecalls.tariff'),
		),
		'connection_type_name'=>array(
			'title'=>getResource('ecalls.connection.type'),
			'readonly'=>1,
		),
		'tariff_tv'=>array(
			'title'=>getResource('ecalls.tariff.tv'),
			
		),
		'tv_type_name'=>array(
			'title'=>getResource('ecalls.tv.type'),
			'readonly'=>1,
			/*
			'control'=>'select',
			'list'=>'getTvTypes',
			'link'=>'connection_types.php?ctmenu_selected=tv&id=[tv_type]',
			*/
		),
		'concurent'=>array(
			'title'=>getResource('ecalls.concurent'),
		),
		'notes'=>array(
			'title'=>getResource('ecalls.notes'),
			'control'=>'textarea',
			'height'=>6,
		),
		'ecall_operator'=>array(
			'title'=>getResource('ecalls.ecall.operator'),
		),
		'date'=>array(
			'title'=>getResource('ecalls.sale.date'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
		),
		'state_name'=>array(
			'title'=>getResource('ecalls.state'),
			'comment'=>'<span id="toggleInfo"/>',
			'readonly'=>1
		),
		'filename'=>array(
			'title'=>getResource('ecalls.file'),
			'readonly'=>1,
		),
		'sale_date'=>array(
			'title'=>getResource('ecalls.date'),
			'readonly'=>1,
		),
		'created'=>array(
			'title'=>getResource('ecalls.created'),
			'readonly'=>1,
		),
		'created_name'=>array(
			'title'=>getResource('ecalls.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('ecalls.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('ecalls.modified.by'),
			'readonly'=>1,
		),
	),
);
?>