<?
$obj = array(
	'name'=>'exp_tasks',
	'nick'=>'exts',
	'masters'=>array(
		'points'=>array(
			'table'=>$GLOBALS['exp_executors'],
			'on'=>'id',
			'by'=>'executor',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert,after_task_post',
	'AfterPost'=>'after_logged_post,after_task_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete,after_task_delete',
	'source'=>'exp_tasks s
	LEFT JOIN stamps st ON st.id=s.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'s.id',
		),
		'name'=>array(
			'desc'=>1,
			'selector'=>'s.name',
		),
		'state'=>array(
			'selector'=>'s.state',
		),
		'state_name'=>array(
			'selector'=>'case s.state
				when 1 then "'.getResource('exp.tasks.state.1').'"
				when 2 then "'.getResource('exp.tasks.state.2').'"
				when 3 then "'.getResource('exp.tasks.state.3').'"
				else "" end',
		),
		'priority'=>array(
			'selector'=>'s.priority',
		),
		'priority_name'=>array(
			'selector'=>'case s.priority
				when 1 then "'.getResource('exp.tasks.priority.1').'"
				when 2 then "'.getResource('exp.tasks.priority.2').'"
				when 3 then "'.getResource('exp.tasks.priority.3').'"
				else "" end',
		),
		'begin_date'=>array(
			'selector'=>'s.begin_date',
		),
		'end_date'=>array(
			'selector'=>'s.end_date',
		),
		'description'=>array(
			'selector'=>'s.description',
		),
		'executor'=>array(
			'selector'=>'s.executor',
		),
		'current_state'=>array(
			'selector'=>'s.current_state',
		),
		'discharge'=>array(
			'selector'=>'s.discharge',
		),
		'file'=>array(
			'selector'=>'s.file',
		),
		'stamp'=>array(
			'selector'=>'s.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>