<?
$obj = array(
	'fields'=>array(
		'material'=>array(
			'type'=>'hidden',
			'default'=>$GLOBALS['exp_storages']->active_record['material'],
		),
		'place'=>array(
			'type'=>'hidden',
			'default'=>$GLOBALS['exp_storages']->active_record['place'],
		),
		'date'=>array(
			'title'=>getResource('exp.storages.out.date'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
			'required'=>1,
		),
		'amount'=>array(
			'title'=>getResource('exp.storages.out.amount'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'required'=>1,
		),
		'unit_name'=>array(
			'title'=>getResource('exp.storages.out.unit'),
			'readonly'=>1,
			'default'=>$GLOBALS['exp_storages']->active_record['unit_name'],
		),
		'executor'=>array(
			'title'=>getResource('exp.storages.out.executor'),
			'link'=>'exp_executors.php?id=[executor]',
			'control'=>'lookup',
			'label'=>'[executor_name]',
			'source'=>'?lookup=executor',
		),
		'task'=>array(
			'title'=>getResource('exp.storages.out.task'),
			'link'=>'exp_tasks.php?id=[task]',
			'control'=>'lookup',
			'label'=>'[task_name]',
			'source'=>'?lookup=task',
		),
		'notes'=>array(
			'title'=>getResource('exp.storages.out.notes'),
			'control'=>'textarea',
			'height'=>4,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('exp.storages.out.created'),
		),
		'created_name'=>array(
			'title'=>getResource('exp.storages.out.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('exp.storages.out.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('exp.storages.out.modified.by'),
			'readonly'=>1,
		),
	),
);
?>