<?
$obj = array(
	'name'=>'exp_storages_out',
	'nick'=>'exso',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert,recalc_storage_amount',
	'AfterPost'=>'after_logged_post,recalc_storage_amount',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete,recalc_storage_amount',
	'source'=>'exp_storages_out s
	LEFT JOIN exp_materials m ON m.id=s.material
	LEFT JOIN exp_executors e ON e.id=s.executor
	LEFT JOIN exp_tasks t ON t.id=s.task
	LEFT JOIN stamps st ON st.id=s.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'s.id',
		),
		'material'=>array(
			'desc'=>1,
			'selector'=>'s.material',
		),
		'unit_name'=>array(
			'selector'=>'case m.unit
				when 1 then "'.getResource('exp.materials.unit.1').'"
				when 2 then "'.getResource('exp.materials.unit.2').'"
				when 3 then "'.getResource('exp.materials.unit.3').'"
				when 4 then "'.getResource('exp.materials.unit.4').'"
				else "" end',
		),
		'place'=>array(
			'selector'=>'s.place',
		),
		'amount'=>array(
			'selector'=>'s.amount',
		),
		'amount_cur'=>array(
			'selector'=>'s.amount/100',
			'aggregate'=>'sum',
		),
		'date'=>array(
			'selector'=>'s.date',
		),
		'executor'=>array(
			'selector'=>'s.executor',
			'nullable'=>1,
		),
		'executor_name'=>array(
			'selector'=>'e.name',
		),
		'task'=>array(
			'selector'=>'s.task',
			'nullable'=>1,
		),
		'task_name'=>array(
			'selector'=>'t.name',
		),
		'notes'=>array(
			'selector'=>'s.notes',
		),
		'stamp'=>array(
			'selector'=>'s.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>