<?
$obj = array(
	'name'=>'exp_tools',
	'nick'=>'extl',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert, after_tools_post',
	'AfterPost'=>'after_logged_post, after_tools_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete, after_tools_delete',
	'source'=>'exp_tools s
	LEFT JOIN tools_awaiting ta ON ta.tool=s.id
	LEFT JOIN tools_storage ts ON ts.tool=s.id
	LEFT JOIN tools_exec te ON te.tool=s.id
	LEFT JOIN stamps st ON st.id=s.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'s.id',
		),
		'name'=>array(
			'desc'=>1,
			'selector'=>'s.name',
		),
		'amount'=>array(
			'selector'=>'s.amount',
			'aggregate'=>'sum',
		),
		'amount_exec'=>array(
			'selector'=>'IFNULL(te.amount,0)',
			'aggregate'=>'sum',
		),
		'amount_storage'=>array(
			'selector'=>'IFNULL(ts.amount,0)',
			'aggregate'=>'sum',
		),
		'amount_awaiting'=>array(
			'selector'=>'IFNULL(ta.amount,0)',
			'aggregate'=>'sum',
		),
		'amount_total'=>array(
			'selector'=>'IFNULL(te.amount,0) + IFNULL(ts.amount,0)',
			'aggregate'=>'sum',
		),
		'code'=>array(
			'selector'=>'s.code',
		),
		'description'=>array(
			'selector'=>'s.description',
		),
		'photo_file'=>array(
			'selector'=>'s.photo_file',
		),
		'stamp'=>array(
			'selector'=>'s.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>