<?
$obj = array(
	'fields'=>array(
		'city'=>array(
			'title'=>getResource('exp.trunks.city'),
			'link'=>'cities.php?id=[city]',
			'required'=>1,
			'control'=>'select',
			'list'=>'getCities',
			'skip_finder'=>1,
		),
		'begin_point'=>array(
			'title'=>getResource('exp.trunks.begin'),
			'required'=>1,
			'link'=>'exp_points.php?id=[begin_point]',
			'control'=>'lookup',
			'label'=>'[begin_point_name]',
			'source'=>'?lookup=point',
			'id'=>'lookup_begin',
		),
		'end_point'=>array(
			'title'=>getResource('exp.trunks.end'),
			'required'=>1,
			'link'=>'exp_points.php?id=[end_point]',
			'control'=>'lookup',
			'label'=>'[end_point_name]',
			'source'=>'?lookup=point',
			'id'=>'lookup_end',
		),
		'type'=>array(
			'title'=>getResource('exp.trunks.type'),
			'control'=>'select',
			'skip_finder'=>1,
			'list'=>array(
				'1'=>getResource('exp.trunks.type.1'),
				'2'=>getResource('exp.trunks.type.2'),
				'3'=>getResource('exp.trunks.type.3'),
			),
		),
		'material'=>array(
			'title'=>getResource('exp.trunks.material'),
			'link'=>'exp_materials.php?id=[material]',
			'control'=>'lookup',
			'label'=>'[material_name]',
			'source'=>'?lookup=material',
		),
		'length'=>array(
			'title'=>getResource('exp.trunks.length'),
			'control'=>'short',
		),
		'notes'=>array(
			'title'=>getResource('exp.trunks.notes'),
			'control'=>'textarea',
			'height'=>'4',
		),
		'executor'=>array(
			'title'=>getResource('exp.trunks.executor'),
			'link'=>'exp_materials.php?id=[executor]',
			'control'=>'lookup',
			'label'=>'[executor_name]',
			'source'=>'?lookup=executor',
		),
		'date'=>array(
			'title'=>getResource('exp.trunks.date'),
			'control'=>'date',
			'with_time'=>'1',
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('exp.trunks.created'),
		),
		'created_name'=>array(
			'title'=>getResource('exp.trunks.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('exp.trunks.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('exp.trunks.modified.by'),
			'readonly'=>1,
		),
	),
);
?>