<?

/**
 * @author tregub
 * @copyright 2010
 */

$obj = array(
	'name'=>'expense_material_job_types',
	'nick'=>'emjt',
	'masters'=>array(
			'distr'=>array(
				'table'=>$GLOBALS['expense_material_types'],
				'on'=>'id',
				'by'=>'material_type',
			),
		),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'BeforeDelete'=>'before_street_delete',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source' => 'expense_material_job_types tzd
	LEFT JOIN job_types jt ON jt.id = tzd.job_type
	LEFT JOIN stamps st ON st.id=tzd.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'material_type' => array('selector'=>'tzd.material_type'),
		'job_type'=>array(
			'selector'=>'tzd.job_type',
			'key'=>1,
		),
		/*'type_name'=>array(
			'desc'=>1,
			'selector'=>'case tzd.job_type '.
				'when 1 then "'.getResource('jobs.type.1').'" '.
				'when 2 then "'.getResource('jobs.type.2').'" '.
				'when 3 then "'.getResource('jobs.type.3').'" '.
				'when 4 then "'.getResource('jobs.type.4').'" '.
				'when 5 then "'.getResource('jobs.type.5').'" '.
				'end',
		),*/
		'type_name'=>array(
			'selector'=>'jt.name',
		),
		
		
		'stamp'=>array(
			'selector'=>'tzd.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>