<?
$obj = array(
	'id'=>'id',
	'menu'=>array(
		'PrintById'=>getResource('grid.print'),
	),
	'modes'=>array(
		'population'=>getResource('houses.modes.population'),
		'served_by'=>getResource('houses.modes.served.by'),
	),
	'columns'=>array(
		'city_name'=>array(
			'title'=>getResource('houses.city'),
			'link'=>'cities.php?id=[city]',
		),
		'admin_name'=>array(
			'title'=>getResource('houses.admin'),
			'link'=>'admin_districts.php?id=[admin]',
		),
		'district_name'=>array(
			'title'=>getResource('houses.district'),
			'link'=>'districts.php?id=[district]',
			'count'=>1,
			'footer_prefix'=>getResource('houses.count').' ',
		),
		'street_name'=>array(
			'title'=>getResource('houses.street'),
			'link'=>'streets.php?id=[street]',
		),
		'house'=>array(
			'title'=>getResource('houses.house'),
			'align'=>'right',
			'width'=>'4em',
		),
		'floors'=>array(
			'title'=>getResource('houses.floors'),
			'align'=>'right',
			'width'=>'7em',
		),
		'entrances'=>array(
			'title'=>getResource('houses.entrances'),
			'align'=>'right',
			'width'=>'8em',
		),
		'appartments'=>array(
			'title'=>getResource('houses.appartments'),
			'align'=>'right',
			'width'=>'7em',
		),
		
		'clients'=>array(
			'title'=>getResource('houses.clients'),
			'align'=>'right',
			'modes'=>'population',
		),
		'clients_tv'=>array(
			'title'=>getResource('houses.clients.tv'),
			'align'=>'right',
			'modes'=>'population',
		),
		'population'=>array(
			'title'=>getResource('houses.population'),
			'align'=>'right',
			'format'=>'format_percent',
			'modes'=>'population',
		),
		'population_tv'=>array(
			'title'=>getResource('houses.population.tv'),
			'align'=>'right',
			'format'=>'format_percent',
			'modes'=>'population',
		),
		
		'served_by_name'=>array(
			'title'=>getResource('houses.served.by'),
			'modes'=>'served_by',
		),
		'koop_name'=>array(
			'title'=>getResource('houses.koop'),
			'link'=>'koops.php?id=[koop]',
			'modes'=>'served_by',
		),
		'kpreo_number'=>array(
			'title'=>getResource('houses.kpreo'),
			'link'=>'kpreos.php?id=[kpreo]',
			'modes'=>'served_by',
		),
		'tie_name'=>array(
			'title'=>getResource('entrances.tie'),
			'align'=>'center',
			'width'=>'5em',
		),
		'entrance_type'=>array(
			'title'=>getResource('houses.entrance.type'),
			'align'=>'center',
			'width'=>'6em',
		),
		'internet_int'=>array(
			'title'=>getResource('houses.internet'),
			'width'=>'2em',
			'cell_renderer'=>$GLOBALS['UpCellRenderer'],
			'align'=>'center',
		),
		'tv_int'=>array(
			'title'=>getResource('houses.tv'),
			'width'=>'2em',
			'cell_renderer'=>$GLOBALS['UpCellRenderer'],
			'align'=>'center',
		),
		'verified_sign'=>array(
			'title'=>getResource('houses.verified.short'),
			'comment'=>getResource('houses.verified'),
			'width'=>'2em',
			'cell_renderer'=>$GLOBALS['UpCellRenderer'],
			'align'=>'center',
		),
	),
	'aux_count'=>2,
	'aux_filters'=>array(
		'admin_name'=>getResource('houses.admin'),
		'district_name'=>getResource('houses.district'),
		'street_name'=>getResource('houses.street'),
		'house'=>getResource('houses.house'),
		'coords'=>getResource('houses.coords'),
		'show_on_map_sign'=>getResource('houses.show.on.map'),
		'state_name'=>getResource('houses.state'),
		'queries'=>getResource('houses.queries'),
		'floors'=>getResource('houses.floors'),
		'house_state_sign'=>getResource('houses.house_state'),
		'entrances'=>getResource('houses.entrances'),
		'appartments'=>getResource('houses.appartments'),
		'clients'=>getResource('houses.clients'),
		'population'=>getResource('houses.population'),
		'served_by_name'=>getResource('houses.served.by'),
		'kpreo_number'=>getResource('houses.kpreo'),
		'koop_name'=>getResource('houses.koop'),
		'contract_name'=>getResource('houses.contract'),
		'post_office'=>getResource('houses.post.office'),
		'notes'=>getResource('houses.notes'),
		'internet_name'=>getResource('houses.internet_int'),
		'link_up_internet'=>getResource('houses.link_up_internet'),
		'tv_name'=>getResource('houses.tv_int'),
		'link_up_tv'=>getResource('houses.link_up_tv'),
		'entrance_type'=>getResource('houses.entrance.type'),
		'verified_sign'=>getResource('houses.verified'),
		'4'=>'--',
		'created'=>getResource('houses.created'),
		'created_name'=>getResource('houses.created.by'),
		'modified'=>getResource('houses.modified'),
		'modified_name'=>getResource('houses.modified.by'),
	),
);
?>