<?
$obj = array(
	'can_insert'=>!$GLOBALS['job']['client_id'],
	'can_delete'=>0,
	'fields'=>array(
		'last_name'=>array(
			'title'=>getResource('clients.last_name'),
			'required'=>1,
			'default'=>$GLOBALS['defaults']['last_name'],
		),
		'first_name'=>array(
			'title'=>getResource('clients.first_name'),
			'default'=>$GLOBALS['defaults']['first_name'],
		),
		'patronymic'=>array(
			'title'=>getResource('clients.patronymic'),
			'default'=>$GLOBALS['defaults']['patronymic'],
		),
		'connection_type'=>array(
			'title'=>getResource('clients.connection.type'),
			'control'=>'select',
			'required'=>1,
			'list'=>'getPublicConnectionTypes2',
			'link'=>'connection_types.php?id=[connection_type]',
		),
		'tv_type'=>array(
			'title'=>getResource('clients.tv.type'),
			//'control'=>'select',
			//'list'=>'getTvTypes',
			//'link'=>'connection_types.php?ctmenu_selected=tv&id=[tv_type]',
			'control'=>'lookup',
			'label'=>'[tv_type_name]',
			'source'=>'?lookup=tv_type&job_type='.$GLOBALS['job']['type'],
			'id'=>'lookup_tv',
		),
		'department'=>array(
			'title'=>getResource('clients.department'),
			'control'=>'select',
			'required'=>1,
			'list'=>'getPublicDepartments',
			'link'=>'departments.php?id=[department]',
		),
		'city'=>array(
			'title'=>getResource('clients.city'),
			'type'=>'hidden',
			'default'=>$GLOBALS['job']['city'],
		),
		'house_id'=>array(
			'title'=>getResource('clients.house'),
			'default'=>$GLOBALS['defaults']['house'],
			'required'=>1,
			'link'=>'houses.php?id=[house_id]',
			'control'=>'lookup',
			'label'=>'[street_name] [house]',
			'source'=>'?lookup=house&city='.$GLOBALS['job']['city'],
			'id'=>'lookup_house',
		),
		'entrance'=>array(
			'title'=>getResource('clients.entrance'),
			'positive'=>1,
			'control'=>'short',
			'default'=>$GLOBALS['job']['entrance'],
		),
		'floor'=>array(
			'title'=>getResource('clients.floor'),
			'positive'=>1,
			'control'=>'short',
			'default'=>$GLOBALS['job']['floor'],
		),
		'apartment'=>array(
			'title'=>getResource('clients.apartment'),
			'control'=>'short',
			'default'=>$GLOBALS['job']['apartment'],
		),
		'surveyor'=>array(
			'title'=>getResource('clients.surveyor'),
			'control'=>'short',
		),
		'phone'=>array(
			'title'=>getResource('clients.phone'),
			'comment'=>getResource('clients.phone.comment'),
		),
/*		'mobile'=>array(
			'title'=>getResource('clients.mobile'),
		),*/
		'passport'=>array(
			'title'=>getResource('clients.passport'),
		),
		'passport_info'=>array(
			'title'=>getResource('clients.passport.info'),
			'control'=>'textarea',
			'height'=>3,
		),
		'bank_account'=>array(
			'title'=>getResource('clients.bank.account'),
		),
		'contract'=>array(
			'title'=>getResource('clients.contract'),
			'readonly'=>1,
			'default'=>$GLOBALS['job']['contract'],
		),
		'login'=>array(
			'title'=>getResource('clients.login'),
			'comment'=>'<span id="loginMessage"></span>',
			'required'=>1,
		),
		'pass'=>array(
			'title'=>getResource('clients.password'),
			'control'=>'password',
			'with_confirm'=>1,
		),
		'email'=>array(
			'title'=>getResource('clients.email'),
			'comment'=>getResource('clients.form.email.comment'),
			'email'=>1,
		),
		'notes'=>array(
			'title'=>getResource('clients.notes'),
			'control'=>'textarea',
			'height'=>6,
		),
	),
);
if($GLOBALS['oper']->department){
	unset($obj['fields']['department']);
}

?>