<?
$obj = array(
	'name'=>'entrances',
	'nick'=>'hfss',
	'BeforeInsert'=>'before_stamped_insert, check_entrance_connection',
	'BeforePost'=>'before_stamped_post, check_entrance_connection',
	'AfterInsert'=>'after_logged_insert, recalc_entrnaces, update_jobs_entrances',
	'AfterPost'=>'after_logged_post, update_jobs_entrances',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete, recalc_entrnaces',
	'source'=>'entrances e
	LEFT JOIN houses h ON h.id=e.house
	LEFT JOIN streets s ON s.id=h.street
	LEFT JOIN stamps st ON st.id=e.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'e.id',
		),
		'house' => array(
			'selector' => 'e.house',
			'desc'=>1,
			'log_by'=>'house_name',
		),
		'number'=>array(
			'selector'=>'e.number',
			'desc'=>1,
		),
		'house_name'=>array(
			'selector'=>'CONCAT(s.name, " ", h.house)',
			'title'=>getResource('clients.house'),
		),
		'type'=>array(
			'selector'=>'e.type',
			'log_by'=>'type_name',
		),
		'type_name'=>array(
			'selector'=>'case
				when e.type=0 then "'.getResource('entrances.type.0').'"
				when e.type=1 then "'.getResource('entrances.type.1').'"
				else "" end',
		),
		'internet'=>array(
			'selector'=>'e.internet',
			'log_by'=>'internet_sign',
		),
		'internet_sign'=>array(
			'selector'=>'case e.internet
				WHEN 0 THEN "-"
				WHEN 1 THEN "+"
				ELSE "" END',
		),
		'tv'=>array(
			'selector'=>'e.tv',
			'log_by'=>'tv_sign',
		),
		'tv_sign'=>array(
			'selector'=>'case e.tv
				WHEN 0 THEN "-"
				WHEN 1 THEN "+"
				ELSE "" END',
		),
		'tie'=>array(
			'selector'=>'e.tie',
			'log_by'=>'tie_name',
		),
		'tie_sign'=>array(
			'selector'=>'case e.tie
				when 1 then "'.getResource('entrances.tie.sign.1').'"
				when 2 then "'.getResource('entrances.tie.sign.2').'"
				when 3 then "'.getResource('entrances.tie.sign.3').'"
				else "" end',
		),
		'tie_name'=>array(
			'selector'=>'case e.tie
				when 1 then "'.getResource('entrances.tie.1').'"
				when 2 then "'.getResource('entrances.tie.2').'"
				when 3 then "'.getResource('entrances.tie.3').'"
				else "" end',
		),
		'stamp'=>array(
			'selector'=>'e.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>