<?
$obj = array(
	'name'=>'houses',
	'nick'=>'hss',
	'source'=>'houses h
	LEFT JOIN streets s ON s.id=h.street
	LEFT JOIN districts d ON d.id=h.district
	LEFT JOIN admin_districts a ON a.id=d.admin
	LEFT JOIN kpreos k ON k.id=h.kpreo
	LEFT JOIN koops ko ON ko.id=h.koop',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'h.id',
		),
		'street'=>array(
			'selector'=>'h.street',
			'nullable'=>1,
		),
		'street_name'=>array(
			'selector'=>'s.name',
		),
		'house'=>array(
			'desc'=>1,
			'selector'=>'h.house',
		),
		'district'=>array(
			'selector'=>'h.district',
			'nullable'=>1,
		),
		'district_name'=>array(
			'selector'=>'d.name',
		),
		'admin'=>array(
			'selector'=>'d.admin',
		),
		'admin_name'=>array(
			'selector'=>'a.name',
		),
		'kpreo'=>array(
			'selector'=>'h.kpreo',
			'nullable'=>1,
		),
		'kpreo_number'=>array(
			'selector'=>'k.number',
		),
		'koop'=>array(
			'selector'=>'h.koop',
			'nullable'=>1,
		),
		'koop_name'=>array(
			'selector'=>'ko.name',
		),
		'state'=>array(
			'selector'=>'h.state',
			'nullable'=>1,
		),
		'state_name'=>array(
			'selector'=>'case
				when h.state=1 then "'.getResource('houses.state.1').'"
				when h.state=2 then "'.getResource('houses.state.2').'"
				when h.state=3 then "'.getResource('houses.state.3').'"
				when h.state=4 then "'.getResource('houses.state.4').'"
				else "" end',
		),
		'queries'=>array(
			'selector'=>'h.queries',
		),
		'floors'=>array(
			'selector'=>'h.floors',
			'nullable'=>1,
		),
		'entrances'=>array(
			'selector'=>'h.entrances',
			'nullable'=>1,
			'aggregate'=>'sum',
		),
		'appartments'=>array(
			'selector'=>'h.appartments',
			'nullable'=>1,
			'aggregate'=>'sum',
		),
		'served_by'=>array(
			'selector'=>'h.served_by',
			'nullable'=>1,
		),
		'served_by_name'=>array(
			'selector'=>'case
				when h.served_by=1 then "'.getResource('houses.served.by.1').'"
				when h.served_by=2 then "'.getResource('houses.served.by.2').'"
				when h.served_by=3 then "'.getResource('houses.served.by.3').'"
				when h.served_by=4 then "'.getResource('houses.served.by.4').'"
				else "" end',
		),
		'contract'=>array(
			'selector'=>'h.contract',
		),
		'contract_name'=>array(
			'selector'=>'case h.contract
				when 1 then "'.getResource('houses.contract.1').'"
				when 2 then "'.getResource('houses.contract.2').'"
				else "" end',
		),
		'notes'=>array(
			'selector'=>'h.notes',
			'nullable'=>1,
		),
		
	),
);
?>