<?
$obj = array(
	'name'=>'jobs',
	'nick'=>'jjbs',
	'source'=>'jobs j
	LEFT JOIN streets s ON s.id=j.street
	LEFT JOIN job_types jt ON jt.id = j.type
	LEFT JOIN staff sf ON sf.id=j.worker
	LEFT JOIN stamps st ON st.id=j.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'j.id',
		),
		'street'=>array(
			'selector'=>'j.street',
			'nullable'=>1,
		),
		'street_name'=>array(
			'selector'=>'s.name',
			'desc'=>1,
		),
		'house'=>array(
			'selector'=>'j.house',
			'desc'=>1,
			'nullable'=>1,
		),
		'entrance'=>array(
			'selector'=>'j.entrance',
			'nullable'=>1,
		),
		'floor'=>array(
			'selector'=>'j.floor',
			'nullable'=>1,
		),
		'apartment'=>array(
			'selector'=>'j.apartment',
			'nullable'=>1,
		),
		'client'=>array(
			'selector'=>'j.client',
		),
		'client_id'=>array(
			'selector'=>'j.client_id',
			'nullable'=>1,
		),
		'phone'=>array(
			'selector'=>'j.phone',
		),
		'type'=>array(
			'selector'=>'j.type',
			'nullable'=>1,
		),
		'alarm'=>array(
			'selector'=>'j.alarm',
		),
		'type_name'=>array(
			'selector'=>'jt.name',
		),
		'worker'=>array(
			'selector'=>'j.worker',
			'nullable'=>1,
		),
		'worker_name'=>array(
			'selector'=>'sf.name',
		),
		'date'=>array(
			'selector'=>'j.date',
			'desc'=>1,
		),
		'time'=>array(
			'selector'=>'date_format(date, "%H:%i")',
		),
		'notes'=>array(
			'selector'=>'j.notes',
		),
		'state'=>array(
			'selector'=>'j.state',
		),
		'state_name'=>array(
			'selector'=>'case j.state '.
				"when 1 then '".getResource('jobs.state.1')."' ".
				"when 2 then '".getResource('jobs.state.2')."' ".
				"when 3 then '".getResource('jobs.state.3')."' ".
				"when 4 then '".getResource('jobs.state.4')."' ".
				"when 5 then '".getResource('jobs.state.5')."' ".
				"end",
		),
		'found_by'=>array(
			'selector'=>'j.found_by',
		),
		'found_by_client'=>array(
			'selector'=>'j.found_by_client',
			'nullable'=>1,
		),
		'found_by_memo'=>array(
			'selector'=>'j.found_by_memo',
		),
		'stamp'=>array(
			'selector'=>'j.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>