<?
$obj = array(
	'name'=>'koops_files',
	'nick'=>'fs',
	'masters'=>array(
		'koops'=>array(
			'table'=>$GLOBALS['koops'],
			'on'=>'id',
			'by'=>'koop',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert, upload_photo',
	'AfterPost'=>'after_logged_post, upload_photo',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete, delete_photo',
	'source'=>'koops_files e
	LEFT JOIN billing_storage.files f ON f.id=e.file
	LEFT JOIN stamps st ON st.id=e.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'e.id',
		),
		'file'=>array(
			'selector'=>'e.file',
		),
		'file_name'=>array(
			'selector'=>'f.name',
		),
		'file_type'=>array(
			'selector'=>'f.type',
		),
		'file_size'=>array(
			'selector'=>'f.size',
		),
		'koop'=>array(
			'desc'=>1,
			'selector'=>'e.koop',
		),
		'notes'=>array(
			'selector'=>'e.notes',
		),
		'stamp'=>array(
			'selector'=>'e.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>