<?
$obj = array(
	'anchor_by'=>'exm',
	'fields'=>array(
		'date'=>array(
			'title'=>getResource('koop.pays.date'),
			'control'=>'date',
			'required'=>1,
			'set_day'=>1,
			'set_time'=>'00:00:00',
			'default'=>date("Y-m-d 00:00:00"),
		),
		'status'=>array(
			'title'=>getResource('koop.pays.status'),
			'required'=>1,
			'control'=>'select',
			'skip_finder'=>1,
			'list'=>array(
				'1'=>getResource('koop.pays.status.1'),
				'2'=>getResource('koop.pays.status.2'),
				'3'=>getResource('koop.pays.status.3'),
			),
		),
		'act'=>array(
			'title'=>getResource('koop.pays.act'),
			'required'=>1,
			'control'=>'select',
			'skip_finder'=>1,
			'list'=>array(
				'1'=>getResource('koop.pays.act.1'),
				'2'=>getResource('koop.pays.act.2'),
				'3'=>getResource('koop.pays.act.3'),
			),
		),
		'file1'=>array(
			'title'=>getResource('koop.pays.act.file'),
			'comment'=>showFieldLink('pays', 'act_file'),
			'control'=>'file',
			'size'=>42,
		),
		'amount'=>array(
			'title'=>getResource('koop.pays.amount'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'required'=>1,
			'default'=>$GLOBALS['koop']['pay_amount'],
		),
		'notes'=>array(
			'title'=>getResource('koop.pays.notes'),
			'control'=>'textarea',
			'height'=>4,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('koop.pays.created'),
		),
		'created_name'=>array(
			'title'=>getResource('koop.pays.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('koop.pays.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('koop.pays.modified.by'),
			'readonly'=>1,
		),
	),
);
?>