<?
$obj = array(
	'fields'=>array(
		'street'=>array(
			'title'=>getResource('houses.street'),
			'link'=>'streets.php?id=[street]',
			'control'=>'select',
			'list'=>'getStreets',
			'required'=>1,
		),
		'house'=>array(
			'title'=>getResource('houses.house'),
			'navigator'=>1,
			'control'=>'short',
			'required'=>1,
		),

		'floors'=>array(
			'title'=>getResource('houses.floors'),
			'comment'=>getResource('houses.floors.comment'),
			'control'=>'short',
		),
		'entrances'=>array(
			'title'=>getResource('houses.entrances'),
			'control'=>'short',
		),
		'appartments'=>array(
			'title'=>getResource('houses.appartments'),
			'control'=>'short',
		),
		'clients'=>array(
			'title'=>getResource('houses.clients'),
			'comment'=>getResource('houses.clients.comment'),
			'readonly'=>1,
		),
		'population'=>array(
			'title'=>getResource('houses.population'),
			'comment'=>getResource('houses.population.comment'),
			'readonly'=>1,
			'format'=>$GLOBALS['form_percent'],
		),

		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('houses.created'),
		),
		'created_name'=>array(
			'title'=>getResource('houses.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('houses.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('houses.modified.by'),
			'readonly'=>1,
		),
	),
);
?>