<?
$obj = array(
	'name'=>'mailbox_types',
	'nick'=>'mts',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'BeforeDelete'=>'before_mailbox_type_delete',
	'AfterInsert'=>'after_mailbox_type_insert, after_logged_insert',
	'AfterPost'=>'after_mailbox_type_post, after_logged_post',
	'AfterDelete'=>'after_mailbox_type_delete, after_stamped_delete, after_logged_delete',
	'source'=>'mailbox_types t
	LEFT JOIN stamps st ON st.id=t.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'t.id',
		),
		'name'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'t.name',
		),
		'domain'=>array(
			'selector'=>'t.domain',
		),
		'boxsize'=>array(),
		'mailsize'=>array(),
		'stamp'=>array(
			'selector'=>'t.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>