<?
$obj = array(
	'menu'=>array(
		'PrintById'=>getResource('grid.print'),
	),
	'modes'=>array(
		'default'=>getResource('movements.view.default'),
		'reports'=>getResource('movements.view.reports'),
		'stamps'=>getResource('movements.view.stamps'),
	),
	'id'=>'id',
	'columns'=>array(
		'city_name'=>array(
			'title'=>getResource('movements.city'),
			'link'=>'cities.php?id=[city]',
			'width'=>'9em',
		),
		'src_type'=>array(
			'title'=>'',
			'align'=>'center',
			'width'=>'1em',
		),
		'src_name'=>array(
			'title'=>getResource('movements.src'),
			'link'=>'src_link',
			'count'=>1,
			'footer_prefix'=>getResource('movements.count').' ',
		),
		'dst_type'=>array(
			'title'=>'',
			'align'=>'center',
			'width'=>'1em',
		),
		'dst_name'=>array(
			'title'=>getResource('movements.dst'),
			'link'=>'dst_link',
		),
		'client_name'=>array(
			'title'=>getResource('movements.client'),
			'link'=>'clients.php?id=[client]',
			'modes'=>'reports',
		),
		'connection_type_name'=>array(
			'title'=>getResource('clients.connection.type'),
			'link'=>'connection_types.php?id=[connection_type]',
			'modes'=>'reports',
		),
		'tv_type_name'=>array(
			'title'=>getResource('clients.tv.type'),
			'link'=>'connection_types.php?ctmenu_selected=tv&id=[tv_type]',
			'modes'=>'reports',
		),
		'street_name'=>array(
			'title'=>getResource('clients.street'),
			'link'=>'streets.php?id=[street]',
			'modes'=>'default',
		),
		'house'=>array(
			'title'=>getResource('clients.house'),
			'link'=>'houses.php?id=[house_id]',
			'align'=>'right',
			'width'=>'2em',
			'modes'=>'default',
		),
		'apartment'=>array(
			'title'=>getResource('clients.grid.apartment'),
			'width'=>'2em',
			'align'=>'right',
			'modes'=>'default',
		),
		'amount_cur'=>array(
			'title'=>getResource('movements.amount'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'width'=>'7.1em',
		),
		'date'=>array(
			'title'=>getResource('movements.date'),
			'align'=>'center',
			'width'=>'11em',
			'format'=>'fmt_nowrap',
			'order'=>'desc',
		),
		'label'=>array(
			'title'=>getResource('movements.label'),
		),
		'created_name'=>array(
			'title'=>getResource('movements.created.by'),
		),
		'created'=>array(
			'title'=>getResource('movements.created'),
			'align'=>'center',
			'modes'=>'stamps,reports',
			'format'=>'fmt_nowrap',
			'width'=>'11em',
			'order'=>'desc',
		),
		'created_name'=>array(
			'title'=>getResource('movements.created.by'),
			'link'=>'staff.php?id=[created_person]',
		),
		'modified'=>array(
			'title'=>getResource('movements.modified'),
			'align'=>'center',
			'modes'=>'stamps',
			'format'=>'fmt_nowrap',
			'order'=>'desc',
		),
		'modified_name'=>array(
			'title'=>getResource('movements.modified.by'),
			'modes'=>'stamps',
		),
		'note'=>array(
			'title'=>getResource('movements.note'),
			'format'=>'nl2br',
			'modes'=>'default,reports',
		),
	),
	'aux_count'=>2,
	'aux_filters'=>array(
		'city_name'=>getResource('movements.city'),
		'src_type'=>getResource('movements.src.type'),
		'src_name'=>getResource('movements.src'),
		'dst_type'=>getResource('movements.dst.type'),
		'dst_name'=>getResource('movements.dst'),
		'street_name'=>getResource('clients.street'),
		'house'=>getResource('clients.house'),
		'apartment'=>getResource('clients.apartment'),
		'amount_cur'=>getResource('movements.amount'),
		'date'=>getResource('movements.date'),
		'note'=>getResource('movements.note'),
		'1'=>'--',
		'created'=>getResource('movements.created'),
		'created_name'=>getResource('movements.created.by'),
		'modified'=>getResource('movements.modified'),
		'modified_name'=>getResource('movements.modified.by'),
	),
);
?>