<?
$obj = array(
	'name'=>'notifications',
	'nick'=>'n',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete,after_logged_delete',
	'source'=>'notifications w
	LEFT JOIN ranks r ON r.id=w.rank
	LEFT JOIN cities ci ON ci.id=w.city
	LEFT JOIN stamps st ON st.id=w.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'w.id',
		),
		'city'=>array(
			'selector'=>'w.city',
			'log_by'=>'city_name',
			'nullable'=>1,
		),
		'city_name'=>array(
			'selector'=>'ci.name',
		),
		'name'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'w.name',
		),
		
		'section_name'=>array(
			'selector'=>'case
				when w.section=1 then "'.getResource('notifications.section.1').'"
				when w.section=2 then "'.getResource('notifications.section.2').'"
				when w.section=3 then "'.getResource('notifications.section.3').'"
				when w.section=4 then "'.getResource('notifications.section.4').'"
				when w.section=5 then "'.getResource('notifications.section.5').'"
				else "" end',
		),
		
		'rank'=>array(
			'selector'=>'w.rank',
			'nullable'=>1,
			'log_by'=>'rank_name',
		),
		
		'rank_name'=>array(
			'selector'=>'r.name',
		),
		
		'message' =>array(
			'selector' => 'w.message'
		),
		
		'show_begin' =>array(
			'selector' => 'w.show_begin',
			'nullable'=>1,
		),
		
		'show_end' =>array(
			'selector' => 'w.show_end',
			'nullable'=>1,
		),
		
		'show_mode'=>array(
			'selector'=>'w.show_mode',
		),
		
		'section' =>array(
			'selector' => 'w.section',
			'nullable'=>1,
			'log_by'=>'section_name',
		),
		
		'stamp'=>array(
			'selector'=>'w.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>