<?
$obj = array(
	'name'=>'operators_cities',
	'nick'=>'opcis',
	'masters'=>array(
		'operators'=>array(
			'table'=>$GLOBALS['operators'],
			'on'=>'id',
			'by'=>'operator',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'operators_cities s
	LEFT JOIN cities c ON c.id=s.city
	LEFT JOIN operators o ON o.id=s.operator
	LEFT JOIN stamps st ON st.id=s.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'operator'=>array(
			'selector'=>'s.operator',
			'desc'=>1,
			'log_by'=>'operator_name',
		),
		'operator_name'=>array(
			'selector'=>'o.name',
		),
		'city'=>array(
			'selector'=>'s.city',
			'key'=>1,
			'log_by'=>'city_name',
			'desc'=>1,
		),
		'city_name'=>array(
			'selector'=>'c.name',
		),
		'stamp'=>array(
			'selector'=>'s.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>