<?
$obj = array(
	'nick'=>'palo',
	'fields'=>array(
		'file'=>array(
			'title'=>getResource('pays.import.file'),
			'required'=>1,
			'control'=>'file',
			'retriving'=>'Upload',
		),
		'format'=>array(
			'title'=>getResource('pays.import.format'),
			'required'=>1,
			'control'=>'select',
			'value'=>'PravexImport',
			'list'=>array(
				'PravexImport1'=>'Pravex:   ',
				'PravexImport2'=>'Pravex: ',
				'PrivateImport'=>'Private:  ',
				'CreditDnieper'=>' : ',
				'sd_DBFImport_bank'=>': bank.dbf',
				'sd_DBFImport_mail'=>': mail.dbf',
				'sd_PrivateImport'=>': Private Internet (txt)',
				'sd_DBFImport_private_tv'=>': Private TV (dbf)',
				'sd_UKC'=>':  (txt)',
			),
		),
		'src'=>array(
			'title'=>getResource('pays.import.src'),
			'control'=>'select',
			'required'=>1,
			'list'=>'getSystemSrcAccounts',
			'default'=>1,
		),
		'calendar_period'=>array(
			'title'=>getResource('pays.import.calendar.period'),
			'control'=>'select',
			'list'=>'getCalendarPeriods',
			'value'=>getCurrentCalendarPeriod(),
			'required'=>1,
		),
		'date'=>array(
			'title'=>getResource('pays.import.date'),
			'control'=>'date',
			'with_time'=>1,
			'value'=>date("Y-m-d H:i:s"),
			'required'=>1,
		),
		'note'=>array(
			'title'=>getResource('pays.import.note'),
			'control'=>'editor',
			'width'=>'25em',
			'height'=>'3',
		),
	),
	'submits'=>array(
		'insert'=>array(
			'name'=>'insert',
			'title'=>getResource('pays.import.load'),
			'validator'=>'CommonFormCheck',
		),
	)
);
?>