<?
$obj = array(
	'name'=>'polls',
	'nick'=>'pls',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'polls p
	LEFT JOIN cities ci ON ci.id=p.city
	LEFT JOIN queries q ON q.id=p.query
	LEFT JOIN stamps st ON st.id=p.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'p.id',
		),
		'city'=>array(
			'selector'=>'p.city',
			'nullable'=>1,
			'log_by'=>'city_name',
		),
		'city_name'=>array(
			'selector'=>'ci.name',
		),
		'title'=>array(
			'desc'=>1,
			'selector'=>'p.title',
			'title'=>getResource('polls.title1'),
		),
		'period_begin'=>array(
			'desc'=>1,
			'selector'=>'p.period_begin',
			'nullable'=>1,
		),
		'period_end'=>array(
			'desc'=>1,
			'selector'=>'p.period_end',
			'nullable'=>1,
		),
		'priority'=>array(
			'selector'=>'p.priority',
		),
		'body'=>array(
			'selector'=>'p.body',
		),
		'query'=>array(
			'selector'=>'p.query',
			'nullable'=>1,
			'log_by'=>'query_name',
		),
		'query_name'=>array(
			'selector'=>'q.name',
		),
		'stamp'=>array(
			'selector'=>'p.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>