<?
$obj = array(
	'name'=>'portmone_pays',
	'nick'=>'pmps',
	'source'=>'portmone_pays pm
	LEFT JOIN movements m ON m.id = pm.movement
	LEFT JOIN clients c ON c.id = pm.client',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'pm.id',
		),
		'movement'=>array(
			'selector'=>'pm.movement',
		),
		'code'=>array(
			'selector'=>'pm.code',
		),
		'date'=>array(
			'selector'=>'pm.date',
		),
		'amount'=>array(
			'bin'=>1,
			'selector'=>'pm.amount',
		),
		'amount_cur'=>array(
			'selector'=>'pm.amount/100',
			'aggregate'=>'sum',
		),
		'movement_amount'=>array(
			'selector'=>'m.amount',
		),
		'movement_amount_cur'=>array(
			'selector'=>'m.amount/100',
			'aggregate'=>'sum',
		),
		'client'=>array(
			'selector'=>'pm.client',
		),
		'client_name'=>array(
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'movement_date'=>array(
			'selector'=>'m.date',
		),
	),
);

$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}
?>