<?
$obj = array(
	'can_insert'=>0,
	'fields'=>array(
		'client_name'=>array(
			'title'=>getResource('resource.uses.client'),
			'readonly'=>1,
			'link'=>'clients.php?id=[client]',
		),
		'calendar_period_begin'=>array(
			'title'=>getResource('resource.uses.calendar.period.begin'),
			'readonly'=>1,
		),
		'calendar_period_end'=>array(
			'title'=>getResource('resource.uses.calendar.period.end'),
			'readonly'=>1,
		),
		'personal_period_begin'=>array(
			'title'=>getResource('resource.uses.personal.period.begin'),
			'readonly'=>1,
		),
		'personal_period_end'=>array(
			'title'=>getResource('resource.uses.personal.period.end'),
			'readonly'=>1,
		),
		'resource_type_name'=>array(
			'title'=>getResource('resource.uses.resource.type'),
			'readonly'=>1,
			'link'=>'resource_types.php?id=[resource_type]',
		),
		'unit_size'=>array(
			'title'=>getResource('resource.uses.unit.size'),
			'comment'=>getResource('resource.uses.unit.size.comment'),
			'control'=>'short',
			'positive'=>1,
		),
		'price'=>array(
			'title'=>getResource('resource.uses.price'),
			'control'=>'short',
			'positive'=>1,
		),
		'amount'=>array(
			'title'=>getResource('resource.uses.amount'),
			'readonly'=>1,
		),
		'cost'=>array(
			'title'=>getResource('resource.uses.cost'),
			'readonly'=>1,
		),
		'src'=>array(
			'title'=>getResource('resource.uses.src'),
			'comment'=>getResource('resource.uses.src.comment'),
			'control'=>'select',
			'list'=>'getAllSrcAccounts',
		),
		'dst'=>array(
			'title'=>getResource('resource.uses.dst'),
			'comment'=>getResource('resource.uses.dst.comment'),
			'control'=>'select',
			'list'=>'getAllDstAccounts',
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('homedir.types.created'),
		),
		'created_name'=>array(
			'title'=>getResource('homedir.types.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('homedir.types.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('homedir.types.modified.by'),
			'readonly'=>1,
		),
	),
);
?>