<?
$obj = array(
	'name'=>'resource_uses',
	'nick'=>'rus',
	'fields'=>array(
		'id'=>array('key'=>1),
		'calendar_period'=>array(),
		'calendar_period_begin'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_as'=>'calendar_period',
			'look_in'=>'calendar_periods',
			'look_by'=>'id',
			'look_on'=>'period_begin',
		),
		'calendar_period_end'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_as'=>'calendar_period',
			'look_in'=>'calendar_periods',
			'look_by'=>'id',
			'look_on'=>'period_end',
		),
		'personal_period'=>array(),
		'personal_period_begin'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_as'=>'personal_period',
			'look_in'=>'personal_periods',
			'look_by'=>'id',
			'look_on'=>'period_begin',
		),
		'personal_period_end'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_as'=>'personal_period',
			'look_in'=>'personal_periods',
			'look_by'=>'id',
			'look_on'=>'period_end',
		),
		'client'=>array(
			'desc'=>1,
			'bin'=>1,
			'kind'=>'lookup',
			'look_as'=>'personal_period',
			'look_in'=>'personal_periods',
			'look_by'=>'id',
			'look_on'=>'client',
		),
		'client_name'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_from'=>'personal_periods',
			'look_as'=>'client',
			'look_in'=>'clients',
			'look_by'=>'id',
			'look_on'=>'last_name,first_name',
		),
		'resource_type'=>array(),
		'resource_type_name'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_as'=>'resource_type',
			'look_in'=>'resource_types',
			'look_by'=>'id',
			'look_on'=>'name',
		),
		'amount'=>array(),
		'unit_size'=>array(),
		'price'=>array(),
		'cost'=>array(
			'kind'=>'calculate',
			'formula'=>'floor(amount*price/unit_size)',
		),
		'src'=>array(),
		'src_name'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_as'=>'src',
			'look_in'=>'src_names',
			'look_by'=>'id',
			'look_on'=>'name',
		),
		'src_type'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_as'=>'src',
			'look_in'=>'src_names',
			'look_by'=>'id',
			'look_on'=>'type',
		),
		'src_link'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_as'=>'src',
			'look_in'=>'src_names',
			'look_by'=>'id',
			'look_on'=>'link',
		),
		'dst'=>array(),
		'dst_name'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_as'=>'dst',
			'look_in'=>'dst_names',
			'look_by'=>'id',
			'look_on'=>'name',
		),
		'dst_type'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_as'=>'dst',
			'look_in'=>'dst_names',
			'look_by'=>'id',
			'look_on'=>'type',
		),
		'dst_link'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_as'=>'dst',
			'look_in'=>'dst_names',
			'look_by'=>'id',
			'look_on'=>'link',
		),
		'movement'=>array(),
		'created'=>array(
			'auto_insert'=>date("Y-m-d H:i:s"),
		),
		'created_by'=>array(
			'auto_insert'=>$GLOBALS['oper']->id,
		),
		'created_name'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_as'=>'created_by',
			'look_in'=>'operators',
			'look_by'=>'id',
			'look_on'=>'name',
		),
		'modified'=>array(
			'auto_post'=>date("Y-m-d H:i:s"),
			'auto_insert'=>date("Y-m-d H:i:s"),
		),
		'modified_by'=>array(
			'auto_post'=>$GLOBALS['oper']->id,
			'auto_insert'=>$GLOBALS['oper']->id,
		),
		'modified_name'=>array(
			'bin'=>1,
			'kind'=>'lookup',
			'look_alias'=>'opers1',
			'look_as'=>'modified_by',
			'look_in'=>'operators',
			'look_by'=>'id',
			'look_on'=>'name',
		),
	),
);
?>