<?
$obj = array(
	'name'=>'rules',
	'nick'=>'rls',
	'BeforeInsert'=>'before_rule_insert, before_stamped_insert',
	'BeforePost'=>'before_rule_post, before_stamped_post',
	'BeforeDelete'=>'before_rule_delete',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_rule_delete, after_stamped_delete, after_logged_delete',
	'source'=>'rules r
	LEFT JOIN stamps st ON st.id=r.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'r.id',
		),
		'name'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'r.name',
		),
		'chain'=>array(
			'selector'=>'r.chain',
		),
		'for_client'=>array(
			'selector'=>'r.for_client',
		),
		'critical'=>array(
			'selector'=>'r.critical',
		),
		'auto_firewall'=>array(
			'selector'=>'r.auto_firewall',
		),
		'stamp'=>array(
			'selector'=>'r.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>