<?php

/**
 * @author tregub
 * @copyright 2010
 */

$date = time() - 60 * 60 * 24 * 5;

$obj = array(
	'clean_post' => 0,
	'nick'=>'eperiod',
	'action'=>'vedom2.php',
	'fields'=>array(
		'person'=>array(
			'title'=>getResource('salary.name'),
			'control'=>'select',
			'list'=>'getWorkers',
			'value'=>$GLOBALS['oper']->person,
			'required'=>1,
		),
		'date'=>array(
			'title'=>getResource('perioder.date'),
			'control'=>'date',
			'set_day'=>1,
			'required'=>1,
			'value'=>date("Y-m-01", $date),
		),
	),
	'submits'=>array(
		'ok'=>array(
			'title'=>getResource('perioder.submit'),
			'validator'=>'CommonFormCheck',
			'style' => 'width: 18em;',
		),
	)
);

if(isset($GLOBALS['oper']->system_access['worker_features'])){
	$obj['fields'] = array(
		'person'=>array(
			'type'=>'hidden',
			'value'=>$GLOBALS['oper']->person,
		),
		'date[year]'=>array(
			'type'=>'hidden',
			'value'=>date("Y", $date),
		),
		'date[month]'=>array(
			'type'=>'hidden',
			'value'=>date("m", $date),
		),
	);
}

?>