<?
$obj = array(
	'id'=>'id',
	'menu'=>array(
		'PrintById'=>getResource('grid.print'),
	),
	'modes'=>array(
		'default'=>getResource('snapshots.modes.default'),
		'int'=>getResource('snapshots.modes.int'),
		'tv'=>getResource('snapshots.modes.tv'),
		'both'=>getResource('snapshots.modes.both'),
		'arpu'=>getResource('snapshots.modes.arpu'),
	),
	'columns'=>array(
		'date_f'=>array(
			'title'=>getResource('snapshots.date'),
			'navigator'=>1,
			'align'=>'center',
			'width'=>'7em',
			'count'=>1,
			'footer_prefix'=>getResource('snapshots.count').' ',
		),
		'month'=>array(
			'title'=>getResource('snapshots.month'),
		),
		'city_name'=>array(
			'title'=>getResource('snapshots.city'),
			'link'=>'cities.php?id=[city]',
		),

		'int_clients'=>array(
			'title'=>getResource('snapshots.int.clients'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'default,int',
		),
		'tv_clients'=>array(
			'title'=>getResource('snapshots.tv.clients'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'default,tv',
		),
		'both_clients'=>array(
			'title'=>getResource('snapshots.both.clients'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'default,both',
		),

		'payed'=>array(
			'title'=>getResource('snapshots.payed'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'modes'=>'default',
		),
		'arpu'=>array(
			'title'=>getResource('snapshots.arpu'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'modes'=>'default,arpu',
		),

		'int_clients_diff'=>array(
			'title'=>getResource('snapshots.int.clients.diff'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'int',
		),
		'int_new'=>array(
			'title'=>getResource('snapshots.int.clients.new'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'int',
		),
		'int_return'=>array(
			'title'=>getResource('snapshots.int.clients.return'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'int',
		),
		'int_off'=>array(
			'title'=>getResource('snapshots.int.clients.off'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'int',
		),
		'int_payed'=>array(
			'title'=>getResource('snapshots.int.payed'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'modes'=>'int',
		),
		'int_arpu'=>array(
			'title'=>getResource('snapshots.int.arpu'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'modes'=>'int,arpu',
		),

		'tv_clients_diff'=>array(
			'title'=>getResource('snapshots.tv.clients.diff'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'tv',
		),
		'tv_new'=>array(
			'title'=>getResource('snapshots.tv.clients.new'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'tv',
		),
		'tv_return'=>array(
			'title'=>getResource('snapshots.tv.clients.return'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'tv',
		),
		'tv_off'=>array(
			'title'=>getResource('snapshots.tv.clients.off'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'tv',
		),
		'tv_payed'=>array(
			'title'=>getResource('snapshots.tv.payed'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'modes'=>'tv',
		),
		'tv_arpu'=>array(
			'title'=>getResource('snapshots.tv.arpu'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'modes'=>'tv,arpu',
		),

		'both_clients_diff'=>array(
			'title'=>getResource('snapshots.both.clients.diff'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'both',
		),
		'both_new'=>array(
			'title'=>getResource('snapshots.both.clients.new'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'both',
		),
		'both_return'=>array(
			'title'=>getResource('snapshots.both.clients.return'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'both',
		),
		'both_off'=>array(
			'title'=>getResource('snapshots.both.clients.off'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'both',
		),
		'both_payed'=>array(
			'title'=>getResource('snapshots.both.payed'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'modes'=>'both',
		),
		'both_arpu'=>array(
			'title'=>getResource('snapshots.both.arpu'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'modes'=>'both,arpu',
		),

		'cover_int'=>array(
			'title'=>getResource('snapshots.int.cover'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'default',
		),
		'cover_int_diff'=>array(
			'title'=>getResource('snapshots.int.cover.diff'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'default',
		),

		'cover_tv'=>array(
			'title'=>getResource('snapshots.tv.cover'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'default',
		),
		'cover_tv_diff'=>array(
			'title'=>getResource('snapshots.tv.cover.diff'),
			'align'=>'right',
			'format'=>'frmt_3',
			'modes'=>'default',
		),
	),
);
?>