<?
$obj = array(
	'fields'=>array(
		'name'=>array(
			'title'=>getResource('staff.name'),
			'required'=>1,
		),
		'city'=>array(
			'title'=>getResource('staff.city'),
			'link'=>'cities.php?id=[city]',
			'control'=>'select',
			'list'=>'getCities',
		),
		/*
		'duties'=>array(
			'title'=>getResource('staff.duties'),
		),
		*/
		'rank'=>array(
			'title'=>getResource('staff.rank'),
			'control'=>'select',
			'list'=>'getRanks',
			'link'=>'ranks.php?id=[rank]',
		),
		'department'=>array(
			'title'=>getResource('staff.department'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('staff.department.1'),
				'2'=>getResource('staff.department.2'),
				'3'=>getResource('staff.department.3'),
			),
		),
		'section'=>array(
			'title'=>getResource('staff.section'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('staff.section.1'),
				'2'=>getResource('staff.section.2'),
				'3'=>getResource('staff.section.3'),
				'4'=>getResource('staff.section.4'),
				'5'=>getResource('staff.section.5'),
				'6'=>getResource('staff.section.6'),
			),
		),
		'place'=>array(
			'title'=>getResource('staff.place'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('staff.place.1'),
				'2'=>getResource('staff.place.2'),
				'3'=>getResource('staff.place.3'),
				'4'=>getResource('staff.place.4'),
				'5'=>getResource('staff.place.5'),
			),
		),
		'biom_id'=>array(
			'title'=>getResource('operators.biom'),
		),
		'asterisk_agent'=>array(
			'title'=>getResource('staff.asterisk.agent'),
		),
		'sip_id'=>array(
			'title'=>getResource('staff.sip'),
		),
		'phone'=>array(
			'title'=>getResource('staff.phone'),
		),
		'work_phone'=>array(
			'title'=>getResource('staff.work.phone'),
		),
		'mobile'=>array(
			'title'=>getResource('staff.mobile'),
		),
		'email'=>array(
			'title'=>getResource('staff.email'),
		),
		'birthday'=>array(
			'title'=>getResource('staff.birthdate'),
			'control'=>'date',
		),
		'status'=>array(
			'title'=>getResource('staff.status'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('staff.status.1'),
				'2'=>getResource('staff.status.2'),
				'3'=>getResource('staff.status.3'),
				'4'=>getResource('staff.status.4'),
				'5'=>getResource('staff.status.5'),
			),
		),
		'notes'=>array(
			'title'=>getResource('staff.notes'),
			'control'=>'textarea',
			//'comment'=>isset($GLOBALS['oper']->system_access['workers_photo']) ? show_photo() : '',
			'comment'=>show_photo(),
			'height'=>12,
		),
		'private'=>array(
			'title'=>getResource('staff.private'),
			'control'=>'checkbox',
		),
		'file'=>array(
			'title'=>getResource('staff.photo'),
			'control'=>'file',
			'size'=>42,
		),
		'client'=>array(
			'title'=>getResource('staff.client'),
			'comment'=>getResource('staff.client.comment'),
			'link'=>'clients.php?id=[client]',
			'control'=>'lookup',
			'label'=>'[client_name]',
			'source'=>'?lookup=client',
			'id'=>'lookup_client',
		),

		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('staff.created'),
		),
		'created_name'=>array(
			'title'=>getResource('staff.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('staff.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('staff.modified.by'),
			'readonly'=>1,
		),
	),
);
if(isset($GLOBALS['oper']->system_access['worker_features'])){
	unset($obj['fields']['status']);
}
//if(!isset($GLOBALS['oper']->system_access['workers_photo']) || !$GLOBALS['oper']->system_access['workers_photo']){
//	unset($obj['fields']['file']);
//}
?>