<?
$obj = array(
	'name'=>'ip_use_time',
	'nick'=>'stall',
	'readonly'=>1,
	'source'=>'ip_use_time l
	LEFT JOIN ip_uses iu ON iu.id=l.ip_use
	LEFT JOIN rules r ON r.id=iu.rule
	LEFT JOIN hosts h ON h.id=iu.host
	LEFT JOIN modems m ON m.id=h.modem
	LEFT JOIN clients c ON c.id=h.client',
	'fields'=>array(
		'ip_use'=>array(
			'selector'=>'l.ip_use',
			'key'=>1,
		),
		'host'=>array(
			'selector'=>'iu.host',
		),
		'ip'=>array(
			'selector'=>'h.ip',
			'order_by'=>'INET_ATON(h.ip)',
		),
		'client'=>array(
			'selector'=>'h.client',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'modem'=>array(
			'selector'=>'h.modem',
		),
		'modem_name'=>array(
			'bin'=>1,
			'selector'=>'m.name',
		),
		'rule'=>array(
			'selector'=>'iu.rule',
		),
		'rule_name'=>array(
			'bin'=>1,
			'selector'=>'r.name',
		),
		'from_time'=>array(
			'selector'=>'l.from_time',
		),
		'to_time'=>array(
			'selector'=>'l.to_time',
		),
		'bytes'=>array(
			'aggregate'=>'sum',
			'selector'=>'l.bytes',
		),
	),
);

$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}
?>