<?
$obj = array(
	'name'=>'stats_connection_types',
	'nick'=>'ctss',
	'readonly'=>1,
	'source'=>'connection_types ct
	LEFT JOIN stats_connection_types sct ON sct.id=ct.id',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'ct.id',
		),
		'name'=>array(
			'bin'=>1,
			'selector'=>'ct.name',
		),
		'bytes'=>array(
			'selector'=>'ifnull(sct.bytes, 0)',
			'aggregate'=>'sum',
		),
		'cost'=>array(
			'selector'=>'ifnull(sct.cost, 0)/100',
			'aggregate'=>'sum',
		),
	),
);
?>