<?
$obj = array(
	'name'=>'ipcad_log',
	'nick'=>'stcad',
	'readonly'=>1,
	'source'=>'ipcad_log l
	LEFT JOIN hosts h ON h.ip=INET_NTOA(l.src)
	LEFT JOIN clients c ON c.id=h.client
	LEFT JOIN protocols p ON p.id=l.proto',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'l.id',
		),
		'src'=>array(
			'kind'=>'calculate',
			'selector'=>'INET_NTOA(l.src)',
		),
		'client'=>array(
			'selector'=>'h.client',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'dst'=>array(
			'selector'=>'INET_NTOA(l.dst)',
		),
		'port'=>array(
			'selector'=>'l.port',
		),
		'dir'=>array(
			'selector'=>sprintf("if(l.dir,'%s','%s')", getResource('ipcad.dir.in'), getResource('ipcad.dir.out')),
		),
		'proto'=>array(
			'selector'=>'l.proto',
		),
		'proto_name'=>array(
			'selector'=>'p.name',
		),
		'bytes'=>array(
			'selector'=>'l.bytes',
			'aggregate'=>'sum',
		),
		'date'=>array(
			'selector'=>'l.date',
		),
	),
);

$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}

?>