<?

/**
 * @author tregub
 * @copyright 2010
 */

$obj = array(
	'name'=>'tech_zone_times',
	'nick'=>'zone2',
	'masters'=>array(
			'distr'=>array(
				'table'=>$GLOBALS['works'],
				'on'=>'id',
				'by'=>'tech_zone',
			),
		),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'BeforeDelete'=>'before_street_delete',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source' => 'tech_zone_times tzt
	LEFT JOIN stamps st ON st.id=tzt.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'tech_zone' => array(
			'selector'=>'tzt.tech_zone'
		),
		'id' => array(
			'selector' => 'tzt.id',
			'key'=>1,
		),
		'time_name'=>array(
			'selector'=>'tzt.time_name',
		),
		'period'=>array(
			'selector'=>'CONCAT(DATE_FORMAT(tzt.from_time, "%H:%i"), " - ", DATE_FORMAT(tzt.to_time, "%H:%i"))',
		),
		'from_time'=>array(
			'selector'=>'tzt.from_time',
		),
		'to_time'=>array(
			'selector'=>'tzt.to_time',
		),
		'stamp'=>array(
			'selector'=>'tzt.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>