<?
$obj = array(
	'id'=>'id',
	'menu'=>array(
		'PrintById'=>getResource('grid.print'),
	),
	'modes'=>array(
		'default'=>getResource('tv.connections.view.default'),
		'periods'=>getResource('tv.connections.view.periods'),
	),
	'columns'=>array(
		'city_name'=>array(
			'title'=>getResource('clients.city'),
			'link'=>'cities.php?id=[city]',
			'width'=>'12em',
		),
		'client_name'=>array(
			'title'=>getResource('tv.connections.client'),
			'link'=>'clients.php?id=[client]',
			//'width'=>'25em',
			'count'=>1,
			'footer_prefix'=>getResource('tv.connections.count'),
		),
		'tv_type_name'=>array(
			'title'=>getResource('clients.tv.type'),
			'link'=>'connection_types.php?ctmenu_selected=tv&id=[tv_type]',
			//'width'=>'14em',
		),
		'district_name'=>array(
			'title'=>getResource('tv.connections.district'),
			'link'=>'districts.php?id=[district]',
			//'width'=>'20em',
		),
		'street_name'=>array(
			'title'=>getResource('clients.street'),
			'link'=>'streets.php?id=[street]',
			//'width'=>'20em',
		),
		'house'=>array(
			'title'=>getResource('clients.house'),
			'width'=>'2em',
			'align'=>'right',
			'link'=>'houses.php?id=[house_id]',
		),
		'entrance'=>array(
			'title'=>getResource('clients.grid.entrance'),
			'align'=>'right',
			'width'=>'2em',
		),
		'floor'=>array(
			'title'=>getResource('clients.grid.floor'),
			'align'=>'right',
			'width'=>'1.5em',
		),
		'apartment'=>array(
			'title'=>getResource('clients.grid.apartment'),
			'align'=>'right',
			'width'=>'2em',
		),
		'tv_box_name'=>array(
			'title'=>getResource('tv.connections.tv.box'),
			'link'=>'houses.php?house_selected=tv&id=[house_id]&hns_id=[tv_box]#hns',
			'width'=>'3em',
			'align'=>'right',
		),
		'tv_node_name'=>array(
			'title'=>getResource('tv.connections.tv.node'),
			'link'=>'tv_nodes.php?id=[tv_node]',
			'modes'=>'default',
		),
		'card_code'=>array(
			'title'=>getResource('tv.connections.card.code'),
		),
		'state_name'=>array(
			'title'=>getResource('tv.connections.state'),
			'align'=>'center',
			'width'=>'7em',
			'cell_renderer'=>new HighlightCellRenderer('state', array(
				'1'=>'yellow_lighted',
				'2'=>'green_lighted',
				'3'=>'yellow_lighted',
				'4'=>'red_lighted',
			)),
		),
		'notes'=>array(
			'title'=>getResource('tv.connections.notes'),
			'modes'=>'default',
		),
		'period_begin'=>array(
			'title'=>getResource('personal.periods.period.begin'),
			'align'=>'center',
			'order'=>'desc',
			'modes'=>'periods',
		),
		'period_end'=>array(
			'title'=>getResource('personal.periods.period.end'),
			'align'=>'center',
			'order'=>'desc',
			'modes'=>'periods',
		),
	),
	'aux_count'=>2,
	'aux_filters'=>array(
		'city_name'=>getResource('clients.city'),
		'client_name'=>getResource('tv.connections.client'),
		'tv_box_name'=>getResource('tv.connections.tv.box'),
		'district_name'=>getResource('tv.connections.district'),
		'street_name'=>getResource('clients.street'),
		'house'=>getResource('clients.house'),
		'entrance'=>getResource('clients.grid.entrance'),
		'floor'=>getResource('clients.grid.floor'),
		'apartment'=>getResource('clients.grid.apartment'),
		'tv_node_name'=>getResource('tv.connections.tv.node'),
		'card_code'=>getResource('tv.connections.card.code'),
		'state_name'=>getResource('tv.connections.state'),
		'notes'=>getResource('tv.connections.notes'),
		'period_begin'=>getResource('personal.periods.period.begin'),
		'period_end'=>getResource('personal.periods.period.end'),
		'1'=>'--',
		'created'=>getResource('tv.connections.created'),
		'created_name'=>getResource('tv.connections.created.by'),
		'modified'=>getResource('tv.connections.modified'),
		'modified_name'=>getResource('tv.connections.modified.by'),
	),
);
?>