<?
$obj = array(
	'name'=>'ukrcard_pays',
	'nick'=>'ukcps',
	'source'=>'ukrcard_pays ups
	LEFT JOIN movements m ON m.id = ups.movement
	LEFT JOIN clients c ON c.id = ups.client
	LEFT JOIN ukrcard_pays_regs ur ON ur.id=ups.reg',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'ups.id',
		),
		'movement'=>array(
			'selector'=>'ups.movement',
		),
		'amount'=>array(
			'selector'=>'ups.amount',
		),
		'amount_cur'=>array(
			'selector'=>'ups.amount/100',
			'aggregate'=>'sum',
		),
		'movement_amount'=>array(
			'selector'=>'m.amount',
		),
		'movement_date'=>array(
			'selector'=>'m.date',
		),
		'movement_amount_cur'=>array(
			'selector'=>'m.amount/100',
			'aggregate'=>'sum',
		),
		'client'=>array(
			'selector'=>'ups.client',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'paydate'=>array(
			'selector'=>'ups.paydate',
		),
		'tranid'=>array(
			'selector'=>'ups.tranid',
		),
		'paysysid'=>array(
			'selector'=>'ups.paysysid',
		),
		'serviceid'=>array(
			'selector'=>'ups.serviceid',
		),
		'registerid'=>array(
			'selector'=>'ur.registerid',
		),
		'registerdate'=>array(
			'selector'=>'ur.registerdate',
		),
	),
);

$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}
?>