<?
$obj = array(
	'name'=>'connection_types',
	'nick'=>'hps',
	'BeforeInsert'=>'check_connection_type, before_stamped_insert',
	'BeforePost'=>'check_connection_type, before_stamped_post',
	'BeforeDelete'=>'before_connection_type_delete',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_connection_type_delete, after_stamped_delete, after_logged_delete',
	'source'=>'connection_types ct
	LEFT JOIN system_accounts ad ON ad.account=ct.abon_dst
	LEFT JOIN stamps st ON st.id=ct.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'ct.id',
		),
		'period_months'=>array(),
		'period_days'=>array(),
		'name'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'ct.name',
		),
		'abon_dst'=>array(
			'nullable'=>1,
		),
		'abon_dst_name'=>array(
			'bin'=>1,
			'selector'=>'ad.name',
		),
		'abon_amount'=>array(
			'selector'=>'ct.abon_amount',
		),
		'abon_amount_cur'=>array(
			'selector'=>'ct.abon_amount/100',
		),
		'stamp'=>array(
			'selector'=>'ct.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>