<?php

/**
 * @author tregub
 * @copyright 2010
 */

snmp_set_valueretrieval(SNMP_VALUE_PLAIN);
snmp_set_quick_print(1);

require_once ROOT."classes/borgir/snmp_status.php";

$obj = new snmp($hosts->active_record['modem_ip'],$hosts->active_record['port']);

class ModemstatusForm  extends PForm
{
	public function Process()
	{
		global $db, $hosts;
		
		$snmp = new snmp($hosts->active_record['modem_ip'], $hosts->active_record['port']);
			
		$client = (int)$hosts->active_record['client'];
			
		$rezult = $db->Execute("SELECT * FROM snmp_status WHERE client_id = $client ORDER BY snmp_status.`time` DESC LIMIT 1");
			
		$data = $db->NextObj($rezult);
			
		if($this->submiter == "apply")
		{	
			
			$snmp->Start();
			
			//echo $this->fields[admin_status]->value;
			if($this->fields[admin_status]->value != $data->admin_status)
			{
				$this->fields[admin_status]->value ? $snmp->SetAdminStatus(1):$snmp->SetAdminStatus(2);
			}
			
			if($this->fields[duplex_mode]->value != $data->duplex_mode)
			{
				if($this->fields[duplex_mode]->value == 1)
				{
					$snmp->SetAutonegotiation(1);
				}
				else
				{
					$snmp->SetAutonegotiation(2);
					$snmp->SetSpeedDuplexStatus($this->fields[duplex_mode]->value);	
				}
			}
			
			if($this->fields[security_status]->value != $data->security_status)
			{
				$this->fields[security_status]->value ? $snmp->SetSecurityStatus(1):$snmp->SetSecurityStatus(2);
			}
			
			if($this->fields[static_address_table]->value != $data->static_address_table)
			{
				$rezult = $db->Execute("SELECT `hosts`.mac FROM hosts WHERE client=$client");
			
				
				while($addresses = $db->NextObj($rezult))
				{
					//echo $this->fields[static_address_table]->value."1<br>";
					$mac =implode("-", explode(":", $addresses->mac));
				
					$this->fields[static_address_table]->value ? $snmp->SetStaticAddress($hosts->active_record['vlan'],$mac):$snmp->UnSetStaticAddress($hosts->active_record['vlan'],$mac);
				}
				
			}
			
			if($this->fields[sip_mac]->value != $data->sip_mac)
			{
				$this->fields[sip_mac]->value ? $snmp->SetIPSourceGuardPortConfiguration(2):$snmp->SetIPSourceGuardPortConfiguration(0);
			}
			
			if($this->fields[ip_source_guard_binding]->value != $data->ip_source_guard_binding)
			{
				$rezult = $db->Execute("SELECT `hosts`.mac FROM hosts WHERE client=$client");
			
				
				while($addresses = $db->NextObj($rezult))
				{
					if($this->fields[ip_source_guard_binding]->value == 1)
					{
						$mac =implode("-", explode(":", $addresses->mac));
						$snmp->SetStaticIPSourceGuardBindingConfiguration($hosts->active_record['vlan'],$mac, $hosts->active_record['ip']);
					}
					else   
					{
						$mac =implode("-", explode(":", $addresses->mac));
						$snmp->UnSetStaticIPSourceGuardBindingConfiguration($hosts->active_record['vlan'],$mac);
					}
				}
				
				
			}
			
			$opS = $this->fields[open_status]->value;
			$adS = $this->fields[admin_status]->value;
			$dpS = $this->fields[duplex_status]->value ? 2: 0;
			$dpM = $this->fields[duplex_mode]->value;
			$scS = $this->fields[security_status]->value;
			/*if($this->fields[security_status]->value == 2)
			{
				$scS = 0;
			}
			else
			{
				$scS = 1;
			}*/
			
			$saT = $this->fields[static_address_table]->value;
			$sM = $this->fields[sip_mac]->value;
			$ipgB = $this->fields[ip_source_guard_binding]->value;
			$daT = $this->fields[dynamic_adresses_table]->value;
			
			
			$time = time();
		if($data->client_id > 0)
			{
				$db->Execute("UPDATE `snmp_status` SET `open_status`='$opS',"
				."`admin_status`='$adS',`duplex_status`='$dpS',`duplex_mode`='$dpM',"
				."`security_status`='$scS',`static_address_table`='$saT',`sip_mac`='$sM',"
				."`ip_source_guard_binding`='$ipgB',`dynamic_adresses_table`='$daT', `time`='$time' WHERE (`client_id`='$client') "); 
			}
			else
			{
				$db->Execute("INSERT INTO `snmp_status` (`id`,`client_id`,"
			."`open_status`,`admin_status`,`duplex_status`,`duplex_mode`,`security_status`,`static_address_table`,"
			."`sip_mac`,`ip_source_guard_binding`, `dynamic_adresses_table`,`time`) VALUES "
			."(NULL,'$client','$opS','$adS','$dpS','$dpM','$scS','$saT','$sM','$ipgB', '$daT','$time')");
			}
			
			$snmp->Save($hosts->active_record['modem_name']);
		}
		
		
		if($this->submiter == "get_settings")
		{
			$snmp->Start();
			
			$opS = $snmp->GetOpenStatus();
			if($opS  != 1)
				$opS = 0;
			$adS = $snmp->GetAdminStatus();
			if($adS  != 1)
				$adS = 0;
			$dpS = (int)$snmp->GetSpeedDuplexStatus();
			$dpM = "";
			$var = $snmp->GetAutonegotiation();
			if($var != 1)
			{
				$dpM = $dpS;
			}
			else
			{
				$dpM = (int)$var;
			}
			//$scS = (int)$snmp->GetSecurityStatus();
			if((int)$snmp->GetSecurityStatus() == 2)
			{
				$scS = 0;
			}
			else
			{
				$scS = 1;
			}
			
			
			$rezult = $db->Execute("SELECT `hosts`.mac FROM hosts WHERE client=$client");
			$arr = Array();
			$arr2 = Array();
			while($addresses = $db->NextObj($rezult)) 
			{
				
				$MacA = explode(":", $addresses->mac);
				$mac = "$MacA[0]$MacA[1]$MacA[2]$MacA[3]$MacA[4]$MacA[5]";
				$arr[] = $mac;
				$arr2[] = "$MacA[0]-$MacA[1]-$MacA[2]-$MacA[3]-$MacA[4]-$MacA[5]";
			}
			
			$saT = $snmp->IsSetStaticAddress($arr) ? 1: 0;
			$sM = $snmp->GetIPSourceGuardPortConfiguration();
			$mac =implode("-", explode(":", $hosts->active_record['mac']));
			$ipgB = 0;
			if(is_array($arr2))
			{
				
			
				foreach($arr2 as $row)
				{
					if($snmp->IsSetStaticIPSourceGuardBindingConfiguration($hosts->active_record['vlan'],$row))
					{
						$ipgB = 1;
					}
				}
			}
			//$ipgB = $snmp->IsSetStaticIPSourceGuardBindingConfiguration($hosts->active_record['vlan'],$mac)? 1:0;
			
			$daT = $snmp->GetDinamicAddressesInPort($hosts->active_record['port']);
			//print_r($daT);
			if(is_array($daT))
			{
				$tmp = "";
				foreach($daT as $row)
				{
					$tmp .= $row."
";
				}
				//echo $tmp;
				$daT = $tmp;
			}
			else
			{
				$daT = "";
			}
			$time = time();
			if($data->client_id > 0)
			{
				$db->Execute("UPDATE `snmp_status` SET `open_status`='$opS',"
				."`admin_status`='$adS',`duplex_status`='$dpS',`duplex_mode`='$dpM',"
				."`security_status`='$scS',`static_address_table`='$saT',`sip_mac`='$sM',"
				."`ip_source_guard_binding`='$ipgB',`dynamic_adresses_table`='$daT', `time`='$time' WHERE (`client_id`='$client') "); 
			}
			else
			{
				$db->Execute("INSERT INTO `snmp_status` (`id`,`client_id`,"
			."`open_status`,`admin_status`,`duplex_status`,`duplex_mode`,`security_status`,`static_address_table`,"
			."`sip_mac`,`ip_source_guard_binding`, `dynamic_adresses_table`,`time`) VALUES "
			."(NULL,'$client','$opS','$adS','$dpS','$dpM','$scS','$saT','$sM','$ipgB', '$daT','$time')");
			}
			
		}
	}
	
}

class FormValues
{
	public $open_status = "No data";
	public $admin_status = 0;
	public $duplex_status = "No data";
	public $duplex_mode = 0;
	public $security_status = 0;
	public $static_address_table = 0;
	public $sip_mac = 0;
	public $ip_source_guard_binding = 0;
	public $dinamic_addresses = "No values";
	public $modem = "No data";
	public $port = 0;
	public $last_update = "00-00-00";
	
	public function GetArray()
	{
		$vars = Array();

		$vars['method'] = "post";
		
		//$vars["clean_post"]=0;
		
		$vars['submits']["apply"]["title"] = "";
		$vars['submits']["get_settings"]["title"] = " ";
		$vars['submits']["get_settings"]["css"] = "wide50";
		
		$vars['fields']['open_status']['title'] = " ";
		$vars['fields']['open_status']['value'] = $this->open_status;
		$vars['fields']['open_status']['readonly'] = 1;
		
		
		$vars['fields']['admin_status']['title'] = "  ";
		$vars['fields']['admin_status']['value'] = $this->admin_status;
		$vars['fields']['admin_status']['control'] = "checkbox";
		$vars['fields']['admin_status']['list'] = array(2=>0, 1=>1);
		
		$vars['fields']['duplex_status']['title'] = "Duplex status";
		$vars['fields']['duplex_status']['value'] = $this->duplex_status;
		$vars['fields']['duplex_status']['readonly'] = 1;
		
		$vars['fields']['duplex_mode']['title'] = "Duplex mode";
		$vars['fields']['duplex_mode']['value'] = $this->duplex_mode;
		$vars['fields']['duplex_mode']['control'] = "radio";
		$vars['fields']['duplex_mode']['list'] = array(1=>"Autonegenation",5=>"100 Full",4=>"100 Half",3=>"10 Full",2=>"10 Half");
		
		$vars['fields']['security_status']['title'] = "Security status";
		$vars['fields']['security_status']['value'] = $this->security_status;
		$vars['fields']['security_status']['control'] = "checkbox";
		$vars['fields']['security_status']['list'] = array(0, 1);
		
		$vars['fields']['static_address_table']['title'] = "Static Address Table";
		$vars['fields']['static_address_table']['value'] = $this->static_address_table;
		$vars['fields']['static_address_table']['control'] = "checkbox";
		$vars['fields']['static_address_table']['list'] = array(0,1);
		
		$vars['fields']['sip_mac']['title'] = "SIP-MAC";
		$vars['fields']['sip_mac']['value'] = $this->sip_mac;
		$vars['fields']['sip_mac']['control'] = "checkbox";
		$vars['fields']['sip_mac']['list'] = array(1=>0, 3=>1);
		
		$vars['fields']['ip_source_guard_binding']['title'] = "IP Source guard binding";
		$vars['fields']['ip_source_guard_binding']['value'] = $this->ip_source_guard_binding;
		$vars['fields']['ip_source_guard_binding']['control'] = "checkbox";
		$vars['fields']['ip_source_guard_binding']['list'] = array(0,1);
		
		$vars['fields']['dinamic_addresses']['title'] = "Dynamic Adresses Table";
		$vars['fields']['dinamic_addresses']['value'] = $this->dinamic_addresses;
		$vars['fields']['dinamic_addresses']['control'] = "textarea";
		$vars['fields']['dinamic_addresses']['readonly'] = 1;
		
		$vars['fields']['modem']['title'] = "";
		$vars['fields']['modem']['value'] = $this->modem;
		$vars['fields']['modem']['readonly'] = 1;
		
		$vars['fields']['port']['title'] = "";
		$vars['fields']['port']['value'] = $this->port;
		$vars['fields']['port']['readonly'] = 1;
		
		$vars['fields']['last_update']['title'] = " ";
		$vars['fields']['last_update']['value'] = $this->last_update;
		$vars['fields']['last_update']['readonly'] = 1;
		
		return $vars;
	}
}

$doc->page->contents['firewall_title'] = '<img src="'.HREF.'/images/switcher.gif" align="middle" vspace="6"><span class="access_head"> </span>';

$values = new FormValues();

$client = (int)$hosts->active_record['client'];

if($rezult = $db->Execute("SELECT *FROM snmp_status WHERE client_id = $client ORDER BY snmp_status.`time` DESC LIMIT 1"))
{
	$data = $db->NextObj($rezult);
	
	$values->admin_status = $data->admin_status;
	
	if($data->open_status == 1)
	{
		$values->open_status = "up";
	}
	else
	{
		$values->open_status = "down";
	}
	
	switch($data->duplex_status)
	{
		case 2:
			$values->duplex_status = "halfDuplex10";
		break;
		
		case 3:
			$values->duplex_status = "fullDuplex10";
		break;
		
		case 4:
			$values->duplex_status = "halfDuplex100";
		break;
		
		case 5:
			$values->duplex_status = "fullDuplex100";
		break;
		
		case 6:
			$values->duplex_status = "halfDuplex1000";
		break;
		
		case 7:
			$values->duplex_status = "fullDuplex1000";
		break;
		
		case 8:
			$values->duplex_status = "halfDuplex10g";
		break;
		
		case 9:
			$values->duplex_status = "fullDuplex10g";
		break;
		
		default:
			$values->duplex_status = "No data";	
	}
	
	$values->duplex_mode = $data->duplex_mode;
	
	$values->security_status = $data->security_status;
	
	$values->static_address_table = $data->static_address_table;
	
	$values->sip_mac = $data->sip_mac;
	
	$values->ip_source_guard_binding = $data->ip_source_guard_binding;
	
	if(isset($data->dynamic_adresses_table))
	{
		$values->dinamic_addresses = $data->dynamic_adresses_table;
	}
	else
	{
		$values->dinamic_addresses = "No data";
	}
	
	$values->modem = $hosts->active_record['modem_name'];
	
	$values->port = $hosts->active_record['port'];
	if($data->time > 1)
		$values->last_update = date("Y-m-d G:i:s",$data->time);
	else
		$values->last_update = "";	
}

$ob = new ModemstatusForm($nil,$values->GetArray());

$doc->page->contents['statussnmp'] = $ob;


?>