<?
include_once("includes/environment.php");
include_once(INCLUDES."session.php");

ob_end_clean();

required_access('calendar_periods');
$cp = $_GET['cp'];
$query = $_GET['query'];


if($query){
	if($q_info = $db->Next($db->Execute(sprintf("SELECT name, body FROM queries WHERE id='%s'", $query)))){
		$db->Execute(sprintf("CREATE TEMPORARY TABLE qlients ENGINE=Memory %s", prepare_multiquery($q_info['body'])));
	}
}

if($cp_info = $db->Next($db->Execute(sprintf("SELECT id, UNIX_TIMESTAMP(period_begin) period_begin, UNIX_TIMESTAMP(period_end) period_end FROM calendar_periods WHERE id=%s", $cp)))){
	$cp_name = strftime("%Y %B", ($cp_info['period_begin'] + $cp_info['period_end'])/2);
}else{
	die("No such calendar period");
}

$filename = $cp_name.($query ? ' - '.$q_info['name'] : '').'.xls';

$db->Execute(sprintf("CREATE TEMPORARY TABLE pays (client INT UNSIGNED NOT NULL PRIMARY KEY, payed BIGINT UNSIGNED NOT NULL) ENGINE=Memory
SELECT c.id as client, sum(m.amount) as payed
FROM movements m
INNER JOIN clients c ON c.account=m.dst
INNER JOIN system_accounts sa ON sa.account=m.src
WHERE sa.code like '%s' AND m.calendar_period=%s GROUP BY m.dst", "%PAY%", $cp));

$db->Execute(sprintf("CREATE TEMPORARY TABLE uses (client INT UNSIGNED NOT NULL PRIMARY KEY, used BIGINT UNSIGNED NOT NULL, cost BIGINT UNSIGNED NOT NULL) ENGINE=Memory
SELECT c.id as client, SUM(ru.amount) as used, SUM(floor(ru.amount*ru.price/ru.unit_size)) as cost FROM resource_uses ru
INNER JOIN clients c ON c.account=ru.src
WHERE ru.calendar_period=%s AND ru.src IS NOT NULL AND ru.resource_type=%s
GROUP BY c.id", $cp, 1));

$res = $db->Execute(sprintf("SELECT c.first_name, c.last_name, c.patronymic, c.contract, 
IFNULL(p.payed, 0) as payed,
IFNULL(u.used, 0) as used,
IFNULL(u.cost,0) as cost,
IFNULL(s.state_begin, 0) as state_begin,
IFNULL(s.state_end, 0) as state_end
FROM %s q
LEFT JOIN clients c ON c.id=q.id
LEFT JOIN pays p ON p.client=c.id
LEFT JOIN uses u ON u.client=c.id
LEFT JOIN calendar_account_states s ON s.account=c.account AND s.calendar_period=%s
ORDER BY c.last_name, c.first_name, c.patronymic", $query ? 'qlients' : 'clients', $cp));

header("Content-Type: application/vnd.ms-excel");
header("Expires: 0");
header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
header("content-disposition: attachment;filename=\"$filename\"");
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<style>
table {
	border-collapse:collapse;
}
.int{
	mso-number-format:General;
	text-align:right;
}
.cur{
	mso-number-format:Fixed;
	width:6em;
	text-align:right;
}
.str {
	mso-number-format:\@;
}
.header {
	font-weight:bold;
	vertical-align: middle;
}
.footer {
	font-weight:bold;
}
</style>
</head>
<body>
<Table border=1>
		<tr class=header>
			<td class=int></td>
			<td class=str>.I..</td>
			<td class=str></td>
			<td class=cur>   , </td>
			<td class=cur>, </td>
			<td class=cur>, </td>
			<td class=cur> , </td>
			<td class=cur>   , </td>
		</tr>
<?
$i = 1;
while($arr = $db->Next($res)){
	$name = $arr['last_name']. ($arr['first_name'] ? ' '.$arr['first_name'][0].'.' : ''). ($arr['patronymic'] ? ' '.$arr['patronymic'][0].'.' : '');
	$begin = $arr['state_begin']/100;
	$end = $arr['state_end']/100;
	$payed = $arr['payed']/100;
	$used = $arr['used']/1000000;
	$cost = $arr['cost']/100;
	$row = $i + 1;
	printf('
		<tr>
			<td class=int>%s</td>
			<td class=str>%s</td>
			<td class=str>%s</td>
			<td class=cur>%s</td>
			<td class=cur>%s</td>
			<td class=cur>%s</td>
			<td class=cur>=D%s+E%s-H%s</td>
			<td class=cur>%s</td>
		</tr>',
		$i,
		htmlspecialchars($name),
		$arr['contract'],
		number_format($begin, 2, ',', ''),
		number_format($payed, 2, ',', ''),
		number_format($used, 2, ',', ''),
		/*number_format($cost, 2, ',', ''),*/
		$row, $row, $row,
		number_format($end, 2, ',', '')
	);
	$i++;
}
printf('
<tr class=footer>
<td></td>
<td></td>
<td></td>
<td class=cur>=(D2:D%s)</td>
<td class=cur>=(E2:E%s)</td>
<td class=cur>=(F2:F%s)</td>
<td class=cur>=(G2:G%s)</td>
<td class=cur>=(H2:H%s)</td>
</tr>
</Table>
</body>
</html>', $i, $i, $i, $i, $i);
?>