<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');

$doc->title .= ' :: '.getResource('check.title');

required_access('clients');
// $db->debug = 1;

$db->Execute(sprintf("
	CREATE TEMPORARY TABLE credit_unbalance
	SELECT c.id, IFNULL(t1.amount,0) provided, IFNULL(t2.amount,0) returned FROM clients c
	LEFT JOIN(
	  SELECT dst, sum(amount) amount
	  FROM movements
	  LEFT JOIN system_accounts ON account=src
	  WHERE code='%s'
	  GROUP BY dst
	) t1 ON t1.dst=c.account
	LEFT JOIN (
	  SELECT src, SUM(amount) amount
	  FROM movements
	  LEFT JOIN system_accounts on account=dst
	  WHERE code='%s'
	  GROUP BY src
	) t2 ON t2.src=c.account
	WHERE  IFNULL(t1.amount,0) != IFNULL(t2.amount,0)",
	'credit','credit_return'));

$credit_unbalance = new PTable($db,BOOT.'check/credit_unbalance/table.php');
$doc->page->contents['credit_unbalance'] = new PMyAccess($credit_unbalance,array(
	'title'=>getResource('check.credit.unbalance'),
	'icon'=>HREF.'images/dollar.gif',
'icon_attributes'=>'width=29 height=42',
	'grid_boot'=>BOOT.'check/credit_unbalance/grid.php',
));
?>
