<?
include_once dirname(__FILE__).'/BorderSplitter.php';

class UkrComunImport {

var $finder;
var $splitter;

function UkrComunImport($finder, $splitter){
	$this->finder = $finder;
	$this->splitter = $splitter;
}

function my_trim(&$val){
	$val = trim($val);
}

function process($fileInfo){
	$lines = file($fileInfo['tmp_name']);
	$items = array();
	$has_prev = false;
	$i = 1;
	foreach($lines as $line){
		if($this->splitter->check($line)){
			$has_prev = false;
			continue;
		}
		if($this->splitter->isReady()){
			$pline = str_pad($line, 300);
			$data = $this->splitter->split($pline);
			array_walk($data, array($this, 'my_trim'));
			list($date, $doc_num, $account_num, $text, $sum, $sum1, $sum2) = $data;
			if(preg_match('|\d{13,13}|', $account_num)){
				$items[] = array(
					'num'=>$i++,
					'account_num'=>$account_num,
					'text'=>$text,
					'sum'=>str_replace(',', '.', $sum),
					'info'=>$line,
				);
				$has_prev = true;
			}elseif($has_prev){
				$items[$i-2]['text'] .= $text;
				$items[$i-2]['info'] .= $line;
			}
		}
	}
	foreach($items as $i=>$row){
		$items[$i]['sum'] = intval(strval($row['sum'] * 100));
		list($items[$i]['valid'], $items[$i]['account']) = $this->finder->find($row);
	}
	return array(
		'head'=>sprintf("%s\n%s", trim($lines[2]), trim($lines[13])),
		'items'=>$items,
	);
}

}
?>