<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

include_once(dirname(__FILE__)."/IptAccounter.php");

class RemoteIptAccounter extends IptAccounter {

var $timeout = 10;

function setLogFactory($logFactory){
	$this->logger = $logFactory->getLogger('remote.ipt.accounter');
}

function setHost($str){
	$this->host = $str;
}

function setUser($str){
	$this->user = $str;
}

function setTimeout($i){
	$this->timeout = $i;
}

function setPort($str){
    $this->port = $str;
}

function getListFileName($table){
	return  $this->host.'-'.$table;
}

function buildListingCommand($table){
	$cmd = parent::buildListingCommand($table);
	return sprintf("ssh -p %d -o BatchMode=yes -o ConnectTimeout=%s %s@%s \"%s\"", $this->port, $this->timeout, $this->user, $this->host, $cmd);
}

function buildTablesListingCommand(){
	$cmd = parent::buildTablesListingCommand();
	return sprintf("ssh -p %d -o BatchMode=yes -o ConnectTimeout=%s %s@%s \"%s\"", $this->port, $this->timeout, $this->user, $this->host, $cmd);
}


}
?>