<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class CreditsDAO {

var $connection;
var $splitter;
var $queries = array(
	'select'=>"SELECT client, sum(amount) as amount 
		FROM credits WHERE (actual_from IS NULL || now()>=actual_from) AND (actual_to IS NULL || now() < actual_to) 
		GROUP BY client",
);

function setConnection($connection){
	$this->connection = $connection;
}

function setSplitter($splitter){
	$this->splitter = $splitter;
}

function iterator(){
	$q = $this->queries['select'];
	$q = $this->splitter->patch(str_replace("WHERE", "WHERE client >= [client_from] AND client < [client_to] AND ", $q), $q);
	return $this->connection->select($q);
}

}
?>