<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class JobsDAO {

var $splitter;
var $connection;
var $queries = array(
	'select' => "SELECT j.id, t.charge_type, j.client_id as client
		FROM jobs j
		LEFT JOIN job_types t ON t.id=j.type
		WHERE (j.resource_use IS NULL) AND (j.client_id IS NOT NULL) AND (j.state=1) AND (t.charge_type IS NOT NULL)",
	'update'=> "UPDATE jobs SET resource_use='%s' WHERE id='%s'",
);

function setSplitter($splitter){
	$this->splitter = $splitter;
}

function setConnection($connection){
	$this->connection = $connection;
}

function iterator(){
	$q = $this->queries['select'];
	$q = $this->splitter->patch($q. " AND j.client_id >= [client_from] AND j.client_id < [client_to]", $q);
	return $this->connection->select($q);
}

function setResourceUse($j_id, $ru_id){
	$this->connection->update($this->queries['update'], $ru_id, $j_id);
}

}
?>