<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class FaxDelegate {

var $titlePattern;
var $stampManager;
var $connection;
var $logger;

function setLoggerFactory($obj){
	$this->logger = $obj->getLogger('mail.fax');
}

function setTitlePattern($str){
	$this->titlePattern = $str;
}

function setStampManager($obj){
	$this->stampManager = $obj;
}

function setConnection($obj){
	$this->connection = $obj;
}

function process($msg){
	if(preg_match($this->titlePattern, $msg['subject'], $m)){
		$this->logger->info("found fax from: %s", $m[1]);
		$stamp = $this->stampManager->createStamp();
		$fid = 'null';
		if(isset($msg['attachments'][0])){
			$att = $msg['attachments'][0];
			$fid = $this->connection->insert_auto("INSERT INTO billing_storage.files (name, size, type, filedate)
				VALUES ('%s', '%s', '%s', FROM_UNIXTIME(%s))",
				$att['name'], $att['size'], strtolower($att['type']), $msg['date']);
			$pointer = 0;
			while($pointer < $att['size']){
				$data = substr($att['body'], $pointer, 65535);
				$this->connection->insert("INSERT INTO billing_storage.file_chunks (file_id, chunk) VALUES ('%s', '%s')", $fid, $data);
				$pointer += 65535;
			}
		}
		$this->connection->insert("INSERT INTO faxes (number, type, status, file, stamp) VALUES ('%s', %s, %s, %s, %s)",
			$m[1], 1, 0, $fid, $stamp);
		return true;
	}
	return false;
}

}
?>