<?
class ClientShaperPatchesManager {

var $logger;
var $clientShaperPatchesDAO;
var $patches;

function setLoggerFactory($obj){
	$this->logger = $obj->getLogger('client.shaper.patches');
}

function setClientShaperPatchesDAO($obj){
	$this->clientShaperPatchesDAO = $obj;
}

function prepare($time){
	$this->patches = array();
	$it = $this->clientShaperPatchesDAO->iterateActive($time);
	while($arr = $it->next()){
		$this->patches[$arr['client']] = 1;
	}
	$this->logger->debug("%s patches loaded for %s", count($this->patches), date("Y-m-d H:i:s", $time));
}

function isPatched($clid){
	return isset($this->patches[$clid]);
}


}
?>