<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class HostsIpList {

var $cli;
var $criteriaOption;
var $hostsDAO;
var $connectionPolicy;

function setCommandLineInterface($obj){
	$this->cli = $obj;
}

function setCriteriaOption($obj){
	$this->criteriaOption = $obj;
}

function setHostsDAO($obj){
	$this->hostsDAO = $obj;
}

function setConnectionPolicy($obj){
	$this->connectionPolicy = $obj;
}

function listIp(){
	$this->connectionPolicy->load();
	$this->cli->parse();
	$it = $this->hostsDAO->iterator();
	while($host = $it->next()){
		if($this->test($host)){
			printf("%s\n", $host['ip']);
		}
	}
}

function test($host){
	switch($this->criteriaOption->getValue()){
		case 'connected':
			return !$this->connectionPolicy->isClientDisconnected($host['client']);
		case 'disconnected':
			return $this->connectionPolicy->isClientDisconnected($host['client']);
		default:
			return true;
	}
}

}
?>