<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class PersonalPeriodsManager2 {

var $logger;
var $personalPeriodsDAO;
var $periods;

function setLoggerFactory($obj){
	$this->logger = $obj->getLogger('personal.periods');
}

function setPersonalPeriodsDAO($obj){
	$this->personalPeriodsDAO = $obj;
}

function load(){
}

function getClientPersonalPeriod($clid){
	if(isset($this->periods[$clid])){
		return $this->periods[$clid];
	}else{
		if($p = $this->personalPeriodsDAO->getByClient($clid)){
			$this->periods[$clid] = $p;
			return $p;
		}
	}
}

function setClientPersonalPeriod($period){
	$this->periods[$period['client']] = $period;
}

function walkPeriods($callback){
	$it = $this->personalPeriodsDAO->iterator();
	while($arr = $it->next()){
		call_user_func($callback, $arr);
	}
}

function show(){
	print_r($this->periods);
}

}
?>