<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class ResourceTypesManager {

var $logger;
var $resourceTypesDAO;
var $resourceTypes;

function setLoggerFactory($obj){
	$this->logger = $obj->getLogger('resource.types');
}

function setresourceTypesDAO($obj){
	$this->resourceTypesDAO = $obj;
}

function initBean(){
	$this->resourceTypes = array();
	$it = $this->resourceTypesDAO->iterator();
	while($arr = $it->next()){
		$this->resourceTypes[$arr['id']] = $arr;
	}
	$this->logger->debug("%s resource types loaded", count($this->resourceTypes));
}

function getResourceType($id){
	return $this->resourceTypes[$id];
}

function show(){
	print_r($this->resourceTypes);
}

}
?>