<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

include_once dirname(__FILE__).'/TaskNamed.php';

class TaskDNSRemakeDomain extends TaskNamed {

var $logger;

function setLoggerFactory($obj){
	$this->logger = $obj->getLogger('task.dns.remake.domain');
}

function execute($data){
	if(count($data)==1){
		$id = intval(trim($data[0]));
		$this->logger->info('remaking domain [%s]', $id);
		$this->namedService->RemakeDomain($id);
		return 2;
	}else{
		$this->logger->error('wrong domain id');
		return 3;
	}
}

}
?>