<?
include_once dirname(__FILE__).'/IO.php';

class ProcessorLogged {

var $processor;
var $out_call = 'debug';
var $err_call = 'error';

function setProcessor($processor){
	$this->processor = $processor;
}

function process($cmd, $logger, $out_call = '', $err_call = ''){
	if(!$out_call){
		$out_call = $this->out_call;
	}
	if(!$err_call){
		$err_call = $this->err_call;
	}
	return $this->processor->process($cmd,
		new NoneReader(),
		new LineWriter(new CallbackWriter(array($logger, $out_call))),
		new LineWriter(new CallbackWriter(array($logger, $err_call)))
	);
}

}
?>