<?
class XmlNode {

var $name;
var $attributes;
var $body;
var $nodes;
var $parent;

function XmlNode($name, $attributes, $parent){
	$this->name = $name;
	$this->attributes = $attributes;
	$this->nodes = array();
	$this->parent = $parent;
}

}

class XmlNodeDelegate {

var $node;

function XmlNodeDelegate(){
	$this->node = new XmlNode('', array(), null);
}

function startElement($parser, $name, $attrs){
	$node = new XmlNode($name, $attrs, $this->node);
	$this->node->nodes[] = $node;
	$this->node = $node;
}

function endElement($parser, $name){
	$this->node->body = trim($this->node->body);
	$n = $this->node;
	$this->node = $this->node->parent;
	unset($n->parent);
}

function acceptBody($parser, $str){
	$this->node->body .= $str;
}

}
?>