<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2004/04/27 08:37:36 $
$Revision: 1.16 $
*/
include_once('includes/global.php');
include_once('classes/cells/UpCellRenderer.php');
loadStrings(BOOT.'districts/strings.txt');
loadStrings(BOOT.'houses/strings.txt');
loadStrings(BOOT.'exp_complaints/strings.txt');

$doc->title .= ' :: '.getResource('exp_complaints.title');

required_access('exp_complaints');
//$db->debug = 1;

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'house': lookup('house', $_GET['city'] ? array('h.city='.addslashes($_GET['city'])) : array());
	case 'executor': lookup('exp_executor');
}

function show_photo(){
	global $files;
	if($files->isOn()){
		if(strstr($files->active_record['file_type'], 'image')){
			return '<img id="staff_img"
				onclick="picViewer.open(this);stopEvent(event);"
				style="border: 1px solid white; max-height:200px; max-width:500px;"
				src="download.php?source=photo&id='.$files->active_record['file'].'">';
		}
	}
}

function delete_photo($table){
	global $db;
	if($table->old_record['file']){
		$db->Execute(sprintf("DELETE FROM billing_storage.files WHERE id='%s'", $table->old_record['file']));
	}
}

function upload_photo($table){
	global $db;
	$arr = upload_storage_files(1);
	if(isset($arr['file1'])){
		delete_photo($table);
		$db->Execute(sprintf("UPDATE exp_complaints_files SET file='%s' WHERE id='%s'", $arr['file1'], $table->current_record['id']));
	}
}

class PhotoCellRenderer {
	function render($val, $rec)	{
		return '<td align="center"><img 
			onclick="picViewer.open(this);stopEvent(event);"
			style="border: 1px solid white; max-height:300px; max-width:400px;" 
			src="download.php?source=photo&id='.$rec['file'].'" ></td>';
	}
}

$photo_cell = new PhotoCellRenderer();

$doc->start = '<div id="overlay" style="display:none;"></div>'.
	'<img id="pic_big" class="popup" style="border: 2px solid white; display:none; top: 50%; left:50%;">';
$doc->page->contents['js'] = "<script language='JavaScript'>
	var picViewer = new PicViewer(1024, 768);
	</script>";

//$db->debug = 1;

$exp_complaints = new PTable($db,BOOT.'exp_complaints/table.php');
$exp_complaints->readonly = !$oper->system_access['exp_complaints'];
addCityPolicy($exp_complaints, 'm.city');

$doc->page->contents['exp_complaints'] = new PMyAccess($exp_complaints,array(
	'title'=>getResource('exp_complaints.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/services.gif',
	'grid_boot'=>forceCity(BOOT.'exp_complaints/grid.php'),
	'form_boot'=>forceCity(BOOT.'exp_complaints/form.php'),
));

if($exp_complaints->isOn()){
	$menu = new PNamedMenu($nil,BOOT.'exp_complaints/menu.php');
	$doc->page->contents['comp_menu'] = $menu;
	switch($menu->selected){
		case 'fi':
			loadStrings(BOOT.'exp_complaints/files/strings.txt');
			$files = new PTable($db,BOOT.'exp_complaints/files/table.php');
			$files->readonly = $exp_complaints->readonly;
			$doc->page->contents['files'] = new PMyAccess($files, array(
				'title'=>getResource('exp.complaints.files.title'),
				'icon'=>HREF.'images/documents.gif',
				'grid_boot'=>BOOT.'exp_complaints/files/grid.php',
				'form_boot'=>BOOT.'exp_complaints/files/form.php',
			));
			break;
		case 'ds':
			loadStrings(BOOT.'exp_complaints/decisions/strings.txt');
			$decisions = new PTable($db,BOOT.'exp_complaints/decisions/table.php');
			$decisions->readonly = $exp_complaints->readonly;
			$doc->page->contents['decisions'] = new PMyAccess($decisions, array(
				'title'=>getResource('exp.complaints.decisions.title'),
				'icon'=>HREF.'images/config.gif',
				'grid_boot'=>BOOT.'exp_complaints/decisions/grid.php',
				'form_boot'=>BOOT.'exp_complaints/decisions/form.php',
			));
			break;
	}
}

if(!$doc->page->contents['exp_complaints']->brief){
	ob_start();
?>
<script>
	var f = $("form[name=<?=$exp_complaints->nick?>]");
	$("[name=city]", f).change(function(){
		lookup_house.src = '?lookup=house&target=lookup_house&city=' + this.value;
		lookup_house.loaded = false;
		lookup_house.loadFirst();
	}).change();
</script>
<?
	$doc->page->contents['mjs'] .= ob_get_clean();
}
echo $doc->Paint();
?>
