<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
include_once('classes/period.php');
include_once('functions/exp.php');
include_once('classes/SwitchTool.php');
include_once('classes/ComboTool.php');
loadStrings(BOOT.'exp_materials/strings.txt');
loadStrings(BOOT.'exp_points/strings.txt');

$doc->title .= ' :: '.getResource('exp.materials.title');

required_access('exp_materials');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'point':	lookup('exp_point');
	case 'place':	lookup('exp_storage_place');
}


function after_materials_delete($table){
	global $db;
	if($table->old_record['photo_file']){
		$db->Execute(sprintf("DELETE FROM billing_storage.files WHERE id='%s'", $table->old_record['photo_file']));
	}
}

function after_materials_post($table){
	global $db;
	$arr = upload_storage_files(1);
	if(isset($arr['file1'])){
		if($table->old_record['photo_file']){
			$db->Execute(sprintf("DELETE FROM billing_storage.files WHERE id='%s'", $table->old_record['photo_file']));
		}
		$db->Execute(sprintf("UPDATE exp_materials SET photo_file='%s' WHERE id='%s'", $arr['file1'], $table->current_record['id']));
	}
}

function showFotoLink(){
	global $exp_materials;
	if($exp_materials->isOn()){
		$mat = $exp_materials->active_record;
		if($mat['photo_file']){
			$files = loadRecords("SELECT * FROM billing_storage.files WHERE id='".$mat['photo_file']."'");
			return listAttachments($files, 'photo');
		}
	}
}

function show_photo(){
	global $exp_materials;
	if($exp_materials->isOn()){
		if($exp_materials->active_record['photo_file']){
			return '<img id="staff_img" 
				onclick="picViewer.open(this);stopEvent(event);"
				style="border: 1px solid white; max-height: 200px; max-width: 600px;"
				src="download.php?source=photo&id='.$exp_materials->active_record['photo_file'].'">';
		}
	}
}

$doc->start = '<div id="overlay" style="display:none;"></div>'.
	'<img id="pic_big" class="popup" style="border: 2px solid white; display:none; top: 50%; left:50%;">';
$doc->page->contents['js'] = "<script language='JavaScript'>
	var picViewer = new PicViewer(1024, 768);
	</script>";

$db->Execute("CREATE TEMPORARY TABLE materials_awaiting (material int unsigned primary key, amount bigint) ENGINE=Memory");
insertSelectOverFile('materials_awaiting', "SELECT material, sum(amount) FROM exp_awaiting_materials GROUP BY material");

$db->Execute("CREATE TEMPORARY TABLE materials_storage (material int unsigned primary key, amount bigint) ENGINE=Memory");
insertSelectOverFile('materials_storage', "SELECT material, sum(amount) FROM exp_storages GROUP BY material");

$db->Execute("CREATE TEMPORARY TABLE materials_in_use (material int unsigned primary key, amount bigint) ENGINE=Memory");
insertSelectOverFile('materials_in_use', "SELECT material, sum(amount) FROM exp_points_materials GROUP BY material");

$db->Execute("CREATE TEMPORARY TABLE materials_off (material int unsigned primary key, amount bigint) ENGINE=Memory");
insertSelectOverFile('materials_off', "SELECT material, sum(amount) FROM exp_off_materials GROUP BY material");

$exp_materials = new PTable($db,BOOT.'exp_materials/table.php');
$exp_materials->readonly = !$oper->system_access['exp_materials'];

$doc->page->contents['exp_materials'] = new PMyAccess($exp_materials,array(
	'title'=>getResource('exp.materials.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/exp_materials.gif',
	'grid_boot'=>BOOT.'exp_materials/grid.php',
	'form_boot'=>BOOT.'exp_materials/form.php',
));

if($exp_materials->isOn()){
	$material = $exp_materials->active_record;
	$mmenu = new PNamedMenu($nil,BOOT.'exp_materials/menu.php');
	$doc->page->contents['m_menu'] = $mmenu;
	switch($mmenu->selected){
		case 'us':
			loadStrings(BOOT.'exp_materials/in_use/strings.txt');
			$exp_in_use_materials = new PTable($db,BOOT.'exp_materials/in_use/table.php');
			$exp_in_use_materials->readonly = !$oper->system_access['exp_points'];
			$doc->page->contents['exp_in_use_materials'] = new PMyAccess($exp_in_use_materials,array(
				'title'=>getResource('exp.in.use.materials.title'),
				'icon'=>HREF.'images/exp_points.gif',
				'grid_boot'=>BOOT.'exp_materials/in_use/grid.php',
				'form_boot'=>BOOT.'exp_materials/in_use/form.php',
			));
			break;
		case 'off':
			loadStrings(BOOT.'exp_materials/off/strings.txt');
			$exp_off_materials = new PTable($db,BOOT.'exp_materials/off/table.php');
			$exp_off_materials->readonly = $exp_materials->readonly;
			$doc->page->contents['exp_off_materials'] = new PMyAccess($exp_off_materials,array(
				'title'=>getResource('exp.off.materials.title'),
				'icon'=>HREF.'images/exp_off_materials.gif',
				'grid_boot'=>BOOT.'exp_materials/off/grid.php',
				'form_boot'=>BOOT.'exp_materials/off/form.php',
			));
			break;
		case 'st':
			loadStrings(BOOT.'exp_materials/storage/strings.txt');
			loadStrings(BOOT.'exp_storages/strings.txt');
			$exp_storages = new PTable($db,BOOT.'exp_materials/storage/table.php');
			$exp_storages->readonly = !$oper->system_access['exp_storages'];
			$doc->page->contents['exp_storage_materials'] = new PMyAccess($exp_storages,array(
				'title'=>getResource('exp.storage.materials.title'),
				'icon'=>HREF.'images/exp_storages.gif',
				'grid_boot'=>BOOT.'exp_materials/storage/grid.php',
				'form_boot'=>BOOT.'exp_materials/storage/form.php',
			));
			//include('includes/exp_storages_in_out.php');
			break;
		case 'aw':
			loadStrings(BOOT.'exp_materials/awaiting/strings.txt');
			$exp_awaiting_materials = new PTable($db,BOOT.'exp_materials/awaiting/table.php');
			$exp_awaiting_materials->readonly = $exp_materials->readonly;
			$doc->page->contents['exp_awaiting_materials'] = new PMyAccess($exp_awaiting_materials,array(
				'title'=>getResource('exp.awaiting.materials.title'),
				'icon'=>HREF.'images/log.gif',
				'grid_boot'=>BOOT.'exp_materials/awaiting/grid.php',
				'form_boot'=>BOOT.'exp_materials/awaiting/form.php',
			));
			break;
		case 'mo':
			loadStrings(BOOT.'exp_movements/strings.txt');
			loadStrings(BOOT.'exp_movements/exp_movements_details/strings.txt');
			include(BOOT.'period/form.php');
			$obj['nick'] = 'exmper';
			$obj['active'] = 0;
			$period = new PPeriod($nil, $obj);
			$period->commented = false;
			$view = new PTable($db,BOOT.'exp_movements/view/table.php');
			$view->readonly = 1;
			if($period->active){
				if($from = $period->getFrom()){
					$view->filters['from'] = sprintf("m.date >= '%s'", $from);
				}
				if($to = $period->getTo()){
					$view->filters['to'] = sprintf("m.date <= '%s'", $to);
				}
			}
			$mid = $material['id'];
//			$db->debug = 1;
			$db->Execute("CREATE TEMPORARY TABLE move_count  ENGINE=Memory
				SELECT place, sum(m_in)+sum(m_out) cnt, sum(m_in) m_in, sum(m_out) m_out FROM (
					SELECT m.src place, 0 as m_in, count(*) m_out FROM exp_movements_details d LEFT JOIN exp_movements m ON m.id=d.movement WHERE d.material='$mid' AND m.state=3 GROUP BY 1
					UNION
					SELECT m.dst place, count(*) m_in, 0 as m_out FROM exp_movements_details d LEFT JOIN exp_movements m ON m.id=d.movement WHERE d.material='$mid' AND m.state=3 GROUP BY 1
				) x
				GROUP BY 1");
			$filter_tool = new SwitchTool('pft', loadByQuery(
				"SELECT p.id, p.name
				FROM exp_storage_places p
				LEFT JOIN move_count c ON c.place=p.id
				WHERE IFNULL(c.cnt, 0) > 0
				ORDER BY name",
				'id', 'name', array(''=>'')), '', false);
			if($filter_tool->value){
				$view->filters['place'] = '(m.src="'.$filter_tool->value.'" OR m.dst="'.$filter_tool->value.'")';
			}
			$view->filters['mat'] = 'dt.material="'.$material['id'].'"';
			$view->filters['state'] = 'm.state=3';
			$doc->page->contents['view'] = new PMyAccess($view,array(
				'title'=>getResource('exp.materials.menu.move'),
				'icon'=>HREF.'images/expenses.gif',
				'grid_boot'=>BOOT.'exp_movements/view/grid.php',
				'form_boot'=>BOOT.'exp_movements/view/form.php',
				'tool'=>new ComboTool(array(
					new ComboToolCell($filter_tool),
					new ComboToolCell($period)
				)),
			));
			unset($doc->page->contents['view']->grid->columns['name']);
			unset($doc->page->contents['view']->grid->columns['uid']);
			unset($doc->page->contents['view']->grid->columns['unit_name']);
			break;
	}
}

echo $doc->Paint();
?> 