<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
loadStrings(BOOT.'exp_points/strings.txt');
loadStrings(BOOT.'exp_materials/strings.txt');

$doc->title .= ' :: '.getResource('exp.points.title');

required_access('exp_points');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'house':
		new Lookup('h.id', 'CONCAT(s.name, " ", h.house)', 'houses h LEFT JOIN streets s ON s.id=h.street',
			$_GET['city'] ? array('h.city='.addslashes($_GET['city'])) : array(),
			's.name, h.house + 0');
	case 'material':	lookup('exp_material_u');
	case 'executor':
		lookup('exp_executor');
	case 'begin':
	case 'end':
		lookup('exp_point');
	case 'material':
		lookup('exp_material_cable');
	case 'executor':
		lookup('exp_executor');
	case 'modem':
		lookup('modem');
}

function check_point_city($table){
	$new = $table->new_record;
	$house = loadRecord("SELECT id, city FROM houses WHERE id='".$new['house']."'");
	if($house && ($house['city']!=$new['city'])){
		$table->error(getResource('exp.points.error.house.city'));
	}
}

function after_point_delete($table){
	global $db;
	foreach(range(1,4) as $i){
		$field = 'photo_file'.$i;
		del_point_photo($table, $field);
	}
}

function del_point_photo($table, $field){
	if($table->old_record[$field]){
		$db->Execute(sprintf("DELETE FROM billing_storage.files WHERE id='%s'", $table->old_record[$field]));
	}
}

function after_point_post($table){
	global $db;
	$arr = upload_storage_files(4);
	foreach(range(1,4) as $i){
		if(isset($arr['file'.$i])){
			$field = 'photo_file'.$i;
			del_point_photo($table, $field);
			$db->Execute(sprintf("UPDATE exp_points SET %s='%s' WHERE id='%s'", $field, $arr['file'.$i], $table->current_record['id']));
		}
	}
}

function showFotoLink($i){
	global $exp_points, $oper;
	if($exp_points->isOn()){
		$point = $exp_points->active_record;
		if($point['photo_file'.$i]){
			$files = loadRecords("SELECT * FROM billing_storage.files WHERE id='".$point['photo_file'.$i]."'");
			return listAttachments($files, 'photo', '<br>', $oper->system_access['exp_points']);
		}
	}
}

if(isset($_GET['file_delete']) && $oper->system_access['exp_points']){
	$fid = addslashes($_GET['file_delete']);
	$db->Execute("DELETE FROM billing_storage.files WHERE id='".$fid."'");
	foreach(range(1,4) as $i){
		$db->Execute("UPDATE exp_points SET photo_file".$i."=NULL WHERE photo_file".$i."='".$fid."'");
	}
	unset($_GET['file_delete']);
}


$db->Execute("CREATE TEMPORARY TABLE point_modems (point INT UNSIGNED NOT NULL PRIMARY KEY, cnt INT NOT NULL) Engine=Memory
	SELECT exp_point point, count(*) cnt  FROM modems where exp_point is not null group by exp_point");
$db->Execute("CREATE TEMPORARY TABLE point_tv_nodes (point INT UNSIGNED NOT NULL PRIMARY KEY, cnt INT NOT NULL) Engine=Memory
	SELECT point, count(*) cnt  FROM tv_nodes where point is not null group by point");

$exp_points = new PTable($db,BOOT.'exp_points/table.php');
$exp_points->readonly = !$oper->system_access['exp_points'];
addCityPolicy($exp_points, 'p.city');

$doc->page->contents['exp_points'] = new PMyAccess($exp_points,array(
	'title'=>getResource('exp.points.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/exp_points.gif',
	'grid_boot'=>forceCity(BOOT.'exp_points/grid.php'),
	'form_boot'=>forceCity(BOOT.'exp_points/form.php'),
));

if(!$doc->page->contents['exp_points']->brief){
	ob_start();
?>
<script>
	var f = $("form[name=<?=$exp_points->nick?>]");
	$("[name=city]", f).change(function(){
		lookup_house.src = '?lookup=house&target=lookup_house&city=' + this.value;
		lookup_house.loaded = false;
		lookup_house.loadFirst();
	}).change();
</script>
<?
	$doc->page->contents['js'] .= ob_get_clean();
}


if($exp_points->isOn()){
	$pmenu = new PNamedMenu($nil,BOOT.'exp_points/menu.php');
	$doc->page->contents['point_menu'] = $pmenu;
	switch($pmenu->selected){
		case 'ma':
			loadStrings(BOOT.'exp_points/materials/strings.txt');
			$exp_points_materials = new PTable($db,BOOT.'exp_points/materials/table.php');
			$exp_points_materials->readonly = $exp_points->readonly;
			$doc->page->contents['exp_points_materials'] = new PMyAccess($exp_points_materials,array(
				'title'=>getResource('exp.points.materials.title'),
				'icon'=>HREF.'images/exp_materials.gif',
				'grid_boot'=>BOOT.'exp_points/materials/grid.php',
				'form_boot'=>BOOT.'exp_points/materials/form.php',
			));
			break;
		case 'mo':
			loadStrings(BOOT.'modems/strings.txt');
			$modems = new PTable($db,BOOT.'exp_points/modems/table.php');
			
			//$modems->readonly = 1;
			$doc->page->contents['modems'] = new PMyAccess($modems, array(
				'title'=>getResource('modems.title'),
				'icon'=>HREF.'images/modems.gif',
				'grid_boot'=>BOOT.'exp_points/modems/grid.php',
			));
			
			include_once('exp_points_modem.php');
		
			break;
			
		case 'trunks':
			//$db->debug = 1;
			
			loadStrings(BOOT.'exp_points/trunks/strings.txt');
			$trunks = new PTable($db,BOOT.'exp_points/trunks/table.php');
			//$trunks->readonly = 1;
			$doc->page->contents['trunks'] = new PMyAccess($trunks, array(
				'title'=>getResource('exp.trunks.title'),
				'icon'=>HREF.'images/exp_materials.gif',
				'grid_boot'=>BOOT.'exp_points/trunks/grid.php',
				'form_boot'=>BOOT.'exp_points/trunks/form.php',
			));
			break;
	}
}

echo $doc->Paint();
?> 