<?
function RemakeARP(){
	global $db;
	appendOffline(3, 'task.arp.remake', 1, 1);
	return;

	$fileName = getTrimOption('ARP_CONFIG');
	if($fileName){
		$arp = array();
		$static = getOption('ARP_STATIC');
		if($static){
			$arp[] = $static;
		}
		$networks = array();
		$res = $db->Execute("SELECT ip FROM networks WHERE local");
		while($arr = $db->Next($res)){
			$parts = explode("/", $arr['ip']);
			$networks[] = array(
				'net'=>$parts[0],
				'mask'=>$parts[1],
			);
		}
		foreach(array("hosts", "modems") as $table){
			$res = $db->Execute("SELECT ip, mac FROM $table WHERE mac>'' AND POSITION('/' IN ip)=0 ORDER BY ip");
			while($arr = $db->Next($res)){
				foreach($networks as $net){
					if(IpMatch($net['net'], $net['mask'], $arr['ip'])){
						$arp[] = $arr['ip']."\t".$arr['mac'];
					}
				}
			}
		}
		//  
		$config = implode("\n", $arp)."\n";
		if($fd = @fopen ($fileName, "w")){
			$writen = fwrite($fd, $config);
			fclose($fd);
			if($writen>0){
				//  ARP
				$command = getOption('ARP_RESTARTER');
				if($command){
					$err = ExecuteScript($command);
					if($err){
						PrintStrings("Restart ARP", $command);
						return $err;
					}
				}
			}
		}else{
			return sprintf(getResource('save.error'), $fileName);
		}
	}
}

function ReplaceTreeArp($table){ //   :
	return; // 
	$old = $table->old_record;
	$new = $table->new_record;
	RemoveTreeArp($table);
	if($new['modem'] && $new['mac'] && $new['vlan'] 
		&& (substr($new['ip'],0,5)!='77.87') 
		&& (substr($new['ip'],0,6)!='194.50') 
		&& ($new['vlan']!='11')){

		appendOffline(3, 'task.arp.tree add '.$new['modem'].' '.$new['vlan'].' '.$new['ip'].' '.$new['mac'], 1, 1);
		return;

		$new_modems = loadArpModemsChain($new['modem']);
		$new['vlan'] += 1000;
		foreach($new_modems as $modem){
			$cmd = "snmpset -v 1 -c security ".$modem['ip']." ".
				".1.3.6.1.2.1.4.22.1.1.".$new['vlan'].".".$new['ip']." i ".$new['vlan']." ".
				".1.3.6.1.2.1.4.22.1.2.".$new['vlan'].".".$new['ip']." x ".str_replace(':','',$new['mac'])." ".
				".1.3.6.1.2.1.4.22.1.3.".$new['vlan'].".".$new['ip']." a ".$new['ip']." ".
				".1.3.6.1.2.1.4.22.1.4.".$new['vlan'].".".$new['ip']." i 4";
			//file_put_contents(TMP_DIR.'/asd', $cmd);
			exec($cmd, $out, $exit);
			if($exit){
				$table->warning(implode("\n", $out));
			}
		}
	}
}

//snmpset -v 1 -c security 10.0.12.80 .1.3.6.1.2.1.4.22.1.1.1024.10.12.131.2 i 1024 .1.3.6.1.2.1.4.22.1.2.1024.10.12.131.2 x 001e8cdb3f16 .1.3.6.1.2.1.4.22.1.3.1024.10.12.131.2 a 10.12.131.2 .1.3.6.1.2.1.4.22.1.4.1024.10.12.131.2 i 4

function RemoveTreeArp($table){
	return; // 
	$old = $table->old_record;
	$new = $table->new_record;
	if($old['modem'] && $old['mac'] && $old['vlan'] 
		&& (substr($old['ip'],0,5)!='77.87') 
		&& (substr($old['ip'],0,6)!='194.50') 
		&& ($old['vlan']!='11')){

		appendOffline(3, 'task.arp.tree remove '.$old['modem'].' '.$old['vlan'].' '.$old['ip'], 1, 1);
		return;

		$old_modems = loadArpModemsChain($old['modem']);
		$old['vlan'] += 1000;
		foreach($old_modems as $modem){
			$cmd = "snmpset -v 1 -c security ".$modem['ip']." .1.3.6.1.2.1.4.22.1.4.".$old['vlan'].".".$old['ip']." i 2";
			exec($cmd, $out, $exit);
			if($exit){
				$table->warning(implode("\n", $out));
			}
		}
	}
}

//snmpset -v 1 -c security 10.0.1.10 .1.3.6.1.2.1.4.22.1.1.26.10.1.21.4 i 26 .1.3.6.1.2.1.4.22.1.2.26.10.1.21.4 x 0015f2d90dbd .1.3.6.1.2.1.4.22.1.3.26.10.1.21.4 a 10.1.21.4 .1.3.6.1.2.1.4.22.1.4.26.10.1.21.4 i 4

function loadArpModemsChain($mid){
	static $model = 'ES4612';
	$chain = array();
	while($mid){
		$modem = loadRecord("SELECT id, ip, name, model, modem FROM modems WHERE id='".$mid."'");
		if($modem['model']==$model){
			$chain[$modem['id']] = $modem;
			break;
		}
		$mid = $modem['modem'];
		if(isset($chain[$mid])){
			break;//   
		}
	}
	return $chain;
}


?>