<?
function after_mailbox_type_insert($table){
	$table->warning(rebuild_teapop_config());
}

function after_mailbox_type_post($table){
	$arr = $table->current_record;
	if($table->isChanged('domain')){
		$table->warning(rebuild_teapop_config());
	}
	if($table->isChanged('domain,boxsize,mailsize')){
		$table->Execute(sprintf("UPDATE mailboxes SET domain='%s', boxsize='%s', mailsize='%s' WHERE type='%s'",
			$arr['domain'],$arr['boxsize'],$arr['mailsize'],$arr['id']
		));
	}
}

function after_mailbox_type_delete($table){
	$table->warning(rebuild_teapop_config());
}

function before_mailbox_insert($table){
	$table->new_record['password'] = crypt($table->new_record['password']);
	$new = $table->new_record;
	if($new['active']){
		$tarr = $table->Next($table->Execute(sprintf("SELECT domain FROM mailbox_types WHERE id='%s'",$new['type'])));
		$query = sprintf("SELECT login FROM mailboxes WHERE domain='%s' AND login='%s'", $tarr['domain'],$new['login']);
		if($table->Next($table->Execute($query))){
			$table->error(sprintf(getResource('mailboxes.post.error.login.registered'),$new['login'],$tarr['domain']));
		}
	}
}

function before_mailbox_post($table){
	if($table->isChanged('password')){
		$table->new_record['password'] = crypt($table->new_record['password']);
	}
	$new = $table->new_record;
	if($new['active'] && $table->isChanged('login,type,active')){
		$tarr = $table->Next($table->Execute(sprintf("SELECT domain FROM mailbox_types WHERE id='%s'",$new['type'])));
		$query = sprintf("SELECT login FROM mailboxes WHERE domain='%s' AND login='%s' AND id!='%s'", $tarr['domain'],$new['login'], $table->current_record['id']);
		if($table->Next($table->Execute($query))){
			$table->error(sprintf(getResource('mailboxes.post.error.login.registered'),$new['login'],$tarr['domain']));
		}
	}
}

function after_mailbox_insert($table){
	$arr = $table->current_record;
	if($arr['active']){
		$tarr = $table->Next($table->Execute(sprintf("SELECT id, domain, boxsize, mailsize FROM mailbox_types WHERE id='%s'",$arr['type'])));
		$table->Execute(sprintf("INSERT INTO mailboxes (id, login, pass, domain, type, boxsize, mailsize) VALUES ('%s','%s','%s','%s','%s','%s','%s')",
			$arr['id'],$arr['login'],$arr['password'],$tarr['domain'],$tarr['id'],$tarr['boxsize'],$tarr['mailsize']
		));
		shure_mailbox_exists($arr['login'],$tarr['domain']);
	}
}

function after_mailbox_post($table){
	if($table->isChanged('login,password,type,active')){
		if($table->current_record['active']){
			$new = $table->current_record;
			$tarr = $table->Next($table->Execute(sprintf("SELECT id, domain, boxsize, mailsize FROM mailbox_types WHERE id='%s'",$new['type'])));
			$table->Execute(sprintf("REPLACE INTO mailboxes (id, login, pass, domain, type, boxsize, mailsize) VALUES ('%s','%s','%s','%s','%s','%s','%s')",
			$new['id'],$new['login'],$new['password'],$tarr['domain'],$tarr['id'],$tarr['boxsize'],$tarr['mailsize']));
			shure_mailbox_exists($new['login'],$tarr['domain']);
		}else{
			if($table->isChanged('active')){
				$old = $table->old_record;
				$table->Execute(sprintf("DELETE FROM mailboxes WHERE id='%s'", $old['id']));
			}
		}
	}
}

function shure_mailbox_exists($login, $domain){
	$dir = getTrimOption('VIRT_MAIL_DIR');
	if($dir && !is_file($dir.'/'.$domain.'/'.$login)){
		mail($login."@$domain",'Mail account created',"Please ignore this message. \n\n-- \nMailer Daemon","From: ".getTrimOption('ADMIN_MAIL'));
	}
}

function after_mailbox_delete($table){
	$old = $table->old_record;
	$table->Execute(sprintf("DELETE FROM mailboxes WHERE id='%s'", $old['id']));
}

function evalTeapopTemplate($template, $domains){
	ob_start();
	eval('?>'.$template.'<?');
	$result = ob_get_contents();
	ob_end_clean();
	return $result;
}

function rebuild_mailbox_table(){
	global $db;
	$db->Execute("DELETE FROM mailboxes");
	$db->Execute("INSERT INTO mailboxes(id,login,pass,domain,type,boxsize,mailsize)
	SELECT m.id,m.login,m.password,t.domain,m.type,t.boxsize,t.mailsize
	FROM client_mailboxes m LEFT JOIN mailbox_types t ON t.id=m.type WHERE m.active");
}

function rebuild_teapop_config(){
	global $db;
	$fileName = getTrimOption('TEAPOP_CONFIG');
	if($fileName){
		$domains = array();
		$res = $db->Execute("SELECT DISTINCT domain FROM mailbox_types");
		while($arr = $db->Next($res)){
			$domains[] = $arr['domain'];
		}
		$config = evalTeapopTemplate(getOption('TEAPOP_TEMPLATE'), $domains);
		PrintStrings("teapop.passwd", $config);
		if($fd = @fopen ($fileName, "w")){
			$writen = fwrite($fd, $config);
			fclose($fd);
		}else{
			return sprintf(getResource('save.error'), $fileName);
		}
	}
}

function BuildMailLists(){
	return ExecuteScript(ROOT."tools/mail-list-builder.php");
}

function getMailboxTypes(){
	return loadByQuery("SELECT id, name AS value FROM mailbox_types ORDER BY name");
}

function createMissedClientMailBoxes(){
	global $db;
	$mb_types = array();
	$res = $db->Execute("SELECT id, domain, boxsize, mailsize FROM mailbox_types");
	while($arr = $db->Next($res)){
		$mb_types[$arr['domain']] = $arr;
	}
	$res = $db->Execute("SELECT c.id, c.pass, c.email, substring_index(c.email, '@', 1) login, substring_index(c.email, '@', -1) domain
		FROM clients c
		LEFT JOIN mailboxes m ON concat(m.login,'@',m.domain)=c.email
		LEFT JOIN (SELECT concat(login,'@',domain) email FROM client_mailboxes cm LEFT JOIN mailbox_types mt ON mt.id=cm.type) x
		ON x.email=c.email
		WHERE (c.email > '') AND (x.email is NULL) AND m.id IS NULL");
	while($arr = $db->Next($res)){
		if(isset($mb_types[$arr['domain']])){
			$type = $mb_types[$arr['domain']];
			$db->Execute(sprintf("INSERT INTO client_mailboxes (client, type, login, password, active)
				VALUES (%s, %s, '%s', '%s', 1)",
				$arr['id'], $type['id'], $arr['login'], addslashes($arr['pass'])));
			$mid = $db->getJustInserted('client_mailboxes', 'id');
			$db->Execute(sprintf("INSERT INTO mailboxes (id, login, pass, domain, type, boxsize, mailsize)
				VALUES ('%s','%s','%s','%s','%s','%s','%s')",
				$mid, $arr['login'], addslashes($arr['pass']), $type['domain'], $type['id'], $type['boxsize'], $type['mailsize']));
			echo $arr['email']." created <br>";
		}
	}
}
?>