<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/12/23 09:09:08 $
$Revision: 1.10 $
*/
include_once("../includes/environment.php");
include_once(INCLUDES."session.php");
include_once(CLASSES.'graph.php');
ob_end_clean();

$id = $_GET['id'];

if(!$id || !$oper->id){
	ob_end_clean();
	exit;
}

$bounds = array(
	'month'=>array(
		'src'=>'ip_use_hours',
		'from'=>date("Y-m-d H:i:s", mktime(0,0,0, date("m"),   1, date("Y"))),
		'to'=>  date("Y-m-d H:i:s", mktime(0,0,0, date("m")+1, 1, date("Y"))),
		'by'=>'hour',
		'period'=>60*60,
		'group'=>"EXTRACT(DAY_HOUR FROM x)",
		'class'=>'PMonthLogGraph',
	),
	'year'=>array(
		'src'=>'ip_use_days',
		'from'=>date("Y-m-d H:i:s",mktime (0,0,0,1,1, date("Y"))),
		'to'=>  date("Y-m-d H:i:s",mktime (0,0,0,1,1, date("Y")+1)),
		'by'=>'day',
		'period'=>60*60*24,
		'group'=>"DAYOFYEAR(x)",
		'class'=>'PYearLogGraph',
	),
	'day'=>array(
		'src'=>'ip_use_time',
		'from'=>date("Y-m-d H:i:s",mktime (0,0,0,date("m"),date("d"),date("Y"))),
		'to'=>  date("Y-m-d H:i:s",mktime (0,0,0,date("m"),date("d")+1,date("Y"))),
		'by'=>'from_time',
		'period'=>'UNIX_TIMESTAMP(to_time) - UNIX_TIMESTAMP(from_time)',
		'group'=>"x",
		'class'=>'PDayLogGraph',
	),
);
$b = $bounds[$_GET['period']];
//$db->debug = 1;
$db->Execute("CREATE TEMPORARY TABLE graph_tmp (x datetime, y float) ENGINE=Memory");
insertSelectOverFile('graph_tmp',
	"SELECT ".$b['by']." x, sum(l.bytes)/(".$b['period'].")/128 y
	FROM ".$b['src']." l
	LEFT JOIN ip_uses iu ON iu.id=l.ip_use
	LEFT JOIN hosts h ON h.id=iu.host
	WHERE h.modem='".$id."' AND h.countable AND l.".$b['by']." >='".$b['from']."' AND l.".$b['by']."<='".$b['to']."' GROUP BY l.".$b['by']);
$db->Execute("CREATE TEMPORARY TABLE graph (x int, y float) ENGINE=Memory");
insertSelectOverFile('graph',
	sprintf("SELECT UNIX_TIMESTAMP(x) x, max(y) y FROM graph_tmp GROUP BY %s", $b['group']));

$log = new PTable($db,array(
	'name'=>'graph',
	'sort_by'=>'x',
	'source'=>'graph',
	'fields'=>array(
		'x'=>array(),
		'y'=>array(),
	),
));
$graph = new $b['class']($log,BOOT.'graph/graph.php');
$graph->Draw();

?>