<?
class BlockForm extends PForm {

function Process(){
	global $db, $client, $personal_period;
	$from = max(time() - 60 * 10, _parse_datetime($this->fields['actual_from']->value));
	$to = _parse_datetime($this->fields['actual_to']->value);
	if($from >= $to){
		return getResource('clientroom.blocks.error.invert');
	}
	if($to - $from < 60*60*24){ // 1 
		return getResource('clientroom.blocks.error.short');
	}
	if($to - $from > 60*60*24 * 60){ // 60 
		return getResource('clientroom.blocks.error.long');
	}
	$arr = loadRecord("SELECT count(*) cnt FROM blocks
		WHERE client='".$client['id']."' AND type=2 AND actual_from BETWEEN '".date("Y", $from)."-01-01' AND '".(date("Y", $from) + 1)."-01-01'");
	if($arr['cnt'] >= 2) {
		return sprintf(getResource('clientroom.blocks.error.limit'), date("Y", $from));
	}
	if($personal_period){
		if(($from > $personal_period['period_begin']) && ($from < $personal_period['period_end'])){ //   
			//   - ,   
			if(loadRecord("SELECT id FROM connection_types WHERE credit_con_type='".$personal_period['connection_type']."'")){
				return getResource('clientroom.blocks.error.in.credit');
			}
		}
	}
	$stamp = create_stamp();
	$db->Execute("INSERT INTO blocks (client, type, actual_from, actual_to, stamp) 
		VALUES ('".$client['id']."', 2, FROM_UNIXTIME(".$from."), FROM_UNIXTIME(".$to."), '".$stamp."')");
}

}

class UnblockForm extends PForm {

function Process(){
	global $active_block, $db;
	$db->Execute("UPDATE blocks SET actual_to=SUBDATE(now(), INTERVAL 1 MINUTE) WHERE id='".$active_block['id']."'");
}

}



$active_block = loadRecord("SELECT id, actual_from, actual_to FROM blocks
	WHERE client='".$client['id']."' AND type=2
	AND (actual_from <= now() OR actual_from IS NULL)
	AND (actual_to >= now() OR actual_to IS NULL) LIMIT 1");


$blocks = new PTable($db,BOOT.'client_info/blocks/table.php');
$blocks->readonly = 1;
$blocks->filters['self'] = 'b.type=2';
$doc->page->contents['blocks'] = new PMyAccess($blocks,array(
	'title'=>getResource('blocks.title'),
	'icon'=>HREF.'images/blocks.png',
	'grid_boot'=>BOOT.'client_info/blocks/grid.php',
));

if($active_block){
	$unblock_form = new UnblockForm($nil, BOOT.'/client_info/blocks/unblock-form.php');
	$doc->page->contents['unblock_form'] = $unblock_form;
}else{
	ob_start();
	?>
	<script language="Javascript">
	function BlockValidator(name){
		if(CommonFormCheck(name)){
			var e = document.forms[name];
			var from = e['actual_from[year]'].value + 
				'-' + e['actual_from[month]'].value + 
				'-' + e['actual_from[day]'].value.lpad('0', 2) + 
				' ' + e['actual_from[time]'].value.lpad('0', 2);
			var to = e['actual_to[year]'].value + 
				'-' + e['actual_to[month]'].value.lpad('0', 2) + 
				'-' + e['actual_to[day]'].value.lpad('0', 2) + 
				' ' + e['actual_to[time]'].value;
			return confirm(sprintf("<?=getResource('clientroom.blocks.confirm')?>", from, to));
		}else{
			return false;
		}
	}
	</script>
	<?
	$doc->page->contents['block_confirm'] = ob_get_clean();
	$block_form = new BlockForm($nil, BOOT.'/client_info/blocks/block-form.php');
	$doc->page->contents['block_form'] = $block_form;
}
ob_start();
?>

<style>
li {margin-left: -2em;}
</style>
<ul>
<li>          1  60 .</li>
<li>       .</li>
<li>           .</li>
</ul>
<br>
<?
$doc->page->contents['notes'] = ob_get_clean();
?>