<?
include_once('functions/troubles.php');

//$db->debug = 1;

$rec = loadRecord(sprintf("SELECT count(t.id) cnt
	FROM troubles t 
	LEFT JOIN stamps s ON s.id=t.stamp 
	WHERE t.client='%s' AND s.created > SUBDATE(now(), interval 1 day)", $client['id']));
$is_troubles_over = $rec['cnt'] >= 5;

$troubles = new PTable($db,BOOT.'client_info/troubles/table.php');
if($is_troubles_over){
	$troubles->readonly = 1;
}

$avail_phones = array();
foreach(explode(",", $client['phone']) as $ph){
	if(strlen($ph) >= 5){
		preg_match_all('|\d+|',   $ph, $m1);
		preg_match_all('|\d{5,}|', $ph, $m2);
		if(count($m1[0]) == count($m2[0])){
			foreach($m1[0] as $p){
				$avail_phones[] = trim($p);
			}
		}else{
			$avail_phones[] = trim($ph);
		}
	}
}

$doc->page->contents['troubles'] = new PMyAccess($troubles, array(
	'title'=>getResource('troubles.title'),
	'icon'=>HREF.'images/question.png',
	'grid_boot'=>BOOT.'client_info/troubles/grid.php',
	'form_boot'=>BOOT.'client_info/troubles/form.php',
	'briefable'=>0,
));
if($is_troubles_over){
	$doc->page->contents['troubles_warn'] = "<b><font color='red'>    5-   .</font></b>";
}

function fmt_answer($val, $rec){
	$val = auto_href2($val);
	$files = loadRecords("SELECT f.* FROM trouble_answer_files tf 
		LEFT JOIN billing_storage.files f ON f.id=tf.file
		WHERE tf.answer='".$rec['id']."'");
	if(!empty($files)){
		$val .= '<br><br>'.listAttachments($files, 'answers');
	}
	return $val;
}

if($troubles->isOn()){
	$answers = new PTable($db,BOOT.'client_info/troubles/answers/table.php');
	$doc->page->contents['answers'] = new PMyAccess($answers, array(
		'title'=>getResource('trouble.answers.title'),
		'icon'=>HREF.'images/troubles.gif',
		'grid_boot'=>BOOT.'client_info/troubles/answers/grid.php',
	));
}


ob_start();
?>
<script src="scripts/jquery-ui.js"></script>
<script>
function addFile(){
	if(fcount==5){
		alert("     ");
		return;
	}
	var div = document.createElement("div");
	var input = document.createElement("input")
	input.type = "FILE";
	input.name = "file" + fid;
	input.id = input.name;
	input.size = 28;
	var remover = document.createElement("a");
	remover.href = "javascript:removeFile(" + fid + ")";
	remover.innerHTML = "&nbsp;&ndash;&nbsp;";
	div.appendChild(input);
	div.appendChild(remover);
	ftd.appendChild(div);
	fcount++;
	fid++;
}

function removeFile(id){
	var input = document.getElementById('file'+id);
	input.disabled = 1;
	input.parentNode.style.display = 'none';
	fcount--;
}

var tform = document.forms['trbs'];
var tfile = tform.elements['file'];
var ftd = tfile.parentNode;
var fcount = 1;
var fid = 1;
ftd.innerHTML += ' <a href="javascript:addFile()"></a><div></div>';

<?if(count($avail_phones) > 0){?>
var available_phones = [<?=implode(",", array_map(function($v){return '"'.$v.'"';}, $avail_phones))?>];
$("[name=callback_phone]", tform).
	autocomplete({source: available_phones, minLength: 0}).
	focus(function(){
		if(this.value.length==0){
			$("[name=callback_phone]", tform).autocomplete("search", "");
		}
	}).
	click(function(){
		$("[name=callback_phone]", tform).autocomplete("search", "");
	});
<?}?>	


function track_callback(){
	$("[name=callback_phone]", tform).closest("tr").toggle($("[name=callback]", tform).attr('checked'));
}

$("[name=callback]", tform).click(function(){
	track_callback();
}); //.closest("tr").css('font-weight', 'bold')

track_callback();

</script>

<?
$doc->page->contents['cli_tro_script'] = ob_get_clean();
?>