<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
*/
$arr = loadRecord(sprintf("SELECT count(*) cnt FROM menu_operator_boxes WHERE operator='%s'", $oper->id));
if(!$arr || !$arr['cnt']){
	menu_operator($oper->id);
}

$box_id = '';
$items = array();
$res = $db->Execute(sprintf("
	SELECT mob.id as box_id, mob.title as box_title, mi.title, moi.custom_title, mi.link, mi.id as item_id, mi.access_by, mi.access_level, se.key_name
	FROM menu_operator_items moi 
	LEFT JOIN menu_operator_boxes mob ON mob.id=moi.menu_box
	LEFT JOIN menu_items mi ON mi.id=moi.menu_item
	LEFT JOIN system_entities se ON se.id=mi.access_by
	LEFT JOIN operators_access oa ON oa.operator='%s' AND oa.entity=se.id
	WHERE moi.operator='%s'
	ORDER BY mob.order_num, mob.id, moi.order_num, mi.id", $oper->id, $oper->id));

while($arr = $db->Next($res)){
	if(!$arr['access_by'] || ($oper->system_access[$arr['key_name']] >= $arr['access_level'])){
		if($arr['box_id']!=$box_id){
			$menu = new PFileMenu($nil, array());
			$box_name = 'box_'._Translit(preg_replace("|\s+|", "_", $arr['box_title']));
			$doc->bar->$box_name = new PBox($nil, array(
				'title'=>$arr['box_title'],
				'key'=>$box_name,
				'contents'=>array(
					'menu'=>$menu,
				)
			));
			$box_id = $arr['box_id'];
		}
		$menu->items[$arr['item_id']] = new PFileMenu($menu, array(
			'path'=>$arr['link'],
			'title'=>$arr['custom_title'] ? $arr['custom_title'] : $arr['title'],
		));
	}
}
?>