<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
loadStrings(BOOT.'koops/strings.txt');

$doc->title .= ' :: '.getResource('koops.title');

required_access('koops');

function show_photo(){
	global $files;
	if($files->isOn()){
		if(strstr($files->active_record['file_type'], 'image')){
			return '<img id="staff_img"
				onclick="picViewer.open(this);stopEvent(event);"
				style="border: 1px solid white; max-height:200px; max-width:500px;"
				src="download.php?source=photo&id='.$files->active_record['file'].'">';
		}
	}
}

function delete_photo($table){
	global $db;
	if($table->old_record['file']){
		$db->Execute(sprintf("DELETE FROM billing_storage.files WHERE id='%s'", $table->old_record['file']));
	}
}

function upload_photo($table){
	global $db;
	$arr = upload_storage_files(1);
	if(isset($arr['file1'])){
		delete_photo($table);
		$db->Execute(sprintf("UPDATE koops_files SET file='%s' WHERE id='%s'", $arr['file1'], $table->current_record['id']));
	}
}

function after_koop_pay_post($table){
	global $db;
	$arr = upload_storage_files(1);
	if(isset($arr['file1'])){
		if($table->old_record['act_file']){
			$db->Execute(sprintf("DELETE FROM billing_storage.files WHERE id='%s'", $table->old_record['act_file']));
		}
		$db->Execute(sprintf("UPDATE koop_pays SET act_file='%s' WHERE id='%s'", $arr['file1'], $table->current_record['id']));
	}
}

if(isset($_GET['file_delete']) && $oper->system_access['koops']){
	$fid = addslashes($_GET['file_delete']);
	$db->Execute("DELETE FROM billing_storage.files WHERE id='".$fid."'");
	$db->Execute("UPDATE koops SET contract_file=NULL WHERE contract_file='".$fid."'");
	unset($_GET['file_delete']);
}

$doc->start = '<div id="overlay" style="display:none;"></div>'.
	'<img id="pic_big" class="popup" style="border: 2px solid white; display:none; top: 50%; left:50%;">';
$doc->page->contents['js'] = "<script language='JavaScript'>
	var picViewer = new PicViewer(1024, 768);
	</script>";

$koops = new PTable($db,BOOT.'koops/table.php');
$koops->readonly = !$oper->system_access['koops'];
addCityPolicy($koops, 'k.city');
$doc->page->contents['koops'] = new PMyAccess($koops,array(
	'title'=>getResource('koops.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/streets.gif',
	'grid_boot'=>forceCity(BOOT.'koops/grid.php'),
	'form_boot'=>forceCity(BOOT.'koops/form.php'),
));

if($koops->isOn()){
	$koop = $koops->active_record;
	$kmenu = new PNamedMenu($nil,BOOT.'koops/menu.php');
	$doc->page->contents['koop_menu'] = $kmenu;
	switch($kmenu->selected){
		case 'fi':
			loadStrings(BOOT.'koops/files/strings.txt');
			$files = new PTable($db,BOOT.'koops/files/table.php');
			$files->readonly = $koops->readonly;
			$doc->page->contents['files'] = new PMyAccess($files, array(
				'title'=>getResource('koops.files.title'),
				'icon'=>HREF.'images/documents.gif',
				'grid_boot'=>BOOT.'koops/files/grid.php',
				'form_boot'=>BOOT.'koops/files/form.php',
			));
			break;
		case 'pa':
			loadStrings(BOOT.'koops/pays/strings.txt');
			$pays = new PTable($db,BOOT.'koops/pays/table.php');
			$pays->readonly = !$oper->system_access['koops'];
			$doc->page->contents['pays'] = new PMyAccess($pays, array(
				'title'=>getResource('koop.pays.title'),
				'icon'=>HREF.'images/dollar.gif',
				'icon_attributes'=>'width=29 height=42',
				'grid_boot'=>BOOT.'koops/pays/grid.php',
				'form_boot'=>BOOT.'koops/pays/form.php',
			));
			break;
		case 'ho':
			loadStrings(BOOT.'houses/strings.txt');
//			$db->debug = 1;
			$houses = new PTable($db,BOOT.'koops/houses/table.php');
			$houses->filters['koop'] = '((h.served_by=2 AND h.koop='.$koop['id'].') OR (h.served_by=4 AND (h.koop='.$koop['id'].' || h.koop1='.$koop['id'].')))';
			//$houses->readonly = !$oper->system_access['houses'];
			$doc->page->contents['houses'] = new PMyAccess($houses, array(
				'title'=>getResource('houses.title'),
				'icon'=>HREF.'images/streets.gif',
				'grid_boot'=>BOOT.'koops/houses/grid.php',
				//'form_boot'=>BOOT.'koops/houses/form.php',
			));
			break;
	}
}

echo $doc->Paint();
?>