<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/08/04 07:53:06 $
$Revision: 1.14 $
*/
include_once('includes/global.php');
$doc->title .= ' :: '. getResource('login.title');

define("MAX_LOGIN_ATTEMPTS",10);

if($oper->isValid()){
	ob_end_clean();
	if($_SESSION['redirect']){
		header("Location:".$_SESSION['redirect']);
		unset($_SESSION['redirect']);
	}else{
		header("Location:".HREF."default.php");
	}
	exit;
}

if($_SESSION['client_id']){
	ob_end_clean();
	header("Location:".HREF."client_info.php");
	exit;
}

if(!$_SESSION['attempts']){
	$_SESSION['attempts'] = 1;
}

if($_SESSION['attempts']>=MAX_LOGIN_ATTEMPTS){
	echo getResource('login.blocked');
	exit;
}



class PLoginForm extends PForm {

	function copinyCookie(){
		$arr = loadRecord(sprintf("SELECT id, login, pass FROM clients WHERE id='%s'", $_SESSION['client_id']));
		setcookie('COPINY_AUTH', $_SESSION['client_id'].'-'.md5($arr['id'].$arr['login'].$arr['pass']), time()+60*60*24*30, '/', getTrimOption('COPINY_DOMAIN'));
	}

	function loginClientByIp(){
		if($allow_ip_login = loadRecord("SELECT c.id FROM hosts h LEFT JOIN clients c ON c.id=h.client WHERE c.allow_ip_login AND h.ip='".addslashes($_SERVER["REMOTE_ADDR"])."'")){
			$_SESSION['client_id'] = $allow_ip_login['id'];
			$this->logClientBrowser($allow_ip_login['id']);
			return true;
		}
	}

	function logClientBrowser($clid){
		global $pe6yc_storage;
		$bid = $pe6yc_storage->getBrowserId();
		$this->owner->Execute(sprintf("REPLACE INTO browser_to_client (browser, client) VALUES ('%s', '%s')", $bid, $clid));
		$this->owner->Execute(sprintf("UPDATE clients SET last_browser='%s' WHERE id='%s'", $bid, $clid));
		$this->copinyCookie();
	}

	function Process(){
		global $oper, $pe6yc_storage;
		$login = $this->fields['login']->value;
		$pass = $this->fields['pass']->value;
		$res = $this->owner->Execute(sprintf("SELECT id, pass, access_zone FROM operators WHERE login='%s'", addslashes($login)));
		if($arr=$this->owner->Next($res)){
			if($arr['pass']==crypt($pass, $arr['pass'])){
				$ip = $_SERVER["REMOTE_ADDR"];
				$id = $arr['id'];
				$oper->set_id($id);
				if(!$oper->valid_zone){
					$oper->set_id(0);
					return getResource('login.wrong.zone');
				}
				$this->owner->Execute("INSERT INTO operators_logins (operator,loged, ip) VALUES('$id',now(), '$ip')");
				return;
			}
		}
		$res = $this->owner->Execute(sprintf("SELECT id, pass FROM clients WHERE login='%s'", addslashes($login)));
		if($arr = $this->owner->Next($res)){
			$supervisor = getTrimOption('CLIENT_SUPERVISOR');
			if((CRYPT_CLIENTS_PASS ? ($arr['pass']==crypt($pass, $arr['pass'])) : ($arr['pass']==$pass)) || 
				$supervisor && ($pass==$supervisor)){
				$_SESSION['client_id'] = $arr['id'];
				if($supervisor && ($pass==$supervisor)){
					$_SESSION['client_supervisor'] = 1;
				}else{ 
					$this->logClientBrowser($arr['id']);
				}
				return;
			}
		}
		$err = getResource('login.wrong');
		if($_SESSION['attempts']++>3){
			$err .= "<br>".getResource('login.wrong.often');
			$err .= "<br>".sprintf(getResource('login.wrong.left'), MAX_LOGIN_ATTEMPTS-$_SESSION['attempts']+1);
		}
		return $err;
	}
}

$form = new PLoginForm($db,BOOT.'login/form.php');
if($form->loginClientByIp()){
	ob_end_clean();
	header("Location:".HREF."client_info.php");
	exit;
}else{
	$doc->page->contents['head'] = '<img src="'.HREF.'images/pass.png" style="vertical-align: middle;">';
//	$doc->page->contents['help'] = "<div width='100%' align='right' style=\"padding:4px;\"><img src=\"images/info.png\" style=\"vertical-align: middle;\">&nbsp;<a class=\"info\" href=\"http://lanet.kiev.ua/company/help/connect#stat\">  </a></div>";
	$doc->page->contents['login_form'] = $form;
	$doc->page->contents['focus'] = '<script>
	document.forms["login"].elements["login"].focus();
	</script>';
	echo $doc->Paint();
}
?>
