<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:16 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
include_once('classes/period.php');
include_once('functions/accounts.php');
loadStrings(BOOT.'movements/strings.txt');

$doc->title .= ' :: '.getResource('movements.title');

required_access('movements');
//$db->debug = 1;


include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'mov_src':
		switch($_GET['menu']){
			case 'pay':
			case 'bpa':
				lookup('system_src_account_s');
			case 'chr':
				lookup('client_account_s');
			case 'bch':
				lookup('bonus_account_s');
			case 'fre':
				lookup('src_account');
		}
	case 'mov_dst':
		switch($_GET['menu']){
			case 'chr':
			case 'bch':
				lookup('system_dst_account_s');
			case 'pay':
				lookup('client_account_s');
			case 'bpa':
				lookup('bonus_account_s');
			case 'fre':
				lookup('dst_account');
		}
}

function getMovementSourceCandidates(){
	global $db, $mmenu;
	switch($mmenu->selected){
		case 'pay':
		case 'bpa':
			return getSignedSrcSystemAccounts();
		case 'chr':
			return getSignedClientAccounts();
		case 'bch':
			return getSignedBonusAccounts();
		case 'fre':
			return getAllSrcAccounts();
	}
}

function getMovementDestinationCandidates(){
	global $mmenu;
	switch($mmenu->selected){
		case 'chr':
		case 'bch':
			return getSignedDstSystemAccounts();
		case 'pay':
			return getSignedClientAccounts();
		case 'bpa':
			return getSignedBonusAccounts();
		case 'fre':
			return getAllDstAccounts();
	}
}

//createAccountReference('src_names');
//createAccountReference('dst_names');

include(BOOT.'period/form.php');
$obj['nick'] = 'mper';
$period = new PPeriod($nil, $obj);
$period->commented = false;


$mmenu = new PNamedMenu($nil,BOOT.'movements/menu.php');

$movements = new PTable($db,BOOT.'movements/table.php');
$movements->readonly = !$oper->system_access['movements'];
if($period->active){
	if($from = $period->getFrom()){
		$movements->filters['from'] = sprintf("m.date >= '%s'", $from);
	}
	if($to = $period->getTo()){
		$movements->filters['to'] = sprintf("m.date <= '%s'", $to);
	}
}

addCityPolicy($movements, 'm.city');

$doc->page->contents['movements'] = new PMyAccess($movements,array(
	'title'=>getResource('movements.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/dollar.gif',
	'icon_attributes'=>'width=29 height=42',
	'grid_boot'=>BOOT.'movements/grid.php',
	'form_boot'=>BOOT.'movements/form.php',
	'tool'=>$period,
));
if(!$doc->page->contents['movements']->brief){
	$doc->page->contents['movements_menu'] = $mmenu;
}
echo $doc->Paint();
?>
