<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/08/04 07:53:23 $
$Revision: 1.3 $
*/
include_once(dirname(__FILE__).'/object.php');

class PClan extends PObject {

var $nick;
var $pedi_name;

function set_nick($val){
	$this->nick = $val;
	$this->CalcPediName();
}

function CalcPediName(){
	if(is_object($this->owner) && method_exists($this->owner,'Pedigree')){
		$this->pedi_name = $this->owner->Pedigree($this->nick);
	}else{
		$this->pedi_name = $this->nick;
	}
	return $this->pedi_name;
}

function Pedigree($name){
	if(!$this->pedi_name){
		$this->CalcPediName();
	}
	return $this->pedi_name.(($this->pedi_name && $name)?'_':'').$name;
}

function PediArray($arr){
	$pa = array();
	foreach($arr as $key=>$val){
		$pa[$this->Pedigree($key)]=$val;
	}
	return $pa;
}

function PediValues($arr){
	foreach($arr as $key=>$val){
		$arr[$key]=$this->Pedigree($val);
	}
	return $arr;
}

}?>