<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/08/04 07:53:24 $
$Revision: 1.7 $
*/
include_once(dirname(__FILE__).'/../form.php');
include_once(dirname(__FILE__).'/table.php');

class PDBForm extends PForm {

var $can_post=1;
var $can_insert=1;
var $can_delete=1;
var	$method='post';
var $clean_post=1;

function Create($table,$data){
	parent::Create($table,$data);
	if(!is_object($table)){
		$this->Error('Invalid table');
	}
	foreach($this->fields as $name=>$field){
		if(!isset($field->title) && isset($table->fields[$name]->title)){
			$this->fields[$name]->title = $table->fields[$name]->title;
		}
	}
}

function Retrive(){
	$this->GenerateSubmits();
	parent::Retrive();
}

function RetriveFields(){
	if($this->submiter!='delete'){
		parent::RetriveFields();
	}
}

function getRedirector(){
	$pointer = $this->PediArray($this->owner->getPointer());
	return _href_change($pointer).'#'.$this->getAnchor();
}

function Process(){
	$pointer = array();
	foreach($this->owner->fields as $name=>$field){
		if($field->key){
			$pointer[$name]=$this->spool['pointer_'.$name];
		}
	}
	switch($this->submiter){
		case 'post':
			return $this->Post($pointer);
		case 'insert':
			return $this->Insert();
		case 'delete':
			return $this->Delete($pointer);
	}
}

function Post($pointer){
	if(!$this->owner->Locate($pointer)){
		return 'Record unavailable';
	}
	return $this->can_post?$this->owner->Post($this->getData()):'Post denied';
}

function Insert(){
	return $this->can_insert?$this->owner->Insert($this->getData()):'Insert denied';
}

function Delete($pointer){
	if(!$this->owner->Locate($pointer)){
		return 'Record unavailable';
	}
	return $this->can_delete?$this->owner->Delete():'Delete denied';
}


function GenerateSubmitPost(){
	if($this->can_post && count($this->owner->active_record)){
		$this->submits['post'] = new PFormSubmit($this,array(
			'name'=>'post',
			'title'=>getResource('pe6yc.form.submit.post'),
			'validator'=>'CommonFormCheck',
		));
	}
}

function GenerateSubmitInsert(){
	if($this->can_insert){
		$this->submits['insert'] = new PFormSubmit($this,array(
			'name'=>'insert',
			'title'=>getResource('pe6yc.form.submit.insert'),
			'validator'=>'CommonFormCheck',
		));
	}
}

function GenerateSubmitDelete(){
	if($this->can_delete && count($this->owner->active_record)){
		$this->submits['delete'] = new PFormSubmit($this,array(
			'name'=>'delete',
			'title'=>getResource('pe6yc.form.submit.delete'),
			'validator'=>'ConfirmDelete',
		));
	}
}

function GenerateSubmits(){
	$this->submits = array();
	if(!$this->owner->readonly){
		$this->GenerateSubmitPost();
		$this->GenerateSubmitInsert();
		$this->GenerateSubmitDelete();
	}
}

function Draw(){
	$empty = !$this->owner->isOn();
	foreach($this->fields as $name=>$field){
		$this->fields[$name]->readonly = $field->readonly || $this->owner->readonly;
		
		$retrived = $this->fields[$name]->value;
		// || !isset($this->owner->active_record[$name])
//		$this->fields[$name]->value = ($empty)?$field->default:$this->owner->active_record[$name];
		if(!$field->force){
			$this->fields[$name]->value = $this->owner->isOn() ? $this->owner->active_record[$name] : $field->default;
		}
		if($this->owner->fields[$name]->key){
			$this->fields['pointer_'.$name]->value = $this->owner->active_record[$name];
		}
		if($this->error && isset($this->spool[$name])){
			$this->fields[$name]->value = $retrived;
		}
		if($field->link){
			foreach($this->owner->fields as $n=>$f){
				$val = $this->owner->active_record[$n];
				$this->fields[$name]->link = str_replace("[$n]",$val,$this->fields[$name]->link);
			}
		}
		if($field->comment){
			foreach($this->owner->fields as $n=>$f){
				$val = $this->owner->active_record[$n];
				$this->fields[$name]->comment = str_replace("[$n]",$val,$this->fields[$name]->comment);
			}
		}

		//$this->fields[$name]->value = $this->fields[$name]->value;//hm, what the fuck?
	}
	foreach($this->owner->fields as $name=>$field){
		if($field->key){
			$this->fields['pointer_'.$name] = new PFormField($this,array(
				'name'=>'pointer_'.$name,
				'type'=>'hidden',
				'value'=>$this->owner->active_record[$name]
			));
		}
	}
	$this->GenerateSubmits();
	return parent::Draw();
}

}
?>