<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/08/04 07:53:23 $
$Revision: 1.6 $
*/
include_once(dirname(__FILE__).'/transformer.php');

class PPermanent extends PTransformer {

var $permanents = array();
var $listen = array();

function Create($owner,$data){
	parent::Create($owner,$data);
	$this->GetPermanents();
	$this->GetListen();
}

function GetPermanents(){
	if(isset($GLOBALS['pe6yc_storage'])){
		foreach($this->permanents as $key){
			$this->RestoreProp($key);
		}
	}
}

function StorePermanents(){
	if(isset($GLOBALS['pe6yc_storage'])){
		foreach($this->permanents as $key){
			$this->StoreProp($key);
		}
	}
}

function RestoreProp($name){
	$this->setProperty($name, $GLOBALS['pe6yc_storage']->restore($this->Pedigree($name), $this->$name));
}


function StoreProp($name){
	$GLOBALS['pe6yc_storage']->store($this->Pedigree($name), ltrim($this->$name));
}

function GetListen(){
	foreach($this->listen as $key){
		if(is_array($this->$key)){
			$this->loadListenArrayProperty($key);
		}else{
			$this->loadListenProperty($key);
		}
	}
}

function loadListenProperty($key){
	$ref = $this->Pedigree($key);
	if(isset($_GET[$ref])){
		$this->setProperty($key,unslash($_GET[$ref]));
		if(in_array($key, $this->permanents)){
			unset($_GET[$ref]);
		}
		if(strlen($_GET[$ref])==0){
			unset($_GET[$ref]);
		}
	}
}

function loadListenArrayProperty($key){
	$arr = $this->$key;
	foreach($arr as $k=>$v){
		$ref = $this->Pedigree($k);
		if(isset($_GET[$ref])){
			$arr[$k] = unslash($_GET[$ref]);
		}
	}
	$this->$key = $arr;
}

function Draw(){
	$this->StorePermanents();
	return parent::Draw();
}

}
?>