<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
loadStrings(BOOT.'polls/strings.txt');

$doc->title .= ' :: '.getResource('polls.title');

required_access('polls');

//$db->debug = 1;

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'client':	lookup('client');
}

function getPollOptions(){
	global $poll;
	return loadByQuery("SELECT id, body as value FROM poll_options WHERE poll=".$poll['id']);
}

class PercentCellRenderer {
	function render($column, $record){
		$val = $record[$column->name] * 2;
		if($val > 0){
			return sprintf("<td><img src='images/back.gif' height='10' width='%s' style='border: 1px solid #338;'></td>", $val);
		}else{
			return "<td></td>";
		}
	}
}
$percent_cell = new PercentCellRenderer();

$polls = new PTable($db,BOOT.'polls/table.php');
$polls->readonly = !$oper->system_access['polls'];
addCityPolicy($polls, 'p.city');

$doc->page->contents['polls'] = new PMyAccess($polls,array(
	'title'=>getResource('polls.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/polls.gif',
	'grid_boot'=>forceCity(BOOT.'polls/grid.php'),
	'form_boot'=>forceCity(BOOT.'polls/form.php'),
));

if($polls->isOn()){
	$poll = $polls->active_record;
	$pmenu = new PNamedMenu($nil, BOOT.'polls/menu.php');
	$doc->page->contents['polls_menu'] = $pmenu;
	switch($pmenu->selected){
		case 'op':
			//$db->debug = 1;
			$r = loadRecord("SELECT count(*) c FROM poll_votes WHERE poll=".$poll['id']);
			$votes_count = $r['c'];
			$db->Execute("CREATE TEMPORARY TABLE poll_results (poll_option int unsigned, votes int unsigned) ENGINE=Memory");
			insertSelectOverFile('poll_results', "-- INSERT INTO poll_results
			SELECT poll_option, count(*) FROM poll_votes WHERE poll=".$poll['id']." GROUP BY poll_option");

			$options = new PTable($db,BOOT.'polls/options/table.php');
			$options->readonly = $polls->readonly;
			$doc->page->contents['p_options'] = new PMyAccess($options,array(
				'title'=>getResource('poll.options.title'),
				'icon'=>HREF.'images/polls.gif',
				'grid_boot'=>BOOT.'polls/options/grid.php',
				'form_boot'=>BOOT.'polls/options/form.php',
			));
			break;
		case 'vo':
			$votes = new PTable($db,BOOT.'polls/votes/table.php');
			$votes->readonly = $polls->readonly;
			$doc->page->contents['p_votes'] = new PMyAccess($votes,array(
				'title'=>getResource('poll.votes.title'),
				'icon'=>HREF.'images/polls.gif',
				'grid_boot'=>BOOT.'polls/votes/grid.php',
				'form_boot'=>BOOT.'polls/votes/form.php',
			));
			break;
	}
}

echo $doc->Paint();
?>