<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
include_once('classes/period.php');

$doc->title .= ' :: '.getResource('portmone.pays.title');
loadStrings(BOOT.'portmone/strings.txt');

required_access('portmone');

include(BOOT.'period/form.php');
$obj['nick'] = 'poper';
$period = new PPeriod($nil, $obj);
$period->commented = false;

$menu = new PNamedMenu($nil,BOOT.'portmone/menu.php');

$doc->page->contents['portmone_menu'] = $menu;
switch($menu->getSelected()){
	case 'on':
		$portmone = new PTable($db,BOOT.'portmone/table.php');
		$portmone->readonly = !$oper->system_access['portmone'];
		addCityPolicy($portmone, 'c.city');
		$doc->page->contents['portmone'] = new PMyAccess($portmone,array(
			'title'=>getResource('portmone.pays.title'),
			'help'=>HELP_PATH.'//Portmone',
			'icon'=>HREF.'images/dollar.gif',
			'icon_attributes'=>'width=29 height=42',
			'grid_boot'=>BOOT.'portmone/grid.php',
			'form_boot'=>BOOT.'portmone/form.php',
		));
		break;
	case 'bi':
		$bills = new PTable($db,BOOT.'portmone/bills/table.php');
		$bills->readonly = !$oper->system_access['portmone'];
		if($period->active){
			if($from = $period->getFrom()){
				$bills->filters['from'] = sprintf("pp.date >= '%s'", $from);
			}
			if($to = $period->getTo()){
				$bills->filters['to'] = sprintf("pp.date <= '%s'", $to);
			}
		}
		addCityPolicy($bills, 'c.city');
		$doc->page->contents['bills'] = new PMyAccess($bills, array(
			'title'=>getResource('portmone.bills.title'),
			'help'=>HELP_PATH.'//Portmone',
			'icon'=>HREF.'images/dollar.gif',
			'icon_attributes'=>'width=29 height=42',
			'grid_boot'=>BOOT.'portmone/bills/grid.php',
			//'form_boot'=>BOOT.'portmone/bills/form.php',
			'tool'=>$period,
		));
		break;
}

echo $doc->Paint();
?>