function StrictInputTracker(input, strict, find, replace){
	input.find = find;
	input.replace = replace;
	input.prev = input.value;
	var func = function(){
		if(this.prev!=this.value){
			this.value = this.value.replace(this.find, this.replace);
			if(!this.value.match(strict)){
				this.value = this.prev
			}
			this.prev = this.value;
		}
	}
	input.onchange = func;
	input.onkeyup = func;
}