<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:16 $
$Revision: 1.6 $
*/

include_once('includes/global.php');
include_once('classes/period.php');

$doc->title .= ' :: '.getResource('log.title');

required_access('hosts');

//$db->Execute("SET SESSION TRANSACTION ISOLATION LEVEL READ UNCOMMITTED");

$period = new PPeriod2($nil,BOOT.'period/form2.php');

//$db->debug = 1;

$tables = array(
	'1'=>'table.php',
	'2'=>'table-hour.php',
	'3'=>'table-day.php',
);
if(isset($tables[$period->detail])){
	//$db->debug = 1;
	$log = new PTable($db,BOOT.'log/'.$tables[$period->detail]);
	addCityPolicy($log, 'c.city');
	if($period->active){
		$from = $period->getFrom();
		$to = $period->getTo();
		if($from){
			$log->filters['from'] = sprintf($log->fields['from_time']->getSelector()." >= '%s'", $from);
		}
		if($to){
			if($from){
				$log->filters['from_to'] = sprintf($log->fields['from_time']->getSelector()." <= '%s'", $to);
			}
			$log->filters['to'] = sprintf($log->fields['to_time']->getSelector()." <= '%s'", $to);
		}
	}
	$doc->page->contents['stats'] = new PMyAccess($log,array(
		'title'=>getResource('log.title'),
		'help'=>HELP_PATH.'//',
		'icon'=>HREF.'images/log.gif',
		'grid_boot'=>BOOT.'stats_all/grid.php',
	));
}

$doc->page->contents['period'] = $period;
echo $doc->Paint();
?>
