<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/12/23 09:08:50 $
$Revision: 1.2 $
*/
include_once('includes/global.php');
include_once('classes/period.php');
include_once('functions/uses.php');
loadStrings(BOOT.'/departments/strings.txt');


$doc->title .= ' :: '.getResource('stat.departments.title');

if(!isset($oper->system_access['departments']) || $oper->department){
	$doc->page->contents['denied'] = getResource('access.denied');
	echo $doc->Paint();
	exit;
}
//$db->debug = 1;
//$db->Execute("SET SESSION TRANSACTION ISOLATION LEVEL READ UNCOMMITTED");

$period = new PPeriod($nil,BOOT.'period/form.php');

prepare_ip_use_data($period);

$db->Execute("CREATE TEMPORARY TABLE stats_resource_uses (
	id		INT UNSIGNED NOT NULL PRIMARY KEY,
	bytes	BIGINT UNSIGNED NOT NULL,
	cost	BIGINT UNSIGNED NOT NULL) ENGINE=Memory");
insertSelectOverFile('stats_resource_uses', "-- INSERT INTO stats_resource_uses (id, bytes, cost)
	SELECT ru.id, sum(l.bytes) bytes, floor(sum(l.bytes) * ru.price / ru.unit_size) cost
	FROM ip_use_data l
	LEFT JOIN ip_uses iu ON iu.id=l.ip_use
	LEFT JOIN personal_period_resource_uses ppru ON ppru.id=iu.personal_period_resource_use
	LEFT JOIN resource_uses ru ON ru.id=ppru.resource_use
	LEFT JOIN clients c ON c.id=ru.client
	".($oper->city_mode ? "WHERE c.city IN (SELECT city FROM operators_cities WHERE operator='$oper->id' )" : "")."
	GROUP BY ru.id");

$db->Execute("CREATE TEMPORARY TABLE stats_departments (
	id		INT UNSIGNED NOT NULL PRIMARY KEY,
	bytes	BIGINT UNSIGNED NOT NULL,
	cost	BIGINT UNSIGNED NOT NULL) ENGINE=Memory");
insertSelectOverFile('stats_departments', "-- INSERT INTO stats_departments (id, bytes, cost)
	SELECT c.department,  sum(s.bytes), sum(s.cost)
	FROM stats_resource_uses s
	LEFT JOIN resource_uses ru ON ru.id=s.id
	LEFT JOIN clients c ON c.id=ru.client
	GROUP BY c.department");

$stats_departments = new PTable($db,BOOT.'stats_departments/table.php');
$doc->page->contents['stats_departments'] = new PMyAccess($stats_departments,array(
	'title'=> getResource('stat.departments.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/departments.gif',
	'grid_boot'=>BOOT.'stats_departments/grid.php',
	'tool'=>$period,
));
echo $doc->Paint();
?>
