#!/usr/bin/php -q
<?php
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2004/04/27 08:37:36 $
$Revision: 1.19 $
*/
!isset($_SERVER['SERVER_NAME']) || exit;
error_reporting(E_ALL);

ini_set('include_path', DIRNAME(__FILE__). '/../');
include("includes/options.php");
include("classes/context/include.php");

$beanFactory = new CompositBeanFactory(array(
	new ArrayBeanFactory('boot/caban/log.php'),
	new ArrayBeanFactory('boot/caban/dao.php'),
	new ArrayBeanFactory('boot/caban/tools.php'),
));
$db = $beanFactory->getBean('connection');

if(!isset($_SERVER['argv'][1])){
	die("Yka*u pyT!\n");
}
$root_value = $_SERVER['argv'][1];

$root = 0;
$modems = array();
$sel = $db->select("SELECT id, ip, mac, name, modem, port FROM modems");
while($modem = $sel->Next()){
	$modems[$modem['id']] = $modem;
	if(in_array($root_value, array($modem['id'], $modem['ip'], $modem['mac'], $modem['name']))){
		$root = $modem['id'];
	}
}
if(!$root){
	die("pyT He HaugeH :(\n");
}

function putAtRootPort($node, $leaf){
	global $modems, $root, $rootInfo;
	if($node['modem']==$root){
		if($node['port'] > 0){
			$rootInfo[$node['port']][] = $leaf;
		}
	}else{
		if(isset($modems[$node['modem']])){
			$modem = $modems[$node['modem']];
			return putAtRootPort($modem, $leaf);
		}
	}
}

$rootInfo = array();
$sel = $db->select("SELECT id, ip, mac, modem, port FROM hosts WHERE mac>'' AND ip NOT LIKE '%%/%%' ORDER BY ip");
while($host = $sel->Next()){
	putAtRootPort($host, $host);
}

ksort($rootInfo);

foreach($rootInfo as $port=>$nodes){
	foreach($nodes as $node){
		printf("%s\t%s\t%s\n", $port, $node['mac'], $node['ip']);
	}
}
?>