<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:16 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
include_once('functions/host.php');
include_once('classes/cells/HighlightCellRenderer.php');

loadStrings(BOOT.'tv_connections/strings.txt');
loadStrings(BOOT.'exp_points/strings.txt');
loadStrings(BOOT.'client_info/strings.txt');
loadStrings(BOOT.'personal_periods/strings.txt');

$doc->title .= ' :: '.getResource('tv.connections.title');

required_access('tv_connections');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'client': lookup('client');
	case 'tv_box':
		if($_GET['client']){
			$client = loadRecord("SELECT id, house_id, entrance FROM clients WHERE id='".addslashes($_GET['client'])."'");
			new Lookup('b.id', 'CONCAT("'.getResource('exp.points.floor.short').' ", b.floor)',
				"tv_boxes b",
				array('b.house="'.$client['house_id'].'" AND b.entrance="'.$client['entrance'].'"'), 'b.floor');
		}else{
			lookup('tv_box');
		}
	case 'tv_node':
		if($_GET['client']){
			$client = loadRecord("SELECT id, house_id, entrance FROM clients WHERE id='".addslashes($_GET['client'])."'");
			new Lookup('n.id', 'CONCAT(n.name, " (", IFNULL(n.entrances, ""), ")")',
				"tv_nodes n
				LEFT JOIN exp_points p ON p.id=n.point",
				array('p.house="'.$client['house_id'].'"', 'LENGTH(n.entrances) > 0'));
		}else{
			lookup('tv_node_ent', array('LENGTH(n.entrances) > 0'));
		}
}

//$db->debug = 1;

$tv_connections = new PTable($db,BOOT.'tv_connections/table.php');
$tv_connections->readonly = !$oper->system_access['tv_connections'];
addCityPolicy($tv_connections, 'c.city');

$doc->page->contents['tv_connections'] = new PMyAccess($tv_connections,array(
	'title'=>getResource('tv.connections.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/tv.png',
	'grid_boot'=>forceCity(BOOT.'tv_connections/grid.php'),
	'form_boot'=>BOOT.'tv_connections/form.php',
));

if(!$doc->page->contents['tv_connections']->brief){
ob_start();
?>
<script type="text/javascript">
var f = $("form[name=<?=$tv_connections->nick?>]");
$("[name=client]", f).change(function(){
	lookup_tv_box.src = '?lookup=tv_box&target=lookup_tv_box&client=' + this.value;
	lookup_tv_box.loaded = false;
	lookup_tv_box.loadFirst();

	lookup_tv_node.src = '?lookup=tv_node&target=lookup_tv_node&client=' + this.value;
	lookup_tv_node.loaded = false;
	lookup_tv_node.loadFirst();
}).change();

lookup_client.onchange = function(){
	$("[name=client]", f).trigger('change');
}
</script>
<?
$doc->page->contents['all'] = ob_get_clean();
}

echo $doc->Paint();
?>