<?
include("includes/environment.php");
include("functions/accounts.php");
include_once "includes/core.php";
include_once "classes/log/FileAppender.php";
include_once "classes/log/DefaultLogger.php";

class PrivatePayer {

var $logger;
var $password;
var $private_account;
var $messages = array(
	'x'=>' .',
	'1'=>'   !      .',
	'50'=>' . ,    -.',
	'51'=>' . ,    -.   :     ,             .',
	'55'=>' . ,    -.',
	'57'=>' . ,    -.',
	'58'=>' . ,    -.',
	'59'=>' . ,    -.',
	'60'=>' . ,    -.   :     ,             .',
	'74'=>' . ,    -.',
	'76'=>' . ,    -.   :     ,             .',
	'95'=>' . ,    -.',
	'200'=>' . ,    -.   :     ,             .',
	'205'=>' .        .',
	'210'=>' . ,    -.',
	'211'=>' . ,    -.   :     ,             .',
	'901'=>' . ,    -.   :     ,             .',

	'2'=>' . ,    -.   :     ,             .',
	'3'=>' . ,    -.',
	'4'=>' . ,    -.',
	'13'=>',   .        .',
	'14'=>' .',
	'15'=>'.    ,  .',
	'18'=>'  . ,      .',
	'23'=>'  . ,      .',
	'32'=>'.    ,  .',
	'34'=>'   3-D Secure   . ,     .',
	'38'=>'         .   -        . ,    -.',
	'39'=>'.    ,  .',
	'36'=>' .',
	'35'=>' .',
	'40'=>' .',
	'401'=>',       .     .',
	'90'=>'   ,  .',
	'4501'=>',       .     .',
	'1821'=>',       .     .',
	'52'=>'   ,  .',
	'53'=>' .',
	'254'=>' .',
	'315'=>'   ,  .',
	'311'=>'   ,  .',
);

function PrivatePayer($logger){
	global $db;
	$this->logger = $logger;
	$this->password = getTrimOption('PRIVATE_PASSWORD');
	if($arr = $db->Next($db->Execute("SELECT account FROM system_accounts WHERE code='PAY_PRIVATE'"))){
		$this->private_account = $arr['account'];
	}
}

function isFullConfigured(){
	return $this->password && $this->private_account;
}

function checkPost(){
	//$calc = base64_encode(sha1($this->password.$_POST['merid'].$_POST['acqid'].$_POST['orderid'].$_POST['responsecode'].$_POST['reasoncode'].$_POST['reasoncodedesc'], true));
	$calc = base64_encode( sha1($_POST['private_key'].$_POST['amount'].$_POST['currency'].$_POST['public_key'].$_POST['order_id'].$_POST['type'].$_POST['description'].$_POST['status'].$_POST['transaction_id'].$_POST['sender_phone'], 1 ));
	
//	base64_encode(sha1($this->password.$_POST['merid'].$_POST['acqid'].$_POST['orderid'].$_POST['responsecode'].$_POST['reasoncode'].$_POST['reasoncodedesc'], true));
	return $calc == $_POST['signature'];
}

function updatePay($id, $arr){
	global $db;
	$pairs = array();
	foreach($arr as $k=>$v){
		$pairs[] = $k."='".addslashes($v)."'";
	}
	$db->Execute("UPDATE private_pays SET ".implode(", ", $pairs)." WHERE id=".intval($id));
}

function response($code){
	$code = strval(intval($code));
	$message = isset($this->messages[$code]) ? $this->messages[$code] : $this->messages['x'];
	$style = $code==1 ? 'green' : 'red';
	header("Content-Type: text/html; charset=windows-1251");
	


}

function process(){
	global $db;
	if(isset($_POST['orderid'])){
		$this->logger->info('pay results from %s: %s', $_SERVER["REMOTE_ADDR"], print_r($_POST, 1));
		$success = false;
		for($i=0; $i<3; $i++){
			$db->Begin();
			if($pay = loadRecord(sprintf("SELECT * FROM private_pays WHERE order_id='%s' FOR UPDATE", addslashes($_POST['orderid'])))){
//				if(!$pay['response_code'] && !$pay['movement']){
//					if($this->isFullConfigured()){
//						if($_POST['responsecode']==1){
							if( $this->checkPost()){
								$this->updatePay($pay['id'], array(
									'eci'=>$_POST['eci'],
									'onus'=>$_POST['onus'],
									'response_code'=>$_POST['responsecode'],
									'reason_code'=>$_POST['reasoncode'],
									'reason_code_desc'=>$_POST['reasoncodedesc'],
									'reference_no'=>$_POST['referenceno'],
									'padded_card_no'=>$_POST['paddedcardno'],
									'auth_code'=>$_POST['transaction_id'],
								));
								$client = loadRecord(sprintf("SELECT id, account, login FROM clients WHERE id='%s'", $pay['client']));
								$mid = move($this->private_account, $client['account'], $pay['amount']);
								$this->updatePay($pay['id'], array(
									'movement'=>$mid,
								));
								$this->logger->info('pay %s is ok', $_POST['orderid']);
							}else{
								$this->logger->error('wrong signature for %s', $_POST['orderid']);
							}
//						}else{
//							$this->logger->info('declined transaction: %s', $_POST['orderid']);
//							$this->updatePay($pay['id'], array(
//								'response_code'=>$_POST['responsecode'],
//								'reason_code'=>$_POST['reasoncode'],
//								'reason_code_desc'=>$_POST['reasoncodedesc'],
//							));
//						}
//					}else{
//						$this->logger->error('payer is not full configured');
//					}
//				}else{
//					$this->logger->warning('pay %s already processed', $_POST['orderid']);
//				}
			}else{
				$this->logger->error('pay with order id %s not found', $_POST['orderid']);
			}
			if($db->hasErrors()){
				$this->logger->warning(implode("\n", $db->errors));
				$db->Rollback();
				sleep(3);
			}else{
				$db->Commit();
				$success = true;
				break;
			}
		}
		if(!$success){
			$this->logger->error('pay %s cant be processed', $_POST['orderid']);
		}
		$this->response($_POST['reasoncode']);
	}
}

}

if(isset($_GET['test'])){
	$post1 = array(
		'MerID'=>'100000000918471',
		'OrderID'=>'test00000001g5hg45h45',
		'AcqID'=>'414963',
		'Signature'=>'e2DkM6RYyNcn6+okQQX2BNeg/+k=',
		'ECI'=>'5',
		'IP'=>'217.117.65.41',
		'CountryBIN'=>'804',
		'CountryIP'=>'804',
		'ONUS'=>'1',
		'Time'=>'22/01/2007 13:56:38',
		'Signature2'=>'nv7CcUe5t9vm+uAo9a52ZLHvRv4=',
		'ReasonCodeDesc'=>'Transaction is approved.',
		'ResponseCode'=>'1',
		'ReasonCode'=>'1',
		'ReferenceNo'=>'702308304646',
		'PaddedCardNo'=>'XXXXXXXXXXXX3982',
		'AuthCode'=>'073291',
	);
	$post2 = array(
		'MerID'=>'100000000918471',
		'OrderID'=>'test00000001g5hg45h45',
		'AcqID'=>'414963',
		'ReasonCodeDesc'=>'Transaction is declined.',
		'ResponseCode'=>'2',
		'ReasonCode'=>'2',
	);
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL,            "http://stat.kvant.mk.ua/pay-private.php" );
	curl_setopt($ch, CURLOPT_POST,           1 );
	curl_setopt($ch, CURLOPT_POSTFIELDS,     implode('&', _Pair($post1, 'urlencode')));
	header("Content-Type: text/html; charset=windows-1251");
	$result = curl_exec ($ch);
}else{
	$appender = new FileAppender('/var/log/pay-private.log');
	$logger = new DefaultLogger();
	$logger->setAppender($appender);
	$logger->setName('pay.private');
	//$logger->setLevel(2);
	$payer = new PrivatePayer($logger);
	$payer->process();
}
echo "test";
?>