<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/12/23 09:08:50 $
$Revision: 1.20 $
*/
include_once('includes/global.php');
include_once('classes/period.php');
loadStrings(BOOT.'asterisk_address_book/strings.txt');

$doc->title .= ' :: '.getResource('asterisk.address.book.title');

required_access('support_asterisk');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'host':	lookup('host', $_GET['city'] ? array('c.city='.addslashes($_GET['city'])) : array());
	case 'person':	lookup('staff', $_GET['city'] ? array('s.city='.addslashes($_GET['city'])) : array());
}

$address_book = new PTable($db,BOOT.'asterisk_address_book/table.php');
$polls->readonly = !$oper->system_access['support_asterisk'];
addCityPolicy($address_book, 's.city');

$doc->page->contents['address_book'] = new PMyAccess($address_book,array(
	'title'=>getResource('asterisk.address.book.title'),
	'help'=>HELP_PATH.'//Asterisk',
	'icon'=>HREF.'images/rules.gif',
	'grid_boot'=>forceCity(BOOT.'asterisk_address_book/grid.php'),
	'form_boot'=>forceCity(BOOT.'asterisk_address_book/form.php'),
));

if(!$doc->page->contents['address_book']->brief){
	ob_start();
?>
<script>
	var f = $("form[name=<?=$address_book->nick?>]");
	$("[name=city]", f).change(function(){
		lookup_person.src = '?lookup=person&target=lookup_person&city=' + this.value;
		lookup_person.loaded = false;
		lookup_person.loadFirst();
		lookup_host.src = '?lookup=host&target=lookup_host&city=' + this.value;
		lookup_host.loaded = false;
		lookup_host.loadFirst();
	}).change();
</script>
<?
	$doc->page->contents['mjs'] .= ob_get_clean();
}

echo $doc->Paint();
?>