<?
$obj = array(
	'anchor_by'=>'',
	'fields'=>array(
		'city'=>array(
			'title'=>getResource('asterisk_schedule.city'),
			'required'=>1,
			'control'=>'select',
			'list'=>'getCities',
			'link'=>'cities.php?id=[city]',
		),
		'day'=>array(
			'title'=>getResource('asterisk_schedule.day'),
			'control'=>'date',
			'default'=>$GLOBALS['calendar']->getDate(),
			'required'=>1,
		),
		'schedule_plan'=>array(
			'title'=>getResource('asterisk_schedule.schedule_plan'),
			'control' => 'select',
			'list' => 'getAsteriskSchedulePlans',
			'link'=>'stats_asterisk.php?hmenu_selected=schedule&schedulemenu_selected=sw&id=[schedule_plan]',
		),
		'day_type'=>array(
			'title'=>getResource('asterisk_schedule.day_type'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('asterisk_schedule.day_type.1'),
				'2'=>getResource('asterisk_schedule.day_type.2'),
			),
			'required'=>1,
		),
		'label'=>array(
			'title'=>getResource('asterisk_schedule.label'),
			'control' => 'select',
			'list' => 'getAsteriskScheduleLabels',
			'link'=>'stats_asterisk.php?hmenu_selected=schedule&schedulemenu_selected=md&id=[label]',
		),
		'notes'=>array(
			'title'=>getResource('asterisk_schedule.notes'),
			'control'=>'textarea',
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('asterisk_schedule.created'),
		),
		'created_name'=>array(
			'title'=>getResource('asterisk_schedule.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('asterisk_schedule.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('asterisk_schedule.modified.by'),
			'readonly'=>1,
		),
	),
);
?>