<?php
$obj = array(
	'submits' => array(
		'work' => array(
			'title' => getResource('asterisk_schedule.sh_title'),
		),
	),
	'clean_post'=>0,
	'nick'=>'ScheduleWizardForm',
	'fields'=>array(
		'city'=>array(
			'title'=>getResource('asterisk_schedule.city'),
			'required'=>1,
			'control'=>'select',
			'list'=>'getCities',
			'link'=>'cities.php?id=[city]',
		),
		'period_from'=>array(
			'title'=> getResource('asterisk_schedule.period_from'),
			'control'=>'date',
			'required'=>1,
		),
		'period_to'=>array(
			'title'=>getResource('asterisk_schedule.period_to'),
			'control'=>'date',
			'required'=>1,
		),
		'day_type'=>array(
			'title'=>getResource('asterisk_schedule.day_type'),
			'control' => 'select',
			'list'=>array(
				'1'=>getResource('asterisk_schedule.day_type.1'),
				'2'=>getResource('asterisk_schedule.day_type.2'),
				'4'=>getResource('asterisk_schedule.day_type.3'),
				'5'=>getResource('asterisk_schedule.day_type.4'),
				'6'=>getResource('asterisk_schedule.day_type.5'),
				'7'=>getResource('asterisk_schedule.day_type.6'),
				'8'=>getResource('asterisk_schedule.day_type.7'),
				'9'=>getResource('asterisk_schedule.day_type.8'),
				'3'=>getResource('asterisk_schedule.day_type.9'),
			),
		),
		'label'=>array(
			'title'=>getResource('asterisk_schedule.label'),
			'control' => 'select',
			'list' => 'getAsteriskScheduleLabels',
		),
		'schedule_plan'=>array(
			'title'=>getResource('asterisk_schedule.schedule_plan'),
			'required'=>1,
			'control' => 'select',
			'list' => 'getAsteriskSchedulePlans',
		),
	),
);
?>