<?

//Zubr - 10.8.0.0/16 86.111.76.0/22
//Bizon - 10.22.0.0/16 86.111.64.0/22

$scope = array(
	'myxtap'=>array(
		'77.87.36.0/24',
		'77.87.37.0/24',
		'77.87.38.0/24',
	),
	'plintus'=>array(
		'86.111.64.0/19',
		'77.87.32.0/21',
	),
	'zond'=>array(
		'10.9.0.0/16',
		'10.10.0.0/16',
		'10.21.0.0/16',
		'10.22.0.0/16',
	),
	'sizif'=>array(
		'10.1.0.0/16',
		'10.4.0.0/16',
		'10.5.0.0/16',
		'10.7.0.0/19',
	),
	'bolt'=>array(
		'10.11.0.0/16',
		'10.12.0.0/16',
		'10.13.0.0/16',
		'10.14.0.0/16',
		'10.200.0.0/16',
	),
	'bobr'=>array(
		'10.0.0.0/8',
	),
);

$configurer = 'remote.configurer';
$beans = array(
	'classLoader'=>array(
		'class'=>'FileClassLoader',
		'properties'=>array(
			'root'=>'classes',
			'registry'=>array(
				'/.+/'=>'accounting/$0.php',
			),
		),
	),
	'none.accounting.driver'=>array(
		'class'=>'NoneAccountingDriver',
	),

	'rule.driver.world-host'=>array(
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'77.87.32.0/21:ref'=>'plintus.rule.driver.world-host',
				'77.87.36.0/24:ref'=>'myxtap.rule.driver.world-host',
				'77.87.37.0/24:ref'=>'myxtap.rule.driver.world-host',
				'77.87.38.0/24:ref'=>'myxtap.rule.driver.world-host',
				'86.111.64.0/19:ref'=>'plintus.rule.driver.world-host',
				'10.9.0.0/16:ref'=>'zond.rule.driver.world-host',
				'10.10.0.0/16:ref'=>'zond.rule.driver.world-host',
				'10.21.0.0/16:ref'=>'zond.rule.driver.world-host',
				'10.22.0.0/16:ref'=>'zond.rule.driver.world-host',
				'10.1.0.0/16:ref'=>'sizif.rule.driver.world-host',
				'10.4.0.0/16:ref'=>'sizif.rule.driver.world-host',
				'10.5.0.0/16:ref'=>'sizif.rule.driver.world-host',
				'10.7.0.0/19:ref'=>'sizif.rule.driver.world-host',
				//'10.7.0.0/19:ref'=>'test.driver.world-host',

				'10.11.0.0/16:ref'=>'bolt.rule.driver.world-host',
				'10.12.0.0/16:ref'=>'bolt.rule.driver.world-host',
				'10.13.0.0/16:ref'=>'bolt.rule.driver.world-host',
				'10.14.0.0/16:ref'=>'bolt.rule.driver.world-host',
				'10.200.0.0/16:ref'=>'bolt.rule.driver.world-host',
				'10.0.0.0/8:ref'=>'bobr.rule.driver.world-host',
				'0.0.0.0/0:ref'=>'none.accounting.driver',
			),
		),
	),
	'rule.driver.world-host.no-ulog'=>array(
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'77.87.32.0/21:ref'=>'plintus.rule.driver.world-host.no-ulog',
				'77.87.36.0/24:ref'=>'myxtap.rule.driver.world-host.no-ulog',
				'77.87.37.0/24:ref'=>'myxtap.rule.driver.world-host.no-ulog',
				'77.87.38.0/24:ref'=>'myxtap.rule.driver.world-host.no-ulog',
				'86.111.64.0/19:ref'=>'plintus.rule.driver.world-host.no-ulog',
				'10.9.0.0/16:ref'=>'zond.rule.driver.world-host.no-ulog',
				'10.10.0.0/16:ref'=>'zond.rule.driver.world-host.no-ulog',
				'10.21.0.0/16:ref'=>'zond.rule.driver.world-host.no-ulog',
				'10.22.0.0/16:ref'=>'zond.rule.driver.world-host.no-ulog',
				'10.1.0.0/16:ref'=>'sizif.rule.driver.world-host.no-ulog',
				'10.4.0.0/16:ref'=>'sizif.rule.driver.world-host.no-ulog',
				'10.5.0.0/16:ref'=>'sizif.rule.driver.world-host.no-ulog',
				'10.7.0.0/19:ref'=>'sizif.rule.driver.world-host.no-ulog',
				'10.11.0.0/16:ref'=>'bolt.rule.driver.world-host.no-ulog',
				'10.12.0.0/16:ref'=>'bolt.rule.driver.world-host.no-ulog',
				'10.13.0.0/16:ref'=>'bolt.rule.driver.world-host.no-ulog',
				'10.14.0.0/16:ref'=>'bolt.rule.driver.world-host.no-ulog',
				'10.200.0.0/16:ref'=>'bolt.rule.driver.world-host.no-ulog',
				'10.0.0.0/8:ref'=>'bobr.rule.driver.world-host.no-ulog',
				'0.0.0.0/0:ref'=>'none.accounting.driver',
			),
		),
	),

	'rule.driver.host-world'=>array(
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'77.87.32.0/21:ref'=>'plintus.rule.driver.host-world',
				'77.87.36.0/24:ref'=>'myxtap.rule.driver.host-world',
				'77.87.37.0/24:ref'=>'myxtap.rule.driver.host-world',
				'77.87.38.0/24:ref'=>'myxtap.rule.driver.host-world',
				'86.111.64.0/19:ref'=>'plintus.rule.driver.host-world',
				'10.9.0.0/16:ref'=>'zond.rule.driver.host-world',
				'10.10.0.0/16:ref'=>'zond.rule.driver.host-world',
				'10.21.0.0/16:ref'=>'zond.rule.driver.host-world',
				'10.22.0.0/16:ref'=>'zond.rule.driver.host-world',
				'10.1.0.0/16:ref'=>'sizif.rule.driver.host-world',
				'10.4.0.0/16:ref'=>'sizif.rule.driver.host-world',
				'10.5.0.0/16:ref'=>'sizif.rule.driver.host-world',
				'10.7.0.0/19:ref'=>'sizif.rule.driver.host-world',
				'10.11.0.0/16:ref'=>'bolt.rule.driver.host-world',
				'10.12.0.0/16:ref'=>'bolt.rule.driver.host-world',
				'10.13.0.0/16:ref'=>'bolt.rule.driver.host-world',
				'10.14.0.0/16:ref'=>'bolt.rule.driver.host-world',
				'10.200.0.0/16:ref'=>'bolt.rule.driver.host-world',
				'10.0.0.0/8:ref'=>'bobr.rule.driver.host-world',
				'0.0.0.0/0:ref'=>'none.accounting.driver',
			),
		),
	),
	'rule.driver.host-world.no-ulog'=>array(
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'77.87.32.0/21:ref'=>'plintus.rule.driver.host-world.no-ulog',
				'77.87.36.0/24:ref'=>'myxtap.rule.driver.host-world.no-ulog',
				'77.87.37.0/24:ref'=>'myxtap.rule.driver.host-world.no-ulog',
				'77.87.38.0/24:ref'=>'myxtap.rule.driver.host-world.no-ulog',
				'86.111.64.0/19:ref'=>'plintus.rule.driver.host-world.no-ulog',
				'10.9.0.0/16:ref'=>'zond.rule.driver.host-world.no-ulog',
				'10.10.0.0/16:ref'=>'zond.rule.driver.host-world.no-ulog',
				'10.21.0.0/16:ref'=>'zond.rule.driver.host-world.no-ulog',
				'10.22.0.0/16:ref'=>'zond.rule.driver.host-world.no-ulog',
				'10.1.0.0/16:ref'=>'sizif.rule.driver.host-world.no-ulog',
				'10.4.0.0/16:ref'=>'sizif.rule.driver.host-world.no-ulog',
				'10.5.0.0/16:ref'=>'sizif.rule.driver.host-world.no-ulog',
				'10.7.0.0/19:ref'=>'sizif.rule.driver.host-world.no-ulog',
				'10.11.0.0/16:ref'=>'bolt.rule.driver.host-world.no-ulog',
				'10.12.0.0/16:ref'=>'bolt.rule.driver.host-world.no-ulog',
				'10.13.0.0/16:ref'=>'bolt.rule.driver.host-world.no-ulog',
				'10.14.0.0/16:ref'=>'bolt.rule.driver.host-world.no-ulog',
				'10.200.0.0/16:ref'=>'bolt.rule.driver.host-world.no-ulog',
				'10.0.0.0/8:ref'=>'bobr.rule.driver.host-world.no-ulog',
				'0.0.0.0/0:ref'=>'none.accounting.driver',
			),
		),
	),

	'rule.driver.pop3-host'=>array(
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'0.0.0.0/0:ref'=>'beast.rule.driver.pop3-host',
			),
		),
	),
	'rule.driver.pop3-host.no-ulog'=>array(
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'0.0.0.0/0:ref'=>'beast.rule.driver.pop3-host.no-ulog',
			),
		),
	),

	'rule.driver.host-smtp'=>array(
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'0.0.0.0/0:ref'=>'beast.rule.driver.host-smtp',
			),
		),
	),
	'rule.driver.host-smtp.no-ulog'=>array(
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'0.0.0.0/0:ref'=>'beast.rule.driver.host-smtp.no-ulog',
			),
		),
	),

	'rule.driver.ua-host'=>array(
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'77.87.32.0/21:ref'=>'plintus.rule.driver.ua-host',
				'77.87.36.0/24:ref'=>'myxtap.rule.driver.ua-host',
				'77.87.37.0/24:ref'=>'myxtap.rule.driver.ua-host',
				'77.87.38.0/24:ref'=>'myxtap.rule.driver.ua-host',
				'86.111.64.0/19:ref'=>'plintus.rule.driver.ua-host',
				'10.9.0.0/16:ref'=>'zond.rule.driver.ua-host',
				'10.10.0.0/16:ref'=>'zond.rule.driver.ua-host',
				'10.21.0.0/16:ref'=>'zond.rule.driver.ua-host',
				'10.22.0.0/16:ref'=>'zond.rule.driver.ua-host',
				'10.1.0.0/16:ref'=>'sizif.rule.driver.ua-host',
				'10.4.0.0/16:ref'=>'sizif.rule.driver.ua-host',
				'10.5.0.0/16:ref'=>'sizif.rule.driver.ua-host',
				'10.7.0.0/19:ref'=>'sizif.rule.driver.ua-host',
				'10.11.0.0/16:ref'=>'bolt.rule.driver.ua-host',
				'10.12.0.0/16:ref'=>'bolt.rule.driver.ua-host',
				'10.13.0.0/16:ref'=>'bolt.rule.driver.ua-host',
				'10.14.0.0/16:ref'=>'bolt.rule.driver.ua-host',
				'10.200.0.0/16:ref'=>'bolt.rule.driver.ua-host',
				'10.0.0.0/8:ref'=>'bobr.rule.driver.ua-host',
				'0.0.0.0/0:ref'=>'none.accounting.driver',
			),
		),
	),
	'rule.driver.ua-host.no-ulog'=>array(
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'77.87.32.0/21:ref'=>'plintus.rule.driver.ua-host.no-ulog',
				'77.87.36.0/24:ref'=>'myxtap.rule.driver.ua-host.no-ulog',
				'77.87.37.0/24:ref'=>'myxtap.rule.driver.ua-host.no-ulog',
				'77.87.38.0/24:ref'=>'myxtap.rule.driver.ua-host.no-ulog',
				'86.111.64.0/19:ref'=>'plintus.rule.driver.ua-host.no-ulog',
				'10.9.0.0/16:ref'=>'zond.rule.driver.ua-host.no-ulog',
				'10.10.0.0/16:ref'=>'zond.rule.driver.ua-host.no-ulog',
				'10.21.0.0/16:ref'=>'zond.rule.driver.ua-host.no-ulog',
				'10.22.0.0/16:ref'=>'zond.rule.driver.ua-host.no-ulog',
				'10.1.0.0/16:ref'=>'sizif.rule.driver.ua-host.no-ulog',
				'10.4.0.0/16:ref'=>'sizif.rule.driver.ua-host.no-ulog',
				'10.5.0.0/16:ref'=>'sizif.rule.driver.ua-host.no-ulog',
				'10.7.0.0/19:ref'=>'sizif.rule.driver.ua-host.no-ulog',
				'10.11.0.0/16:ref'=>'bolt.rule.driver.ua-host.no-ulog',
				'10.12.0.0/16:ref'=>'bolt.rule.driver.ua-host.no-ulog',
				'10.13.0.0/16:ref'=>'bolt.rule.driver.ua-host.no-ulog',
				'10.14.0.0/16:ref'=>'bolt.rule.driver.ua-host.no-ulog',
				'10.200.0.0/16:ref'=>'bolt.rule.driver.ua-host.no-ulog',
				'10.0.0.0/8:ref'=>'bobr.rule.driver.ua-host.no-ulog',
				'0.0.0.0/0:ref'=>'none.accounting.driver',
			),
		),
	),

	'rule.driver.host-ua'=>array(
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'77.87.32.0/21:ref'=>'plintus.rule.driver.host-ua',
				'77.87.36.0/24:ref'=>'myxtap.rule.driver.host-ua',
				'77.87.37.0/24:ref'=>'myxtap.rule.driver.host-ua',
				'77.87.38.0/24:ref'=>'myxtap.rule.driver.host-ua',
				'86.111.64.0/19:ref'=>'plintus.rule.driver.host-ua',
				'10.9.0.0/16:ref'=>'zond.rule.driver.host-ua',
				'10.10.0.0/16:ref'=>'zond.rule.driver.host-ua',
				'10.21.0.0/16:ref'=>'zond.rule.driver.host-ua',
				'10.22.0.0/16:ref'=>'zond.rule.driver.host-ua',
				'10.1.0.0/16:ref'=>'sizif.rule.driver.host-ua',
				'10.4.0.0/16:ref'=>'sizif.rule.driver.host-ua',
				'10.5.0.0/16:ref'=>'sizif.rule.driver.host-ua',
				'10.7.0.0/19:ref'=>'sizif.rule.driver.host-ua',
				'10.11.0.0/16:ref'=>'bolt.rule.driver.host-ua',
				'10.12.0.0/16:ref'=>'bolt.rule.driver.host-ua',
				'10.13.0.0/16:ref'=>'bolt.rule.driver.host-ua',
				'10.14.0.0/16:ref'=>'bolt.rule.driver.host-ua',
				'10.200.0.0/16:ref'=>'bolt.rule.driver.host-ua',
				'10.0.0.0/8:ref'=>'bobr.rule.driver.host-ua',
				'0.0.0.0/0:ref'=>'none.accounting.driver',
			),
		),
	),
	'rule.driver.host-ua.no-ulog'=>array(
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'77.87.32.0/21:ref'=>'plintus.rule.driver.host-ua.no-ulog',
				'77.87.36.0/24:ref'=>'myxtap.rule.driver.host-ua.no-ulog',
				'77.87.37.0/24:ref'=>'myxtap.rule.driver.host-ua.no-ulog',
				'77.87.38.0/24:ref'=>'myxtap.rule.driver.host-ua.no-ulog',
				'86.111.64.0/19:ref'=>'plintus.rule.driver.host-ua.no-ulog',
				'10.9.0.0/16:ref'=>'zond.rule.driver.host-ua.no-ulog',
				'10.10.0.0/16:ref'=>'zond.rule.driver.host-ua.no-ulog',
				'10.21.0.0/16:ref'=>'zond.rule.driver.host-ua.no-ulog',
				'10.22.0.0/16:ref'=>'zond.rule.driver.host-ua.no-ulog',
				'10.1.0.0/16:ref'=>'sizif.rule.driver.host-ua.no-ulog',
				'10.4.0.0/16:ref'=>'sizif.rule.driver.host-ua.no-ulog',
				'10.5.0.0/16:ref'=>'sizif.rule.driver.host-ua.no-ulog',
				'10.7.0.0/19:ref'=>'sizif.rule.driver.host-ua.no-ulog',
				'10.11.0.0/16:ref'=>'bolt.rule.driver.host-ua.no-ulog',
				'10.12.0.0/16:ref'=>'bolt.rule.driver.host-ua.no-ulog',
				'10.13.0.0/16:ref'=>'bolt.rule.driver.host-ua.no-ulog',
				'10.14.0.0/16:ref'=>'bolt.rule.driver.host-ua.no-ulog',
				'10.200.0.0/16:ref'=>'bolt.rule.driver.host-ua.no-ulog',
				'10.0.0.0/8:ref'=>'bobr.rule.driver.host-ua.no-ulog',
				'0.0.0.0/0:ref'=>'none.accounting.driver',
			),
		),
	),

	'rule.driver.uagre-host'=>array(
		'class'=>'NoneAccountingDriver',
	),
	'rule.driver.host-uagre'=>array(
		'class'=>'NoneAccountingDriver',
	),

	'test.driver.world-host'=>array(
		'class'=>'SplitAccountingDriverAlt',
		'properties'=>array(
			'drivers'=>array(
				array(
					'driver:ref'=>'myxtap.rule.driver.world-host',
					'scope'=>$scope['myxtap'],
				),
				array(
					'driver:ref'=>'plintus.rule.driver.world-host',
					'scope'=>$scope['plintus'],
				),
				array(
					'driver:ref'=>'zond.rule.driver.world-host',
					'scope'=>$scope['zond'],
				),
				array(
					'driver:ref'=>'sizif.rule.driver.world-host',
					'scope'=>$scope['sizif'],
				),
				array(
					'driver:ref'=>'bolt.rule.driver.world-host',
					'scope'=>$scope['bolt'],
				),
				array(
					'driver:ref'=>'bobr.rule.driver.world-host',
					'scope'=>$scope['bobr'],
				),
			),
		),
	),

);
?>