<?
include dirname(__FILE__).'/scope.php';

$beans = array(
	'classLoader'=>array(
		'class'=>'FileClassLoader',
		'properties'=>array(
			'root'=>'classes',
			'registry'=>array(
				'/.+/'=>'accounting/$0.php',
			),
		),
	),
	'none.accounting.driver'=>array(
		'class'=>'NoneAccountingDriver',
	),

	'iptNames'=>array(
		'class'=>'IptNames',
	),

	'ipSetBuildHelper'=>array(
		'class'=>'IpSetBuildHelper',
	),
	
	'rule.driver.world-host'=>array(
		'class'=>'SplitAccountingDriverAlt',
		'properties'=>array(
			'drivers'=>array(
				array(
					'driver:ref'=>'plintus.rule.driver.world-host',
					'scope'=>$scope['plintus'],
				),
				array(
					'driver:ref'=>'zond.rule.driver.world-host',
					'scope'=>$scope['zond'],
				),
				array(
					'driver:ref'=>'sizif.rule.driver.world-host',
					'scope'=>$scope['sizif'],
				),
				array(
					'driver:ref'=>'bolt.rule.driver.world-host',
					'scope'=>$scope['bolt'],
				),
				array(
					'driver:ref'=>'bobr.rule.driver.world-host',
					'scope'=>$scope['bobr'],
				),
				array(
					'driver:ref'=>'zubr.rule.driver.world-host',
					'scope'=>$scope['zubr'],
				),
				array(
					'driver:ref'=>'tron.rule.driver.world-host',
					'scope'=>$scope['tron'],
				),
				array(
					'driver:ref'=>'prime.rule.driver.world-host',
					'scope'=>$scope['prime'],
				),
				array(
					'driver:ref'=>'styx.rule.driver.world-host',
					'scope'=>$scope['styx'],
				),
				array(
					'driver:ref'=>'carbon.rule.driver.world-host',
					'scope'=>$scope['carbon'],
				),
				array(
					'driver:ref'=>'nitrogen.rule.driver.world-host',
					'scope'=>$scope['nitrogen'],
				),
				array(
					'driver:ref'=>'oxygen.rule.driver.world-host',
					'scope'=>$scope['oxygen'],
				),
				array(
					'driver:ref'=>'neon.rule.driver.world-host',
					'scope'=>$scope['neon'],
				),
				array(
					'driver:ref'=>'natrium.rule.driver.world-host',
					'scope'=>$scope['natrium'],
				),
				array(
					'driver:ref'=>'magnesium.rule.driver.world-host',
					'scope'=>$scope['magnesium'],
				),
				array(
					'driver:ref'=>'aluminium.rule.driver.world-host',
					'scope'=>$scope['aluminium'],
				),
			),
		),
	),
	'rule.driver.world-host.no-ulog'=>array(
		'class'=>'SplitAccountingDriverAlt',
		'properties'=>array(
			'drivers'=>array(
				array(
					'driver:ref'=>'plintus.rule.driver.world-host.no-ulog',
					'scope'=>$scope['plintus'],
				),
				array(
					'driver:ref'=>'zond.rule.driver.world-host.no-ulog',
					'scope'=>$scope['zond'],
				),
				array(
					'driver:ref'=>'sizif.rule.driver.world-host.no-ulog',
					'scope'=>$scope['sizif'],
				),
				array(
					'driver:ref'=>'bolt.rule.driver.world-host.no-ulog',
					'scope'=>$scope['bolt'],
				),
				array(
					'driver:ref'=>'bobr.rule.driver.world-host.no-ulog',
					'scope'=>$scope['bobr'],
				),
				array(
					'driver:ref'=>'zubr.rule.driver.world-host.no-ulog',
					'scope'=>$scope['zubr'],
				),
				array(
					'driver:ref'=>'tron.rule.driver.world-host.no-ulog',
					'scope'=>$scope['tron'],
				),
				array(
					'driver:ref'=>'prime.rule.driver.world-host.no-ulog',
					'scope'=>$scope['prime'],
				),
				array(
					'driver:ref'=>'styx.rule.driver.world-host.no-ulog',
					'scope'=>$scope['styx'],
				),
				array(
					'driver:ref'=>'carbon.rule.driver.world-host.no-ulog',
					'scope'=>$scope['carbon'],
				),
				array(
					'driver:ref'=>'nitrogen.rule.driver.world-host.no-ulog',
					'scope'=>$scope['nitrogen'],
				),
				array(
					'driver:ref'=>'oxygen.rule.driver.world-host.no-ulog',
					'scope'=>$scope['oxygen'],
				),
				array(
					'driver:ref'=>'neon.rule.driver.world-host.no-ulog',
					'scope'=>$scope['neon'],
				),
				array(
					'driver:ref'=>'natrium.rule.driver.world-host.no-ulog',
					'scope'=>$scope['natrium'],
				),
				array(
					'driver:ref'=>'magnesium.rule.driver.world-host.no-ulog',
					'scope'=>$scope['magnesium'],
				),
				array(
					'driver:ref'=>'aluminium.rule.driver.world-host.no-ulog',
					'scope'=>$scope['aluminium'],
				),
			),
		),
	),

	'rule.driver.host-world'=>array(
		'class'=>'SplitAccountingDriverAlt',
		'properties'=>array(
			'drivers'=>array(
				array(
					'driver:ref'=>'plintus.rule.driver.host-world',
					'scope'=>$scope['plintus'],
				),
				array(
					'driver:ref'=>'zond.rule.driver.host-world',
					'scope'=>$scope['zond'],
				),
				array(
					'driver:ref'=>'sizif.rule.driver.host-world',
					'scope'=>$scope['sizif'],
				),
				array(
					'driver:ref'=>'bolt.rule.driver.host-world',
					'scope'=>$scope['bolt'],
				),
				array(
					'driver:ref'=>'bobr.rule.driver.host-world',
					'scope'=>$scope['bobr'],
				),
				array(
					'driver:ref'=>'zubr.rule.driver.host-world',
					'scope'=>$scope['zubr'],
				),
				array(
					'driver:ref'=>'tron.rule.driver.host-world',
					'scope'=>$scope['tron'],
				),
				array(
					'driver:ref'=>'prime.rule.driver.host-world',
					'scope'=>$scope['prime'],
				),
				array(
					'driver:ref'=>'styx.rule.driver.host-world',
					'scope'=>$scope['styx'],
				),
				array(
					'driver:ref'=>'carbon.rule.driver.host-world',
					'scope'=>$scope['carbon'],
				),
				array(
					'driver:ref'=>'nitrogen.rule.driver.host-world',
					'scope'=>$scope['nitrogen'],
				),
				array(
					'driver:ref'=>'oxygen.rule.driver.host-world',
					'scope'=>$scope['oxygen'],
				),
				array(
					'driver:ref'=>'neon.rule.driver.host-world',
					'scope'=>$scope['neon'],
				),
				array(
					'driver:ref'=>'natrium.rule.driver.host-world',
					'scope'=>$scope['natrium'],
				),
				array(
					'driver:ref'=>'magnesium.rule.driver.host-world',
					'scope'=>$scope['magnesium'],
				),
				array(
					'driver:ref'=>'aluminium.rule.driver.host-world',
					'scope'=>$scope['aluminium'],
				),
			),
		),
	),
	'rule.driver.host-world.no-ulog'=>array(
		'class'=>'SplitAccountingDriverAlt',
		'properties'=>array(
			'drivers'=>array(
				array(
					'driver:ref'=>'plintus.rule.driver.host-world.no-ulog',
					'scope'=>$scope['plintus'],
				),
				array(
					'driver:ref'=>'zond.rule.driver.host-world.no-ulog',
					'scope'=>$scope['zond'],
				),
				array(
					'driver:ref'=>'sizif.rule.driver.host-world.no-ulog',
					'scope'=>$scope['sizif'],
				),
				array(
					'driver:ref'=>'bolt.rule.driver.host-world.no-ulog',
					'scope'=>$scope['bolt'],
				),
				array(
					'driver:ref'=>'bobr.rule.driver.host-world.no-ulog',
					'scope'=>$scope['bobr'],
				),
				array(
					'driver:ref'=>'zubr.rule.driver.host-world.no-ulog',
					'scope'=>$scope['zubr'],
				),
				array(
					'driver:ref'=>'tron.rule.driver.host-world.no-ulog',
					'scope'=>$scope['tron'],
				),
				array(
					'driver:ref'=>'prime.rule.driver.host-world.no-ulog',
					'scope'=>$scope['prime'],
				),
				array(
					'driver:ref'=>'styx.rule.driver.host-world.no-ulog',
					'scope'=>$scope['styx'],
				),
				array(
					'driver:ref'=>'carbon.rule.driver.host-world.no-ulog',
					'scope'=>$scope['carbon'],
				),
				array(
					'driver:ref'=>'nitrogen.rule.driver.host-world.no-ulog',
					'scope'=>$scope['nitrogen'],
				),
				array(
					'driver:ref'=>'oxygen.rule.driver.host-world.no-ulog',
					'scope'=>$scope['oxygen'],
				),
				array(
					'driver:ref'=>'neon.rule.driver.host-world.no-ulog',
					'scope'=>$scope['neon'],
				),
				array(
					'driver:ref'=>'natrium.rule.driver.host-world.no-ulog',
					'scope'=>$scope['natrium'],
				),
				array(
					'driver:ref'=>'magnesium.rule.driver.host-world.no-ulog',
					'scope'=>$scope['magnesium'],
				),
				array(
					'driver:ref'=>'aluminium.rule.driver.host-world.no-ulog',
					'scope'=>$scope['aluminium'],
				),
			),
		),
	),

	'rule.driver.pop3-host'=>array(
		'class'=>'NoneAccountingDriver',
		/*
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'0.0.0.0/0:ref'=>'beast.rule.driver.pop3-host',
			),
		),
		*/
	),
	'rule.driver.pop3-host.no-ulog'=>array(
		'class'=>'NoneAccountingDriver',
		/*
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'0.0.0.0/0:ref'=>'beast.rule.driver.pop3-host.no-ulog',
			),
		),
		*/
	),

	'rule.driver.host-smtp'=>array(
		'class'=>'NoneAccountingDriver',
		/*
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'0.0.0.0/0:ref'=>'beast.rule.driver.host-smtp',
			),
		),
		*/
	),
	'rule.driver.host-smtp.no-ulog'=>array(
		'class'=>'NoneAccountingDriver',
		/*
		'class'=>'SplitAccountingDriver',
		'properties'=>array(
			'netmap'=>array(
				'0.0.0.0/0:ref'=>'beast.rule.driver.host-smtp.no-ulog',
			),
		),
		*/
	),

	'rule.driver.ua-host'=>array(
		'class'=>'SplitAccountingDriverAlt',
		'properties'=>array(
			'drivers'=>array(
				array(
					'driver:ref'=>'plintus.rule.driver.ua-host',
					'scope'=>$scope['plintus'],
				),
				array(
					'driver:ref'=>'zond.rule.driver.ua-host',
					'scope'=>$scope['zond'],
				),
				array(
					'driver:ref'=>'sizif.rule.driver.ua-host',
					'scope'=>$scope['sizif'],
				),
				array(
					'driver:ref'=>'bolt.rule.driver.ua-host',
					'scope'=>$scope['bolt'],
				),
				array(
					'driver:ref'=>'bobr.rule.driver.ua-host',
					'scope'=>$scope['bobr'],
				),
				array(
					'driver:ref'=>'zubr.rule.driver.ua-host',
					'scope'=>$scope['zubr'],
				),
				array(
					'driver:ref'=>'tron.rule.driver.ua-host',
					'scope'=>$scope['tron'],
				),
				array(
					'driver:ref'=>'prime.rule.driver.ua-host',
					'scope'=>$scope['prime'],
				),
				array(
					'driver:ref'=>'styx.rule.driver.ua-host',
					'scope'=>$scope['styx'],
				),
				array(
					'driver:ref'=>'carbon.rule.driver.ua-host',
					'scope'=>$scope['carbon'],
				),
				array(
					'driver:ref'=>'nitrogen.rule.driver.ua-host',
					'scope'=>$scope['nitrogen'],
				),
				array(
					'driver:ref'=>'oxygen.rule.driver.ua-host',
					'scope'=>$scope['oxygen'],
				),
				array(
					'driver:ref'=>'neon.rule.driver.ua-host',
					'scope'=>$scope['neon'],
				),
				array(
					'driver:ref'=>'natrium.rule.driver.ua-host',
					'scope'=>$scope['natrium'],
				),
				array(
					'driver:ref'=>'magnesium.rule.driver.ua-host',
					'scope'=>$scope['magnesium'],
				),
				array(
					'driver:ref'=>'aluminium.rule.driver.ua-host',
					'scope'=>$scope['aluminium'],
				),
			),
		),
	),
	'rule.driver.ua-host.no-ulog'=>array(
		'class'=>'SplitAccountingDriverAlt',
		'properties'=>array(
			'drivers'=>array(
				array(
					'driver:ref'=>'plintus.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['plintus'],
				),
				array(
					'driver:ref'=>'zond.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['zond'],
				),
				array(
					'driver:ref'=>'sizif.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['sizif'],
				),
				array(
					'driver:ref'=>'bolt.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['bolt'],
				),
				array(
					'driver:ref'=>'bobr.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['bobr'],
				),
				array(
					'driver:ref'=>'zubr.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['zubr'],
				),
				array(
					'driver:ref'=>'tron.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['tron'],
				),
				array(
					'driver:ref'=>'prime.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['prime'],
				),
				array(
					'driver:ref'=>'styx.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['styx'],
				),
				array(
					'driver:ref'=>'carbon.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['carbon'],
				),
				array(
					'driver:ref'=>'nitrogen.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['nitrogen'],
				),
				array(
					'driver:ref'=>'oxygen.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['oxygen'],
				),
				array(
					'driver:ref'=>'neon.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['neon'],
				),
				array(
					'driver:ref'=>'natrium.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['natrium'],
				),
				array(
					'driver:ref'=>'magnesium.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['magnesium'],
				),
				array(
					'driver:ref'=>'aluminium.rule.driver.ua-host.no-ulog',
					'scope'=>$scope['aluminium'],
				),
			),
		),
	),

	'rule.driver.host-ua'=>array(
		'class'=>'SplitAccountingDriverAlt',
		'properties'=>array(
			'drivers'=>array(
				array(
					'driver:ref'=>'plintus.rule.driver.host-ua',
					'scope'=>$scope['plintus'],
				),
				array(
					'driver:ref'=>'zond.rule.driver.host-ua',
					'scope'=>$scope['zond'],
				),
				array(
					'driver:ref'=>'sizif.rule.driver.host-ua',
					'scope'=>$scope['sizif'],
				),
				array(
					'driver:ref'=>'bolt.rule.driver.host-ua',
					'scope'=>$scope['bolt'],
				),
				array(
					'driver:ref'=>'bobr.rule.driver.host-ua',
					'scope'=>$scope['bobr'],
				),
				array(
					'driver:ref'=>'zubr.rule.driver.host-ua',
					'scope'=>$scope['zubr'],
				),
				array(
					'driver:ref'=>'tron.rule.driver.host-ua',
					'scope'=>$scope['tron'],
				),
				array(
					'driver:ref'=>'prime.rule.driver.host-ua',
					'scope'=>$scope['prime'],
				),
				array(
					'driver:ref'=>'styx.rule.driver.host-ua',
					'scope'=>$scope['styx'],
				),
				array(
					'driver:ref'=>'carbon.rule.driver.host-ua',
					'scope'=>$scope['carbon'],
				),
				array(
					'driver:ref'=>'nitrogen.rule.driver.host-ua',
					'scope'=>$scope['nitrogen'],
				),
				array(
					'driver:ref'=>'oxygen.rule.driver.host-ua',
					'scope'=>$scope['oxygen'],
				),
				array(
					'driver:ref'=>'neon.rule.driver.host-ua',
					'scope'=>$scope['neon'],
				),
				array(
					'driver:ref'=>'natrium.rule.driver.host-ua',
					'scope'=>$scope['natrium'],
				),
				array(
					'driver:ref'=>'magnesium.rule.driver.host-ua',
					'scope'=>$scope['magnesium'],
				),
				array(
					'driver:ref'=>'aluminium.rule.driver.host-ua',
					'scope'=>$scope['aluminium'],
				),
			),
		),
	),
	'rule.driver.host-ua.no-ulog'=>array(
		'class'=>'SplitAccountingDriverAlt',
		'properties'=>array(
			'drivers'=>array(
				array(
					'driver:ref'=>'plintus.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['plintus'],
				),
				array(
					'driver:ref'=>'zond.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['zond'],
				),
				array(
					'driver:ref'=>'sizif.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['sizif'],
				),
				array(
					'driver:ref'=>'bolt.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['bolt'],
				),
				array(
					'driver:ref'=>'bobr.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['bobr'],
				),
				array(
					'driver:ref'=>'zubr.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['zubr'],
				),
				array(
					'driver:ref'=>'tron.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['tron'],
				),
				array(
					'driver:ref'=>'prime.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['prime'],
				),
				array(
					'driver:ref'=>'styx.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['styx'],
				),
				array(
					'driver:ref'=>'carbon.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['carbon'],
				),
				array(
					'driver:ref'=>'nitrogen.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['nitrogen'],
				),
				array(
					'driver:ref'=>'oxygen.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['oxygen'],
				),
				array(
					'driver:ref'=>'neon.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['neon'],
				),
				array(
					'driver:ref'=>'natrium.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['natrium'],
				),
				array(
					'driver:ref'=>'magnesium.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['magnesium'],
				),
				array(
					'driver:ref'=>'aluminium.rule.driver.host-ua.no-ulog',
					'scope'=>$scope['aluminium'],
				),
			),
		),
	),

	'rule.driver.uagre-host'=>array(
		'class'=>'NoneAccountingDriver',
	),
	'rule.driver.host-uagre'=>array(
		'class'=>'NoneAccountingDriver',
	),

	'rule.driver.host-wsmtp'=>array(
		'class'=>'SplitAccountingDriverAlt',
		'properties'=>array(
			'drivers'=>array(
				array(
					'driver:ref'=>'plintus.rule.driver.host-smtp',
					'scope'=>$scope['plintus'],
				),
				array(
					'driver:ref'=>'zond.rule.driver.host-smtp',
					'scope'=>$scope['zond'],
				),
				array(
					'driver:ref'=>'sizif.rule.driver.host-smtp',
					'scope'=>$scope['sizif'],
				),
				array(
					'driver:ref'=>'bolt.rule.driver.host-smtp',
					'scope'=>$scope['bolt'],
				),
				array(
					'driver:ref'=>'bobr.rule.driver.host-smtp',
					'scope'=>$scope['bobr'],
				),
				array(
					'driver:ref'=>'zubr.rule.driver.host-smtp',
					'scope'=>$scope['zubr'],
				),
				array(
					'driver:ref'=>'tron.rule.driver.host-smtp',
					'scope'=>$scope['tron'],
				),
				array(
					'driver:ref'=>'prime.rule.driver.host-smtp',
					'scope'=>$scope['prime'],
				),
				array(
					'driver:ref'=>'styx.rule.driver.host-smtp',
					'scope'=>$scope['styx'],
				),
				array(
					'driver:ref'=>'carbon.rule.driver.host-smtp',
					'scope'=>$scope['carbon'],
				),
				array(
					'driver:ref'=>'nitrogen.rule.driver.host-smtp',
					'scope'=>$scope['nitrogen'],
				),
				array(
					'driver:ref'=>'oxygen.rule.driver.host-smtp',
					'scope'=>$scope['oxygen'],
				),
				array(
					'driver:ref'=>'neon.rule.driver.host-smtp',
					'scope'=>$scope['neon'],
				),
				array(
					'driver:ref'=>'natrium.rule.driver.host-smtp',
					'scope'=>$scope['natrium'],
				),
				array(
					'driver:ref'=>'magnesium.rule.driver.host-smtp',
					'scope'=>$scope['magnesium'],
				),
				array(
					'driver:ref'=>'aluminium.rule.driver.host-smtp',
					'scope'=>$scope['aluminium'],
				),
			),
		),
	),
);
?>