<?
$beans = array(
	'classLoader'=>array(
		'class'=>'FileClassLoader',
		'properties'=>array(
			'root'=>'classes',
			'registry'=>array(
				'/.+/'=>'log/$0.php',
			),
		),
	),
	'appender.file'=>array(
		'class'=>'FileAppender',
		'properties'=>array(
			'fileName'=>'/var/log/billing-tools.log',
			'writeMode'=>'w+',
		),
	),
	'appender.stdout'=>array(
		'class'=>'StdoutAppender',
	),
	'logger.debug-to-stdout'=>array(
		'class'=>'DefaultLoggerFactory',
		'properties'=>array(
			'appender:ref'=>'appender.stdout',
			'level'=>'DEBUG',
		),
	),
	'logger.info-to-stdout'=>array(
		'class'=>'DefaultLoggerFactory',
		'properties'=>array(
			'appender:ref'=>'appender.stdout',
			'level'=>'INFO',
		),
	),
	'logger.warning-to-stdout'=>array(
		'class'=>'DefaultLoggerFactory',
		'properties'=>array(
			'appender:ref'=>'appender.stdout',
			'level'=>'WARNING',
		),
	),
	'logger.debug-to-file'=>array(
		'class'=>'DefaultLoggerFactory',
		'properties'=>array(
			'appender:ref'=>'appender.file',
			'level'=>'DEBUG',
		),
	),
	'logger.info-to-file'=>array(
		'class'=>'DefaultLoggerFactory',
		'properties'=>array(
			'appender:ref'=>'appender.file',
			'level'=>'INFO',
		),
	),
	'logger.quite'=>array(
		'class'=>'ChainLoggerFactory',
		'properties'=>array(
			'chain'=>array(
				'0:ref'=>'logger.warning-to-stdout',
				//'1:ref'=>'logger.info-to-file',
			),
		),
	),
	'logger.verbose'=>array(
		'class'=>'ChainLoggerFactory',
		'properties'=>array(
			'chain'=>array(
				'0:ref'=>'logger.info-to-stdout',
				//'1:ref'=>'logger.debug-to-file',
			),
		),
	),
	'logger.debug'=>array(
		'class'=>'ChainLoggerFactory',
		'properties'=>array(
			'chain'=>array(
				'0:ref'=>'logger.debug-to-stdout',
				//'1:ref'=>'logger.debug-to-file',
			),
		),
	),
	'loggerFactory'=>array(
		'class'=>'LoggerRegistryFactory',
		'properties'=>array(
			'registry'=>array(
				'default:ref'=>'logger.debug',
				'mysql:ref'=>'logger.quite',
			),
		),
	),
	'logFactory'=>array(
		'alias'=>'loggerFactory',
	),
	'logfactory'=>array(
		'alias'=>'loggerFactory',
	),
	'loggerfactory'=>array(
		'alias'=>'loggerFactory',
	),
);
?>