<?

/**
 * @author tregub
 * @copyright 2010
 */

$obj = array(
	'name'=>'tech_zone_times',
	'nick'=>'nnm',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'BeforeDelete'=>'before_street_delete',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source' => 'tech_zone_times
        Left Join tech_zones ON tech_zone_times.tech_zone = tech_zones.id
        Left Join (SELECT COUNT(*) as count, tech_zone_time FROM tech_zones_graph WHERE `date`= "' .$GLOBALS['calendar']->getDate(). '" GROUP by tech_zone_time) as xy ON xy.tech_zone_time = tech_zone_times.id
        Left Join jcount as jc ON jc.id=tech_zone_times.id
		',

	'fields'=>array(
		'value'=>array(
			'selector'=>'CONCAT(tech_zones.name, " -> ", tech_zone_times.time_name)',
			'key' =>1,
			'order_by' => 'tech_zones.name,tech_zone_times.from_time',
		),
		'workers'=>array(
			'selector'=>'IFNULL(xy.`count`,0)',
			'aggregate' => 'sum',
		),
		'jcount'=>array(
			'selector'=>'IFNULL(jc.count,0)',
			'aggregate' => 'sum',
		),
		'free'=>array(
			'selector'=>'IFNULL(xy.`count`,0) - IFNULL(jc.count,0)',
			'aggregate' => 'sum',
		),
		'time'=>array(
			'selector'=>'CONCAT(DATE_FORMAT(tech_zone_times.from_time, "%H:%i"), " - ", DATE_FORMAT(tech_zone_times.to_time, "%H:%i"))',
		),
	),
);
?>