<?
$obj = array(
	'fields'=>array(
		'date'=>array(
			'title'=>getResource('tech_zones_graph.form.date'),
			'required'=>1,
			'control' => 'date',
			'default'=>$GLOBALS['calendar']->getDate().' 00:00:00',
		),
		'city'=>array(
			'title'=>getResource('tech_zones_graph.city'),
			'required'=>1,
			'link'=>'cities.php?id=[city]',
			'control'=>'select',
			'list'=>'getCities',
			'skip_finder'=>1,
		),
		'person'=>array(
			'title'=>getResource('tech_zones_graph.form.name'),
			'required'=>1,
			'control'=>'lookup',
			'source'=>'?lookup=worker',
			'default'=>1,
			'id'=>'lookup_worker',
		),
		'tech_zone_time' => array(
			'title' => getResource('tech_zones_graph.form.place'),
			'required'=>1,
			'control'=>'lookup',
			'source'=>'?lookup=tzt',
			'default'=>1,
			'id'=>'lookup_tzt',
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('tech_zones_graph.created'),
		),
		'created_name'=>array(
			'title'=>getResource('tech_zones_graph.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('tech_zones_graph.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('tech_zones_graph.modified.by'),
			'readonly'=>1,
		)
	),
);
?>