<style>
table.calendar {border-collapse:collapse; width: 100%;}
table.calendar td {padding:1px 2px; border: 1px solid #aaaaaa; }
table.calendar .dayNames td {width:14%; border-top:none;border-left:none; border-right:none;}

table.calendar td.dayTitle {background-color:#c0dfff;}
table.calendar td.dayTitle_shine {background-color:#d4ecff;cursor:pointer;}
table.calendar table.dayTitle {width:100%;}
table.calendar table.bold {font-weight: bold;}
table.calendar table.dayTitle td {border:none; padding: 0;}
table.calendar table.dayTitle td.count {color:gray; text-align: right;white-space: nowrap;}
table.calendar table.dayTitle td.day {width:1.3em; text-align: right; padding-right: 4px;}

table.calendar td.dayTitleWeekEnd {background-color:#c0fafc;}
table.calendar td.dayTitleWeekEnd_shine {background-color:#d0ffff;cursor:pointer;}

table.calendar .dayTitles a {color: #000000;}
table.calendar .dayTitles a:link {color: #000000;}
table.calendar .dayTitles a:visited {color: #000000;}
table.calendar .dayTitles a:hover {color: #000000;}

table.calendar td.selected {background-color: #ffd;}
table.calendar td.time {border-right: none; text-align: center; width:1%;}
table.calendar td.title {border-left: none; border-right: none;}
table.calendar td.repair {background-color:#eaf;}
table.calendar td.alarm {background-color:#fbb;}
table.calendar td.complete {background-color:#bfb;}

table.calendar td.state1 {background-color:#bfb;}
table.calendar td.state2 {background-color:#fbb;}
table.calendar td.state3 {background-color:#ccc;}
table.calendar td.state4 {background-color:#9af;}

table.calendar td.type {border-left: none; border-right: none;width:1%; padding:0; margin:0;}
table.calendar td.state {border-left: none;width:1%; padding:0; margin:0;}

.type img {margin:0;}

</style>
<table width="100%">
	<tr>
		<?if($active){?>
		<td class="access_head"><a href="<?=$prevMonth?>">&laquo;</a> <a href="<?=$nextMonth?>">&raquo;</a> <?=$monthName?></td>
		<td class="access_head" align="center"><a href="<?=$briefSwitch?>"><?if($brief){?><?}else{?><?}?></a></td>
		<?}?>
		<td class="access_head" align="right"><a href="<?=$activeSwitch?>"><?if($active){?> <?}else{?><?}?></a></td>
	</tr>
</table>
<?if($active){?>
<br>
<table class="calendar">
<tr class="dayNames">
	<td colspan="3"></td>
	<td colspan="3"></td>
	<td colspan="3"></td>
	<td colspan="3"></td>
	<td colspan="3"></td>
	<td colspan="3"></td>
	<td colspan="3"></td>
</tr>

<?foreach($weeks as $weekIndex=>$week){?>

<tr class="dayTitles">
<?foreach($week['days'] as $dayIndex=>$day){?>
<td
	colspan="3"
	class="dayTitle<?if($day['weekend']){?>WeekEnd<?}?>"
	id="<?=$weekIndex.$dayIndex?>"
	onmouseover="change_class('<?=$weekIndex.$dayIndex?>','dayTitle<?if($day['weekend']){?>WeekEnd<?}?>_shine')"
	onmouseout="change_class('<?=$weekIndex.$dayIndex?>','dayTitle<?if($day['weekend']){?>WeekEnd<?}?>')"
	onclick="window.location='<?=$day['link']?>'">
	<table cellspacing="0" class="dayTitle<?if($day['selected']){?> bold<?}?>">
		<tr>
			<td class="day"><a href="<?=$day['link']?>"><?=$day['day']?></a></td>
			<td><a href="<?=$day['link']?>"><?=$day['month']?></a></td>
			<td class="count">+<?=$day['completeCount']?>,&ndash;<?=$day['incompleteCount']?></td></tr>
	</table>
</td>
<?}?>
</tr>
<?if(!$week['brief']){?>
<?for($i=0; $i<$week['height']; $i++){?>
<tr valign="top">
	<?foreach($week['days'] as $day){?>
		<?if(isset($day['records'][$i])){?>
			<td class="time<?if($day['selected']){?> selected<?}?><?if($day['records'][$i]['alarm']){?> alarm<?}?><?if($day['records'][$i]['state']){?> complete<?}?><?if($day['records'][$i]['type']==2){?> repair<?}?>"><?=$day['records'][$i]['time']?></td>
			<td class="title<?if($day['selected']){?> selected<?}?><?if($day['records'][$i]['alarm']){?> alarm<?}?><?if($day['records'][$i]['state']){?> complete<?}?><?if($day['records'][$i]['type']==2){?> repair<?}?>"><a href="<?=$day['records'][$i]['link']?>#jbs"><?=$day['records'][$i]['title']?></a></td>
			<td class="type<?if($day['selected']){?> selected<?}?><?if($day['records'][$i]['alarm']){?> alarm<?}?><?if($day['records'][$i]['state']){?> complete<?}?><?if($day['records'][$i]['type']==2){?> repair<?}?>"><?=$typeMarks[$day['records'][$i]['type']]?></td>
		<?}else{?>
			<td colspan="3" class="<?if(!$day['currentmonth']){?>outmonth<?}?> <?if($day['selected']){?>selected<?}?>">&nbsp;</td>
		<?}?>
	<?}?>
</tr>
<?}?>
<?}?>

<?}?>
</table>
<?}?>