<?
$obj = array(
	'fields'=>array(
		'client'=>array(
			'title'=>getResource('resource.uses.client'),
			'required'=>1,
			'link'=>'clients.php?id=[client]',
			//'control'=>'select',
			//'list'=>'getClients',
			'control'=>'lookup',
			'label'=>'[client_name]',
			'source'=>'?lookup=client',
		),
		'resource_type'=>array(
			'title'=>getResource('resource.uses.resource.type'),
			'required'=>'1',
			'link'=>'resource_types.php?id=[resource_type]',
			//'control'=>'select',
			//'list'=>'getResourceTypes',
			'control'=>'lookup',
			'label'=>'[resource_type_name]',
			'source'=>'?lookup=resource_type',
		),
		'price'=>array(
			'title'=>getResource('resource.uses.price'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'positive'=>1,
		),
		'unit_size'=>array (
			'title'=>getResource('resource.uses.unit.size'),
			'comment'=>getResource('resource.uses.unit.size.comment'),
			'control'=>'short',
			'positive'=>1,
		),
		'amount'=>array(
			'title'=>getResource('resource.uses.amount'),
			'control'=>'short',
			'positive'=>1,
			'default'=>'0',
		),
		'cost_cur'=>array(
			'title'=>getResource('resource.uses.cost'),
			'readonly'=>1,
		),
		'src'=>array(
			'title'=>getResource('resource.uses.src'),
			'comment'=>getResource('resource.uses.src.comment'),
			//'control'=>'select',
			//'list'=>'getClientAndBonusAccounts',
			'control'=>'lookup',
			'label'=>'[src_name]',
			'source'=>'?lookup=src',
		),
		'dst'=>array(
			'title'=>getResource('resource.uses.dst'),
			'comment'=>getResource('resource.uses.dst.comment'),
			//'control'=>'select',
			//'list'=>'getSignedDstSystemAccounts',
			'control'=>'lookup',
			'label'=>'[dst_name]',
			'source'=>'?lookup=dst',
		),
		'movement'=>array(
			'title'=>getResource('resource.uses.movement'),
			'link'=>'movements.php?id=[movement]',
			'control'=>'select',
			'list'=>'getResourceUseMovements',
			'skip_finder'=>1,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('resource.uses.created'),
		),
		'created_name'=>array(
			'title'=>getResource('resource.uses.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('resource.uses.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('resource.uses.modified.by'),
			'readonly'=>1,
		),
	),
);
?>