<?
$obj = array(
	'can_delete'=>!isset($GLOBALS['oper']->system_access['worker_features']),
	'fields'=>array(
		'job'=>array(
			'title'=>getResource('client.expenses.job'),
			'link'=>'jobs.php?id=[job]',
			'control'=>'lookup',
			'frame_width'=>'50em',
			'label'=>'[job_name]',
			'source'=>'?lookup=job',
			'required'=>1,
		),
		'work_type_name'=>array(
			'title'=>getResource('client.expenses.work.type'),
			'readonly'=>1,
		),
		'cable'=>array(
			'title'=>getResource('client.expenses.cable.sum'),
			'comment'=>getResource('client.expenses.cable.comment'),
			'control'=>'short',
			'default'=>0,
		),
		'cable_in'=>array(
			'title'=>getResource('client.expenses.cable.in'),
			'comment'=>getResource('client.expenses.cable.in.comment'),
			'control'=>'short',
			'default'=>0,
		),
		'cable_out'=>array(
			'title'=>getResource('client.expenses.cable.out'),
			'comment'=>getResource('client.expenses.cable.out.comment'),
			'readonly'=>1,
		),
		'cable_reported'=>array(
			'title'=>getResource('client.expenses.cable.reported'),
			'comment'=>getResource('client.expenses.cable.reported.comment'),
			'readonly'=>1,
		),
		'cable_diff'=>array(
			'title'=>getResource('client.expenses.cable.diff'),
			'comment'=>getResource('client.expenses.cable.diff.comment'),
			'readonly'=>1,
		),
		'cable_type'=>array(
			'title'=>getResource('client.expenses.cable.type'),
			'control'=>'radio',
			'required'=>1,
			//'default'=>4,
			'list'=>array(
				'1'=>getResource('cs.cable_type.1'),
				'2'=>getResource('cs.cable_type.2'),
				'4'=>getResource('cs.cable_type.4'),
			),
		),
		'connection'=>array(
			'title'=>getResource('client.expenses.connection'),
			'comment'=>getResource('client.expenses.connection.comment'),
			'control'=>'radio',
			'table'=>1,
			//'inline'=>1,
			'list'=>array(
				'1'=>getResource('client.expenses.connection.1'),
				'2'=>getResource('client.expenses.connection.2'),
				'3'=>getResource('client.expenses.connection.3'),
			),
			'default'=>1,
		),
		'connection_port'=>array(
			'title'=>getResource('client.expenses.connection.port'),
			'comment'=>getResource('client.expenses.connection.port.comment'),
			'control'=>'short',
		),
		'no_materials'=>array(
			'title'=>getResource('client.expenses.no.materials'),
			'control'=>'checkbox',
		),
	),
);
foreach($GLOBALS['mat_types'] as $type){
	$obj['fields']['m'.$type['id']] = array(
		'title'=>$type['name'],
		'readonly'=>1,
	);
}
$obj['fields']  = array_merge($obj['fields'], array(
	'created'=>array(
		'readonly'=>1,
		'title'=>getResource('client.expenses.created'),
	),
	'created_name'=>array(
		'title'=>getResource('client.expenses.created.by'),
		'readonly'=>1,
	),
	'modified'=>array(
		'readonly'=>1,
		'title'=>getResource('client.expenses.modified'),
	),
	'modified_name'=>array(
		'title'=>getResource('client.expenses.modified.by'),
		'readonly'=>1,
	),
));
?>