<?
$obj = array(
	'name'=>'blocks',
	'nick'=>'bks',
	'masters'=>array(
		'clients'=>array(
			'table'=>$GLOBALS['clients'],
			'on'=>'id',
			'by'=>'client',
		),
	),
	'source'=>'blocks b
	LEFT JOIN clients c ON c.id = b.client
	LEFT JOIN stamps st ON st.id=b.stamp',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'b.id',
		),
		'active'=>array(
			'selector'=>'IF((actual_from IS NULL || now()>=actual_from) AND (actual_to IS NULL || now() < actual_to), "#", "")',
		),
		'client'=>array(
			'selector'=>'b.client',
			'desc'=>1,
			'log_by'=>'client_name',
		),
		'client_name'=>array(
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'actual_from'=>array(
			'selector'=>'b.actual_from',
			'nullable'=>1,
		),
		'actual_to'=>array(
			'selector'=>'b.actual_to',
			'nullable'=>1,
		),
		'stamp'=>array(
			'selector'=>'b.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
	),
);
?>