<?
$obj = array(
	'name'=>'bonus_accounts',
	'nick'=>'bns',
	'readonly'=>1,
	'masters'=>array(
		'clients'=>array(
			'table'=>$GLOBALS['clients'],
			'on'=>'id',
			'by'=>'client',
		),
	),
	'source'=>'bonus_accounts ba
	LEFT JOIN account_types at ON at.id=ba.account_type
	LEFT JOIN calendar_account_states cas ON cas.account=ba.account AND cas.calendar_period="'.getCurrentCalendarPeriod().'"
	LEFT JOIN clients c ON ba.client = c.id
	LEFT JOIN resource_types rt ON rt.id = ba.resource_type',
	'fields'=>array(
		'account'=>array(
			'key'=>1,
			'selector'=>'ba.account',
		),
		'account_type'=>array(
			'selector'=>'ba.account_type',
		),
		'account_type_name'=>array(
			'selector'=>'at.name',
		),
		'account_state'=>array(
			'selector'=>'ifnull(cas.state_end,0)/100',
			'aggregate'=>'sum',
		),
		'client'=>array(
			'selector'=>'ba.client',
			'desc'=>1
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(last_name, " ", first_name)',
		),
		'priority'=>array(
			'selector'=>'at.priority',
		),
	),
	'filters'=>array(
		'actual'=>'(ba.actual_from IS NULL OR ba.actual_from <= now()) AND (ba.actual_to IS NULL OR ba.actual_to > now())',
		'typed'=>'ba.account_type IS NOT NULL',
	),
);
?>