<?
$obj = array(
	'name'=>'personal_periods',
	'nick'=>'csps',
	'readonly'=>1,
	'masters'=>array(
		'clients'=>array(
			'table'=>$GLOBALS['clients'],
			'on'=>'id',
			'by'=>'client',
		),
	),
	'source'=>'personal_periods pp
	LEFT JOIN clients c ON c.id = pp.client
	LEFT JOIN connection_types ct ON ct.id = pp.connection_type
	LEFT JOIN state_names sn ON sn.state=pp.state',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'pp.id',
		),
		'client'=>array(
			'selector'=>'pp.client',
			'desc'=>1,
		),
		'connection_type'=>array(
			'selector'=>'pp.connection_type',
		),
		'connection_type_name'=>array(
			'bin'=>1,
			'selector'=>'ct.name',
		),
		'period_begin'=>array(
			'selector'=>'pp.period_begin',
			'desc'=>1,
		),
		'period_end'=>array(
			'selector'=>'pp.period_end',
		),
		'state'=>array(
			'selector'=>'pp.state',
		),
		'state_name'=>array(
			'selector'=>'sn.name',
		),
	),
);
?>