<?
$obj = array(
	'can_post'=>0,
	'can_delete'=>0,
	'fields'=>array(
		'type'=>array(
			'title'=>getResource('troubles.type'),
			'control'=>'select',
			'skip_finder'=>1,
			'required'=>1,
			'list'=>array(
				'2'=>getResource('troubles.type.2'),
				'3'=>getResource('troubles.type.3'),
				'1'=>getResource('troubles.type.1'),
			),
		),
		'title'=>array(
			'title'=>getResource('troubles.title2'),
			'required'=>1,
		),
		'body'=>array(
			'title'=>getResource('troubles.body'),
			'comment'=>listTroubleAttachments(),
			'control'=>'textarea',
			'height'=>12,
			'width'=>80,
			'required'=>1,
		),
		'file'=>array(
			'title'=>getResource('troubles.files.attach'),
			'comment'=>getUploadMaxFilesSizeMessage(),
			'control'=>'file',
			'size'=>28,
		),
		'callback'=>array(
			'title'=>getResource('troubles.callback'),
			'control'=>'checkbox',
			'comment'=>getResource('troubles.callback.comment'),
		),
		'callback_phone'=>array(
			'title'=>getResource('troubles.callback.phone'),
			'default'=>$GLOBALS['avail_phones'][0],
			'required_by'=>'callback',
		),
		'state_name'=>array(
			'title'=>getResource('troubles.state'),
			'readonly'=>1,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('troubles.created'),
		),
	),
);
?>