<?
/*
switch(date("w")){
case 5:  $credit_term = 3; break;
case 4:  $credit_term = 4; break;
default: $credit_term = 2;
}
*/
$credit_term = 4; 
$obj = array(
	'fields'=>array(
		'amount'=>array(
			'title'=>getResource('credits.amount'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'required'=>1,
		),
		'actual_from'=>array(
			'title'=>getResource('blocks.actual.from'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
			'required'=>1,
		),
		'actual_to'=>array(
			'title'=>getResource('blocks.actual.to'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s", time() + 60*60*24*$credit_term),
			'required'=>1,
		),
		'type'=>array(
			'title'=>getResource('credits.type'),
			'control'=>'select',
			'skip_finder'=>1,
			'list'=>array(
				'1'=>getResource('credits.type.1'),
				'2'=>getResource('credits.type.2'),
				'4'=>getResource('credits.type.4'),
				'5'=>getResource('credits.type.5'),
				'3'=>getResource('credits.type.3'),
			),
		),
		'note'=>array(
			'title'=>getResource('credits.note'),
			'control'=>'textarea',
			'height'=>3,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('credits.created'),
		),
		'created_name'=>array(
			'title'=>getResource('credits.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('credits.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('credits.modified.by'),
			'readonly'=>1,
		),
	),
);
?>