<?
$obj = array(
	'id'=>'id',
	'menu'=>array(
		'PrintById'=>getResource('grid.print'),
	),
	'hint_format'=>'SafeForTitle',
	'hint' => "[last_name] [first_name] [patronymic] ([login])\n".
		"[connection_type_name]\n".
		"[deposit1]\n".
		"--\n".
		"[street_name] [house] [apartment] ([entrance]/[floor])\n".
		"[phone]\n[email]\n".
		"--\n".
		"[created]\n[modified]\n".
		"--\n",
	'modes'=>array(
		'default'=>getResource('clients.view.default'),
		'info'=>getResource('clients.view.info'),
		'money'=>getResource('clients.view.money'),
		'stamps'=>getResource('clients.view.stamps'),
		'user_agent'=>'user-agent',
	),
	'columns'=>array(
		'last_name'=>array(
			'title'=>getResource('clients.last_name'),
			'navigator'=>1,
			'count'=>1,
			'footer_prefix'=>getResource('clients.count').' ',
			'hint'=>$hint,
			'cell_renderer'=>$GLOBALS['name_cell'],
		),
		'first_name'=>array(
			'title'=>getResource('clients.first_name'),
			'navigator'=>1,
			'cell_renderer'=>$GLOBALS['name_cell'],
		),
		'login'=>array(
			'title'=>getResource('clients.login'),
			'cell_renderer'=>$GLOBALS['name_cell'],
			'width'=>'7em',
		),
		'contract'=>array(
			'title'=>getResource('clients.contract'),
			'order'=>'asc',
			'modes'=>'default,info',
			'width'=>'7em',
		),
		'connection_type_name'=>array(
			'title'=>getResource('clients.connection.type'),
			'link'=>'connection_types.php?id=[connection_type]',
		),
		'tv_type_name'=>array(
			'title'=>getResource('clients.tv.type'),
			'link'=>'connection_types.php?ctmenu_selected=tv&id=[tv_type]',
		),
		'city_name'=>array(
			'title'=>getResource('clients.city'),
			'link'=>'cities.php?id=[city]',
			'modes'=>'default,info',
		),
		'street_name'=>array(
			'title'=>getResource('clients.street'),
			'link'=>'streets.php?id=[street]',
			'modes'=>'default,info',
		),
		'house'=>array(
			'title'=>getResource('clients.house'),
			'width'=>'2em',
			'align'=>'right',
			'modes'=>'default,info',
			'link'=>'houses.php?id=[house_id]',
		),
		'entrance'=>array(
			'title'=>getResource('clients.grid.entrance'),
			'comment'=>getResource('clients.entrance'),
			'align'=>'right',
			'width'=>'2em',
			'modes'=>'default,info',
		),
		'floor'=>array(
			'title'=>getResource('clients.grid.floor'),
			'comment'=>getResource('clients.floor'),
			'align'=>'right',
			'width'=>'1.5em',
			'modes'=>'default,info',
		),
		'apartment'=>array(
			'title'=>getResource('clients.grid.apartment'),
			'comment'=>getResource('clients.apartment'),
			'align'=>'right',
			'width'=>'2em',
			'modes'=>'default,info',
		),
		'surveyor'=>array(
			'title'=>getResource('clients.grid.surveyor'),
			'comment'=>getResource('clients.surveyor'),
			'align'=>'right',
			'width'=>'2em',
			'modes'=>'info',
		),
		'phone'=>array(
			'title'=>getResource('clients.phone'),
			'modes'=>'info',
			'format'=>'fmt_sip',
		),
		'email'=>array(
			'title'=>getResource('clients.email'),
			'modes'=>'info',
		),
		'abon'=>array(
			'title'=>getResource('clients.abon'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'order'=>'desc',
			'modes'=>'money',
		),
		'ct_plan'=>array(
			'title'=>getResource('clients.ct.plan'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'order'=>'desc',
			'modes'=>'money',
		),
		'subscription'=>array(
			'title'=>getResource('clients.subscription'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'order'=>'desc',
			'modes'=>'money',
		),
		'use_plan'=>array(
			'title'=>getResource('clients.use.plan'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'order'=>'desc',
			'modes'=>'money',
		),
		'use_actual'=>array(
			'title'=>getResource('clients.use.actual'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'order'=>'desc',
			'modes'=>'money',
		),
		'block_cur'=>array(
			'title'=>getResource('clients.grid.block'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'modes'=>'money',
		),
		'reduction_cur'=>array(
			'title'=>getResource('clients.reduction'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'order'=>'desc',
			'modes'=>'money',
		),
		'credit_cur'=>array(
			'title'=>getResource('clients.credit'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'order'=>'desc',
			'modes'=>'money',
		),
		'deposit1'=>array(
			'title'=>getResource('clients.deposit'),
			'align'=>'right',
			'cell_renderer'=>$GLOBALS['deposit_cell'],
			'modes'=>'default,info,money',
			'order'=>'desc',
			'width'=>'7em',
		),
		'traffic_rest'=>array(
			'title'=>getResource('clients.traffic.rest'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'modes'=>'default,info,money',
			'order'=>'desc',
			'width'=>'6em',
		),
		'threshold'=>array(
			'title'=>getResource('clients.threshold'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'order'=>'desc',
			'modes'=>'default,money',
			'width'=>'7em',
		),
		'miss'=>array(
			'title'=>getResource('clients.miss'),
			'align'=>'right',
			'format'=>'frmt_3_2',
			'order'=>'desc',
			'modes'=>'default,money',
			'width'=>'7em',
		),
		'created'=>array(
			'title'=>getResource('clients.created'),
			'align'=>'center',
			'modes'=>'stamps',
			'format'=>'fmt_nowrap',
			'order'=>'desc',
		),
		'created_name'=>array(
			'title'=>getResource('clients.created.by'),
			'modes'=>'stamps',
		),
		'modified'=>array(
			'title'=>getResource('clients.modified'),
			'align'=>'center',
			'modes'=>'stamps',
			'format'=>'fmt_nowrap',
			'order'=>'desc',
		),
		'modified_name'=>array(
			'title'=>getResource('clients.modified.by'),
			'modes'=>'stamps',
		),
		'access_modem'=>array(
			'title'=>getResource('clients.access.modem.short'),
			'comment'=>getResource('clients.access.modem.short.comment'),
			'align'=>'center',
			'width'=>'2em',
			'cell_renderer'=>$GLOBALS['access_cell'],
			'modes'=>'default',
		),
		'access_admin'=>array(
			'title'=>getResource('clients.access.admin.short'),
			'comment'=>getResource('clients.access.admin.short.comment'),
			'align'=>'center',
			'width'=>'2em',
			'cell_renderer'=>$GLOBALS['access_cell'],
			'modes'=>'default',
		),
		'access_period'=>array(
			'title'=>getResource('clients.access.period.short'),
			'comment'=>getResource('clients.access.period.short.comment'),
			'align'=>'center',
			'width'=>'2em',
			'cell_renderer'=>$GLOBALS['access_cell'],
			'modes'=>'default',
		),
		'access_firewall'=>array(
			'title'=>getResource('clients.access.firewall.short'),
			'comment'=>getResource('clients.access.firewall.short.comment'),
			'align'=>'center',
			'width'=>'2em',
			'cell_renderer'=>$GLOBALS['access_cell'],
			'modes'=>'default',
		),
		'user_agent'=>array(
			'title'=>'user-agent',
			'modes'=>'user_agent',
		),
	),
	'aux_count'=>2,
	'aux_filters'=>array(
		'last_name'=>getResource('clients.last_name'),
		'first_name'=>getResource('clients.first_name'),
		'patronymic'=>getResource('clients.patronymic'),
		'connection_type_name'=>getResource('clients.connection.type'),
		'tv_type_name'=>getResource('clients.tv.type'),
		'department_name'=>getResource('clients.department'),
		'city_name'=>getResource('clients.city'),
		'street_name'=>getResource('clients.street'),
		'house'=>getResource('clients.house'),
		'entrance'=>getResource('clients.entrance'),
		'floor'=>getResource('clients.floor'),
		'apartment'=>getResource('clients.apartment'),
		'surveyor'=>getResource('clients.surveyor'),
		'phone'=>getResource('clients.phone'),
		'passport'=>getResource('clients.passport'),
		'passport_info'=>getResource('clients.passport.info'),
		'bank_account'=>getResource('clients.bank.account'),
		'contract'=>getResource('clients.contract'),
		'referal'=>getResource('clients.referal'),
		'login'=>getResource('clients.login'),
		'email'=>getResource('clients.email'),
		'notes'=>getResource('clients.notes'),
		'allow_ip_login_sign'=>getResource('clients.allow.ip.login'),
		'lang_name'=>getResource('clients.lang'),
		'4'=>'--',
		'access_modem'=>getResource('clients.access.modem.short.comment'),
		'access_admin'=>getResource('clients.access.admin.short.comment'),
		'access_period'=>getResource('clients.access.period.short.comment'),
		'access_firewall'=>getResource('clients.access.firewall.short.comment'),
		'access_deposit'=>getResource('clients.access.deposit.short.comment'),
		'access_limitations'=>getResource('clients.access.limitations.short.comment'),
		'1'=>'--',
		'state_name'=>getResource('clients.state'),
		'blockable'=>getResource('clients.blockable'),
		'alarm_cur'=>getResource('clients.alarm'),
		'block_cur'=>getResource('clients.block'),
		'reduction_cur'=>getResource('clients.reduction'),
		'2'=>'--',
		'abon'=>getResource('clients.abon'),
		'ct_plan'=>getResource('clients.ct.plan'),
		'subscription'=>getResource('clients.subscription'),
		'use_plan'=>getResource('clients.use.plan'),
		'use_actual'=>getResource('clients.use.actual'),
		'deposit1'=>getResource('clients.deposit'),
		'traffic_rest'=>getResource('clients.traffic.rest'),
		'threshold'=>getResource('clients.threshold'),
		'miss'=>getResource('clients.miss'),
		'3'=>'--',
		'user_agent'=>'user-agent',
		'created'=>getResource('clients.created'),
		'created_name'=>getResource('clients.created.by'),
		'modified'=>getResource('clients.modified'),
		'modified_name'=>getResource('clients.modified.by'),
	),
);
if($GLOBALS['oper']->department){
	unset($obj['columns']['department_name']);
	unset($obj['aux_filters']['department_name']);
}

?>