<?
$obj = array(
	'fields'=>array(
		'item_'=>array(
			'title'=>getResource('cu.item'),
			'required'=>1,
			'control' => 'lookup',
			'source' => '?lookup=item',
			'default'=>1,
		),
		'person'=>array(
			'title'=>getResource('cu.person'),
			'required'=>1,
			//'control'=>'select',
			//'list'=>'getWorkers',
			'control' => 'lookup',
			'source' => '?lookup=worker',
			//'default'=>1,
			'label'=>'[person_n]',
		),
		'begin_date'=>array(
			'title'=>getResource('cu.begin_date'),
			'control' => 'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
		),
		'begin_length'=>array(
			'title'=>getResource('cu.begin_length'),
			'control' => 'short',
		),
		'end_date'=>array(
			'title'=>getResource('cu.end_date'),
			'control' => 'date',
			'with_time'=>1,
		),
		'end_length'=>array(
			'title'=>getResource('cu.end_length'),
			'control' => 'short',
		),
		'cable_type_name_f'=>array(
			'title'=>getResource('cu.cable_type_name'),
			'readonly'=>1,
		),
        'created'=>array(
			'readonly'=>1,
			'title'=>getResource('cu.created'),
		),
		'created_name'=>array(
			'title'=>getResource('cu.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('cu.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('cu.modified.by'),
			'readonly'=>1,
		),
	),
);

if(isset($GLOBALS['oper']->system_access['worker_features'])){
 unset($obj['fields']['person']);
}

?>