<?
$obj = array(
	'name'=>'config_city',
	'nick'=>'cfgc',
	'masters'=>array(
		'config'=>array(
			'table'=>$GLOBALS['config'],
			'on'=>'id',
			'by'=>'id',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_config_post, after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'config_city c
	LEFT JOIN config cf ON cf.id=c.id
	LEFT JOIN cities ci ON ci.id=c.city
	LEFT JOIN stamps st ON st.id=c.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			
			'selector'=>'c.id',
		),
		'city'=>array(
			'selector'=>'c.city',
			'log_by'=>'city_name',
			'key'=>1,
		),
		'city_name'=>array(
			'selector'=>'ci.name',
		),
		'value'=>array(
			'selector'=>'c.value',
		),
		'control'=>array(
			'selector'=>'cf.control',
		),
		'list'=>array(
			'selector'=>'cf.list',
		),
		'actual'=>array(
			'selector'=>'c.actual',
		),
		'actual_sign'=>array(
			'selector'=>'IF(c.actual=1, "+", "-")',
			'aggregate'=>'sum(c.actual)',
		),
		'stamp'=>array(
			'selector'=>'c.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>