<?
$obj = array(
	'name'=>'connection_type_boost',
	'nick'=>'hpbos',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'BeforeDelete'=>'',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'masters'=>array(
		'connection_types'=>array(
			'table'=>$GLOBALS['connection_types'],
			'on'=>'id',
			'by'=>'connection_type',
		),
	),
	'source'=>'connection_type_boost ctr
	LEFT JOIN connection_types ct ON ct.id=ctr.connection_type
	LEFT JOIN connection_types b ON b.id=ctr.boost
	LEFT JOIN stamps st ON st.id=ctr.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'selector'=>'ctr.id',
			'desc'=>1,
		),
		'name'=>array(
			'selector'=>'ctr.name',
			'desc'=>1,
		),
		'connection_type'=>array(
			'desc'=>1,
			'log_by'=>'connection_type_name',
			'selector'=>'ctr.connection_type',
		),
		'connection_type_name'=>array(
			'bin'=>1,
			'selector'=>'ct.name',
		),
		'boost'=>array(
			'selector'=>'ctr.boost',
			'key'=>1,
			'log_by'=>'boost_name',
		),
		'boost_name'=>array(
			'selector'=>'b.name',
		),
		'stamp'=>array(
			'selector'=>'ctr.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>