<?
$obj = array(
	'name'=>'connection_type_shapers',
	'nick'=>'hprts',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'RemakeShapers, after_logged_insert',
	'AfterPost'=>'RemakeShapers, after_logged_post',
	'AfterDelete'=>'after_stamped_delete, RemakeShapers, after_logged_delete',
	'masters'=>array(
		'connection_types'=>array(
			'table'=>$GLOBALS['connection_types'],
			'on'=>'id',
			'by'=>'connection_type',
		),
	),
	'source'=>'connection_type_shapers ctr
	LEFT JOIN connection_types ct ON ct.id=ctr.connection_type
	LEFT JOIN resource_types rt ON ct.id=ctr.use_resource_type
	LEFT JOIN shapers r ON r.id=ctr.shaper
	LEFT JOIN stamps st ON st.id=ctr.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'connection_type'=>array(
			'desc'=>1,
			'log_by'=>'connection_type_name',
		),
		'connection_type_name'=>array(
			'bin'=>1,
			'selector'=>'ct.name',
		),
		'shaper'=>array(
			'key'=>1,
			'log_by'=>'shaper_name',
		),
		'shaper_name'=>array(
			'bin'=>1,
			'selector'=>'r.name',
		),
		'use_case'=>array(
			'selector'=>'ctr.use_case',
			'log_by'=>'use_case_name',
		),
		'use_case_name'=>array(
			'selector'=>'case
				when ctr.use_case=0 then "'.getResource('connection.type.shapers.use.case.0').'"
				when ctr.use_case=1 then "'.getResource('connection.type.shapers.use.case.1').'"
				when ctr.use_case=2 then "'.getResource('connection.type.shapers.use.case.2').'"
				when ctr.use_case=3 then CONCAT("'.getResource('connection.type.shapers.use.case.3').' ", FORMAT(ctr.use_value,0))
				when ctr.use_case=4 then CONCAT("'.getResource('connection.type.shapers.use.case.4').' ", FORMAT(ctr.use_value,0))
				else "" end',
		),
		'use_resource_type'=>array(
			'selector'=>'ctr.use_resource_type',
			'nullable'=>1,
			'log_by'=>'use_resource_type_name',
		),
		'use_resource_type_name'=>array(
			'selector'=>'rt.name',
		),
		'use_value'=>array(
			'selector'=>'ctr.use_value',
		),
		'stamp'=>array(
			'selector'=>'ctr.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>