<?
$obj = array(
	'fields'=>array(
		'city'=>array(
			'title'=>getResource('documents.city'),
			'control'=>'select',
			'list'=>'getCities',
			'link'=>'cities.php?id=[city]',
			'required'=>1,
		),
		'access_to'=>array(
			'title'=>getResource('documents.access.to'),
			'required'=>1,
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('documents.access.to.1'),
				'2'=>getResource('documents.access.to.2'),
				'3'=>getResource('documents.access.to.3'),
				'4'=>getResource('documents.access.to.4'),
				'5'=>getResource('documents.access.to.5'),
			)
		),
		'group_id'=>array(
			'title'=>getResource('documents.group'),
			'control'=>'select',
			'list'=>'getGroups',
			'link'=>'groups.php?id=[group_id]',
			'required_by'=>'access_to',
			'required_if'=>'2',
		),
		'rank'=>array(
			'title'=>getResource('documents.rank'),
			'control'=>'select',
			'list'=>'getRanks',
			'link'=>'ranks.php?id=[rank]',
			'required_by'=>'access_to',
			'required_if'=>'3',
		),
		'section'=>array(
			'title'=>getResource('staff.section'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('staff.section.1'),
				'2'=>getResource('staff.section.2'),
				'3'=>getResource('staff.section.3'),
				'4'=>getResource('staff.section.4'),
				'5'=>getResource('staff.section.5'),
			),
			'required_by'=>'access_to',
			'required_if'=>'4',
		),
		'person'=>array(
			'title'=>getResource('documents.person'),
			'control'=>'select',
			'list'=>'getStaff',
			'link'=>'staff.php?id=[person]',
			'required_by'=>'access_to',
			'required_if'=>'5',
		),
		'access_level'=>array(
			'title'=>getResource('documents.access.level'),
			'required'=>1,
			'control'=>'radio',
			'inline'=>1,
			'default'=>1,
			'list'=>array(
				'1'=>getResource('documents.access.level.1'),
				'2'=>getResource('documents.access.level.2'),
			)
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('documents.access.created'),
		),
		'created_name'=>array(
			'title'=>getResource('documents.access.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('documents.access.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('documents.access.modified.by'),
			'readonly'=>1,
		),
	),
);
?>