<?
$document = $GLOBALS['documents']->active_record;
$oper = $GLOBALS['oper'];
$can_insert = $oper->system_access['documents'];
$can_post= $document['access_level']==2 || $document['created_by']==$oper->id;

$obj = array(
	'can_insert'=>$can_insert,
	'can_post'=>$can_post,
	'can_delete'=>$document['created_by']==$oper->id,
	'fields'=>array(
		'file1'=>array(
			'title'=>getResource('documents.file'),
			'comment'=>showFieldLink('documents', 'file'),
			'control'=>'file',
			'size'=>42,
		),
		'file_name'=>array(
			'title'=>getResource('documents.file'),
			'value'=>showFieldLink('documents', 'file'),
			'readonly'=>1,
			'raw'=>1,
		),
		'notes'=>array(
			'title'=>getResource('documents.notes'),
			'control'=>'textarea',
			'height'=>18,
			'readonly'=>!($can_insert|| $can_post),
			'comment'=>show_pic(),
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('documents.created'),
		),
		'created_name'=>array(
			'title'=>getResource('documents.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('documents.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('documents.modified.by'),
			'readonly'=>1,
		),
	),
);
if($can_post||$can_insert){
	unset($obj['fields']['file_name']);
}else{
	unset($obj['fields']['file1']);
}
?>