<?
$obj = array(
	'fields'=>array(
		'client'=>array(
			'title'=>getResource('easy.client'),
			'link'=>'clients.php?id=[client]',
			'control'=>'lookup',
			'label'=>'[client_name]',
			'source'=>'?lookup=client',
		),
		'service_id'=>array(
			'title'=>getResource('easy.service'),
			'required'=>1,
		),
		'order_id'=>array(
			'title'=>getResource('easy.order'),
			'required'=>1,
		),
		'amount'=>array(
			'title'=>getResource('easy.sum'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'required'=>1,
		),
		'date'=>array(
			'title'=>getResource('easy.date'),
			'control'=>'date',
			'with_time'=>1,
			'default'=>date("Y-m-d H:i:s"),
			'required'=>1,
		),
		'movement'=>array(
			'title'=>getResource('easy.movement'),
			'link'=>'movements.php?id=[movement]',
			'control'=>'lookup',
			'label'=>'[[movement_date]] [movement_amount_cur] -> [client_name]',
			'source'=>'?lookup=movement',
		),
	),
);
?>