<?
$obj = array(
	'menu'=>array(
		'PrintById'=>getResource('grid.print'),
	),
	'id'=>'id',
	'modes'=>array(
		'default'=>getResource('ecalls.view.default'),
		'mode_1'=>getResource('ecalls.view.mode_1'),
	),
	'columns'=>array(
		'src_name'=>array(
			'title'=>getResource('ecalls.src'),
			'modes'=>'default',
		),
		'ecall_id'=>array(
			'title'=>getResource('ecalls.ecall.id'),
			'align'=>'right',
			'width'=>'4em',
			'modes'=>'default',
		),
		'street'=>array(
			'title'=>getResource('ecalls.street'),
			'count'=>1,
			'footer_prefix'=>getResource('ecalls.count').' ',
		),
		'house'=>array(
			'title'=>getResource('ecalls.house'),
			'width'=>'1.5em',
		),
		'apartment'=>array(
			'title'=>getResource('ecalls.apartment.short'),
			'width'=>'1.5em',
		),
		'contact'=>array(
			'title'=>getResource('ecalls.contact'),
		),
		'phone'=>array(
			'title'=>getResource('ecalls.phone'),
			'format'=>'fmt_sip',
		),
		'mobile'=>array(
			'title'=>getResource('ecalls.mobile'),
			'format'=>'fmt_sip',
		),
		'tariff'=>array(
			'title'=>getResource('ecalls.tariff'),
		),
		'tariff_tv'=>array(
			'title'=>getResource('ecalls.tariff.tv'),
		),
		'connection_type_name'=>array(
			'title'=>getResource('ecalls.connection.type'),
			'modes'=>'default',
		),
		'tv_type_name'=>array(
			'title'=>getResource('ecalls.tv.type'),
			'modes'=>'default',
		),
		'concurent'=>array(
			'title'=>getResource('ecalls.concurent'),
			'modes'=>'default',
		),
		'notes'=>array(
			'title'=>getResource('ecalls.notes'),
		),
		'district_name'=>array(
			'title'=>getResource('ecalls.district'),
			'link'=>'districts.php?id[district]',
		),
		'date'=>array(
			'title'=>getResource('ecalls.sale.date'),
			'align'=>'center',
			'width'=>'12em',
		),
		'state_name'=>array(
			'title'=>getResource('ecalls.state'),
//			'width'=>'12em',
			'align'=>'center',
		),
		'in_client'=>array(
			'title'=>getResource('ecalls.in.client.short'),
			'comment'=>getResource('ecalls.in.client'),
			'align'=>'center',
		),
		'in_client_name'=>array(
			'title'=>getResource('ecalls.client'),
			'link'=>'clients.php?id=[in_client_id]',
			'align'=>'center',
		),
		'in_state'=>array(
			'title'=>getResource('ecalls.in.state.short'),
			'comment'=>getResource('ecalls.in.state'),
			'align'=>'center',
		),
		'has_pay_sign'=>array(
			'title'=>getResource('ecalls.has.pay.short'),
			'comment'=>getResource('ecalls.has.pay'),
			'align'=>'center',
			'cell_renderer'=>$GLOBALS['valid_cell'],
			'width'=>'1em',
			'modes'=>'default',
		),
		'backs'=>array(
			'title'=>getResource('ecalls.backs.short'),
			'comment'=>getResource('ecalls.backs'),
			'align'=>'center',
			'width'=>'1em',
			'modes'=>'default',
		),
		'assumed_house_sign'=>array(
			'title'=>getResource('ecalls.house.zone.short'),
			'comment'=>getResource('ecalls.house.zone'),
			'align'=>'center',
			'cell_renderer'=>$GLOBALS['valid_cell'],
			'width'=>'1em',
			'modes'=>'default',
		),
	),
	'aux_count'=>2,
	'aux_filters'=>array(
		'filename'=>getResource('ecalls.file'),
		'src_name'=>getResource('ecalls.src'),
		'ecall_id'=>getResource('ecalls.ecall.id'),
		'street'=>getResource('ecalls.street'),
		'house'=>getResource('ecalls.house'),
		'apartment'=>getResource('ecalls.apartment'),
		'contact'=>getResource('ecalls.contact'),
		'phone'=>getResource('ecalls.phone'),
		'mobile'=>getResource('ecalls.mobile'),
		'tariff'=>getResource('ecalls.tariff'),
		'tariff_tv'=>getResource('ecalls.tariff.tv'),
		'connection_type_name'=>getResource('ecalls.connection.type'),
		'tv_type_name'=>getResource('ecalls.tv.type'),
		'concurent'=>getResource('ecalls.concurent'),
		'notes'=>getResource('ecalls.notes'),
		'district_name'=>getResource('ecalls.district'),
		'date'=>getResource('ecalls.sale.date'),
		'state_name'=>getResource('ecalls.state'),
		'in_client'=>getResource('ecalls.in.client'),
		'in_client_name'=>getResource('ecalls.client'),
		'in_state'=>getResource('ecalls.in.state'),
		'has_pay_sign'=>getResource('ecalls.has.pay'),
		'backs'=>getResource('ecalls.backs'),
		'assumed_house_sign'=>getResource('ecalls.house.zone'),
		'1'=>'--',
		'created'=>getResource('ecalls.created'),
		'created_name'=>getResource('ecalls.created.by'),
		'modified'=>getResource('ecalls.modified'),
		'modified_name'=>getResource('ecalls.modified.by'),
	),
	
);
?>