<?
$obj = array(
	'fields'=>array(
		'city'=>array(
			'title'=>getResource('exp.points.city'),
			'link'=>'cities.php?id=[city]',
			'required'=>1,
			'control'=>'select',
			'list'=>'getCities',
			'skip_finder'=>1,
		),
		'house'=>array(
			'title'=>getResource('exp.points.house'),
			'required'=>1,
			'link'=>'houses.php?id=[house]',
			'control'=>'lookup',
			'label'=>'[house_name]',
			'source'=>'?lookup=house',
			'id'=>'lookup_house',
		),
		'entrance'=>array(
			'title'=>getResource('exp.points.entrance'),
			'control'=>'short',
		),
		'floor'=>array(
			'title'=>getResource('exp.points.floor'),
			'control'=>'select',
			'skip_finder'=>1,
			'list'=>array(
				'-1'=>getResource('exp.points.floor.1'),
				'1'=>'1','2'=>'2','3'=>'3','4'=>'4','5'=>'5',
				'6'=>'6','7'=>'7','8'=>'8','9'=>'9','10'=>'10',
				'11'=>'11','12'=>'12','13'=>'13','14'=>'14','15'=>'15',
				'16'=>'16','17'=>'17','18'=>'18','19'=>'19','20'=>'20',
				'21'=>'21','22'=>'22','23'=>'23','24'=>'24','25'=>'25',
				'-2'=>getResource('exp.points.floor.2'),
				'-3'=>getResource('exp.points.floor.3'),
				'-4'=>getResource('exp.points.floor.4'),
			),
		),
		'type'=>array(
			'title'=>getResource('exp.points.type'),
			'control'=>'select',
			'skip_finder'=>1,
			'list'=>array(
				'1'=>getResource('exp.points.type.1'),
				'2'=>getResource('exp.points.type.2'),
				'3'=>getResource('exp.points.type.3'),
			),
		),
		'place'=>array(
			'title'=>getResource('exp.points.place'),
			'control'=>'textarea',
			'height'=>'3',
		),
		'inv_number' => array(
			'title'=>getResource('exp.points.inv_number'),
		),
		'coord_1'=>array(
			'title'=>getResource('exp.points.coord.1'),
			'control'=>'short',
		),
		'coord_2'=>array(
			'title'=>getResource('exp.points.coord.2'),
			'control'=>'short',
		),
		'notes'=>array(
			'title'=>getResource('exp.points.notes'),
			'control'=>'textarea',
			'height'=>'4',
		),
		'file1'=>array(
			'title'=>getResource('exp.points.photo.1'),
			'comment'=>showFotoLink(1),
			'control'=>'file',
			'size'=>42,
		),
		'file2'=>array(
			'title'=>getResource('exp.points.photo.2'),
			'comment'=>showFotoLink(2),
			'control'=>'file',
			'size'=>42,
		),
		'file3'=>array(
			'title'=>getResource('exp.points.photo.3'),
			'comment'=>showFotoLink(3),
			'control'=>'file',
			'size'=>42,
		),
		'file4'=>array(
			'title'=>getResource('exp.points.photo.4'),
			'comment'=>showFotoLink(4),
			'control'=>'file',
			'size'=>42,
		),
		'executor'=>array(
			'title'=>getResource('exp.trunks.executor'),
			'link'=>'exp_executors.php?id=[executor]',
			'control'=>'lookup',
			'label'=>'[executor_name]',
			'source'=>'?lookup=executor',
		),
		'date'=>array(
			'title'=>getResource('exp.trunks.date'),
			'control'=>'date',
			'with_time'=>'1',
		),
		'checked'=>array(
			'title'=>getResource('exp.points.checked'),
			'control'=>'checkbox',
		),
		'in_proekt'=>array(
			'title'=>getResource('exp.points.in_proekt'),
			'control'=>'checkbox',
		),
		'acting'=>array(
			'title'=>getResource('exp.points.acting'),
			'control'=>'checkbox',
		),
		'mob'=>array(
			'title'=>getResource('exp.points.mob'),
			'control'=>'checkbox',
		),
		'proekt'=>array(
			'title'=>getResource('exp.points.proekt'),
			'control'=>'short',
		),
		'kod'=>array(
			'title'=>getResource('exp.points.kod'),
			'control'=>'short',
		),
		'power'=>array(
			'title'=>getResource('exp.points.power'),
			'control'=>'checkbox',
		),
		'splices'=>array(
			'title'=>getResource('exp.points.splices'),
			'control'=>'checkbox',
		),
		'splices_list'=>array(
			'title'=>getResource('exp.points.splices_list'),
			'control'=>'textarea',
			'height'=>'3',
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('exp.points.created'),
		),
		'created_name'=>array(
			'title'=>getResource('exp.points.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('exp.points.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('exp.points.modified.by'),
			'readonly'=>1,
		),
	),
);
?>