<?
$obj = array(
	'name'=>'exp_executor_tools',
	'nick'=>'exet',
	'masters'=>array(
		'points'=>array(
			'table'=>$GLOBALS['exp_tools'],
			'on'=>'id',
			'by'=>'tool',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'exp_executor_tools s
	LEFT JOIN exp_executors e ON e.id=s.executor
	LEFT JOIN stamps st ON st.id=s.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'s.id',
		),
		'tool'=>array(
			'desc'=>1,
			'selector'=>'s.tool',
		),
		'executor'=>array(
			'desc'=>1,
			'selector'=>'s.executor',
		),
		'executor_name'=>array(
			'desc'=>1,
			'selector'=>'e.name',
		),
		'amount'=>array(
			'selector'=>'s.amount',
			'aggregate'=>'sum',
		),
		'issue_date'=>array(
			'selector'=>'s.issue_date',
		),
		'state'=>array(
			'selector'=>'s.state',
		),
		'stamp'=>array(
			'selector'=>'s.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>