<?
$obj = array(
	'name'=>'exp_storage_tools',
	'nick'=>'exst',
	'masters'=>array(
		'points'=>array(
			'table'=>$GLOBALS['exp_tools'],
			'on'=>'id',
			'by'=>'tool',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'exp_storage_tools s
	LEFT JOIN exp_storage_places p ON p.id=s.place
	LEFT JOIN stamps st ON st.id=s.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'s.id',
		),
		'tool'=>array(
			'desc'=>1,
			'selector'=>'s.tool',
		),
		'place'=>array(
			'desc'=>1,
			'selector'=>'s.place',
		),
		'place_name'=>array(
			'desc'=>1,
			'selector'=>'p.name',
		),
		'amount'=>array(
			'selector'=>'s.amount',
			'aggregate'=>'sum',
		),
		'state'=>array(
			'selector'=>'s.state',
		),
		'notes'=>array(
			'selector'=>'s.notes',
		),
		'stamp'=>array(
			'selector'=>'s.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>