<?
$obj = array(
	'name'=>'hosts_firewall',
	'nick'=>'hfs',
	'masters'=>array(
		'hosts'=>array(
			'table'=>$GLOBALS['hosts'],
			'on'=>'id',
			'by'=>'host',
		),
	),
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_logged_delete',
	'source'=>'hosts_firewall hf
	LEFT JOIN hosts h ON h.id=hf.host
	LEFT JOIN rules r ON r.id=hf.rule',
	'fields'=>array(
		'host'=>array(
			'desc'=>1,
			'log_by'=>'host_ip',
		),
		'host_ip'=>array(
			'bin'=>1,
			'selector'=>'h.ip',
			'order_by'=>'INET_ATON(h.ip)',
		),
		'rule'=>array(
			'key'=>1,
			'log_by'=>'rule_name',
		),
		'rule_name'=>array(
			'bin'=>1,
			'selector'=>'r.name',
		),
	),
);
?>