<?
$obj = array(
	'name'=>'homedirs',
	'nick'=>'hms',
	'BeforeInsert'=>'before_homedir_insert, before_stamped_insert',
	'BeforePost'=>'before_homedir_post, before_stamped_post',
	'AfterInsert'=>'after_homedir_insert, after_logged_insert',
	'AfterPost'=>'after_homedir_post, after_logged_post',
	'AfterDelete'=>'after_homedir_delete, after_stamped_delete, after_logged_delete',
	'source'=>'homedirs hd
	LEFT JOIN homedir_types ht ON ht.id = hd.type
	LEFT JOIN clients c ON c.id = hd.client
	LEFT JOIN stamps st ON st.id=hd.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'hd.id',
		),
		'client'=>array(
			'desc'=>1,
			'log_by'=>'client_name',
			'selector'=>'hd.client',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'type'=>array(
			'desc'=>1,
			'log_by'=>'type_name',
		),
		'type_name'=>array(
			'bin'=>1,
			'selector'=>'ht.name',
		),
		'uid'=>array(
			'selector'=>'hd.uid',
		),
		'login'=>array(
			'desc'=>1,
			'selector'=>'hd.login',
		),
		'password'=>array(
			'selector'=>'hd.password',
		),
		'description'=>array(
			'selector'=>'hd.description',
		),
		'active'=>array(
			'selector'=>'hd.active',
		),
		'stamp'=>array(
			'selector'=>'hd.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}
?>