<?
$obj = array(
	'name'=>'tv_boxes',
	'nick'=>'hns',
	'masters'=>array(
		'houses'=>array(
		'table'=>$GLOBALS['houses'],
		'on'=>'id',
		'by'=>'house',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'tv_boxes b
	LEFT JOIN houses h ON h.id=b.house
	LEFT JOIN streets s ON s.id=h.street
	LEFT JOIN stamps st ON st.id=b.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'b.id',
		),
		'house'=>array(
			'selector'=>'b.house',
			'desc'=>1,
			'log_by'=>'house_name',
		),
		'house_name'=>array(
			'selector'=>'CONCAT(s.name, " ", h.house)',
		),
		'notes'=>array(
			'selector'=>'b.notes',
		),
		'entrance'=>array(
			'selector'=>'b.entrance',
			'desc'=>1,
		),
		'floor'=>array(
			'selector'=>'b.floor',
			'desc'=>1,
		),
		'stamp'=>array(
			'selector'=>'b.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>