<?
$obj = array(
	'fields'=>array(
		'city'=>array(
			'title'=>getResource('ivr.autoreply.internet.city'),
			'link'=>'cities.php?id=[city]',
			'control'=>'select',
			'list'=>'getCities',
			'required'=>1,
		),
		'modem'=>array(
			'title'=>getResource('ivr.autoreply.internet.modem'),
			'required'=>1,
			'link'=>'modems.php?id=[modem]',
			'control'=>'lookup',
			'label'=>'[modem_name]',
			'source'=>'?lookup=modem',
			'id'=>'lookup_modem',
		),
		'message'=>array(
			'title'=>getResource('ivr.autoreply.internet.message'),
			'required'=>1,
			'link'=>'ivr_messages.php?id=[message]',
			'control'=>'lookup',
			'label'=>'[message_name]',
			'source'=>'?lookup=message',
			'id'=>'lookup_message',
		),
		'scope'=>array(
			'title'=>getResource('ivr.autoreply.internet.scope'),
			'control'=>'radio',
			'list'=>array(
				'0'=>getResource('ivr.autoreply.internet.scope.0'),
				'1'=>getResource('ivr.autoreply.internet.scope.1'),
			),
		),
		'actual_from'=>array(
			'title'=>getResource('ivr.autoreply.internet.actual.from'),
			'control'=>'date',
			'with_time'=>1,
		),
		'actual_to'=>array(
			'title'=>getResource('ivr.autoreply.internet.actual.to'),
			'control'=>'date',
			'with_time'=>1,
		),
		'notes'=>array(
			'title'=>getResource('ivr.autoreply.internet.notes'),
			'control'=>'textarea',
			'height'=>8,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('ivr.autoreply.internet.created'),
		),
		'created_name'=>array(
			'title'=>getResource('ivr.autoreply.internet.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('ivr.autoreply.internet.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('ivr.autoreply.internet.modified.by'),
			'readonly'=>1,
		),
	),
);
?>