<?
$obj = array(
	'name'=>'hosts',
	'nick'=>'jhts',
	'source'=>'hosts h
	LEFT JOIN modems m ON m.id = h.modem
	LEFT JOIN clients c ON c.id = h.client
	LEFT JOIN client_inset ci ON ci.client=h.client AND ci.connection_port=h.port
	LEFT JOIN houses hs ON hs.id=c.house_id
	LEFT JOIN streets s ON hs.street = s.id',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'h.id',
		),
		'client'=>array(
			'desc'=>1,
			'selector'=>'h.client',
			'log_by'=>'client_name',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'client_login'=>array(
			'selector'=>'c.login',
		),
		'client_department'=>array(
			'bin'=>1,
			'selector'=>'c.department',
		),
		'street'=>array(
			'selector'=>'hs.street',
		),
		'street_name'=>array(
			'bin'=>1,
			'selector'=>'s.name',
		),
		'house_id'=>array(
			'selector'=>'c.house_id',
		),
		'house'=>array(
			'selector'=>'hs.house',
		),
		'house_name'=>array(
			'selector'=>'CONCAT(s.name, " ", hs.house)',
		),
		'entrance'=>array(
			'selector'=>'c.entrance',
		),
		'floor'=>array(
			'selector'=>'c.floor',
		),
		'apartment'=>array(
			'selector'=>'c.apartment',
		),
		'connection_type'=>array(
			'selector'=>'c.connection_type',
		),
		'modem'=>array(
			'selector'=>'h.modem',
			'log_by'=>'modem_name',
		),
		'modem_name'=>array(
			'bin'=>1,
			'selector'=>'m.name',
		),
		'modem_ip'=>array(
			'bin'=>1,
			'selector'=>'m.ip',
			'order_by'=>'INET_ATON(m.ip)',
		),
		'port'=>array(
			'selector'=>'h.port',
		),
		'vlan'=>array(
			'selector'=>'h.vlan',
		),
		'notes'=>array(
			'selector'=>'h.notes',
		),
		'inset'=>array(
			'selector'=>'IF(ci.client IS NULL, "-", "+")',
		),
	),
);
?>