<?
$obj = array(
	'can_post'=>!$GLOBALS['jet']->active_record['resource_use'],
	'fields'=>array(
		'job'=>array(
			'title'=>getResource('je.job'),
			'link'=>'jobs.php?id=[job]',
			'control'=>'lookup',
			'frame_width'=>'50em',
			'label'=>'[job_name]',
			'source'=>'?lookup=job',
			'required'=>1,
		),
		'type'=>array(
			'title'=>getResource('je.type'),
			'required'=>1,
			'control'=>'select',
			'list'=>'getJetTypes',
			'link' => 'jobs_extra_types.php?id=[type]',
		),
		'amount'=>array(
			'title'=>getResource('je.amount'),
			'control' => 'short',
			'default' => 1,
		),
		'ticket_state'=>array(
			'title'=>getResource('je.ticket.state'),
			'control' => 'select',
			'list'=>array(
				'1'=>getResource('je.ticket.state.1'),
				'2'=>getResource('je.ticket.state.2'),
			),
		),
		'pay_state'=>array(
			'title'=>getResource('je.pay.state'),
			'control' => 'select',
			'list'=>array(
				'1'=>getResource('je.pay.state.1'),
				'2'=>getResource('je.pay.state.2'),
			),
		),
		'notes'=>array(
			'title'=>getResource('je.notes'),
			'control' => 'textarea',
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('je.created'),
		),
		'created_name'=>array(
			'title'=>getResource('je.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('je.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('je.modified.by'),
			'readonly'=>1,
		),
	),
);
?>