<?
$obj = array(
	'anchor_by'=>'exm',
	'fields'=>array(
		'city'=>array(
			'title'=>getResource('jt.city'),
			'link'=>'cities.php?id=[city]',
			'control'=>'select',
			'list'=>'getCities',
		),
		'name'=>array(
			'title'=>getResource('jt.name'),
			'required'=>1,
		),
		'type'=>array(
			'title'=>getResource('jt.type'),
			'control' => 'bitset',
			'list'=>array(
				'1'=>getResource('jt.type.1'),
				'2'=>getResource('jt.type.2'),
			),
		),
		'abon_incremental'=>array(
			'title'=>getResource('jt.abon.incremental'),
			'comment'=>getResource('jt.abon.incremental.comment'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('jt.abon.incremental.1'),
				'2'=>getResource('jt.abon.incremental.2'),
			),
		),
		'repair'=>array(
			'title'=>getResource('jt.repair'),
			'control'=>'checkbox',
		),
		'abbr'=>array(
			'title'=>getResource('jt.abbr'),
			'comment'=>getResource('jt.abbr.comment'),
			'control'=>'short',
		),
		'number'=>array(
			'title'=>getResource('jt.number'),
			'control'=>'short',
		),
		'fee_1'=>array(
			'title'=>getResource('jt.fee.1'),
			'comment'=>getResource('jt.fee.comment'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
		),
		'fee_0'=>array(
			'title'=>getResource('jt.fee.0'),
			'comment'=>getResource('jt.fee.comment'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
		),
		'charge_type'=>array(
			'title'=>getResource('jt.charge_type'),
			'comment'=>getResource('jt.charge_type.comment'),
			'control' => 'select',
			'list' => 'getChargeTypes',
			'link' => 'charge_types.php?id=[charge_type]'
		),
		'auto_complete'=>array(
			'title'=>getResource('jt.auto.complete'),
			'comment'=>getResource('jt.auto.complete.comment'),
			'control' => 'bitset',
			'list'=>array(
				'1'=>getResource('jt.auto.complete.1'),
				'2'=>getResource('jt.auto.complete.2'),
				'32'=>getResource('jt.auto.complete.32'),
				'4'=>getResource('jt.auto.complete.4'),
				'8'=>getResource('jt.auto.complete.8'),
				'16'=>getResource('jt.auto.complete.16'),
			),
		),
		'notes'=>array(
			'title'=>getResource('jt.notes'),
			'control'=>'textarea',
			'height'=>5,
		),
		'actual'=>array(
			'title'=>getResource('jt.actual'),
			'control'=>'checkbox',
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('jt.created'),
		),
		'created_name'=>array(
			'title'=>getResource('jt.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('jt.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('jt.modified.by'),
			'readonly'=>1,
		),
	),
);
?>