<?
$obj = array(
	'name'=>'expense_material_job_types',
	'nick'=>'emjt',
	'masters'=>array(
		'distr'=>array(
			'table'=>$GLOBALS['jt'],
			'on'=>'id',
			'by'=>'job_type',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'BeforeDelete'=>'before_street_delete',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source' => 'expense_material_job_types tzd
	LEFT JOIN job_types jt ON jt.id = tzd.job_type
	LEFT JOIN expense_material_types mt ON mt.id = tzd.material_type
	LEFT JOIN stamps st ON st.id=tzd.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'job_type'=>array(
			'selector'=>'tzd.job_type',
			'log_by'=>'job_type_name',
		),
		'job_type_name'=>array(
			'selector'=>'jt.name',
		),
		'material_type' => array(
			'selector'=>'tzd.material_type',
			'key'=>1,
			'log_by'=>'material_type_name',
		),
		'material_type_name'=>array(
			'selector'=>'mt.name',
		),
		'stamp'=>array(
			'selector'=>'tzd.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>