<?
$obj = array(
	'fields'=>array(
		'city'=>array(
			'title'=>getResource('koops.city'),
			'link'=>'cities.php?id=[city]',
			'required'=>1,
			'control'=>'select',
			'list'=>'getCities',
			'skip_finder'=>1,
		),
		'name'=>array(
			'title'=>getResource('koops.name'),
			'required'=>1,
		),
		'contract'=>array(
			'title'=>getResource('koops.contract'),
			'control'=>'short',
		),
		'type'=>array(
			'title'=>getResource('koops.type'),
			'control'=>'select',
			'list'=>array(
				'0'=>getResource('koops.type.0'),
				'-1'=>getResource('koops.type.-1'),
				'1'=>getResource('koops.type.1'),
			),
		),
		'pay_type'=>array(
			'title'=>getResource('koops.pay.type'),
			'control'=>'select',
			'list'=>array(
				'1'=>getResource('koops.pay.type.1'),
				'2'=>getResource('koops.pay.type.2'),
				'3'=>getResource('koops.pay.type.3'),
				'4'=>getResource('koops.pay.type.4'),
			),
		),
		'pay_amount'=>array(
			'title'=>getResource('koops.pay.amount'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
		),
		'kuda'=>array(
			'title'=>getResource('koops.kuda'),
		),
		'commander'=>array(
			'title'=>getResource('koops.commander'),
		),
		'commander_phone'=>array(
			'title'=>getResource('koops.commander.phone'),
		),
		'commander_address'=>array(
			'title'=>getResource('koops.commander.address'),
		),
		'accounter'=>array(
			'title'=>getResource('koops.accounter'),
		),
		'accounter_phone'=>array(
			'title'=>getResource('koops.accounter.phone'),
		),
		'props'=>array(
			'title'=>getResource('koops.props'),
			'control'=>'textarea',
			'height'=>5,
		),
		'notes'=>array(
			'title'=>getResource('koops.notes'),
			'control'=>'textarea',
			'height'=>4,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('koops.created'),
		),
		'created_name'=>array(
			'title'=>getResource('koops.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('koops.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('koops.modified.by'),
			'readonly'=>1,
		),
	),
);
?>