<?
$obj = array(
	'name'=>'mail_messages',
	'nick'=>'mans',
	'BeforeInsert'=>'before_stamped_insert,before_answer_insert',
	'BeforePost'=>'before_stamped_post',
	'BeforeDelete'=>'before_message_delete',
	'AfterInsert'=>'after_logged_insert,after_answer_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete, after_message_delete',
	'source'=>'mail_messages m
	LEFT JOIN mail_messages p ON (p.msg_id > "" AND p.msg_id=m.in_reply_to)
	LEFT JOIN mail_messages_replies r ON r.message=m.id
	LEFT JOIN stamps st ON st.id=m.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'m.id',
		),
		'subject'=>array(
			'desc'=>1,
			'selector'=>'m.subject',
		),
		'addr_from'=>array(
			'desc'=>1,
			'selector'=>'m.addr_from',
		),
		'addr_to'=>array(
			'desc'=>1,
			'selector'=>'m.addr_to',
		),
		'addr_from'=>array(
			'desc'=>1,
			'selector'=>'m.addr_from',
		),
		'date'=>array(
			'desc'=>1,
			'selector'=>'m.date',
		),
		'msg_id'=>array(
			'selector'=>'m.msg_id',
		),
		'reply_to'=>array(
			'selector'=>'m.reply_to',
		),
		'in_reply_to'=>array(
			'selector'=>'m.in_reply_to',
		),
		'parent_id'=>array(
			'selector'=>'p.id',
		),
		'body'=>array(
			'selector'=>'m.body',
		),
		'type'=>array(
			'selector'=>'m.type',
		),
		'type_name'=>array(
			'selector'=>'IF(m.type, "'.getResource('mail.messages.type.1').'", "'.getResource('mail.messages.type.0').'")',
		),
		'attachments'=>array(
			'selector'=>'m.attachments',
			'aggregate'=>'sum',
		),
		'answers'=>array(
			'selector'=>'IFNULL(r.replies,0)',
			'aggregate'=>'sum',
		),
		'stamp'=>array(
			'selector'=>'m.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>