<?
$obj = array(
	'name'=>'coil_uses',
	'nick'=>'cs',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_config_post, before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_config_post, after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'coil_uses c
		LEFT JOIN (SELECT sum(cable) cable, coil_use FROM coil_uses_details GROUP BY coil_use) x ON x.coil_use=c.id
        LEFT JOIN coil_items ci ON ci.id=c.item
        LEFT JOIN coil_supplies cs ON cs.id = ci.supply
	LEFT JOIN stamps st ON st.id=c.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'c.id',
		),
		'item'=>array(
			'selector'=>'c.item',
			'log_by'=>'item_n',
		),

        'item_n'=>array(
            'bin'=>1,
			'selector'=>"ci.code",
		),

                'person'=>array(
			'selector'=>'c.person',
			'log_by'=>'person_n',
		),

               'person_n'=>array(
			'selector'=>'crs.name',
		),

                'begin_date'=>array(
			'selector'=>'c.begin_date',
		),
                'begin_length'=>array(
			'selector'=>'c.begin_length',
		),

                'end_date'=>array(
                        'selector' => 'c.end_date',
                        'nullable'=>1,
		),

                'end_length' => array(

                    'selector'=>'c.end_length',

                ),
		'rest' => array(
			'selector'=>'c.begin_length - IFNULL(x.cable, 0)',
			'aggregate'=>'sum',
		),
		'stamp'=>array(
			'selector'=>'c.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);

$obj['filters']['by_worker'] = "c.person='".$GLOBALS['oper']->person."'"; //  alias  coil_uses - u 
$obj['filters']['end_date'] = "c.end_date IS NULL"


?>