<?
$obj = array(
	'fields'=>array(
		'ip'=>array(
			'title'=>getResource('networks.ip'),
			'required'=>1,
		),
		'local'=>array(
			'title'=>getResource('networks.local'),
			'control'=>'checkbox',
		),
		'filename'=>array(
			'title'=>getResource('networks.filename'),
			'required'=>1,
		),
		'template'=>array(
			'title'=>getResource('networks.template'),
			'required'=>1,
			'control'=>'editor',
			'width'=>'50em',
			'height'=>'25',
			'comment'=>getResource('networks.template.comment'),
		),
		'host_template'=>array(
			'title'=>getResource('networks.host.template'),
			'required'=>1,
			'control'=>'editor',
			'width'=>'50em',
			'height'=>'3',
			'comment'=>getResource('networks.host.template.comment'),
		),
		'domain'=>array(
			'title'=>getResource('networks.domain'),
			'comment'=>getResource('networks.domain.comment'),
			'control'=>'select',
			'list'=>'getDomains',
			'link'=>'domains.php?id=[domain]',
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('networks.created'),
		),
		'created_name'=>array(
			'title'=>getResource('networks.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('networks.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('networks.modified.by'),
			'readonly'=>1,
		),
	),
);
?>