<?
$obj = array(
	'name'=>'client_notes',
	'nick'=>'cns',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'client_notes cn
	LEFT JOIN clients c ON cn.client = c.id
	LEFT JOIN cities ci ON ci.id=c.city
	LEFT JOIN stamps st ON st.id=cn.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'selector'=>'cn.id',
			'key'=>1,
		),
		'city'=>array(
			'selector'=>'c.city',
		),
		'city_name'=>array(
			'selector'=>'ci.name',
		),
		'client'=>array(
			'selector'=>'cn.client',
			'title'=>getResource('client.notes.client'),
			'log_by'=>'client_name',
		),
		'client_name'=>array(
			'desc'=>1,
			'title'=>getResource('client.notes.client'),
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login, ")")',
		),
		'type'=>array(
			'selector'=>'cn.type',
			'title'=>getResource('client.notes.type'),
			'log_by'=>'type_name',
		),
		'type_name'=>array(
			'title'=>getResource('client.notes.type'),
			'selector'=>'case
				when cn.type=1 then "'.getResource('client.notes.type.1').'"
				when cn.type=2 then "'.getResource('client.notes.type.2').'"
				when cn.type=3 then "'.getResource('client.notes.type.3').'"
				when cn.type=4 then "'.getResource('client.notes.type.4').'"
				when cn.type=5 then "'.getResource('client.notes.type.5').'"
				when cn.type=6 then "'.getResource('client.notes.type.6').'"
				when cn.type=7 then "'.getResource('client.notes.type.7').'"
				else "" end',
		),
		'active'=>array(
			'selector'=>'cn.active',
			'title'=>getResource('client.notes.active'),
			'log_by'=>'active_char',
		),
		'active_char'=>array(
			'selector'=>'if(cn.active, "+", "-")',
			'title'=>getResource('client.notes.active'),
		),
		'note'=>array(
			'bin'=>1,
			'selector'=>'cn.note',
			'nullable'=>1,
			'title'=>getResource('client.notes.note'),
		),
		'stamp'=>array(
			'selector'=>'cn.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
			'title'=>getResource('client.notes.created'),
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
			'title'=>getResource('client.notes.created.by'),
		),
		'modified'=>array(
			'selector'=>'st.modified',
			'title'=>getResource('client.notes.modified'),
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
			'title'=>getResource('client.notes.modified.by'),
		),
	),
);
$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}
?>