<?
$obj = array(
	'name'=>'operators_access',
	'nick'=>'opas',
	'masters'=>array(
		'operators'=>array(
			'table'=>$GLOBALS['operators'],
			'on'=>'id',
			'by'=>'operator',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterDelete'=>'after_stamped_delete',
	'source'=>'operators_access oa
	LEFT JOIN system_entities se ON se.id=oa.entity
	LEFT JOIN operators o ON o.id=oa.operator
	LEFT JOIN stamps st ON st.id=oa.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'operator'=>array(
			'desc'=>1,
			'selector'=>'oa.operator',
		),
		'operator_name'=>array(
			'bin'=>1,
			'selector'=>'o.name',
		),
		'entity'=>array(
			'key'=>1,
			'selector'=>'oa.entity',
		),
		'entity_name'=>array(
			'bin'=>1,
			'selector'=>'se.name',
		),
		'access'=>array(),
		'stamp'=>array(
			'selector'=>'oa.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>