<?
$obj = array(
	'name'=>'osmp_pays',
	'nick'=>'osps',
	'source'=>'osmp_pays ups
	LEFT JOIN movements m ON m.id = ups.movement
	LEFT JOIN clients c ON c.id = ups.client',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'ups.id',
		),
		'movement'=>array(
			'selector'=>'ups.movement',
		),
		'order_id'=>array(
			'selector'=>'ups.order_id',
		),
		'amount'=>array(
			'selector'=>'ups.amount',
		),
		'amount_cur'=>array(
			'selector'=>'ups.amount/100',
			'aggregate'=>'sum',
		),
		'movement_amount'=>array(
			'selector'=>'m.amount',
		),
		'movement_date'=>array(
			'selector'=>'m.date',
		),
		'movement_amount_cur'=>array(
			'selector'=>'m.amount/100',
			'aggregate'=>'sum',
		),
		'client'=>array(
			'selector'=>'ups.client',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'date'=>array(
			'selector'=>'ups.date',
		),
	),
);

$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}
?>