<?
$obj = array(
	'name'=>'personal_period_plans',
	'nick'=>'ppps',
	'masters'=>array(
		'periods'=>array(
			'table'=>$GLOBALS['personal_periods'],
			'on'=>'id',
			'by'=>'personal_period',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'personal_period_plans ppp
	LEFT JOIN personal_periods pp ON pp.id = ppp.personal_period
	LEFT JOIN resource_types rt ON rt.id = ppp.resource_type
	LEFT JOIN stamps st ON st.id=ppp.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'personal_period'=>array(
			'selector'=>'ppp.personal_period',
			'desc'=>1,
		),
		'resource_type'=>array(
			'selector'=>'ppp.resource_type',
			'key'=>1,
			'log_by'=>'resource_type_name',
		),
		'resource_type_name'=>array(
			'bin'=>1,
			'selector'=>'rt.name',
		),
		'use_value'=>array(
			'selector'=>'ppp.use_value',
		),
		'use_plan'=>array(
			'selector'=>'ppp.use_plan',
		),
		'use_plan_cur'=>array(
			'selector'=>'ppp.use_plan/100',
			'aggregate'=>'sum',
		),
		'use_limit'=>array(
			'selector'=>'ppp.use_limit',
		),
		'use_limit_cur'=>array(
			'selector'=>'ppp.use_limit/100',
			'aggregate'=>'sum',
		),
		'use_actual'=>array(
			'selector'=>'ppp.use_actual',
		),
		'use_actual_cur'=>array(
			'selector'=>'ppp.use_actual/100',
			'aggregate'=>'sum',
		),
		'stamp'=>array(
			'selector'=>'ppp.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>