<?
$obj = array(
	'fields'=>array(
		'calendar_period'=>array(
			'title'=>getResource('resource.uses.calendar.period'),
			'required'=>1,
			'control'=>'select',
			'list'=>'getCalendarPeriods',
			'default'=>getCurrentCalendarPeriod(),
		),
		'src'=>array(
			'title'=>getResource('resource.uses.src'),
			'comment'=>getResource('resource.uses.src.comment'),
			'control'=>'select',
			'list'=>'getAllSrcAccounts',
		),
		'dst'=>array(
			'title'=>getResource('resource.uses.dst'),
			'comment'=>getResource('resource.uses.dst.comment'),
			'control'=>'select',
			'list'=>'getAllDstAccounts',
		),
		'resource_type'=>array(
			'title'=>getResource('resource.uses.resource.type'),
			'required'=>1,
			'control'=>'select',
			'list'=>'getResourceTypes',
			'link'=>'resource_types.php?id=[resource_type]',
		),
		'price'=>array(
			'title'=>getResource('resource.uses.price'),
			'control'=>'short',
			'format'=>$GLOBALS['fcurrency'],
			'positive'=>1,
		),
		'unit_size'=>array (
			'title'=>getResource('resource.uses.unit.size'),
			'comment'=>getResource('resource.uses.unit.size.comment'),
			'control'=>'short',
			'default'=>'1',
			'positive'=>1,
		),
		'amount'=>array(
			'title'=>getResource('resource.uses.amount'),
			'control'=>'short',
			'positive'=>1,
			'default'=>'0',
		),
		'cost_cur'=>array(
			'title'=>getResource('resource.uses.cost'),
			'readonly'=>1,
		),
		'moved'=>array(
			'title'=>getResource('resource.uses.moved'),
			'link'=>'movements.php?id=[movement]',
			'readonly'=>1,
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('resource.uses.created'),
		),
		'created_name'=>array(
			'title'=>getResource('resource.uses.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('resource.uses.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('resource.uses.modified.by'),
			'readonly'=>1,
		),
	),
);
?>