<?
$obj = array(
	'name'=>'staff_tools',
	'nick'=>'rks',
        'masters'=>array(
		'op'=>array(
			'table'=>$GLOBALS['staff'],
			'on'=>'id',
			'by'=>'person',
		),
	),
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete,after_logged_delete',
	'source'=>'staff_tools w
        LEFT JOIN exp_tools as et ON et.id = w.tool
	LEFT JOIN stamps st ON st.id=w.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'w.id',
		),

                'person' => array(
                    'selector' => 'w.person',
                ),
		'tool'=>array(
			'selector'=>'w.tool',
		),
                'tool_name' => array(
                    'selector' => 'et.name',
                ),

		'amount'=>array(
			'selector'=>'w.amount',
		),
                'issue_date'=>array(
			'selector'=>'w.issue_date ',
		),
		'notes'=>array(
			'selector'=>'w.notes',
		),
		'stamp'=>array(
			'selector'=>'w.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>