<?
$obj = array(
	'name'=>'modems',
	'nick'=>'stmds',
	'readonly'=>1,
	'source'=>'modems m
	LEFT JOIN stats_modems sm ON sm.id=m.id
	LEFT JOIN domains d ON d.id = m.domain
	LEFT JOIN modem_profiles p ON p.id = m.profile
	LEFT JOIN streets s ON s.id = m.street
	LEFT JOIN departments dp ON dp.id = m.department
	LEFT JOIN stamps st ON st.id=m.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'m.id',
		),
		'name'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'m.name',
		),
		'ip'=>array(
			'desc'=>1,
			'selector'=>'m.ip',
			'order_by'=>'INET_ATON(m.ip)',
		),
		'mac'=>array(
			'selector'=>'m.mac',
		),
		'domain'=>array(
			'selector'=>'m.domain',
		),
		'domain_name'=>array(
			'bin'=>1,
			'selector'=>'d.name',
		),
		'profile'=>array(
			'selector'=>'m.profile',
		),
		'profile_name'=>array(
			'bin'=>1,
			'selector'=>'p.name',
		),
		'street'=>array(),
		'street_name'=>array(
			'bin'=>1,
			'selector'=>'s.name',
		),
		'house'=>array(),
		'entrance'=>array(),
		'floor'=>array(),
		'department'=>array(
			'selector'=>'m.department',
		),
		'department_name'=>array(
			'bin'=>1,
			'selector'=>'dp.name',
		),
		'notes'=>array(
			'selector'=>'m.notes',
		),
		'bytes'=>array(
			'selector'=>'ifnull(sm.bytes, 0)',
			'aggregate'=>'sum',
		),
		'cost'=>array(
			'selector'=>'ifnull(sm.cost, 0)/100',
			'aggregate'=>'sum',
		),
		'stamp'=>array(
			'selector'=>'m.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "m.department='$d'";
}

?>