<?

/**
 * @author tregub
 * @copyright 2010
 */

$obj = array(
	'name'=>'tech_zones',
	'nick'=>'zone',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'BeforeDelete'=>'before_street_delete',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_post',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source' => 'tech_zones tz
	LEFT JOIN cities c ON c.id=tz.city
	LEFT JOIN stamps st ON st.id=tz.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person
	',
	'fields'=>array(
		'city'=>array(
			'selector'=>'tz.city',
			'nullable'=>1,
			'log_by'=>'city_name',
		),
		'city_name'=>array(
			'selector'=>"c.name",
		),
		'name'=>array(
			'selector'=>'tz.name',
		),
		'id'=>array(
			'selector'=>'tz.id',
			'key'=>1,
		),
		'stamp'=>array(
			'selector'=>'tz.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>