<?
$obj = array(
	'fields'=>array(
		'day'=>array(
            'title'=>getResource('tech_zones_graph.day'),
			'control' => 'select',
			'list'=>array(
				'1'=>getResource('tech_zones_graph.day.1'),
				'2'=>getResource('tech_zones_graph.day.2'),
				'3'=>getResource('tech_zones_graph.day.3'),
				'4'=>getResource('tech_zones_graph.day.4'),
				'5'=>getResource('tech_zones_graph.day.5'),
				'6'=>getResource('tech_zones_graph.day.6'),
				'7'=>getResource('tech_zones_graph.day.7')),
			'required'=>1,
			'default' => $GLOBALS['menu']->selected,
		),
		'city'=>array(
			'title'=>getResource('tech_zones_graph.city'),
			'required'=>1,
			'link'=>'cities.php?id=[city]',
			'control'=>'select',
			'list'=>'getCities',
			'skip_finder'=>1,
		),
		'person'=>array(
			'title'=>getResource('tech_zones_graph.form.name'),
			'required'=>1,
			'control'=>'lookup',
			'source'=>'?lookup=worker',
			'default'=>1,
			'id'=>'lookup_worker',
		),
		'tech_zone_time' => array(
			'title' => getResource('tech_zones_graph.form.place'),
			'required'=>1,
			'control'=>'lookup',
			'source'=>'?lookup=tzt',
			'default'=>1,
			'id'=>'lookup_tzt',
		),
		'created'=>array(
			'readonly'=>1,
			'title'=>getResource('tech_zones_graph.created'),
		),
		'created_name'=>array(
			'title'=>getResource('tech_zones_graph.created.by'),
			'readonly'=>1,
		),
		'modified'=>array(
			'readonly'=>1,
			'title'=>getResource('tech_zones_graph.modified'),
		),
		'modified_name'=>array(
			'title'=>getResource('tech_zones_graph.modified.by'),
			'readonly'=>1,
		)
	),
);
?>