<?
$obj = array(
	'name'=>'tv_node_types',
	'nick'=>'tvnts',
	'BeforeInsert'=>'before_stamped_insert',
	'BeforePost'=>'before_stamped_post',
	'BeforeDelete'=>'before_profile_delete',
	'AfterInsert'=>'after_logged_insert',
	'AfterPost'=>'after_logged_insert',
	'AfterDelete'=>'after_stamped_delete, after_logged_delete',
	'source'=>'tv_node_types nt
	LEFT JOIN stamps st ON st.id=nt.stamp
	LEFT JOIN operators cr ON cr.id = st.created_by
	LEFT JOIN staff crs ON crs.id=cr.person
	LEFT JOIN operators md ON md.id = st.modified_by
	LEFT JOIN staff mds ON mds.id=md.person',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'nt.id',
		),
		'name'=>array(
			'bin'=>1,
			'desc'=>1,
			'selector'=>'nt.name',
		),
		'notes'=>array(
			'selector'=>'nt.notes',
		),
		'feedback'=>array(
			'selector'=>'nt.feedback',
		),
		'feedback_sign'=>array(
			'selector'=>'IF(nt.feedback, "+", "-")',
		),
		'power_out'=>array(
			'selector'=>'nt.power_out',
		),
		'power_out_cur'=>array(
			'selector'=>'nt.power_out/100',
		),
		'stamp'=>array(
			'selector'=>'nt.stamp',
		),
		'created'=>array(
			'selector'=>'st.created',
		),
		'created_by'=>array(
			'selector'=>'st.created_by',
		),
		'created_name'=>array(
			'bin'=>1,
			'selector'=>'crs.name',
		),
		'modified'=>array(
			'selector'=>'st.modified',
		),
		'modified_by'=>array(
			'selector'=>'st.modified_by',
		),
		'modified_name'=>array(
			'bin'=>1,
			'selector'=>'mds.name',
		),
	),
);
?>