<?
$obj = array(
	'name'=>'wm_pays',
	'nick'=>'wmps',
	'source'=>'wm_pays wm
	LEFT JOIN movements m ON m.id = wm.movement
	LEFT JOIN clients c ON c.account = m.dst
	LEFT JOIN cities ci ON ci.id=c.city',
	'fields'=>array(
		'id'=>array(
			'key'=>1,
			'selector'=>'wm.id',
		),
		'movement'=>array(
			'selector'=>'wm.movement',
		),
		'wmid'=>array(),
		'wmtid'=>array(),
		'source'=>array(
			'selector'=>'wm.source',
		),
		'destination'=>array(
			'selector'=>'wm.destination',
		),
		'movement_amount'=>array(
			'selector'=>'m.amount',
		),
		'movement_amount_cur'=>array(
			'selector'=>'m.amount/100',
			'aggregate'=>'sum',
		),
		'client_id'=>array(
			'bin'=>1,
			'selector'=>'c.id',
		),
		'client_name'=>array(
			'bin'=>1,
			'selector'=>'CONCAT(c.last_name, " ", c.first_name, " (", c.login,")")',
		),
		'city'=>array(
			'selector'=>'c.city',
		),
		'city_name'=>array(
			'bin'=>1,
			'selector'=>'ci.name',
		),
		'movement_date'=>array(
			'bin'=>1,
			'selector'=>'m.date',
		),
	),
);

$d = $GLOBALS['oper']->department;
if($d){
	$obj['filters']['department'] = "c.department='$d'";
}
?>