<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class ActionLoggerTool {

var $table;
var $id_field;
var $state;
var $key;

function ActionLoggerTool($table, $id_field = 'id'){
	$this->table = $table;
	$this->id_field = $id_field;
	$this->key = $this->table->Pedigree('alog');
	$this->state = (isset($_GET[$this->key]) ? $_GET[$this->key] : 0) ? 1 : 0;
}

function render(){
	global $oper;
	if(isset($oper->system_access['action_log']) && $this->table->isOn()){
		$link = htmlspecialchars(_href_change(array($this->key=>!$this->state)), ENT_QUOTES);
		return '<a href="'.$link.'">'.($this->state ? '&ndash;' : '+').'</a>';
	}
}

function get_log_renderer(){
	global $oper, $db;
	if(isset($oper->system_access['action_log']) && $this->table->isOn() && $this->state){
		loadStrings(BOOT.'action_log/strings.txt');
		$action_log = new PTable($db, BOOT.'action_log/table.php');
		$action_log->filters['by_item'] = '(alo.name="'.addslashes($this->table->name).'" AND l.item_id="'.addslashes($this->table->active_record[$this->id_field]).'")';
		return  new PMyAccess($action_log, array(
			//'title'=>getResource('action.log.title'),
			'icon'=>HREF.'images/log.gif',
			'grid_boot'=>BOOT.'action_log/grid_alt.php',
		));
	}
}

}
?>