<?
class PravexImport {

function process($fileInfo){
	$lines = file($fileInfo['tmp_name']);
	//$format = '';
	$items = array();
	$borders = array();
	$has_prev = false;
	foreach($lines as $line){
		if(substr($line,0,3)=='===' || !trim($line)){
			$has_prev = false;
			continue;
		}
		if(preg_match("'([^\:]+\:[^\:]+){5,5}'", $line, $mat)){
			$borders = array();
			$begin = 0;
			while(($end = strpos($line, ':', $begin))!==false){
				$borders[] = $end;
				$begin = $end + 1;
			}
			//$format .= '.*';
			//print_r ($borders)."<br><br><br>";
		}elseif(!empty($borders)){
			$pline = str_pad($line, 300);
			//preg_match("'$format'",$pline,$mat);
			//list($all, $num, $name, $email, $text, $sum) = $mat;
			//sscanf($pline, $format, $num, $name, $email, $text, $sum);
			list($num, $name, $email, $text, $sum, $misc) = $this->breakUp($pline, $borders);
			//echo "<br>num:$num, name:$name, email:$email, text:$text, sum:$sum";
			if(intval(trim($num)) > 0){
				$items[] = array(
					'num'=>trim($num),
					'name'=>trim($name),
					'email'=>trim($email),
					'text'=>trim($text),
					'sum'=>trim($sum),
					'info'=>$line,
				);
				$has_prev = true;
			}elseif($has_prev){
				$item = $items[count($items)-1];
				$item = array(
					'num'=>trim($item['num'].' '.$num),
					'name'=>trim($item['name'].' '.$name),
					'email'=>trim($item['email'].' '.$email),
					'text'=>trim($item['text'].' '.$text),
					'sum'=>trim($item['sum'].' '.$sum),
					'info'=>$item['info'].$line,
				);
				$items[count($items)-1] = $item;
			}
		}
	}
	return array(
		'head'=>sprintf("%s\n%s\n%s", trim($lines[1]), trim($lines[2]), trim($lines[3])),
		'items'=>$this->recognize($items)
	);
}

function recognize($items){
	global $db;
	$result = array();
	foreach($items as $k=>$item){
		$account = 0;
		$valid = 0;
		$item['name'] = $this->trans($item['name']);
		$exploded = explode(" ", $item['name']);
		$last_name = $exploded[0];
		$contract = preg_match("'[^\d]*(\d{8,9})[^\d]*'s",$item['text'], $mat) ? $mat[1] : '';
		if(!$contract){// contract in email field
			if(preg_match("'[^\d]*(\d{8,})[^\d]*'s",$item['email'], $mat)){
				$contract = $mat[1];
			}
		}
		$select = "SELECT id, account, last_name, first_name, patronymic, email, contract FROM clients WHERE ";
		$query = $select.sprintf("lower(last_name)=lower('%s')", $last_name);
		$res = $db->Execute($query);
		$num = $db->NumRows($res);
		switch($num){
			case 0:// last_name not found
				if($contract){// try by contract
					$query = $select.sprintf("contract='%s'", $contract);
					if($arr = $db->Next($db->Execute($query))){
						$account = $arr['account'];
						$valid = 1;
					}
				}elseif(strstr($item['email'], '@')){ // try by email
					$query = $select.sprintf("email='%s'", $item['email']);
					if($arr = $db->Next($db->Execute($query))){
						$account = $arr['account'];
					}
				}
				break;
			case 1: // single
				$arr = $db->Next($res);
				$account = $arr['account'];
				if($contract && ($contract!=$arr['contract'])){
				    $valid = 0;
				}else{
				    $valid = 1;
				}
				break;
			default: //multiple, find max match
				$con = $contract;
				$match = 0;
				while($arr = $db->Next($res)){
					$m = $this->match($con, $arr['contract']);
					if($m>$match){
						$match = $m;
						$account = $arr['account'];
						if($m>=8){
							$valid = 1;
						}
					}
				}
		}
		$result[] = array(
			'num'=>$item['num'],
			'account'=>$account,
			'sum'=>intval(strval($item['sum'] * 100)),
			'info'=>preg_replace("'\s+\n'","\n",$item['info']),
			'valid'=>$valid,
		);
	}
	return $result;
}

function match($s1,$s2){
	$m = 0;
	$len = min(strlen($s1),strlen($s2));
	for($i=0;$i<$len;$i++){
		if($s1[$i]==$s2[$i]){
			$m++;
		}
	}
	return $m;
}

function trans($str){
	static $from = array("\xa0",
	'P','E','T','O','A','H','K','X','','B','M','I', 
	'p','e','t','o','a','h','k','x','','b','m','i');
	static $to = array("\x20",
	'','','','','','','','','','','','', 
	'','','','','','','','','','','','');
	return str_replace($from, $to, $str);
}

function breakUp($line, $borders){
	$result = array();
	$begin = 0;
	foreach($borders as $end){
		$result[] = substr($line, $begin, $end - $begin);
		$begin = $end;
	}
	$result[] = substr($line, $begin);
	return $result;
}

}
?>