<?
class ReportCalendarModel {

var $connection;
var $template;

function setConnection($obj){
	$this->connection = $obj;
}

function setTemplate($obj){
	$this->template = $obj;
}

function prepare($from, $calendar){
}

function getRenderedRecords($year, $month, $day, $calendar){
	$typeMarks = array(
		'1'=>'',
		'2'=>'',
		'3'=>'',
		'4'=>'',
	);
	$from = sprintf("%d-%02d-%02d", $year, $month, $day);
	$to = sprintf("%d-%02d-%02d", $year, $month, $day + 1);
	$sel = $this->connection->select("SELECT r.id, r.type, CONCAT(s.name, ' ', h.house) title, UNIX_TIMESTAMP(r.date) as date
		FROM exp_reports r
		LEFT JOIN houses h ON r.house=h.id
		LEFT JOIN streets s ON s.id=h.street
		WHERE r.date >= '%s' AND r.date < '%s' ORDER BY r.date", $from, $to);
	$records = array();
	while($arr = $sel->next()){
		$arr['time'] = date("H:i", $arr['date']);
		$arr['title'] = $arr['title'];
		$arr['link'] = $calendar->buildRecordLink(array('exrpts_id'=>$arr['id']));
		$arr['type_mark'] = $typeMarks[$arr['type']];
		$records[] = $this->template->render($arr);
	}
	return $records;
}

function getHint($year, $month, $day, $calendar){
	$from = sprintf("%d-%02d-%02d", $year, $month, $day);
	$to = sprintf("%d-%02d-%02d", $year, $month, $day + 1);
	$sel = $this->connection->select("SELECT count(r.id) cnt
		FROM exp_reports r WHERE r.date >= '%s' AND r.date < '%s'", $from, $to);
	$arr = $sel->next();
	return $arr['cnt']+0;
}

}
?>