<?
class HighlightCellRenderer {

var $valMap;
var $attributes;
var $key;

function HighlightCellRenderer($key, $valMap, $attributes = array()){
	$this->key = $key;
	$this->valMap = $valMap;
	$this->attributes = $attributes;
}

function attPak(&$val, $key){
	$val = $key."='".htmlspecialchars($val)."'";
}

function render($column, $record){
	$value = $record[$column->name];
	$val = $record[$this->key];
	$attributes = $this->attributes;
	if(isset($this->valMap[$val])){
		$attributes['class'] = $this->valMap[$val];
	}
	if(isset($column->align)){
		$attributes['align'] = $column->align;
	}
	array_walk($attributes, array($this, 'attPak'));
	return "<td ".implode(" ", $attributes).">".$value."</td>";
}

}
?>