<?
class FlagOption {

var $short_key;
var $long_key;
var $description;
var $value;
var $desired_indent;

function FlagOption($short_key, $long_key, $description, $default = false){
	$this->short_key = $short_key;
	$this->long_key = $long_key;
	$this->description = $description;
	$this->desired_indent = strlen($short_key) + strlen($long_key);
	if($short_key && $long_key){
		$this->desired_indent += 2;
	}
	$this->value = $default;
}

function parse($lexer){
	$token = $lexer->get(0);
	if($token==$this->short_key || $token==$this->long_key){
		$lexer->consume();
		$this->value = true;
		return true;
	}else{
		return false;
	}
}

function isOn(){
	return $this->value;
}

function getDesiredIndent(){
	return $this->desired_indent;
}

function showHelp($indent){
	$use_case = $this->short_key;
	if($this->long_key){
		$use_case .= ($use_case ? ', ' : '').$this->long_key;
	}
	printf("%-".$indent."s - %s\n", $use_case, $this->description);
}

}
?>