<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class HostsDAO {

var $connection;
var $splitter;
var $queries = array(
	'list_all'=>"SELECT id, client, ip, mac, modem, port, vlan, countable, pair_a_distance, pair_b_distance FROM hosts",
	'get_by_id'=>"SELECT id, client, ip, mac, modem, port, vlan, countable, pair_a_distance, pair_b_distance FROM hosts WHERE id='%s'",
	'list_by_modem'=>"SELECT id, client, ip, mac, modem, port, vlan, countable, pair_a_distance, pair_b_distance FROM hosts WHERE modem=%s",
	'update_pairs_info'=>"UPDATE hosts SET pair_a_status='%s', pair_b_status='%s', pair_a_distance='%s', pair_b_distance='%s' WHERE id='%s'",
);

function setConnection($connection){
	$this->connection = $connection;
}

function setSplitter($splitter){
	$this->splitter = $splitter;
}

function iterator(){
	$q = $this->queries['list_all'];
	$q = $this->splitter->patch($q." WHERE client >= [client_from] AND client < [client_to]", $q);
	return $this->connection->select($q);
}

function getById($id){
	$it = $this->connection->select($this->queries['get_by_id'], $id);
	return $it->next();
}

function listByModem($modem){
	return $this->connection->select($this->queries['list_by_modem'], $modem);
}

function updatePairsInfo($id, $a_status, $b_status, $a_distance, $b_distance){
	$this->connection->update($this->queries['update_pairs_info'],  $a_status, $b_status, $a_distance, $b_distance, $id);
}

}
?>