<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class NotifiedPersonalPeriodsDAO {

var $connection;
var $splitter;
var $queries = array(
	'select'=>"SELECT client, personal_period FROM notified_personal_periods",
	'update'=>"REPLACE INTO notified_personal_periods (client, personal_period) VALUES (%s, %s)",
);

function setConnection($connection){
	$this->connection = $connection;
}

function setSplitter($splitter){
	$this->splitter = $splitter;
}

function iterator(){
	$q = $this->queries['select'];
	$q = $this->splitter->patch($q." WHERE client >= [client_from] AND client < [client_to]", $q);
	return $this->connection->select($q);
}

function update($clid, $pid){
	return $this->connection->update($this->queries['update'], $clid, $pid);
}

}
?>