<?php
  require_once('Worksheet.php');
  require_once('Workbook.php');
  require_once("../../config.php");
  require_once("../../classes.php");
  function HeaderingExcel($filename) {
      header("Content-type: application/vnd.ms-excel");
      header("Content-Disposition: attachment; filename=$filename" );
      header("Expires: 0");
      header("Cache-Control: must-revalidate, post-check=0,pre-check=0");
      header("Pragma: public");
      }

  // HTTP headers
  HeaderingExcel('reportLupap.xls');
  $sql = new sqlLupapReport;
  
  // Creating a workbook
  $workbook = new Workbook("-");
  // Creating the first worksheet
  $worksheet1 = $workbook->add_worksheet('GBPA_DSS _ Summary');
 /* $worksheet1->set_column(1, 1, 40);
  $worksheet1->set_row(1, 20);
  $worksheet1->write_string(1, 1, "This worksheet's name is ".$worksheet1->get_name());
  $worksheet1->write(2,1,"http://www.phpclasses.org/browse.html/package/767.html");
  $worksheet1->write_number(3, 0, 11);
  $worksheet1->write_number(3, 1, 1);
  $worksheet1->write_string(3, 2, "by four is");
  $worksheet1->write_formula(3, 3, "=A4 * (2 + 2)");
  //$worksheet1->write_formula(3, 3, "= SUM(A4:B4)");
  $worksheet1->write(5, 4, "= POWER(2,3)");
  $worksheet1->write(4, 4, "= SUM(5, 5, 5)");
*/
/* 



  // Format for the headings
  $formatot = $workbook->add_format();
  $formatot->set_size(10);
  $formatot->set_align('center');
  $formatot->set_color('white');
  $formatot->set_pattern();
  $formatot->set_fg_color('magenta');

  $worksheet2->set_column(0,0,15);
  $worksheet2->set_column(1,2,30);
  $worksheet2->set_column(3,3,15);
  $worksheet2->set_column(4,4,10);

  $worksheet2->write_string(1,0,"Id",$formatot);
  $worksheet2->write_string(1,1,"Name",$formatot);
  $worksheet2->write_string(1,2,"Adress",$formatot);
  $worksheet2->write_string(1,3,"Phone Number",$formatot);
  $worksheet2->write_string(1,4,"Salary",$formatot);

  $worksheet2->write(3,0,"22222222-2");
  $worksheet2->write(3,1,"John Smith");
  $worksheet2->write(3,2,"Main Street 100");
  $worksheet2->write(3,3,"02-5551234");
  $worksheet2->write(3,4,100);
  $worksheet2->write(4,0,"11111111-1");
  $worksheet2->write(4,1,"Juan Perez");
  $worksheet2->write(4,2,"Los Paltos 200");
  $worksheet2->write(4,3,"03-5552345");
  $worksheet2->write(4,4,110);
  // if you are writing a very long worksheet, you may want to use
  // write_xxx() functions, instead of write() for performance reasons.
  $worksheet2->write_string(5,0,"11111111-1");
  $worksheet2->write_string(5,1,"Another Guy");
  $worksheet2->write_string(5,2,"Somewhere 300");
  $worksheet2->write_string(5,3,"03-5553456");
  $worksheet2->write(5,4,108);


  // Calculate some statistics
  $worksheet2->write(7, 0, "Average Salary:");
  $worksheet2->write_formula(7, 4, "= AVERAGE(E4:E6)");
  $worksheet2->write(8, 0, "Minimum Salary:");
  $worksheet2->write_formula(8, 4, "= MIN(E4:E6)");
  $worksheet2->write(9, 0, "Maximum Salary:");
  $worksheet2->write_formula(9, 4, "= MAX(E4:E6)");

  //$worksheet2->insert_bitmap(0, 0, "some.bmp",10,10);*/
// ------------------------------------------------------------------- 2 page(GBPA_DSS_Past_week)-------

  // Creating the second worksheet
  $worksheet2 = $workbook->add_worksheet("GBPA_DSS_Past_week");
  
  //$worksheet3->set_column(0, 0, 3);
  $start='2007-12-03';
  $end='2007-12-8';
  $worksheet2->write_string(1, 1, "Dataset:");
  $worksheet2->write_string(1, 2, "GBPA DSS");
  
  $worksheet2->write_string(2, 1, "Week:");
  $worksheet2->write_string(2, 2, $start);
  $worksheet2->write_string(2, 3, $end);
  
  $worksheet2->write_string(4, 1, "Table: Quality Assurance");
  
  $worksheet2->write_string(5, 0, "#");
  $worksheet2->write_string(5, 1, "Person");
  $worksheet2->write_string(5, 2, "Role");
  $worksheet2->write_string(5, 3, "Team");
  $worksheet2->write_string(5, 4, "Norm per day(Polygons)*");
  $worksheet2->write_string(5, 5, "Totals");
  $worksheet2->write_string(5, 9, "Average a day");
  
  $worksheet2->write_string(6, 5, "Days");
  $worksheet2->write_string(6, 6, "Polygons");
  $worksheet2->write_string(6, 7, "Plans");
  $worksheet2->write_string(6, 8, "Errors Found");
  $worksheet2->write_string(6, 9, "Polygons");
  $worksheet2->write_string(6, 10, "Plans");
  
  $sql->selectQA();
  for($k=1;$k<=$d;$k++)
  {
  	$worksheet2->write_string(6+$k, 0, $k);
  	if($users[$k][partTime]>0)
  	{
		$user[$k]=$users[$k][fulName].'(part-time)';
	}
	else
	{
		$user[$k]=$users[$k][fulName];
	}
  	$worksheet2->write_string(6+$k, 1, $user[$k]);
  	if($users[$k][oper]>0)
  	{
		$role[$k]='QA,Operator';
		if($users[$k][coment]>'')
		{
			$role[$k].=','.$users[$k][coment];
		}
	}
	else
	{
		$role[$k]='QA';
		if($users[$k][coment]>'')
		{
			$role[$k].=','.$users[$k][coment];
		}
	}
  	$worksheet2->write_string(6+$k, 2, $role[$k]);
  	$worksheet2->write_string(6+$k, 3, $users[$k][team]);
	$worksheet2->write_number(6+$k, 4, "120");
	
	$sql->SumQA($users[$k][user],$start,$end);
	$worksheet2->write_number(6+$k, 5, $days[$users[$k][user]]);
	if($days[$users[$k][user]]>0) $r++;
	$worksheet2->write_number(6+$k, 6, $info[$users[$k][user]][QPC_lupap]);
	$worksheet2->write_number(6+$k, 7, $info[$users[$k][user]][QR_lupap]);
	$worksheet2->write_number(6+$k, 8, $info[$users[$k][user]][QE_lupap]);
	if($days[$users[$k][user]]>0)
	{
		$polyg=$info[$users[$k][user]][QPC_lupap]/$days[$users[$k][user]];
		$plan=$info[$users[$k][user]][QR_lupap]/$days[$users[$k][user]];
	}
	$worksheet2->write_number(6+$k, 9, round($polyg,1));
	$worksheet2->write_number(6+$k, 10, round($plan,1));
  }
  
  $worksheet2->write_string(6+$k, 1, "Total staff worked past week:");
  
  $worksheet2->write_number(6+$k, 2, $r);
  $worksheet2->write_string(6+$k, 4, "Week's Total:");
  $worksheet2->write_formula(6+$k, 5, "= SUM(F8:F".(6+$k).")");
  $worksheet2->write_formula(6+$k, 6, "= SUM(G8:G".(6+$k).")");
  $worksheet2->write_formula(6+$k, 7, "= SUM(H8:H".(6+$k).")");
  $worksheet2->write_formula(6+$k, 8, "= SUM(I8:I".(6+$k).")");
  
  $worksheet2->write_string(7+$k, 0, "*");
  $worksheet2->write_string(7+$k, 1, "Norm of Polygons per day calculated with coefficient");
  $worksheet2->write_string(7+$k, 8, "Person's Average a day:");
  if($r>0)
  {
	$worksheet2->write_formula(7+$k, 9, "= SUM(J8:J".(6+$k).")/C".(7+$k));
    $worksheet2->write_formula(7+$k, 10, "= SUM(K8:K".(6+$k).")/C".(7+$k));
  }
  
  
  $worksheet2->write_string(9+$k, 1, "Table: Cartographers/Operators");
  
  $worksheet2->write_string(10+$k, 0, "#");
  $worksheet2->write_string(10+$k, 1, "Person");
  $worksheet2->write_string(10+$k, 2, "Role");
  $worksheet2->write_string(10+$k, 3, "Team");
  $worksheet2->write_string(10+$k, 4, "Norm per day(Lines)");
  $worksheet2->write_string(10+$k, 5, "Totals");
  $worksheet2->write_string(10+$k, 9, "Average a day");
  
  $worksheet2->write_string(11+$k, 5, "Days");
  $worksheet2->write_string(11+$k, 6, "Lines");
  $worksheet2->write_string(11+$k, 7, "Polygons");
  $worksheet2->write_string(11+$k, 8, "Plans");
  $worksheet2->write_string(11+$k, 9, "Lines");
  $worksheet2->write_string(11+$k, 10, "Polygons");
  $worksheet2->write_string(11+$k, 11, "Plans");
  $newk=11+$k;
  unset ($user,$role);
  $sql->selectOP();
  for($s=1;$s<=$d;$s++)
  {
	$worksheet2->write_string($newk+$s, 0, $s);
	if($users[$s][partTime]>0)
	{
		$user[$s]=$users[$s][fulName]."(part-time)";
	}
	else
	{
		$user[$s]=$users[$s][fulName];
		
	}
	$worksheet2->write_string($newk+$s, 1, $user[$s]);
	if($users[$s][qa]>0)
  	{
		$role[$s]='Operator,QA';
		if($users[$s][coment]>'')
		{
			$role[$s].=','.$users[$s][coment];
		}
	}
	else
	{
		$role[$s]='Operator';
		if($users[$s][coment]>'')
		{
			$role[$s].=','.$users[$s][coment];
		}
	}
	$worksheet2->write_string($newk+$s, 2, $role[$s]);
	$worksheet2->write_string($newk+$s, 3, $users[$s][team]);
	$worksheet2->write_number($newk+$s, 4, "250");
	$sql->SumOP($users[$s][user],$start,$end);
	$worksheet2->write_number($newk+$s, 5, $days[$users[$s][user]]);
	if($days[$users[$s][user]]>0) $lr++;
	$worksheet2->write_number($newk+$s, 6, $info[$users[$s][user]][lines_lupap]);
	$worksheet2->write_number($newk+$s, 7, $info[$users[$s][user]][polygons_lupap]);
	$worksheet2->write_number($newk+$s, 8, $info[$users[$s][user]][rasters_lupap]);
	unset($lin,$polyg,$plan);
	if($days[$users[$s][user]]>0)
	{
		
		$lin=$info[$users[$s][user]][lines_lupap]/$days[$users[$s][user]];
		$polyg=$info[$users[$s][user]][polygons_lupap]/$days[$users[$s][user]];
		$plan=$info[$users[$s][user]][rasters_lupap]/$days[$users[$s][user]];
	}
	$worksheet2->write_number($newk+$s, 9, round($lin,1));
	$worksheet2->write_number($newk+$s, 10, round($polyg,1));
	$worksheet2->write_number($newk+$s, 11, round($plan,1));
  }
  $worksheet2->write_string($newk+$s, 1, "Total staff worked past week:");
  $worksheet2->write_number($newk+$s, 2, $lr);
  $worksheet2->write_string($newk+$s, 4, "Week's Total:");
  $worksheet2->write_formula($newk+$s, 5, "= SUM(F".($newk+2).":F".($newk+$s).")");
  $worksheet2->write_formula($newk+$s, 6, "= SUM(G".($newk+2).":G".($newk+$s).")");
  $worksheet2->write_formula($newk+$s, 7, "= SUM(H".($newk+2).":H".($newk+$s).")");
  $worksheet2->write_formula($newk+$s, 8, "= SUM(I".($newk+2).":I".($newk+$s).")");
  
  $worksheet2->write_string($newk+$s+1, 8, "Person's Average a day:");
  $worksheet2->write_formula($newk+$s+1, 9, "= SUM(J".($newk+2).":J".($newk+$s).")/F".($newk+$s+1));
  $worksheet2->write_formula($newk+$s+1, 10, "= SUM(K".($newk+2).":K".($newk+$s).")/F".($newk+$s+1));
  $worksheet2->write_formula($newk+$s+1, 11, "= SUM(L".($newk+2).":L".($newk+$s).")/F".($newk+$s+1));
 
  $worksheet2->write_string($newk+$s+2, 6, "Parcels per Plan:");
  $worksheet2->write_formula($newk+$s+2, 7, "= H".($newk+$s+1)."/I".($newk+$s+1)."");

  
//----------------------------------------------------------- 3 page(GBPA_DSS _ Statistics)---------

  $worksheet3 = $workbook->add_worksheet('GBPA_DSS _ Statistics');
  $worksheet3->set_column(1, 1, 30);
  
  $worksheet3->set_column(0, 0, 3);
  
  $worksheet3->write_string(0, 1, "Dataset: GBPA DSS");
  
  $worksheet3->write_string(3, 4, "Weekly statistics");
  
  $worksheet3->write_string(4, 0, "#");
  $worksheet3->write_string(4, 1, "Week");
  $worksheet3->write_string(4, 2, "Digitizing");
  
  $worksheet3->write_string(5, 2, "Persons");
  $worksheet3->write_string(5, 3, "Lines");
  $worksheet3->write_string(5, 4, "Polygons"); 
  $worksheet3->write_string(5, 5, "Plans"); 
  $worksheet3->write_string(5, 6, "Plans per person a week"); 
  
  $worksheet3->write_string(4, 7, "QA, Average per person"); 
  
  $worksheet3->write_string(5, 7, "Persons");
  $worksheet3->write_string(5, 8, "Polygons");
  $worksheet3->write_string(5, 9, "Plans");
  $worksheet3->write_string(5, 10, "Plans per person a week");
  $worksheet3->write_string(5, 11, "# of Polygons per Plan");
  $worksheet3->write_string(5, 12, "Errors found, total");
  $sql->viewLog();
  for($k=1;$k<=$i;$k++)
  {
  	$worksheet3->write_number(5+$k, 0, $k);
	$worksheet3->write_string(5+$k, 1, $tab[$k][week]);
	$worksheet3->write_number(5+$k, 2, $tab[$k][persons]);
	$worksheet3->write_number(5+$k, 3, $tab[$k][lines]);
	$worksheet3->write_number(5+$k, 4, $tab[$k][polygons]);
	$worksheet3->write_number(5+$k, 5, $tab[$k][plans]);
	$worksheet3->write_number(5+$k, 6, $tab[$k][pppw]);
	$worksheet3->write_number(5+$k, 7, $tab[$k][qaPersons]);
	$worksheet3->write_number(5+$k, 8, $tab[$k][qaPolygons]);
	$worksheet3->write_number(5+$k, 9, $tab[$k][qaPlans]);
	if($tab[$k][qaPersons]>0)
	{
		$tab[$k][ppw]=$tab[$k][qaPlans]/$tab[$k][qaPersons];
		$worksheet3->write_number(5+$k, 10, $tab[$k][ppw]);
	}
	else
	{
		$tab[$k][ppw]="N/A";
		$worksheet3->write_string(5+$k, 10, $tab[$k][ppw]);
	}
	$worksheet3->write_number(5+$k, 11, $tab[$k][nppp]);
	$worksheet3->write_string(5+$k, 12, $tab[$k][eft]);
  }
  /*$worksheet3->write_string(6+$k, 1, "Average");
  $worksheet3->write_formula(6+$k, 2, "= AVERAGE(C7:C".(5+$k).")");
  $worksheet3->write_formula(6+$k, 3, "= SUM(D7:D".(5+$k).")");
  $worksheet3->write_formula(6+$k, 4, "= SUM(E7:E".(5+$k).")");
  $worksheet3->write_formula(6+$k, 5, "= SUM(F7:F".(5+$k).")");
  $worksheet3->write_formula(6+$k, 6, "= AVERAGE(G7:G".(5+$k).")");
  $worksheet3->write_formula(6+$k, 7, "= AVERAGE(H7:H".(5+$k).")");
  $worksheet3->write_formula(6+$k, 8, "= SUM(I7:I".(5+$k).")");
  $worksheet3->write_formula(6+$k, 9, "= SUM(J7:J".(5+$k).")");
  $worksheet3->write_formula(6+$k, 11, "= SUM(L7:L".(5+$k).")");*/
  #####################
  
  #####################
  $worksheet3->write_string(8+$k, 1, "Current Estimates based on avarages");
  $worksheet3->write_string(9+$k, 0, "1");
  $worksheet3->write_string(9+$k, 1, "Number of operators");
  $worksheet3->write_formula(9+$k, 2, "= C".(7+$k));
  
  $worksheet3->write_string(10+$k, 0, "2");
  $worksheet3->write_string(10+$k, 1, "Number of QA");
  $worksheet3->write_formula(10+$k, 2, "= H".(7+$k));
  
  $worksheet3->write_string(11+$k, 0, "3");
  $worksheet3->write_string(11+$k, 1, "Number of Survey Plans Digitized a Week (APR), per person");
  $worksheet3->write_formula(11+$k, 2, "= G".(7+$k));
  ################
  $worksheet3->write_string(12+$k, 0, "4");
  $worksheet3->write_string(12+$k, 1, "Number of Survey Plans QA'd a Week (AQAR), per person");
  $worksheet3->write_formula(12+$k, 2, "= K".(7+$k));
  ################
  $worksheet3->write_string(13+$k, 0, "5");
  $worksheet3->write_string(13+$k, 1, "Estimate of Number of Weeks to Complete Digitizing");
  $worksheet3->write_formula(13+$k, 2, "= K".(7+$k));
  ################
  $worksheet3->write_string(14+$k, 0, "6");
  $worksheet3->write_string(14+$k, 1, "Estimated Completion Date for Digitizing");
  $worksheet3->write_formula(14+$k, 2, "= K".(7+$k));
  ################
  $worksheet3->write_string(15+$k, 0, "7");
  $worksheet3->write_string(15+$k, 1, "Estimate of Weeks for Completion of QA QC");
  $worksheet3->write_formula(15+$k, 2, "= K".(7+$k));
  ################
  $worksheet3->write_string(16+$k, 0, "8");
  $worksheet3->write_string(16+$k, 1, "Delivery preparation time, weeks");
  $worksheet3->write_number(16+$k, 2, "2");
  ################
  $worksheet3->write_string(17+$k, 0, "9");
  $worksheet3->write_string(17+$k, 1, "Job Estimate Completion Date (CJECD)");
  $worksheet3->write_formula(17+$k, 2, "= K".(7+$k));
  ################
 
  $worksheet3->write_string(18+$k, 3, "Raster quality analysis");
  
  $worksheet3->write_string(19+$k, 0, "#");
  $worksheet3->write_string(19+$k, 2, "Dataset 1");
  $worksheet3->write_string(19+$k, 3, "Dataset 2");
  $worksheet3->write_string(19+$k, 4, "Dataset 3");
  $worksheet3->write_string(19+$k, 5, "Total");
  $worksheet3->write_string(19+$k, 6, "%");
  
  $worksheet3->write_number(20+$k, 0, "1");
  $worksheet3->write_string(20+$k, 1, "Tottaly unreadable plans");
  $worksheet3->write_string(20+$k, 2, "1");
  $worksheet3->write_string(20+$k, 3, "2");
  $worksheet3->write_string(20+$k, 4, "7");
  $worksheet3->write_string(20+$k, 5, "10");
  $worksheet3->write_string(20+$k, 6, "0.5%");
  
  $worksheet3->write_number(21+$k, 0, "2");
  $worksheet3->write_string(21+$k, 1, "50%-75% unreadable plans");
  $worksheet3->write_string(21+$k, 2, "2");
  $worksheet3->write_string(21+$k, 3, "1");
  $worksheet3->write_string(21+$k, 4, "0");
  $worksheet3->write_string(21+$k, 5, "3");
  $worksheet3->write_string(21+$k, 6, "0.2%");
  
  $worksheet3->write_number(22+$k, 0, "3");
  $worksheet3->write_string(22+$k, 1, "Less 50% unreadable plans");
  $worksheet3->write_string(22+$k, 2, "2");
  $worksheet3->write_string(22+$k, 3, "1");
  $worksheet3->write_string(22+$k, 4, "5");
  $worksheet3->write_string(22+$k, 5, "8");
  $worksheet3->write_string(22+$k, 6, "0.4%");
  
  $worksheet3->write_number(23+$k, 0, "4");
  $worksheet3->write_string(23+$k, 1, "Figures can't be recognazed at all");
  $worksheet3->write_string(23+$k, 2, "19");
  $worksheet3->write_string(23+$k, 3, "6");
  $worksheet3->write_string(23+$k, 4, "51");
  $worksheet3->write_string(23+$k, 5, "76");
  $worksheet3->write_string(23+$k, 6, "3.8%");
  
  $worksheet3->write_number(24+$k, 0, "5");
  $worksheet3->write_string(24+$k, 1, "Not for COGO");
  $worksheet3->write_string(24+$k, 2, "46");
  $worksheet3->write_string(24+$k, 3, "7");
  $worksheet3->write_string(24+$k, 4, "59");
  $worksheet3->write_string(24+$k, 5, "112");
  $worksheet3->write_string(24+$k, 6, "5.7%");
  
  $worksheet3->write_string(25+$k, 5, "Bad images:");
  
  $worksheet3->write_number(26+$k, 0, "6");
  $worksheet3->write_string(26+$k, 1, "A few lines are unreadable on plan");
  $worksheet3->write_string(26+$k, 2, "69");
  $worksheet3->write_string(26+$k, 3, "1");
  $worksheet3->write_string(26+$k, 4, "6");
  $worksheet3->write_string(26+$k, 5, "76");
  $worksheet3->write_string(25+$k, 6, "10.6%");
  
  $worksheet3->write_number(27+$k, 0, "7");
  $worksheet3->write_string(27+$k, 1, "Good quality");
  $worksheet3->write_string(27+$k, 2, "511");
  $worksheet3->write_string(27+$k, 3, "810");
  $worksheet3->write_string(27+$k, 4, "374");
  $worksheet3->write_string(27+$k, 5, "1695");
  $worksheet3->write_string(26+$k, 6, "3.8%");
  
  $worksheet3->write_number(28+$k, 0, "8");
  $worksheet3->write_string(28+$k, 1, "Plans reviewed in dataset");
  $worksheet3->write_string(28+$k, 2, "650");
  $worksheet3->write_string(28+$k, 3, "828");
  $worksheet3->write_string(28+$k, 4, "502");
  $worksheet3->write_string(28+$k, 5, "1980");
  $worksheet3->write_string(27+$k, 6, "85.6%");

  $workbook->close();
?>