<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

require_once(dirname(__FILE__).'/ChainLogger.php');

class ChainLoggerFactory {

var $chain;

function setChain($chain){
	$this->chain = $chain;
}

function createLogger($name){
	$chain = array();
	foreach($this->chain as $k=>$v){
		$chain[] = $this->chain[$k]->createLogger($name);
	}
	$logger = new ChainLogger();
	$logger->setChain($chain);
	return $logger;
}

}
?>