<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

require_once(dirname(__FILE__).'/DefaultLogger.php');

class DefaultLoggerFactory {

var $appender;
var $level;

function setAppender($appender){
	$this->appender = $appender;
}

function setLevel($level){
	$this->level = $level;
}

function createLogger($name){
	$logger = new DefaultLogger();
	$logger->setName($name);
	$logger->setAppender($this->appender);
	$logger->setLevel($this->level);
	return $logger;
}

}
?>