<?
class CallReport {

var $connection;
var $stampManager;
var $logger;
var $transactionManager;


function setLoggerFactory($obj){
	$this->logger = $obj->getLogger('call.report');
}

function setConnection($obj){
	$this->connection = $obj;
}

function setStampManager($obj){
	$this->stampManager = $obj;
}

function setTransactionManager($obj){
	$this->transactionManager = $obj;
}

function getOpt($key, $msg){
	if(!isset($this->opt[$key])){
		$this->logger->error($msg.' with -'.$key.' option');
		throw new Exception('bad paramters');
	}
	return $this->opt[$key];
}

function process(){
	try{
		$this->opt = getopt('w:a:c:t:s:');
		$clid = intval($this->getOpt('c', 'set client id'));
		$type = intval($this->getOpt('t', 'set call type'));
		$status = intval($this->getOpt('s', 'set call status'));
		$this->transactionManager->begin();
		$stamp = $this->stampManager->createStamp();
		$this->connection->insert("INSERT INTO client_calls (client, type, status, stamp) VALUES ('%s', '%s', '%s', '%s')",
			$clid, $type, $status, $stamp);
		$this->transactionManager->end();
	}catch(Exception $ex){
		$this->logger->error($ex->getMessage());
	}
}

}
?>