<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

class ConnectionPolicy {

var $members;

function setMembers($members){
	$this->members = $members;
}

function load(){
	foreach($this->members as $key=>$member){
		$this->members[$key]->load();
	}
}

function isClientDisconnected($clid){
	foreach($this->members as $key=>$member){
		if($this->members[$key]->isClientDisconnected($clid)){
			return true;
		}
	}
	return false;
}

}
?>