<?/* author: Ponomarev Denis <ponomarev@gmail.com> */

include_once dirname(__FILE__).'/Task.php';

class TaskBuildProfile implements Task {

var $logger;
var $profileBuilder;

function setLoggerFactory($obj){
	$this->logger = $obj->getLogger('task.build.profile');
}

function setProfileBuilder($obj){
	$this->profileBuilder = $obj;
}

function execute($data){
	ob_start();
	$this->logger->debug('building profile for [%s]', $data[0]);
	$exit_code = $this->profileBuilder->buildModem($data[0]);
	ob_end_clean();
	if($exit_code){
		$this->logger->debug('building profile for [%s] failed, exit code: %s', $data[0], $exit_code);
	}
	return $exit_code ? 3 : 2;
}

}
?>