<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:16 $
$Revision: 1.10 $
*/
include_once('includes/global.php');
include_once('functions/accounts.php');
loadStrings(BOOT.'connection_types/strings.txt');
loadStrings(BOOT.'tv_types/strings.txt');
loadStrings(BOOT.'shapers/strings.txt');
loadStrings(BOOT.'rules/strings.txt');

$doc->title .= ' :: '.getResource('connection.types.title');

if(isset($_GET['get_tv'])){
	$ctid = addslashes($_GET['get_tv']);
	$records = loadRecords(sprintf("SELECT tt.id, tt.name, ctt.message FROM connection_type_tv ctt LEFT JOIN tv_types tt ON tt.id=ctt.tv_type WHERE ctt.connection_type='%s'", $ctid));
	header("Content-Type: text/plain; charset=".$doc->charset);
	foreach($records as $type){
		echo $type['id']."|".$type['name']."|".trim($type['message'])."\n";
	}
	exit;
}

include_once('includes/lookups.php');
$ct_city_filter = $_GET['city'] ? '(ct.city="'.addslashes($_GET['city']).'" OR ct.city IS NULL)' : '';
switch($_GET['lookup']){
	case 'shaper':	lookup('shaper');
	case 'offline_type': lookup('connection_type', $ct_city_filter ?  array('ct.service_type=0', $ct_city_filter) : array('ct.service_type=0'));
	case 'resource_type': lookup('resource_type');
	case 'abon_dst': lookup('system_dst_account');
	case 'charge_type': lookup('charge_type');
	case 'replace_by': lookup('connection_type', $ct_city_filter ? array($ct_city_filter) : array());
	case 'credit_con_type': lookup('connection_type', $ct_city_filter ? array($ct_city_filter) : array());
	case 'action': lookup('action');
}

required_access('connection_types');
//$db->debug = 1;

function before_con_tv_delete($table){
	$arr = $table->active_record;
	if(check_tv_is_subscribed($arr['connection_type'], $arr['tv_type'])){
		$table->error(sprintf(getResource('connection.type.tv.subscribed'), $arr['connection_type_name'], $arr['tv_type_name']));
	}
}

function before_con_tv_post($table){
	if($table->isChanged('tv_type')){
		$arr = $table->old_record;
		if(check_tv_is_subscribed($arr['connection_type'], $arr['tv_type'])){
			$table->error(sprintf(getResource('connection.type.tv.subscribed'), $arr['connection_type_name'], $arr['tv_type_name']));
		}
	}
}

function check_tv_is_subscribed($con_type, $tv_type){
	return loadRecord("SELECT id FROM clients WHERE connection_type='".$con_type."' AND  tv_type='".$tv_type."' LIMIT 1");
}

function check_connection_type($table){
	$new = $table->new_record;
	if($new['period_months'] + $new['period_days'] == 0){
		$table->error(getResource('connection.types.period.required'));
	}
}

function before_copy_connection_type($table) {
    global $db;
    $table->remember['id'] = $table->current_record['id'];
}

function after_copy_connection_type($table) {
    global $db,$oper;
    //$db->debug = 1;
    $new = $table->new_record;
    $old_id = $table->remember['id'];
    $id = $table->current_record['id'];
    $result = $db->Execute("SELECT * FROM `connection_type_resources` WHERE connection_type=$old_id");
    while($data = $db->NextObj($result)) {
        $db->Execute(sprintf("INSERT INTO stamps (created, created_by) VALUES (now(), '%d')", $oper->id));
        $stamp = $db->getJustInserted('stamps', 'id');
        if(!$data->resource_type){
            $data->resource_type = "null";
        }
        if(!$data->use_dst){
            $data->use_dst = "null";
		}
        if(!$data->penalty_dst){
            $data->penalty_dst = "null";
		}
        if(!$data->bonus_src){
            $data->bonus_src = "null";
		}
        if(!$data->bonus_lost_dst){
            $data->bonus_lost_dst = "null";
		}
        $db->Execute("insert into connection_type_resources
                (connection_type,resource_type, use_dst, use_plan, use_limit,
                 penalty_dst, penalty_type, bonus_src, bonus_amount, bonus_name,
                 bonus_priority, bonus_lost_dst, stamp)
                 values ($id, $data->resource_type , $data->use_dst, $data->use_plan, $data->use_limit,
                $data->penalty_dst, $data->penalty_type, $data->bonus_src, $data->bonus_amount, '$data->bonus_name',
                $data->bonus_priority, $data->bonus_lost_dst, $stamp)");
        $resource_id = $db->getJustInserted('connection_type_resources', 'id');
        $result2 = $db->Execute("SELECT * FROM `connection_type_rules` WHERE connection_type_resource = $data->id ");
        while($data2 = $db->NextObj($result2)){
            $db->Execute(sprintf("INSERT INTO stamps (created, created_by) VALUES (now(), '%d')", $oper->id));
            $stamp2 = $db->getJustInserted('stamps', 'id');
            $db->Execute("insert into connection_type_rules (connection_type_resource, rule, tariff, tariff_over, blockable, stamp)
                values ($resource_id, $data2->rule, $data2->tariff, $data2->tariff_over, $data2->blockable, $stamp2) ");
        }
    }
    $result3 = $db->Execute("SELECT * FROM `connection_type_shapers` WHERE connection_type = $old_id");
    while($data = $db->NextObj($result3)) {
        $db->Execute(sprintf("INSERT INTO stamps (created, created_by) VALUES (now(), '%d')", $oper->id));
        $stamp = $db->getJustInserted('stamps', 'id');
        if(!$data->use_resource_type){
            $data->use_resource_type = "null";
		}
        $db->Execute("INSERT INTO connection_type_shapers (connection_type, shaper, stamp, use_case, use_resource_type, use_value )
			values
			($id, $data->shaper, $stamp, $data->use_case, $data->use_resource_type, $data->use_value )");
    }
	foreach(loadRecords("SELECT * FROM connection_type_tv WHERE connection_type='$old_id'") as $arr){
		$xrr = array_map('explicit_null', $arr);
		$db->Execute(sprintf("INSERT INTO connection_type_tv (connection_type, tv_type, cost, message, replace_by, replace_after, replace_date, stamp)
			VALUES (%s, %s, %s, %s, %s, %s, %s, %s)",
			$id, $xrr['tv_type'], $arr['cost'], $arr['message'] ? '"'.$arr['message'].'"' : 'null' ,
			$xrr['replace_by'], $xrr['replace_after'], $xrr['replace_date'], create_stamp()));
	}
	foreach(loadRecords("SELECT * FROM connection_type_bonuses WHERE connection_type='$old_id'") as $arr){
		$xrr = array_map('explicit_null', $arr);
		$db->Execute(sprintf("INSERT INTO connection_type_bonuses (connection_type, account_type, start_src, start_amount, end_dst, end_amount, stamp)
			VALUES (%s, %s, %s, %s, %s, %s, %s)",
			$id, $xrr['account_type'], $xrr['start_src'], $arr['start_amount'], $xrr['end_dst'], $arr['end_amount'], create_stamp()));
	}
	foreach(loadRecords("SELECT * FROM connection_type_boost WHERE connection_type='$old_id'") as $arr){
		$db->Execute(sprintf("INSERT INTO connection_type_boost (connection_type, boost, name, stamp)
			VALUES (%s, %s, '%s', %s)",
			$id, $arr['boost'], $arr['name'], create_stamp()));
	}
}

function check_credit_connection_type($table){
    global $db;
    $new = $table->new_record;
    if($new['credit_con_type']) {
        $id = $new['credit_con_type'];
        $data = $db->NextObj($db->Execute("SELECT * FROM `connection_types` WHERE id=$id"));
        if($data->replace_by != $table->current_record['id']) {
            $table->error(getResource('connection.type.error'));
        }
    }
	if($table->old_record['id']){ //     
	    if($data = $db->NextObj($db->Execute("SELECT * FROM `connection_types` WHERE credit_con_type='" . $table->current_record['id'] . "' AND id != '". $new['replace_by'] . "'")))	    {
	        $table->error(sprintf(getResource('connection.type.error2'), $data->name));
	    }
	}
}

function getConTypeTvTypes(){
	global $connection_types;
	if($city = $connection_types->active_record['city']){
		$where = "WHERE city='$city' OR city IS NULL";
	}
	return loadByQuery("SELECT id, name AS value FROM tv_types $where ORDER BY name");
}

function getLocalTvTypes(){
	global $connection_types;
	return loadByQuery("SELECT tvt.id, tvt.name AS value
		FROM connection_type_tv ctv
		LEFT JOIN tv_types tvt ON tvt.id=ctv.tv_type
		WHERE ctv.connection_type='".$connection_types->active_record['id']."'
		ORDER BY tvt.name");
}

function getShapers(){
	return loadByQuery("SELECT id, name AS value FROM shapers ORDER BY name");
}

function getTariffs(){
	return loadByQuery("SELECT id, name AS value FROM tariffs ORDER BY name");
}

function getActions(){
	return loadByQuery("SELECT id, name AS value FROM actions ORDER BY name");
}

function getUnregisteredRules(){
	global $connection_type_resources;
	return loadByQuery(sprintf("SELECT r.id, r.name AS value FROM rules r LEFT JOIN
		(SELECT ctr.connection_type_resource, ctr.rule
			FROM connection_type_rules ctr
			LEFT JOIN connection_type_resources ctrs ON ctrs.id=ctr.connection_type_resource
			WHERE ctrs.connection_type='%d' AND ctr.connection_type_resource!='%d'
			GROUP BY ctrs.connection_type, ctr.rule 
		) z ON z.rule=r.id
		WHERE z.rule IS NULL", 
		$connection_type_resources->active_record['connection_type'], 
		$connection_type_resources->active_record['id']));
}

$umenu = new PNamedMenu($nil,BOOT.'connection_types/menu-up.php');
$doc->page->contents['connection_type_umenu'] = $umenu;
switch($umenu->selected){
	case 'ct':
		$connection_types = new PTable($db,BOOT.'connection_types/table.php');
		$connection_types->readonly = !$oper->system_access['connection_types'];
		addCityPolicy($connection_types, 'ct.city');
		$doc->page->contents['connection_types'] = new PMyAccess($connection_types,array(
			'title'=>getResource('connection.types.title'),
			'help'=>HELP_PATH.'//',
			'icon'=>HREF.'images/hpro.gif',
			'grid_boot'=>forceCity(BOOT.'connection_types/grid.php'),
			'form_boot'=>forceCity(BOOT.'connection_types/form.php'),
		));
		if(!$doc->page->contents['connection_types']->brief){
			ob_start();
			?>
			<script type="text/javascript">
			var f = $("form[name=<?=$connection_types->nick?>]");
			$("[name=city]", f).change(function(){
				lookup_replace_by.src = '?lookup=replace_by&target=lookup_replace_by&city=' + this.value;
				lookup_replace_by.loaded = false;
				lookup_replace_by.loadFirst();
				
				lookup_credit_con_type.src = '?lookup=credit_con_type&target=lookup_credit_con_type&city=' + this.value;
				lookup_credit_con_type.loaded = false;
				lookup_credit_con_type.loadFirst();
				
				lookup_offline_type.src = '?lookup=offline_type&target=lookup_offline_type&city=' + this.value;
				lookup_offline_type.loaded = false;
				lookup_offline_type.loadFirst();
			}).change();
			</script>
			<?
			$doc->page->contents['ct_js'] .= ob_get_clean();
		}
		if($connection_types->isOn()){
			$cmenu = new PNamedMenu($nil,BOOT.'connection_types/menu.php');
			$doc->page->contents['connection_type_menu'] = $cmenu;
			switch($cmenu->selected){
				case 'bs':
					$boost = new PTable($db, BOOT.'connection_type_boost/table.php');
					$boost->readonly = !$oper->system_access['connection_types'];
					$doc->page->contents['connection_type_boost'] = new PMyAccess($boost, array(
						'title'=>getResource('connection.type.boost.title'),
						'icon'=>HREF.'images/hpro.gif',
						'grid_boot'=>BOOT.'connection_type_boost/grid.php',
						'form_boot'=>BOOT.'connection_type_boost/form.php',
					));
					break;
				case 'bo':
					$bonuses = new PTable($db, BOOT.'connection_type_bonuses/table.php');
					$bonuses->readonly = !$oper->system_access['connection_types'];
					$doc->page->contents['connection_type_bonuses'] = new PMyAccess($bonuses, array(
						'title'=>getResource('connection.type.bonuses.title'),
						'icon'=>HREF.'images/hpro.gif',
						'grid_boot'=>BOOT.'connection_type_bonuses/grid.php',
						'form_boot'=>BOOT.'connection_type_bonuses/form.php',
					));
					break;
				case 'tv':
					$connection_type_tv = new PTable($db, BOOT.'connection_type_tv/table.php');
					$connection_type_tv->readonly = !$oper->system_access['connection_types'];
					$doc->page->contents['connection_type_tv'] = new PMyAccess($connection_type_tv, array(
						'title'=>getResource('connection.type.tv.title'),
						'icon'=>HREF.'images/hpro.gif',
						'grid_boot'=>BOOT.'connection_type_tv/grid.php',
						'form_boot'=>BOOT.'connection_type_tv/form.php',
					));
					break;
				case 'rt':
					$connection_type_resources = new PTable($db,BOOT.'connection_type_resources/table.php');
					$connection_type_resources->readonly = $connection_types->readonly;
					$doc->page->contents['connection_type_resources'] = new PMyAccess($connection_type_resources, array(
						'title'=>getResource('connection.types.resources.title'),
						'icon'=>HREF.'images/rules.gif',
						'grid_boot'=>BOOT.'connection_type_resources/grid.php',
						'form_boot'=>BOOT.'connection_type_resources/form.php',
					));
					if($connection_type_resources->isOn()){
						$connection_types_rules = new PTable($db,BOOT.'connection_type_rules/table.php');
						$connection_types_rules->readonly = $connection_types->readonly;
						$doc->page->contents['connection_types_rules'] = new PMyAccess($connection_types_rules,array(
							'title'=>getResource('connection.type.rules.title'),
							'icon'=>HREF.'images/rules.gif',
							'grid_boot'=>BOOT.'connection_type_rules/grid.php',
							'form_boot'=>BOOT.'connection_type_rules/form.php',
						));
					}
					break;
				case 'sh':
					$connection_type_shapers = new PTable($db,BOOT.'connection_type_shapers/table.php');
					$connection_type_shapers->readonly = $connection_type->readonly;
					$doc->page->contents['connection_type_shapers'] = new PMyAccess($connection_type_shapers,array(
						'title'=>getResource('connection.type.shapers.title'),
						'icon'=>HREF.'images/shapers.gif',
						'grid_boot'=>BOOT.'connection_type_shapers/grid.php',
						'form_boot'=>BOOT.'connection_type_shapers/form.php',
					));
					if(!$doc->page->contents['connection_type_shapers']->brief){
						ob_start();
						?>
						<script language="JavaScript">
						
						function changeUseCase(){
							var rt = jForm.elements['use_resource_type'].parentNode.parentNode.parentNode;
							var uv = jForm.elements['use_value'].parentNode.parentNode;
							var v = selUseCase.value;
							if(v==3 || v==4){
								rt.style.display = '';
								uv.style.display = '';
							}else{
								rt.style.display = 'none';
								uv.style.display = 'none';
							}
						}
						
						var jForm = document.forms['hprts'];
						var selUseCase = jForm.elements['use_case'];
						selUseCase.onchange = changeUseCase;
						changeUseCase();
						</script>
						<?
						$doc->page->contents['all'] = ob_get_clean();
					}
					break;
			}
		}
		break;
	case 'tv':
		$tv_types = new PTable($db, BOOT.'tv_types/table.php');
		$tv_types->readonly = !$oper->system_access['connection_types'];
		addCityPolicy($tv_types, 'p.city');
		$doc->page->contents['tv_types'] = new PMyAccess($tv_types, array(
			'title'=>getResource('tv.types.title'),
			'help'=>HELP_PATH.'//',
			'icon'=>HREF.'images/hpro.gif',
			'grid_boot'=>forceCity(BOOT.'tv_types/grid.php'),
			'form_boot'=>forceCity(BOOT.'tv_types/form.php'),
		));
		break;
}

echo $doc->Paint();
?>
