<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
include_once('classes/period.php');
loadStrings(BOOT.'delayed_tasks/strings.txt');

$doc->title .= ' :: '.getResource('delayed.tasks.title');

required_access('delayed_tasks');

function frmt_make_link($val){
	return preg_replace("|task\.build\.profile\s+(\d+)|", '<a href="modems.php?id=\1">\0</a>', $val);
}

include BOOT.'stats_asterisk/period-form.php';
$obj['nick'] = 'dtskper';
$period = new PPeriod($nil, $obj);
$period->commented = false;

$tasks = new PTable($db,BOOT.'delayed_tasks/table.php');
$tasks->readonly = !$oper->system_access['delayed_tasks'];

if($period->active){
	if($from = $period->getFrom()){
		$tasks->filters['from'] = sprintf("st.created >= '%s'", $from);
	}
	if($to = $period->getTo()){
		$tasks->filters['to'] = sprintf("st.created <= '%s'", $to);
	}
}

$doc->page->contents['tasks'] = new PMyAccess($tasks, array(
	'title'=>getResource('delayed.tasks.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/troubles.gif',
	'grid_boot'=>BOOT.'delayed_tasks/grid.php',
	'form_boot'=>BOOT.'delayed_tasks/form.php',
	'tool'=>$period,
));

echo $doc->Paint();
?> 