<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
loadStrings(BOOT.'exp_tools/strings.txt');

$doc->title .= ' :: '.getResource('exp.tools.title');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'executor':	lookup('exp_executor');
	case 'place':	lookup('exp_storage_place');
}

required_access('exp_tools');

function after_tools_delete($table){
	global $db;
	if($table->old_record['photo_file']){
		$db->Execute(sprintf("DELETE FROM billing_storage.files WHERE id='%s'", $table->old_record['photo_file']));
	}
}

function after_tools_post($table){
	global $db;
	$arr = upload_storage_files(1);
	if(isset($arr['file1'])){
		if($table->old_record['photo_file']){
			$db->Execute(sprintf("DELETE FROM billing_storage.files WHERE id='%s'", $table->old_record['photo_file']));
		}
		$db->Execute(sprintf("UPDATE exp_tools SET photo_file='%s' WHERE id='%s'", $arr['file1'], $table->current_record['id']));
	}
}

function showFotoLink(){
	global $exp_tools;
	if($exp_tools->isOn()){
		$tool = $exp_tools->active_record;
		if($tool['photo_file']){
			$files = loadRecords("SELECT * FROM billing_storage.files WHERE id='".$tool['photo_file']."'");
			return listAttachments($files, 'photo');
		}
	}
}

$db->Execute("CREATE TEMPORARY TABLE tools_awaiting (tool int unsigned primary key, amount bigint) ENGINE=Memory");
insertSelectOverFile('tools_awaiting', "SELECT tool, sum(amount) FROM exp_awaiting_tools GROUP BY tool");

$db->Execute("CREATE TEMPORARY TABLE tools_storage (tool int unsigned primary key, amount bigint) ENGINE=Memory");
insertSelectOverFile('tools_storage', "SELECT tool, sum(amount) FROM exp_storage_tools GROUP BY tool");

$db->Execute("CREATE TEMPORARY TABLE tools_exec (tool int unsigned primary key, amount bigint) ENGINE=Memory");
insertSelectOverFile('tools_exec', "SELECT tool, sum(amount) FROM exp_executor_tools GROUP BY tool");

$exp_tools = new PTable($db,BOOT.'exp_tools/table.php');
$exp_tools->readonly = !$oper->system_access['exp_tools'];
$doc->page->contents['exp_tools'] = new PMyAccess($exp_tools,array(
	'title'=>getResource('exp.tools.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/exp_tools.gif',
	'grid_boot'=>BOOT.'exp_tools/grid.php',
	'form_boot'=>BOOT.'exp_tools/form.php',
));

if($exp_tools->isOn()){
	$tool = $exp_tools->active_record;
	$tmenu = new PNamedMenu($nil,BOOT.'exp_tools/menu.php');
	$doc->page->contents['t_menu'] = $tmenu;
	switch($tmenu->selected){
		case 'ex':
			loadStrings(BOOT.'exp_tools/executors/strings.txt');
			$exp_executor_tools = new PTable($db,BOOT.'exp_tools/executors/table.php');
			$exp_executor_tools->readonly = !$oper->system_access['exp_executors'];
			$doc->page->contents['exp_executor_tools'] = new PMyAccess($exp_executor_tools,array(
				'title'=>getResource('exp.executor.tools.title'),
				'icon'=>HREF.'images/exp_executors.gif',
				'grid_boot'=>BOOT.'exp_tools/executors/grid.php',
				'form_boot'=>BOOT.'exp_tools/executors/form.php',
			));
			break;
		case 'st':
			loadStrings(BOOT.'exp_tools/storage/strings.txt');
			$exp_storage_tools = new PTable($db,BOOT.'exp_tools/storage/table.php');
			$exp_storage_tools->readonly = !$oper->system_access['exp_storages'];
			$doc->page->contents['exp_storage_tools'] = new PMyAccess($exp_storage_tools,array(
				'title'=>getResource('exp.storage.tools.title'),
				'icon'=>HREF.'images/exp_storages.gif',
				'grid_boot'=>BOOT.'exp_tools/storage/grid.php',
				'form_boot'=>BOOT.'exp_tools/storage/form.php',
			));
			break;
		case 'aw':
			loadStrings(BOOT.'exp_tools/awaiting/strings.txt');
			$exp_awaiting_tools = new PTable($db,BOOT.'exp_tools/awaiting/table.php');
			$exp_awaiting_tools->readonly = $exp_tools->readonly;
			$doc->page->contents['exp_awaiting_tools'] = new PMyAccess($exp_awaiting_tools,array(
				'title'=>getResource('exp.awaiting.tools.title'),
				'icon'=>HREF.'images/log.gif',
				'grid_boot'=>BOOT.'exp_tools/awaiting/grid.php',
				'form_boot'=>BOOT.'exp_tools/awaiting/form.php',
			));
			break;
	}
}
echo $doc->Paint();
?> 