<?
function before_trouble_insert($table){
	global $db, $oper;
	$db->Execute(sprintf("INSERT INTO stamps (created, created_by) VALUES (now(), '%d')", CLIENT_OPERATOR));
	$stamp = $db->getJustInserted('stamps', 'id');
	$table->new_record['stamp'] = $stamp;
}

function before_trouble_delete($table){
	$table->filesToDelete = loadRecords("SELECT file FROM trouble_files WHERE trouble=".$table->active_record['id']);
	$answerFiles = loadRecords("SELECT taf.file FROM trouble_answer_files taf
		LEFT JOIN trouble_answers ta ON ta.id=taf.answer
		WHERE ta.trouble=".$table->active_record['id']);
	$table->filesToDelete = array_merge($table->filesToDelete, $answerFiles);
}

function before_answer_delete($table){
	$table->filesToDelete = loadRecords("SELECT file FROM trouble_answer_files WHERE answer=".$table->active_record['id']);
}

function after_trouble_delete($table){
	global $db;
	$values = array();
	foreach($table->filesToDelete as $arr){
		$values[] = $arr['file'];
	}
	if(!empty($values)){
		$db->Execute("DELETE FROM billing_storage.files WHERE id IN (".implode(", ", $values).")");
	}
}

function upload_trouble_files($tid, $table='trouble_files', $field = 'trouble'){
	global $db;
	//$db->debug = 2;
	$count = 0;
	foreach($_FILES as $info){
		clearstatcache();
		$info['time'] = filemtime($info['tmp_name']);
		if (is_uploaded_file($info['tmp_name']) && ($count < 5)) {
			$count++;
			$db->Execute(sprintf("INSERT INTO billing_storage.files (name, size, type, filedate)
				VALUES ('%s', '%s', '%s', '%s')", addslashes($info['name']), filesize($info['tmp_name']), addslashes($info['type']), date('Y-m-d H:i:s', $info['time'])));
			$fid = $db->getJustInserted('files', 'id');
			$fp = fopen($info['tmp_name'], "rb");
			while (!feof($fp)) {
				$binarydata = fread($fp, 65535);
				$db->Execute(sprintf("INSERT INTO billing_storage.file_chunks (file_id, chunk) VALUES ('%s', '%s')",
					$fid, addslashes($binarydata)));
			}
			fclose($fp);
			$db->Execute(sprintf("INSERT INTO %s (%s, file) VALUES ('%s', '%s')", $table, $field, $tid, $fid));
			$count++;
		}
	}
}

function after_trouble_insert($table){
	global $db;
	$new_id = $table->new_record['id'];
	$db->Execute("UPDATE troubles SET state=1 WHERE id='".$new_id."'");
	upload_trouble_files($new_id);
}

function after_answer_insert($table){
	upload_trouble_files($table->new_record['id'], 'trouble_answer_files', 'answer');
}

function listTroubleAttachments(){
	global $troubles;
	if($troubles->isOn()){
		$files = loadRecords("SELECT f.* FROM trouble_files tf 
			LEFT JOIN billing_storage.files f ON f.id=tf.file
			WHERE tf.trouble='".$troubles->active_record['id']."'");
		return listAttachments($files, 'troubles');
	}
}

function listAnswerAttachments(){
	global $answers;
	if($answers->isOn()){
		$files = loadRecords("SELECT f.* FROM trouble_answer_files tf 
			LEFT JOIN billing_storage.files f ON f.id=tf.file
			WHERE tf.answer='".$answers->active_record['id']."'");
		return listAttachments($files, 'answers');
	}
}

?>