<?
define('INCLUDES',dirname(__FILE__).'/');
define('ROOT', dirname(INCLUDES).'/');

include_once(INCLUDES.'options.php');
include_once(ROOT.'pe6yc/object.php');
include_once(PE6YC.'db/mysql.php');
include_once(PE6YC.'db/access.php');
include_once(PE6YC.'interface.php');
include_once(PE6YC.'menu.php');
include_once(ROOT.'classes/common.php');
include_once(ROOT.'classes/oper.php');
include_once(ROOT.'classes/storage.php');
include_once(ROOT.'classes/ActionLogger.php');
include_once(ROOT.'functions/maintain.php');
include_once(ROOT.'classes/tools/IpAddress.php');

define(RELATIVE, _get_relative_path(INCLUDES));
define(HREF, PROTOCOL.$_SERVER['SERVER_NAME'].RELATIVE);
define(BOOT, ROOT.'boot/');
define(CLASSES, ROOT.'classes/');
define(SKINS, ROOT.'skins/');
define(STYLES, HREF.'styles/');
define(SCRIPTS, HREF.'scripts/');

$GLOBALS['pe6yc_resources']->loadStrings(getLocalizedFilename(BOOT.'resources/strings*.txt'));

setlocale(LC_CTYPE, getResource('locale.ctype'));
setlocale(LC_TIME, getResource('locale.time'));

//$dbipcad = new PMySql($data=array(DB_IPCAD_HOST, DB_USER, DB_PASS, DB_IPCAD_BASE));
$db = new PMySql($data=array(DB_HOST, DB_USER, DB_PASS, DB_BASE));
$inherit_mysql_link = $db->link;

$db->Execute("set names ".DB_CHARSET);
$db->Execute("SET lc_time_names=".DB_LC_TIME_NAMES);

//$db->Execute("SET SESSION TRANSACTION ISOLATION LEVEL READ COMMITTED");

$GLOBALS['pe6yc_storage'] = new DBStorage($db);

$GLOBALS['options'] = array();
$GLOBALS['city_options'] = array();

function reloadOptions(){
	global $db;
	$res = $db->Execute("SELECT * FROM config");
	while($arr = $db->Next($res)){
		$key = $arr['id'];
		$val = $arr['actual'] ? $arr['value'] : '';
		$GLOBALS['options'][$key] = $val;
		@define($key, $val);
	}
	$cos = loadRecords("SELECT * FROM config_city");
	foreach($cos as $arr){
		$key = $arr['id'];
		$val = $arr['actual'] ? $arr['value'] : '';
		$GLOBALS['city_options'][$arr['city']][$key] = $val;
	}
}

function getOption($key, $city=''){
	if($city){
		return isset($GLOBALS['city_options'][$city][$key]) ? $GLOBALS['city_options'][$city][$key] : $GLOBALS['options'][$key];
	}else{
		return $GLOBALS['options'][$key];
	}
}

function getTrimOption($key, $city=''){
	return trim(getOption($key, $city));
}

function getNumOption($key, $city=''){
	return 0 + getTrimOption($key, $city);
}

function getDirOption($key, $city=''){
	$opt = getTrimOption($key, $city);
	if($opt && substr($opt,-1,1)!='/'){
		$opt .= '/';
	}
	return $opt;
}

reloadOptions();

?>