<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/12/23 09:08:50 $
$Revision: 1.20 $
*/
include_once('includes/global.php');
include_once('classes/period.php');
loadStrings(BOOT.'ivr_autoreply_internet/strings.txt');

$doc->title .= ' :: '.getResource('ivr.autoreply.internet.title');

required_access('ivr_autoreply_internet');

include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'modem':
		lookup('modem', $_GET['city'] ? array('m.city='.addslashes($_GET['city'])) : array());
	case 'message':
		$filters = array('m.actual&1');
		if($_GET['city']){
			$filters[] = 'm.city="'.addslashes($_GET['city']).'"';
		}
		lookup('ivr_message', $filters);
}

$ivr_autoreply_internet = new PTable($db,BOOT.'ivr_autoreply_internet/table.php');
$ivr_autoreply_internet->readonly = !$oper->system_access['ivr_autoreply_internet'];
addCityPolicy($ivr_autoreply_internet, 's.city');
$doc->page->contents['ivr_autoreply_internet'] = new PMyAccess($ivr_autoreply_internet, array(
	'title'=>getResource('ivr.autoreply.internet.title'),
	'help'=>HELP_PATH.'//IVR',
	'icon'=>HREF.'images/calls.gif',
	'grid_boot'=>BOOT.'ivr_autoreply_internet/grid.php',
	'form_boot'=>BOOT.'ivr_autoreply_internet/form.php',
));

if(!$doc->page->contents['tv_connections']->brief){
ob_start();
?>
<script type="text/javascript">
var f = $("form[name=<?=$ivr_autoreply_internet->nick?>]");
$("[name=city]", f).change(function(){
	lookup_modem.src = '?lookup=modem&target=lookup_modem&city=' + this.value;
	lookup_modem.loaded = false;
	lookup_modem.loadFirst();

	lookup_message.src = '?lookup=message&target=lookup_message&city=' + this.value;
	lookup_message.loaded = false;
	lookup_message.loadFirst();
}).change();
</script>
<?
$doc->page->contents['all'] = ob_get_clean();
}

echo $doc->Paint();
?>