<?php

/**
 * @author tregub
 * @copyright 2010
 */

include_once('includes/global.php');
include_once('functions/maintain.php');
loadStrings(BOOT.'my_coil/strings.txt');

$doc->title .= ' :: '.getResource('cu.title');


function getFreeCoilItems(){
	global $oper;
	return loadByQuery("SELECT id, CONCAT(code, ' (', rest, '/', length,')') as value 
		FROM coil_items
		WHERE used_by IS NULL AND state=1 AND rest>0 AND city IN (SELECT city FROM staff WHERE id='".$oper->person."')
		ORDER BY code");
}

class GetCoilForm extends PForm 
{
	function Process(){
		global $db, $oper;
		$item = $this->fields['coil_item']->value;
		if($data = $db->Next($db->Execute("SELECT  coil_items.id, coil_items.rest FROM coil_items WHERE coil_items.id =  '" . $item ."'"))){
			$query = $db->Execute("SELECT staff.name 
				FROM coil_items 
				Left Join coil_uses ON coil_items.used_by = coil_uses.id
				Left Join staff ON coil_uses.person = staff.id
				WHERE
				coil_items.used_by >  '' AND
				coil_items.id = ".$data['id']);
			if($mont = $db->Next($query)){
				return " $code     ".$mont['name'];
			}else{
				$db->Execute(sprintf("INSERT INTO stamps (created, created_by) VALUES (now(), '%d')", $oper->id));
				$stamp = $db->getJustInserted('stamps', 'id');
				$db->Execute("INSERT INTO `coil_uses` (`id`,`item`,`person`,`begin_date`,`begin_length`, end_length, `stamp`) VALUES (NULL,'".$data['id']."','$oper->person',now(),'".$data['rest']."', '".$data['rest']."', '$stamp')");
				$id = $db->getJustInserted('coil_uses', 'id');
				$db->Execute("UPDATE `coil_items` SET `used_by`='$id' WHERE (`id`='".$data['id']."')");
			}
		}else{
			return "  ";
		}
	}
}

class PassCoilForm extends PForm {
	function Process(){
		global $db, $oper;
		$code = $this->fields['coil_item']->value;
		$rest = $this->fields['ost']->value ? $this->fields['ost']->value : 0;
		$query = $db->Execute("SELECT * FROM `coil_uses` WHERE id = $code");
		$data = $db->Next($query);
		if($data['begin_length'] < $rest){
			return "   ";
		}else{
			$db->Execute("UPDATE `coil_uses` SET `end_date`=now(),`end_length`='$rest' WHERE (`id`='$code')");
			$db->Execute("UPDATE `stamps` SET `modified`=now(),`modified_by`='$oper->person' WHERE (`id`='".$data['stamp']."')");
			$db->Execute("UPDATE `coil_items` SET `used_by`=NULL, rest = '$rest', state=IF($rest=0, 0, state) WHERE (`id`='".$data['item']."')");
		}
	}
}

required_access('my_coil');
//$db->debug = 1;
$coil_uses = new PTable($db,BOOT.'my_coil/table.php');
$coil_uses->readonly = !$oper->my_coil['my_coil'];

$doc->page->contents['coil_uses'] = new PMyAccess($coil_uses,array(
	'title'=>getResource('cu.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/streets.gif',
	'grid_boot'=>BOOT.'my_coil/grid.php',
));

$mmenu = new PNamedMenu($nil,BOOT.'my_coil/menu.php');
$doc->page->contents['my_menu'] = $mmenu;

switch($mmenu->selected){
	case 'up':
		$doc->page->contents['actions'] = new GetCoilForm($nil,BOOT.'my_coil/get_form.php');
		break;
	case 'do':
		if($coil_uses->isOn()){
			$arr = loadRecord("SELECT sum(cable) s FROM coil_uses_details WHERE coil_use='".$coil_uses->active_record['id']."'");
			$rest = $coil_uses->active_record['begin_length'] - $arr['s'];
			$doc->page->contents['actions'] = new PassCoilForm($nil,BOOT.'my_coil/pass_form.php');
		}else{
			$doc->page->contents['select'] = getResource('cu.select');
		}
		break;
}

echo $doc->Paint();
?>
