<?
include("includes/environment.php");
include("functions/accounts.php");
include_once "includes/core.php";
include_once "classes/log/FileAppender.php";
include_once "classes/log/DefaultLogger.php";


class PrivatePayer {

var $logger;
var $password;
var $private_account;
var $messages = array(
	'x'=>' .',
	'1'=>'   !      .',
);


function PrivatePayer($logger){
	global $db;
	$this->logger = $logger;
	$this->password = getTrimOption('PRIVATE_PASSWORD');
	$this->percent = getTrimOption('PRIVATE_PERCENT');
	if($arr = $db->Next($db->Execute("SELECT account FROM system_accounts WHERE code='PAY_PRIVATE'"))){
		$this->private_account = $arr['account'];
	}
}

function isFullConfigured(){
	return $this->password && $this->private_account;
}

function checkPost(){
	//$calc = base64_encode(sha1($this->password.$_POST['merid'].$_POST['acqid'].$_POST['orderid'].$_POST['responsecode'].$_POST['reasoncode'].$_POST['reasoncodedesc'], true));
	$calc = base64_encode( sha1($this->password.$_POST['amount'].$_POST['currency'].$_POST['public_key'].$_POST['order_id'].$_POST['type'].$_POST['description'].$_POST['status'].$_POST['transaction_id'].$_POST['sender_phone'], 1 ));
//	$calc=1;
//	base64_encode(sha1($this->password.$_POST['merid'].$_POST['acqid'].$_POST['orderid'].$_POST['responsecode'].$_POST['reasoncode'].$_POST['reasoncodedesc'], true));
	return $calc == $_POST['signature'];
//  return  $calc==1;
}

function updatePay($id, $arr){
	global $db;
	$pairs = array();
	foreach($arr as $k=>$v){
		$pairs[] = $k."='".addslashes($v)."'";
	}
	$db->Execute("UPDATE private_pays SET ".implode(", ", $pairs)." WHERE id=".intval($id));
}

function response($code){
	$code = strval(intval($code));
	$message = isset($this->messages[$code]) ? $this->messages[$code] : $this->messages['x'];
	$style = $code==1 ? 'green' : 'red';
	header("Content-Type: text/html; charset=windows-1251");
}

function process(){
	global $db;
	if(isset($_POST['order_id'])){
		$this->logger->info('pay results from %s: %s', $_SERVER["REMOTE_ADDR"], print_r($_POST, 1));
		$success = false;
		for($i=0; $i<3; $i++){
			$db->Begin();
			if($pay = loadRecord(sprintf("SELECT * FROM private_pays WHERE order_id='%s' FOR UPDATE", addslashes($_POST['order_id'])))){
			
//				if(!$pay['response_code'] && !$pay['movement']){
              if(!$pay['movement'] &&($_POST['status']=='success' || $_POST['status']=='sandbox')){

					if($this->isFullConfigured()){
//						if($_POST['responsecode']==1){


							if( $this->checkPost()){
								$this->updatePay($pay['id'], array(
			//						'eci'=>7,
									'onus'=>'1',
									'response_code'=>'1',
									'reason_code'=>$_POST['reasoncode'],
									'reason_code_desc'=>$_POST['status'],
									'reference_no'=>$_POST['referenceno'],
									'padded_card_no'=>$_POST['sender_phone'],
									'auth_code'=>$_POST['transaction_id'],
								));
								$client = loadRecord(sprintf("SELECT id, account, login FROM clients WHERE id='%s'", $pay['client']));
								$mid = move($this->private_account, $client['account'], $pay['amount']);
								$this->updatePay($pay['id'], array(
									'movement'=>$mid,
								));
								$this->logger->info('pay %s is ok', $_POST['orderid']);
							}else{
								$this->logger->error('wrong signature for %s', $_POST['orderid']);
							}


//						}else{
//							$this->logger->info('declined transaction: %s', $_POST['orderid']);
//							$this->updatePay($pay['id'], array(
//								'response_code'=>$_POST['responsecode'],
//								'reason_code'=>$_POST['reasoncode'],
//								'reason_code_desc'=>$_POST['reasoncodedesc'],
//							));
//						}
					}else{
						$this->logger->error('payer is not full configured');
					}
				}else{
					$this->logger->warning('pay %s already processed', $_POST['order_id']);
      			}


			}else{
				$this->logger->error('pay with order id %s not found', $_POST['order_id']);
			}
			if($db->hasErrors()){
				$this->logger->warning(implode("\n", $db->errors));
				$db->Rollback();
				sleep(3);
			}else{
				$db->Commit();
				$success = true;
				break;
			}
		}
		if(!$success){
			$this->logger->error('pay %s cant be processed', $_POST['order_id']);
		}
		$this->response($_POST['reasoncode']);
	}
}

}


if(isset($_GET['test'])){
	$post1 = array(
    'private_key'=> 'i85427160043',
    'amount'=> '100',
    'currency'=> 'UAH',
    'public_key'=> '9lDuM4SjJgVo5kjOmAcxX4eVidgLuBb4K20JchsV', 
    'order_id'=> '1415970753-1' ,
    'type'=> 'buy',
    'description'=> '11112',
    'status'=> 'sandbox',
    'transaction_id'=> '44570200',
    'sender_phone'=>'+380992912339',
    'Signature'=>'nv7CcUe5t9vm+uAo9a52ZLHvRv4='
	);
	
	$post2 = array(
		'MerID'=>'100000000918471',
		'OrderID'=>'test00000001g5hg45h45',
		'AcqID'=>'414963',
		'ReasonCodeDesc'=>'Transaction is declined.',
		'ResponseCode'=>'2',
		'ReasonCode'=>'2',
	);
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL,            "http://stat.kvant.mk.ua/pay-private.php" );
	curl_setopt($ch, CURLOPT_POST,           1 );
	curl_setopt($ch, CURLOPT_POSTFIELDS,     implode('&', _Pair($post1, 'urlencode')));
	header("Content-Type: text/html; charset=windows-1251");
	$result = curl_exec ($ch);
}else{
	$appender = new FileAppender('/var/log/pay-private.log');
	$logger = new DefaultLogger();
	$logger->setAppender($appender);
	$logger->setName('pay.private');
	//$logger->setLevel(2);
	$payer = new PrivatePayer($logger);
	$payer->process();
}

/*    
  echo "test";
  echo $calc;

          $this->updatePay($pay['id'], array(
         'eci'=>7,
         'onus'=>$_POST['onus'],
         'response_code'=>$_POST['responsecode'],
         'reason_code'=>$_POST['reasoncode'],
         'reason_code_desc'=>$_POST['reasoncodedesc'],
         'reference_no'=>$_POST['referenceno'],
         'padded_card_no'=>$_POST['paddedcardno'],
          'auth_code'=>$_POST['transaction_id'],
          ));
          $client = loadRecord(sprintf("SELECT id, account, login FROM clients WHERE id='%s'", $pay['client']));
          $mid = move($this->private_account, $client['account'], $pay['amount']);
          $this->updatePay($pay['id'], array(
          'movement'=>$mid,
          ));
         $this->logger->info('pay %s is ok', $_POST['orderid']);
*/                                                            



?>