<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/08/04 07:53:23 $
$Revision: 1.6 $
*/
include_once(dirname(__FILE__).'/clan.php');

class PBoot extends PClan {

var $objects = array();
var $collections = array();

function Create($owner,$data){
	parent::Create($owner);
	if(is_array($data)){
		$this->BootFromArray($data);
	}elseif(is_file($data)){
		$this->Boot($data);
	}
}

function Boot($file=''){
	include($file);
	$this->BootFromArray($obj);
}

function BootFromArray($arr){
	if(is_array($arr)){
		foreach($arr as $key=>$val){
			$this->BootProp($key,$val);
		}
	}
}

function BootProp($name,$value){
	if($class = $this->objects[$name]){
		$this->BootPropObject($name,$value,$class);
	}elseif($class = $this->collections[$name]){
		$this->BootPropCollection($name,$value,$class);
	}else{
		$this->setProperty($name,$value);
	}
}

function BootPropObject($name,$value,$class){
	$value['name'] = $name;
	$this->$name = new $class($this,$value);
}

function BootPropCollection($name,$value,$class){
	$arr = array();
	if(is_array($value)){
		foreach($value as $k=>$v){
			$v['name'] = $k;
			$arr[$k] = new $class($this,$v);
		}
	}
	$this->$name = $arr;
}

}

?>