<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/08/04 07:53:23 $
$Revision: 1.4 $
*/
include_once(dirname(__FILE__).'/boot.php');

class PBuild extends PBoot {

var $skip_build = array('owner','objects','collections','listen','skip_build','skip_system','skin','permanents');

function getTag(){
	return 'build';
}

function Build(){
	$this->CalcPediName();
	$tag = $this->getTag();
	$xml = "<$tag>";
	foreach(get_object_vars($this) as $key=>$val){
		if(!in_array($key,$this->skip_build)){
			$xml .= $this->BuildProp($key);
		}
	}
	$xml .= "</$tag>";
	return $xml;
}

function BuildProp($name){
	if(is_array($this->$name)){
		$first = reset($this->$name);
		if(is_object($first)){
			return $this->BuildPropCollection($name);
		}else{
			return $this->BuildPropArray($name);
		}
	}elseif(is_object($this->$name)){
		return $this->BuildPropObject($name);
	}else{
		return "<$name>".$this->Safe($this->$name)."</$name>";
	}
}

function BuildPropArray($name){
	$result = "<$name>";
	foreach($this->$name as $key=>$val){
		$result .= '<item index="'.$this->Safe($key).'" value="'.$this->Safe($val).'"/>';
	}
	$result .= "</$name>";
	return $result;
}

function BuildPropObject($name){
	return $this->$name->Build();
}

function BuildPropCollection($name){
	$col = $this->$name;
	if(is_array($col)){
		$result = "<$name>";
		foreach($col as $key=>$val){
			$result .= $col[$key]->Build();
		}
		$result .= "</$name>";
		return $result;
	}
}

function Safe($value){
	return htmlspecialchars($value,ENT_QUOTES);
}

function XML(){
	return '<?xml version="1.0" encoding="windows-1251"?>'.$this->Build();
}

}
?>