<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/08/04 07:53:23 $
$Revision: 1.7 $
*/
include_once(dirname(__FILE__).'/transformer.php');

class PInterface extends PTransformer {

var $buffering = 1;
var $nocache = 1;
var $title;
var $charset;

function Create($owner,$data){
	parent::Create($owner,$data);
	if($this->buffering){
		ob_start(array($this,'Paint'));
	}
}

function Paint($buffer=''){
	$this->garbage .= $buffer;
	$html = $this->HTML();
	if($this->nocache){
		$now = gmdate("D, d M Y H:i:s") . " GMT";
		header("Date: $now");
		header("Expires: $now");
		header("Last-Modified: $now");
		header("Pragma: no-cache");
		header("Cache-Control: no-store, no-cache, max-age=0, must-revalidate");
	}
	header("Content-Type: text/html; charset=".$this->charset);

	$result = "<!DOCTYPE html>\n\n";
	$result .= "<!-- Powered by PE6YC (c) Ponomarev Denis -->\n\n";
	$result .= "<html>\n";
	$result .= "<head>\n";
	$result .= "<title>".$this->title."</title>\n";
	$result .= "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=".$this->charset."\">\n";
//	$result .= "<link href=\"http://www.lanet.ua/\" rel=\"canonical\">\n";
	$result .= $html['depends'];
	$result .= "<script type=\"text/javascript\" src=\"".PE6YC_SCRIPTS."Lookup.php\"></script>\n";
	$result .= "<script type=\"text/javascript\" src=\"".PE6YC_SCRIPTS."common.php\"></script>\n";
	$result .= "<script type=\"text/javascript\" src=\"".PE6YC_SCRIPTS."sprintf.js\"></script>\n";
	$result .= "<script type=\"text/javascript\" src=\"".PE6YC_SCRIPTS."jquery.js\"></script>\n";
	$result .= "<script type=\"text/javascript\" src=\"".PE6YC_SCRIPTS."jquery.cookie.js\"></script>\n";
	$result .= "<script type=\"text/javascript\">\n";
	$result .= "document.release = new Array();\n";
	$result .= "document.onclick = function(){\n";
	$result .= " 	for(var i in this.release){\n";
	$result .= " 		this.release[i].release();\n";
	$result .= "	}\n";
	$result .= "}\n";
	$result .= "</script>\n";
	$result .= "</head>\n";
	$result .= "<body onload=\"onBodyLoad()\">\n";
	$result .= $this->start;
	$result .= $html['body'];
	if(!$this->skin){
		$result .= $buffer;
	}
	$result .= $this->final;
	$result .= "\n</body>\n";
	$result .= "</html>\n";

	return $result;
}

}

?>