<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/08/04 07:53:23 $
$Revision: 1.6 $
*/
include_once(dirname(__FILE__).'/functions.php');

define('PE6YC',dirname(__FILE__).'/');
include_once(dirname(__FILE__).'/resources.php');

if(!defined('PROTOCOL')){
	define('PROTOCOL','http://');
}
define('PE6YC_RELATIVE',_get_relative_path(__FILE__));
define('PE6YC_HREF',PROTOCOL.$_SERVER['SERVER_NAME'].PE6YC_RELATIVE);

$GLOBALS['pe6yc_resources'] = new Resources($null);

if($file = getLocalizedFilename(PE6YC.'strings*.txt')){
	$GLOBALS['pe6yc_resources']->loadStrings($file);
}

class PObject {

var $owner;

function Create($owner){
	$this->owner = $owner;
}

function PObject($owner,$data=''){
	$this->Create($owner,$data);
}

function setProperty($key,$val){
	$method = 'set_'.$key;
	if(method_exists($this,$method)){
		$this->$method($val);
	}else{
		$this->$key = $val;
	}
}

function Notify($event) {
	if(isset($this->$event)){
		$ev = $this->$event;
		if(is_array($ev)){
			$listeners = $ev;
		}else{
			$listeners = explode(",", $ev);
		}
		foreach($listeners as $func){
			$func = trim($func);
			if(function_exists($func)){
				$err = $func($this);
				if($err){
					return $err;
				}
			}
		}
	}
}

function Error($message){
	//echo get_class($this).":$message<br>\n";
}

function Call($func, $value){
	if(method_exists($this,$func)){
		$val = $this->$func($value);
	}else{
		$val = $func($value);
	}
	return $val;
}

}

class Messages {
	var $messages = array();
	function isEmpty(){
		return empty($this->messages);
	}
	function append($msg){
		if($msg){
			$this->messages[]=$msg;
		}
	}
	function implode($delimiter){
		return implode($delimiter,$this->messages);
	}
	function toString(){
		return $this->implode("\n");
	}
	function toHTML(){
		return $this->implode("<br>");
	}
}
?>