<?
include_once(dirname(__FILE__).'/../object.php');
header("Content-Type: text/javascript; charset=".getResource('pe6yc.charset'));
?>
/*
author: Ponomarev Denis
$Date: 2003/07/02 14:24:58 $
$Revision: 1.4 $
*/

function isNumber(n) {
  return !isNaN(parseFloat(n)) && isFinite(n);
}

function ip2long(ip) {
	var ips = ip.split('.');
	var iplong = 0;
	with (Math) {
		iplong = (ips[0] << 24) + (ips[1] << 16) + (ips[2] << 8) + ips[3] * 1;
	}
	return iplong;
}

function long2ip(l) {
	with (Math) {
		var ip1 = (l << 8 * 0) >>> 24;
		var ip2 = (l << 8 * 1) >>> 24;
		var ip3 = (l << 8 * 2) >>> 24;
		var ip4 = (l << 8 * 3) >>> 24;
	}
	return ip1 + '.' + ip2 + '.' + ip3 + '.' + ip4;
}

String.prototype.repeat = function(num){
    return new Array(num + 1).join(this);
}

String.prototype.lpad = function(pad, amount){
    var len = Math.max(amount, this.length);
	var str = pad.repeat(amount) + this;
	return str.substring(str.length - len);
}

function store_pref(name, value){
	$.get("preferences.php?action=store&" + name + "=" + encodeURIComponent(value));
}

function restore_prefs(data, callback){
	$.get("preferences.php?action=restore", data, callback, "json");
}

function BoxHandler(id, state){
	this.id = id;
	this.state = state;
	this.titleElement = document.getElementById(id + '_title');
	this.titleElement.handler = this;
	this.titleElement.style.cursor = 'pointer';
	this.bodyElement = document.getElementById(id + '_body');
	
	this.titleElement.onclick = function(){
		this.handler.toggle();
	}
	
	this.toggle = function(){
		this.state = this.state ? 0 : 1;
		store_pref(this.id, this.state);
		this.bodyElement.style.display = this.state ? '' : 'none';
		this.bodyElement.style.visibility = this.state ? 'visible' : 'hidden';
	}
}

function Is() {
  var agent = navigator.userAgent.toLowerCase();
  this.major = parseInt(navigator.appVersion);
  this.minor = parseFloat(navigator.appVersion);
  this.ns = ((agent.indexOf('mozilla')!=-1) && ((agent.indexOf('spoofer')==-1) && (agent.indexOf('compatible') == -1)));
  this.ns2 = (this.ns && (this.major == 3));
  this.ns3 = (this.ns && (this.major == 3));
  this.ns4b = (this.ns && (this.minor < 4.04));
  this.ns4 = (this.ns && (this.major >= 4));
  this.ie = (agent.indexOf("msie") != -1);
  this.ie3 = (this.ie && (this.major == 2));
  this.ie4 = (this.ie && (this.major >= 4));
  this.op3 = (agent.indexOf("opera") != -1);
  this.win = (agent.indexOf("win")!=-1);
  this.mac = (agent.indexOf("mac")!=-1);
  this.unix = (agent.indexOf("x11")!=-1);
}
var is = new Is();

function get_props(obj) {
   var result = "";
   for (var i in obj){
	  result +=  i + " = " + obj[i] + "\n";
	}
   return result;
}

function change_class(id,new_class){
	var obj=document.getElementById(id);
	obj.className = new_class;
}

function inText(el){
    if (!el) return "";
    if (el.nodeType == 3 || el.nodeType == 4) return el.data;
    if (el.nodeType != 1) return "";
    var s = "";
    for (var tmp = el.firstChild; tmp; tmp = tmp.nextSibling)
        s += inText(tmp);
    return s;
}

function openNew(href){
	PrintWin = window.open();
	PrintWin.location.href = href;
}

function imgSwitchScaleHandler(e){
	var targ;
	if (!e) var e = window.event;
	if (e.target) targ = e.target;
	else if (e.srcElement) targ = e.srcElement;
	imgSwitchScale(targ);
}

function imgSwitchScale(img){
	var w = img.clientWidth;
	var h = img.clientHeight;
	img.style.width = img.scaledWidth + 'px';
	img.scaledWidth = w;
	img.style.height = img.scaledHeight + 'px';
	img.scaledHeight = h;
}

function imgFitTo(img, width, height){
	var scaleH = height / img.clientHeight;
	var scaleW = width / img.clientWidth;
	if(scaleH < 1 || scaleW < 1){
		if (scaleH < scaleW) {
			img.scaledHeight = height;
			img.scaledWidth = Math.round(img.clientWidth * scaleH);
		} else {
			img.scaledWidth = width;
			img.scaledHeight = Math.round(img.clientHeight * scaleW);
		}
		img.style.cursor = 'pointer';
		img.onclick = imgSwitchScaleHandler;
		imgSwitchScale(img);
	}
}

function imgFit(img, width, height){
	var scaleH = height / img.clientHeight;
	var scaleW = width / img.clientWidth;
	if((scaleH < 1) || (scaleW < 1)){
		if (scaleH < scaleW) {
			img.style.width = Math.round(img.clientWidth * scaleH) + 'px';
		} else {
			img.style.height = Math.round(img.clientHeight * scaleW) + 'px';
		}
		return true;
	}
	return false;
}

function PicViewer(width, height){
	this.width = width;
	this.height = height;
	var overlay = document.getElementById('overlay');
	var pic_big = document.getElementById('pic_big');
	var viewer = this;
	
	pic_big.onclick = function(){
		viewer.close();
	}
	
	overlay.onclick = function(){
		viewer.close();
	}
	
	this.close = function(){
		pic_big.style.display = 'none';
		overlay.style.display = 'none';
	}

	this.open = function(img){
		overlay.style.display = '';
		pic_big.src = img.src;
		pic_big.style.display = '';
		imgFit(pic_big, this.width, this.height);
		pic_big.style.marginTop = (- pic_big.clientHeight / 2) + 'px';
		pic_big.style.marginLeft = (- pic_big.clientWidth / 2) + 'px';
	}
	
}

function stopEvent(event){
	if (typeof event.stopPropagation != 'undefined'){
		event.stopPropagation();
	}
	if (typeof event.cancelBubble != 'undefined'){
		event.cancelBubble = true;
	}
}

function onBodyLoad(){
	restoreFormFocus();
	if (typeof customOnLoad == 'function'){
		customOnLoad();
	}
}

function getTarget(e){
	var targ;
	if (!e) var e = window.event;
	if (e.target) targ = e.target;
	else if (e.srcElement) targ = e.srcElement;
	return targ;
}

function storeFormFocus(e){
	var targ;
	if (!e) var e = window.event;
	if (e.target) targ = e.target;
	else if (e.srcElement) targ = e.srcElement;
	if(e.keyCode==13 && targ.tagName=='INPUT'){
		var exp = new Date();
		exp.setTime(exp.getTime() + 20 * 1000); // +20 sec
		setCookie('formFocus', targ.form.name + "#" +targ.name, exp);
	}
	
}

function restoreFormFocus(){
	var c = getCookie('formFocus');
	if(c){
		try{
		var names = c.split('#');
		document.forms[names[0]].elements[names[1]].focus();
		}catch(e){}
	}
}

function getCookieVal (offset) {
	var endstr = document.cookie.indexOf (";", offset);
	if (endstr == -1)
		endstr = document.cookie.length;
	return unescape(document.cookie.substring(offset, endstr));
}

function getCookie (name) {
	var arg = name + "=";
	var alen = arg.length;
	var clen = document.cookie.length;
	var i = 0;
	while (i < clen) {
		var j = i + alen;
		if (document.cookie.substring(i, j) == arg){
			return getCookieVal (j);
		}
		i = document.cookie.indexOf(" ", i) + 1;
		if (i == 0) {
			break;
		}
	}
	return null;
}

function setCookie (name, value) {
	var argv = setCookie.arguments;
	var argc = setCookie.arguments.length;
	var expires = (argc > 2) ? argv[2] : null;
	var path = (argc > 3) ? argv[3] : null;
	var domain = (argc > 4) ? argv[4] : null;
	var secure = (argc > 5) ? argv[5] : false;
	var cookie = name + "=" + escape (value) +
		((expires == null) ? "" : ("; expires=" + expires.toGMTString())) +
		((path == null) ? "" : ("; path=" + path)) +
		((domain == null) ? "" : ("; domain=" + domain)) +
		((secure == true) ? "; secure" : "");
	document.cookie = cookie;
}


function deleteCookie (name) {
	var exp = new Date();
	exp.setTime (exp.getTime() - 1);  // This cookie is history
	var cval = GetCookie (name);
	document.cookie = name + "=" + cval + "; expires=" + exp.toGMTString();
}

document.onkeydown = storeFormFocus;
