<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:16 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
include('functions/accounts.php');
include_once('classes/period.php');
loadStrings(BOOT.'personal_periods/strings.txt');

$doc->title .= ' :: '.getResource('personal.periods.title');

required_access('personal_periods');
include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'client':	lookup('client');
	case 'connection_type':	lookup('connection_type');
}

//$db->debug = 1;

$db->Execute("CREATE TEMPORARY TABLE state_names (state tinyint not null primary key, name varchar(255)) ENGINE=Memory");
$db->Execute(sprintf("INSERT INTO state_names VALUES (0, '%s'), (1, '%s'), (2, '%s')",
	getResource('personal.periods.state.none'),
	getResource('personal.periods.state.open'),
	getResource('personal.periods.state.closed')
));

include(BOOT.'period/form.php');
$obj['nick'] = 'ppper';
$period = new PPeriod($nil, $obj);
$period->commented = false;

$personal_periods = new PTable($db,BOOT.'personal_periods/table.php');
$personal_periods->readonly = !$oper->system_access['personal_periods'];
if($period->active){
	if($from = $period->getFrom()){
		$personal_periods->filters['from'] = sprintf("pp.period_begin >= '%s'", $from);
	}
	if($to = $period->getTo()){
		$personal_periods->filters['to'] = sprintf("pp.period_end <= '%s'", $to);
	}
}
addCityPolicy($personal_periods, 'c.city');

$doc->page->contents['personal_periods'] = new PMyAccess($personal_periods,array(
	'help'=>HELP_PATH.'//',
	'title'=>getResource('personal.periods.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/picks.gif',
	'grid_boot'=>BOOT.'personal_periods/grid.php',
	'form_boot'=>BOOT.'personal_periods/form.php',
	'tool'=>$period,
));

if($personal_periods->isOn()){
	$personal_period = $personal_periods->active_record;
/*	$pmenu = new PNamedMenu($nil, BOOT.'personal_periods/menu.php');
	$doc->page->contents['pmenu'] = $pmenu;
	switch($pmenu->selected){
		case 'ru':
			createAccountReference('src_names');
			createAccountReference('dst_names');
			$resource_uses = new PTable($db,BOOT.'personal_periods/resource_uses/table.php');
			$resource_uses->readonly = !$oper->system_access['resource_uses'];
			$doc->page->contents['resource_uses'] = new PMyAccess($resource_uses,array(
				'title'=>getResource('resource.uses.title'),
				'icon'=>HREF.'images/homedir.gif',
				'grid_boot'=>BOOT.'personal_periods/resource_uses/grid.php',
				'form_boot'=>BOOT.'personal_periods/resource_uses/form.php',
			));
			if($resource_uses->isOn()){
				$resource_use = $resource_uses->active_record;
				include('includes/resource_uses_details.php');
			}
			break;
		case 'pl':
*/
			$plans = new PTable($db,BOOT.'personal_period_plans/table.php');
			$plans->readonly = !$oper->system_access['personal_periods'];
			$doc->page->contents['plans'] = new PMyAccess($plans,array(
				'title'=>getResource('personal.period.plans.title'),
				'icon'=>HREF.'images/plans.gif',
				'grid_boot'=>BOOT.'personal_period_plans/grid.php',
				'form_boot'=>BOOT.'personal_period_plans/form.php',
			));
/*
			break;
	}
*/
}
echo $doc->Paint();
?>
