<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:17 $
$Revision: 1.9 $
*/
include_once('includes/global.php');
include_once('classes/FilterTool.php');
loadStrings(BOOT.'private_pays/strings.txt');

$doc->title .= ' :: '.getResource('private.pays.title');

required_access('private_pays');

$responseFilter = new FilterTool('response_filter', array(
	'all'=>array(
		'title'=>'',
		'filter'=>'1',
	),
	'good'=>array(
		'title'=>'',
		'filter'=>'(ups.response_code=1)',
	),
	'bad'=>array(
		'title'=>'',
		'filter'=>'(ups.response_code>1)',
	),
	'empty'=>array(
		'title'=>'',
		'filter'=>'(ups.response_code=0)',
	),
));

$private_pays = new PTable($db,BOOT.'private_pays/table.php');
$private_pays->readonly = !$oper->system_access['private_pays'];
$private_pays->filters['response'] = $responseFilter->getFilter();
addCityPolicy($private_pays, 'c.city');

$doc->page->contents['private_pays'] = new PMyAccess($private_pays,array(
	'title'=>getResource('private.pays.title'),
	'help'=>HELP_PATH.'//24',
	'icon'=>HREF.'images/dollar.gif',
'icon_attributes'=>'width=29 height=42',
	'grid_boot'=>BOOT.'private_pays/grid.php',
	'tool'=>$responseFilter,
));
echo $doc->Paint();
?>
