function TvTypeTracker(name){
	this.first = true;
	this.form = document.forms[name];
	this.messages = new Array();
	this.ajaxer = new Ajaxer();
	this.connection_type = this.form.elements['connection_type'];
	this.connection_type.tracker = this;
	this.connection_type.onchange = function(){
		this.tracker.track();
	}
	this.tv_type = this.form.elements['tv_type'];
	this.tv_type.tracker = this;
	this.tv_type.onchange = function(){
		if(!this.tracker.first){
			var msg = this.tracker.messages[this.value];
			if(msg){
				alert(msg);
			}
		}
	}

	this.track = function(){
		this.ajaxer.get("connection_types.php?get_tv=" + this.connection_type.value, this);
	}

	this.getOptionByValue = function(sel){
		for(var i=0; i < sel.options.length; i++){
			if(sel.options[i].selected){
				return options[i];
			}
		}
	}
	
	this.handle = function(text){
		this.messages.length = 0;
		var tvOpt = this.tv_type.selectedIndex >=0 ? this.tv_type.options[this.tv_type.selectedIndex] : null;
		var conOpt = this.connection_type.selectedIndex >=0 ? this.connection_type.options[this.connection_type.selectedIndex] : null;
		
		var value = this.tv_type.value;
		this.tv_type.value = '';
		var found = false;
		this.tv_type.options.length = 1;
		var lines = text.split("\n");
		for(var i=0; i < lines.length; i++){
			var arr = lines[i].split("|");
			if(arr.length==3){
				this.tv_type.options.add(new Option(arr[1], arr[0]));
				this.messages[arr[0]] = arr[2];
				
				if(arr[0]==value){
					found = true;
				}
			}
		}
		if(found){
			this.tv_type.value = value;
			this.tv_type.onchange();
		}else{
			if(value){
				alert('  "' + tvOpt.text + '"     "' + conOpt.text + '".');
			}
		}
		this.first = false;
	}
}