function CallTypeTrackerDo(f){
	var v = $("[name=type]", f).val();
	$("[name=debts_reason]", f).closest("tr").toggle(v==1);
	$("[name='debts_promise[year]']", f).closest("tr").toggle(v==1);

	$("[name=start_ticket]", f).closest("tr").toggle(v==2);
	$("[name=start_uniform]", f).closest("tr").toggle(v==2);
	$("[name=start_iptv]", f).closest("tr").toggle(v==2);
	$("[name=start_rating]", f).closest("tr").toggle(v==2);
	$("[name=off_rating]", f).closest("tr").toggle(v==3);
	$("[name=off_reason]", f).closest("tr").toggle(v==3);
	$("[name=off_return]", f).closest("tr").toggle(v==3);

	$("[name=rating_tv_rating]", f).closest("tr").toggle(v==9);
	$("[name=rating_tv_bad]", f).closest("tr").toggle(v==9);
	
	$("[name=repair_done]", f).closest("tr").toggle(v==8);
	var rd = $("[name=repair_done]", f).attr("checked");
	$("[name=repair_rating]", f).closest("tr").toggle(v==8 && rd);
	$("[name=repair_reason]", f).closest("tr").toggle(v==8 && (!rd));
	
	$("[name=cabinet]", f).closest("tr").toggle(v==10);
	$("[name=consult]", f).closest("tr").toggle(v==10);
	var of = $("[name=office]", f);
	of.closest("tr").toggle(v==10);
	$("[name=office_reason]", f).closest("tr").toggle(v==10 && (of.val() > 1));
	$("[name=office_rating]", f).closest("tr").toggle(v==10 && (of.val() > 1));
	$("[name=commercial]", f).closest("tr").toggle(v==10 && (of.val() > 1));
	$("[name=service_rating]", f).closest("tr").toggle(v==10);
	
	var v_status = $("[name=status]", f).val();
	$("[name='recall_date[year]']", f).closest("tr").toggle(v_status==3);
	
	var off_reason = $("[name=off_reason]", f).val();
	var refuse_reason = $("[name=refuse_reason]", f).val();
	var conc = (v==3 && off_reason == 1) || ((v==6 || v==5) && refuse_reason == 4);
	$("[name=concurrent]", f).closest("tr").toggle(conc);
	$("[name=refuse_reason]", f).closest("tr").toggle((v==6 || v==5) && v_status == 2);
}


function CallTypeTracker(callsForm){
	var f = $(callsForm);
	$("[name=type]", f).change(function(){
		CallTypeTrackerDo(f);
	});
	$("[name=status]", f).change(function(){
		CallTypeTrackerDo(f);
	});
	$("[name=off_reason]", f).change(function(){
		CallTypeTrackerDo(f);
	});
	$("[name=refuse_reason]", f).change(function(){
		CallTypeTrackerDo(f);
	});
	$("[name=repair_done]", f).click(function(){
		CallTypeTrackerDo(f);
	});
	$("[name=office]", f).click(function(){
		CallTypeTrackerDo(f);
	});
	CallTypeTrackerDo(f);
}