function ModemTracker(name){
	var f = $(document.forms[name]);
	var ip = $("[name=ip]", f);
	var modem = $("[name=modem]", f);
	var vlan = $("[name=vlan]", f); 
	var original = ip.val();
	var candidates = $("#candidates_ip", f);
	var timeout_id = 0;

	candidates.change(function(){
		if(this.value.length > 4){
			var arr = this.value.split(":");
			ip.val(arr[0]);
			var onchange = ip.get(0).onchange;
			if(onchange){
				onchange();
			}
			if(arr.length > 1){
				vlan.val(arr[1]);
			}
		}
	});

	modem.get(0).onchange = function(){
		if(timeout_id){
			clearTimeout(timeout_id);
		}
		timeout_id =  setTimeout(function(){
			$.get("hosts.php?get_free=" + modem.val(), function(text){
				candidates.empty();
				candidates.append($("<option>").attr("value", original).text(original));
				$.each(text.split("\n"), function(i, line){
					if(line){
						candidates.append($("<option>").attr("value", line).text(line));
					}
				})
			});
		}, 500);
	}
	
	modem.get(0).onchange();
}