<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/12/23 09:08:50 $
$Revision: 1.20 $
*/
include_once('includes/global.php');
include_once('classes/period.php');
loadStrings(BOOT.'stats_asterisk/strings.txt');

$doc->title .= ' :: '.getResource('stats.asterisk.title');

required_access('support_asterisk');

$period = new PPeriod($nil,BOOT.'stats_asterisk/period-form.php');
$period->commented = false;

$filters = array();
$filters['has_caller'] = 'c.caller > ""';
$filters['has_callie'] = 'c.callie > ""';
if($period->active){
	if($from = $period->getFrom()){
		$filters['from'] = sprintf("c.start >= '%s'", $from);
	}
	if($to = $period->getTo()){
		$filters['to'] = sprintf("c.start <= '%s'", $to);
	}
}

$filters['c.dstchannel'] = 'c.dstchannel LIKE "Agent%"';
$where = empty($filters) ? "" : " WHERE ".implode(" AND ", $filters);

$db->Execute("CREATE TEMPORARY TABLE stats_by_agent (
	agent		VARCHAR(16),
	total		INT NOT NULL
) ENGINE=Memory");

insertSelectOverFile('stats_by_agent', sprintf("
	SELECT
	c.dstchannel as agent,
	count(*) as total
	FROM cdr c
	%s GROUP BY c.dstchannel", $where));

$stats_by_agent = new PTable($db,BOOT.'stats_asterisk/table.php');
$doc->page->contents['stats_by_agent'] = new PMyAccess($stats_by_agent,array(
	'title'=>getResource('stats.asterisk.title'),
	'help'=>HELP_PATH.'//Asterisk',
	'icon'=>HREF.'images/calls.gif',
	'grid_boot'=>BOOT.'stats_asterisk/grid.php',
	'tool'=>$period,
));

echo $doc->Paint();
?>
