#!/usr/bin/php -q
<?php /* author: Ponomarev Denis <ponomarev@gmail.com> */

!isset($_SERVER['SERVER_NAME']) || exit;
error_reporting(E_ALL);
ini_set('include_path', DIRNAME(__FILE__). '/../');

include("includes/options.php");
include("classes/context/include.php");

$beanFactory = new CompositBeanFactory(array(
	new ArrayBeanFactory('boot/caban/log.php'),
	new ArrayBeanFactory('boot/caban/dao.php'),
	new ArrayBeanFactory('boot/caban/tools.php'),
));
$db = $beanFactory->getBean('connection');

if(count($_SERVER['argv'])==1){
	$sel = $db->select("SELECT ip, mac FROM hosts WHERE IFNULL(mac,'')>'' AND IFNULL(ip,'')>''");
	while($arr = $sel->next()){
		printf("%s\t%s\n", $arr['ip'], $arr['mac']);
	}
}else{
	$param = $_SERVER['argv'][1];
	$parts = explode(".", $param);
	if(count($parts)==4){
		$sel = $db->select("SELECT mac FROM hosts WHERE ip='%s'", implode(".", $parts));
		if($arr = $sel->next()){
			echo $arr['mac'];
		}else{
			die("ip not found");
		}
	}else{
		$parts = split('[\:\-]', $param);
		if(count($parts)==6){
			$sel = $db->select("SELECT ip FROM hosts WHERE mac='%s'", implode(":", $parts));
			if($arr = $sel->next()){
				echo $arr['ip'];
			}else{
				die("mac not found");
			}
		}else{
			die("wrong input format\n");
		}
	}
}
?>