#!/usr/bin/php -q
<?php
/* 
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2004/04/27 08:37:36 $
$Revision: 1.19 $
*/
!isset($_SERVER['SERVER_NAME']) || exit;
error_reporting(E_ALL);
ini_set('include_path', DIRNAME(__FILE__). '/../');

include("includes/options.php");
include("classes/context/include.php");

$beanFactory = new CompositBeanFactory(array(
	new ArrayBeanFactory('boot/caban/log.php'),
	new ArrayBeanFactory('boot/caban/tools.php'),
	new ArrayBeanFactory('boot/caban/dao.php'),
	new ArrayBeanFactory('boot/caban/cli.php'),
	new ArrayBeanFactory('boot/caban/service.php'),
	new ArrayBeanFactory('boot/caban/service-2.php'),
	new ArrayBeanFactory('boot/caban/mail.php'),
	new ArrayBeanFactory('boot/caban/tasks.php'),
	new ArrayBeanFactory('boot/caban/tv_nodes.php'),
    new ArrayBeanFactory('boot/caban/accounting-drivers-local.php'),
    new ArrayBeanFactory('boot/caban/accounting-drivers-nas01.php'),
    new ArrayBeanFactory('boot/caban/accounting-drivers-nas02.php'),
	new ArrayBeanFactory('boot/caban/accounting-drivers.php'),
//    new ArrayBeanFactory('boot/caban/accounting-drivers-split.php'),
));

$launcher = $beanFactory->getBean('launcher');
$launcher->launch();
?>
