#!/usr/bin/php -q
<?
error_reporting(E_ALL);
if(isset($_SERVER['SERVER_NAME'])){ // run through http-resuest, deny
	exit;
}

$fileName = 'php://stdin';
if($fd = fopen($fileName, "r")){
	$networks = array();
	while(!feof($fd)){
		$line = trim(fgets($fd, 128));
		if($line){
			$arr = explode("/", $line);
			if(count($arr)==2){
				$ip = $arr[0];
				$mask = $arr[1];
				$i = ip2long($ip);
				if (is_numeric($mask)) { // style 10.10.10.0/24
					$m = ~((1<< (32-$mask))-1);
				}else{ // style 10.10.10.0/255.255.255.0
					$m = ip2long($mask); 
				}
				$pattern = $i & $m;
				$found = false;
				foreach($networks as $index=>$network){
					//     
					if((($i & $network['mask']) == $network['pattern']) && ($network['mask'] < $m)){
						$found = true;
						//printf("skip %s: member of %s\n", $line, $network['string']);
						break;
					}
					//    
					if((($network['pattern'] & $m) == $pattern) && (($network['mask'] > $m))){
						unset($networks[$index]);
						//printf("skip %s: member of %s\n", $network['string'], $line);
					}
				}
				if(!$found){
					$networks[] = array('string'=>$line, 'pattern'=>$pattern, 'mask'=>$m);
				}
			}
		}
	}
	foreach($networks as $network){
		printf("%s\n", $network['string']);
	}
	fclose($fd);
}else{
	die(sprintf("Can't open %s for reading", $fileName));
}
?>