<?
/*
author: Ponomarev Denis <ponomarev@gmail.com>
$Date: 2003/11/06 12:46:16 $
$Revision: 1.14 $
*/
include_once('includes/global.php');
include_once('functions/troubles.php');

$doc->title .= ' :: '.getResource('troubles.title');

required_access('support');
include_once('includes/lookups.php');
switch($_GET['lookup']){
	case 'client':	lookup('client');
}


class AnswersCellRenderer {
	function render($column, $record){
		$val = $record[$column->name];
		return sprintf("<td class='%s' align='right'>%s</td>", $val > 0 ? 'green_lighted' : 'red_lighted', $val);
	}
}
$answers_cell = new AnswersCellRenderer();

/*
$db->Execute("CREATE TEMPORARY TABLE answers_count (trouble int unsigned primary key, cnt int)");
insertSelectOverFile('answers_count', "-- INSERT INTO answers_count
SELECT trouble, count(id) FROM trouble_answers GROUP BY trouble");
*/

$troubles = new PTable($db,BOOT.'troubles/table.php');
$troubles->readonly = !$oper->system_access['support'];
addCityPolicy($troubles, 'c.city');

$doc->page->contents['troubles'] = new PMyAccess($troubles, array(
	'title'=>getResource('troubles.title'),
	'help'=>HELP_PATH.'//',
	'icon'=>HREF.'images/question.png',
	'grid_boot'=>forceCity(BOOT.'troubles/grid.php'),
	'form_boot'=>BOOT.'troubles/form.php',
));
if($troubles->isOn()){
	$answers = new PTable($db,BOOT.'clients/troubles/answers/table.php');
	$answers->readonly = !$oper->system_access['support'];
	$doc->page->contents['answers'] = new PMyAccess($answers, array(
		'title'=>getResource('trouble.answers.title'),
		'icon'=>HREF.'images/troubles.gif',
		'grid_boot'=>BOOT.'clients/troubles/answers/grid.php',
		'form_boot'=>BOOT.'clients/troubles/answers/form.php',
	));
	if(!$doc->page->contents['answers']->brief){
		include_once('includes/answer_files_script.php');
	}
}
echo $doc->Paint();
?>